function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    enumerableOnly && (symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    })), keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = null != arguments[i] ? arguments[i] : {};
    i % 2 ? ownKeys(Object(source), !0).forEach(function (key) {
      _defineProperty(target, key, source[key]);
    }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) {
      Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
    });
  }

  return target;
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}

function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}

function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}

function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}

function _iterableToArrayLimit(arr, i) {
  var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];

  if (_i == null) return;
  var _arr = [];
  var _n = true;
  var _d = false;

  var _s, _e;

  try {
    for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

var municipes = {
  "CODICE BELFIORE": {
    "municipe": "DESCRIZIONE COMUNE",
    "province": "SIGLA"
  },
  "A001": {
    "municipe": "ABANO TERME",
    "province": "PD"
  },
  "A004": {
    "municipe": "ABBADIA CERRETO",
    "province": "LO"
  },
  "A005": {
    "municipe": "ABBADIA LARIANA",
    "province": "LC"
  },
  "A006": {
    "municipe": "ABBADIA SAN SALVATORE",
    "province": "SI"
  },
  "A007": {
    "municipe": "ABBASANTA",
    "province": "OR"
  },
  "A008": {
    "municipe": "ABBATEGGIO",
    "province": "PE"
  },
  "A010": {
    "municipe": "ABBIATEGRASSO",
    "province": "MI"
  },
  "M376": {
    "municipe": "ABETONE CUTIGLIANO",
    "province": "PT"
  },
  "A013": {
    "municipe": "ABRIOLA",
    "province": "PZ"
  },
  "A014": {
    "municipe": "ACATE",
    "province": "RG"
  },
  "A015": {
    "municipe": "ACCADIA",
    "province": "FG"
  },
  "A016": {
    "municipe": "ACCEGLIO",
    "province": "CN"
  },
  "A017": {
    "municipe": "ACCETTURA",
    "province": "MT"
  },
  "A018": {
    "municipe": "ACCIANO",
    "province": "AQ"
  },
  "A019": {
    "municipe": "ACCUMOLI",
    "province": "RI"
  },
  "A020": {
    "municipe": "ACERENZA",
    "province": "PZ"
  },
  "A023": {
    "municipe": "ACERNO",
    "province": "SA"
  },
  "A024": {
    "municipe": "ACERRA",
    "province": "NA"
  },
  "A025": {
    "municipe": "ACI BONACCORSI",
    "province": "CT"
  },
  "A026": {
    "municipe": "ACI CASTELLO",
    "province": "CT"
  },
  "A027": {
    "municipe": "ACI CATENA",
    "province": "CT"
  },
  "A029": {
    "municipe": "ACI SANT'ANTONIO",
    "province": "CT"
  },
  "A028": {
    "municipe": "ACIREALE",
    "province": "CT"
  },
  "A032": {
    "municipe": "ACQUAFONDATA",
    "province": "FR"
  },
  "A033": {
    "municipe": "ACQUAFORMOSA",
    "province": "CS"
  },
  "A034": {
    "municipe": "ACQUAFREDDA",
    "province": "BS"
  },
  "A035": {
    "municipe": "ACQUALAGNA",
    "province": "PU"
  },
  "A039": {
    "municipe": "ACQUANEGRA CREMONESE",
    "province": "CR"
  },
  "A038": {
    "municipe": "ACQUANEGRA SUL CHIESE",
    "province": "MN"
  },
  "A040": {
    "municipe": "ACQUAPENDENTE",
    "province": "VT"
  },
  "A041": {
    "municipe": "ACQUAPPESA",
    "province": "CS"
  },
  "A043": {
    "municipe": "ACQUARO",
    "province": "VV"
  },
  "A044": {
    "municipe": "ACQUASANTA TERME",
    "province": "AP"
  },
  "A045": {
    "municipe": "ACQUASPARTA",
    "province": "TR"
  },
  "A050": {
    "municipe": "ACQUAVIVA COLLECROCE",
    "province": "CB"
  },
  "A051": {
    "municipe": "ACQUAVIVA D'ISERNIA",
    "province": "IS"
  },
  "A048": {
    "municipe": "ACQUAVIVA DELLE FONTI",
    "province": "BA"
  },
  "A047": {
    "municipe": "ACQUAVIVA PICENA",
    "province": "AP"
  },
  "A049": {
    "municipe": "ACQUAVIVA PLATANI",
    "province": "CL"
  },
  "M211": {
    "municipe": "ACQUEDOLCI",
    "province": "ME"
  },
  "A052": {
    "municipe": "ACQUI TERME",
    "province": "AL"
  },
  "A053": {
    "municipe": "ACRI",
    "province": "CS"
  },
  "A054": {
    "municipe": "ACUTO",
    "province": "FR"
  },
  "A055": {
    "municipe": "ADELFIA",
    "province": "BA"
  },
  "A056": {
    "municipe": "ADRANO",
    "province": "CT"
  },
  "A057": {
    "municipe": "ADRARA SAN MARTINO",
    "province": "BG"
  },
  "A058": {
    "municipe": "ADRARA SAN ROCCO",
    "province": "BG"
  },
  "A059": {
    "municipe": "ADRIA",
    "province": "RO"
  },
  "A060": {
    "municipe": "ADRO",
    "province": "BS"
  },
  "A061": {
    "municipe": "AFFI",
    "province": "VR"
  },
  "A062": {
    "municipe": "AFFILE",
    "province": "RM"
  },
  "A064": {
    "municipe": "AFRAGOLA",
    "province": "NA"
  },
  "A065": {
    "municipe": "AFRICO",
    "province": "RC"
  },
  "A067": {
    "municipe": "AGAZZANO",
    "province": "PC"
  },
  "A068": {
    "municipe": "AGEROLA",
    "province": "NA"
  },
  "A069": {
    "municipe": "AGGIUS",
    "province": "SS"
  },
  "A070": {
    "municipe": "AGIRA",
    "province": "EN"
  },
  "A071": {
    "municipe": "AGLIANA",
    "province": "PT"
  },
  "A072": {
    "municipe": "AGLIANO TERME",
    "province": "AT"
  },
  "A074": {
    "municipe": "AGLIE'",
    "province": "TO"
  },
  "H848": {
    "municipe": "AGLIENTU",
    "province": "SS"
  },
  "A075": {
    "municipe": "AGNA",
    "province": "PD"
  },
  "A076": {
    "municipe": "AGNADELLO",
    "province": "CR"
  },
  "A077": {
    "municipe": "AGNANA CALABRA",
    "province": "RC"
  },
  "A080": {
    "municipe": "AGNONE",
    "province": "IS"
  },
  "A082": {
    "municipe": "AGNOSINE",
    "province": "BS"
  },
  "A083": {
    "municipe": "AGORDO",
    "province": "BL"
  },
  "A084": {
    "municipe": "AGOSTA",
    "province": "RM"
  },
  "A085": {
    "municipe": "AGRA",
    "province": "VA"
  },
  "A087": {
    "municipe": "AGRATE BRIANZA",
    "province": "MB"
  },
  "A088": {
    "municipe": "AGRATE CONTURBIA",
    "province": "NO"
  },
  "A089": {
    "municipe": "AGRIGENTO",
    "province": "AG"
  },
  "A091": {
    "municipe": "AGROPOLI",
    "province": "SA"
  },
  "A092": {
    "municipe": "AGUGLIANO",
    "province": "AN"
  },
  "A093": {
    "municipe": "AGUGLIARO",
    "province": "VI"
  },
  "A096": {
    "municipe": "AICURZIO",
    "province": "MB"
  },
  "A097": {
    "municipe": "AIDOMAGGIORE",
    "province": "OR"
  },
  "A098": {
    "municipe": "AIDONE",
    "province": "EN"
  },
  "A100": {
    "municipe": "AIELLI",
    "province": "AQ"
  },
  "A102": {
    "municipe": "AIELLO CALABRO",
    "province": "CS"
  },
  "A103": {
    "municipe": "AIELLO DEL FRIULI",
    "province": "UD"
  },
  "A101": {
    "municipe": "AIELLO DEL SABATO",
    "province": "AV"
  },
  "A105": {
    "municipe": "AIETA",
    "province": "CS"
  },
  "A106": {
    "municipe": "AILANO",
    "province": "CE"
  },
  "A107": {
    "municipe": "AILOCHE",
    "province": "BI"
  },
  "A109": {
    "municipe": "AIRASCA",
    "province": "TO"
  },
  "A110": {
    "municipe": "AIROLA",
    "province": "BN"
  },
  "A111": {
    "municipe": "AIROLE",
    "province": "IM"
  },
  "A112": {
    "municipe": "AIRUNO",
    "province": "LC"
  },
  "A113": {
    "municipe": "AISONE",
    "province": "CN"
  },
  "A116": {
    "municipe": "ALA",
    "province": "TN"
  },
  "A117": {
    "municipe": "ALA DI STURA",
    "province": "TO"
  },
  "A115": {
    "municipe": "ALA' DEI SARDI",
    "province": "SS"
  },
  "A118": {
    "municipe": "ALAGNA",
    "province": "PV"
  },
  "A119": {
    "municipe": "ALAGNA VALSESIA",
    "province": "VC"
  },
  "A120": {
    "municipe": "ALANNO",
    "province": "PE"
  },
  "A121": {
    "municipe": "ALANO DI PIAVE",
    "province": "BL"
  },
  "A122": {
    "municipe": "ALASSIO",
    "province": "SV"
  },
  "A123": {
    "municipe": "ALATRI",
    "province": "FR"
  },
  "A124": {
    "municipe": "ALBA",
    "province": "CN"
  },
  "A125": {
    "municipe": "ALBA ADRIATICA",
    "province": "TE"
  },
  "A126": {
    "municipe": "ALBAGIARA",
    "province": "OR"
  },
  "A127": {
    "municipe": "ALBAIRATE",
    "province": "MI"
  },
  "A128": {
    "municipe": "ALBANELLA",
    "province": "SA"
  },
  "A131": {
    "municipe": "ALBANO DI LUCANIA",
    "province": "PZ"
  },
  "A132": {
    "municipe": "ALBANO LAZIALE",
    "province": "RM"
  },
  "A129": {
    "municipe": "ALBANO SANT'ALESSANDRO",
    "province": "BG"
  },
  "A130": {
    "municipe": "ALBANO VERCELLESE",
    "province": "VC"
  },
  "A134": {
    "municipe": "ALBAREDO ARNABOLDI",
    "province": "PV"
  },
  "A137": {
    "municipe": "ALBAREDO D'ADIGE",
    "province": "VR"
  },
  "A135": {
    "municipe": "ALBAREDO PER SAN MARCO",
    "province": "SO"
  },
  "A138": {
    "municipe": "ALBARETO",
    "province": "PR"
  },
  "A139": {
    "municipe": "ALBARETTO DELLA TORRE",
    "province": "CN"
  },
  "A143": {
    "municipe": "ALBAVILLA",
    "province": "CO"
  },
  "A145": {
    "municipe": "ALBENGA",
    "province": "SV"
  },
  "A146": {
    "municipe": "ALBERA LIGURE",
    "province": "AL"
  },
  "A149": {
    "municipe": "ALBEROBELLO",
    "province": "BA"
  },
  "A150": {
    "municipe": "ALBERONA",
    "province": "FG"
  },
  "A153": {
    "municipe": "ALBESE CON CASSANO",
    "province": "CO"
  },
  "A154": {
    "municipe": "ALBETTONE",
    "province": "VI"
  },
  "A155": {
    "municipe": "ALBI",
    "province": "CZ"
  },
  "A158": {
    "municipe": "ALBIANO",
    "province": "TN"
  },
  "A157": {
    "municipe": "ALBIANO D'IVREA",
    "province": "TO"
  },
  "A159": {
    "municipe": "ALBIATE",
    "province": "MB"
  },
  "A160": {
    "municipe": "ALBIDONA",
    "province": "CS"
  },
  "A161": {
    "municipe": "ALBIGNASEGO",
    "province": "PD"
  },
  "A162": {
    "municipe": "ALBINEA",
    "province": "RE"
  },
  "A163": {
    "municipe": "ALBINO",
    "province": "BG"
  },
  "A164": {
    "municipe": "ALBIOLO",
    "province": "CO"
  },
  "A166": {
    "municipe": "ALBISOLA SUPERIORE",
    "province": "SV"
  },
  "A165": {
    "municipe": "ALBISSOLA MARINA",
    "province": "SV"
  },
  "A167": {
    "municipe": "ALBIZZATE",
    "province": "VA"
  },
  "A171": {
    "municipe": "ALBONESE",
    "province": "PV"
  },
  "A172": {
    "municipe": "ALBOSAGGIA",
    "province": "SO"
  },
  "A173": {
    "municipe": "ALBUGNANO",
    "province": "AT"
  },
  "A175": {
    "municipe": "ALBUZZANO",
    "province": "PV"
  },
  "A176": {
    "municipe": "ALCAMO",
    "province": "TP"
  },
  "A177": {
    "municipe": "ALCARA LI FUSI",
    "province": "ME"
  },
  "A178": {
    "municipe": "ALDENO",
    "province": "TN"
  },
  "A179": {
    "municipe": "ALDINO/ALDEIN",
    "province": "BZ"
  },
  "A180": {
    "municipe": "ALES",
    "province": "OR"
  },
  "A182": {
    "municipe": "ALESSANDRIA",
    "province": "AL"
  },
  "A183": {
    "municipe": "ALESSANDRIA DEL CARRETTO",
    "province": "CS"
  },
  "A181": {
    "municipe": "ALESSANDRIA DELLA ROCCA",
    "province": "AG"
  },
  "A184": {
    "municipe": "ALESSANO",
    "province": "LE"
  },
  "A185": {
    "municipe": "ALEZIO",
    "province": "LE"
  },
  "A186": {
    "municipe": "ALFANO",
    "province": "SA"
  },
  "A187": {
    "municipe": "ALFEDENA",
    "province": "AQ"
  },
  "A188": {
    "municipe": "ALFIANELLO",
    "province": "BS"
  },
  "A189": {
    "municipe": "ALFIANO NATTA",
    "province": "AL"
  },
  "A191": {
    "municipe": "ALFONSINE",
    "province": "RA"
  },
  "A192": {
    "municipe": "ALGHERO",
    "province": "SS"
  },
  "A193": {
    "municipe": "ALGUA",
    "province": "BG"
  },
  "A194": {
    "municipe": "ALI'",
    "province": "ME"
  },
  "A201": {
    "municipe": "ALI' TERME",
    "province": "ME"
  },
  "A195": {
    "municipe": "ALIA",
    "province": "PA"
  },
  "A196": {
    "municipe": "ALIANO",
    "province": "MT"
  },
  "A197": {
    "municipe": "ALICE BEL COLLE",
    "province": "AL"
  },
  "A198": {
    "municipe": "ALICE CASTELLO",
    "province": "VC"
  },
  "A200": {
    "municipe": "ALIFE",
    "province": "CE"
  },
  "A202": {
    "municipe": "ALIMENA",
    "province": "PA"
  },
  "A203": {
    "municipe": "ALIMINUSA",
    "province": "PA"
  },
  "A204": {
    "municipe": "ALLAI",
    "province": "OR"
  },
  "A206": {
    "municipe": "ALLEGHE",
    "province": "BL"
  },
  "A205": {
    "municipe": "ALLEIN",
    "province": "AO"
  },
  "A207": {
    "municipe": "ALLERONA",
    "province": "TR"
  },
  "A208": {
    "municipe": "ALLISTE",
    "province": "LE"
  },
  "A210": {
    "municipe": "ALLUMIERE",
    "province": "RM"
  },
  "M397": {
    "municipe": "ALLUVIONI PIOVERA",
    "province": "AL"
  },
  "A214": {
    "municipe": "ALME'",
    "province": "BG"
  },
  "A216": {
    "municipe": "ALMENNO SAN BARTOLOMEO",
    "province": "BG"
  },
  "A217": {
    "municipe": "ALMENNO SAN SALVATORE",
    "province": "BG"
  },
  "A218": {
    "municipe": "ALMESE",
    "province": "TO"
  },
  "A220": {
    "municipe": "ALONTE",
    "province": "VI"
  },
  "M375": {
    "municipe": "ALPAGO",
    "province": "BL"
  },
  "A221": {
    "municipe": "ALPETTE",
    "province": "TO"
  },
  "A222": {
    "municipe": "ALPIGNANO",
    "province": "TO"
  },
  "A223": {
    "municipe": "ALSENO",
    "province": "PC"
  },
  "A224": {
    "municipe": "ALSERIO",
    "province": "CO"
  },
  "M386": {
    "municipe": "ALTA VAL TIDONE",
    "province": "PC"
  },
  "M383": {
    "municipe": "ALTA VALLE INTELVI",
    "province": "CO"
  },
  "A225": {
    "municipe": "ALTAMURA",
    "province": "BA"
  },
  "A226": {
    "municipe": "ALTARE",
    "province": "SV"
  },
  "M349": {
    "municipe": "ALTAVALLE",
    "province": "TN"
  },
  "A228": {
    "municipe": "ALTAVILLA IRPINA",
    "province": "AV"
  },
  "A229": {
    "municipe": "ALTAVILLA MILICIA",
    "province": "PA"
  },
  "A227": {
    "municipe": "ALTAVILLA MONFERRATO",
    "province": "AL"
  },
  "A230": {
    "municipe": "ALTAVILLA SILENTINA",
    "province": "SA"
  },
  "A231": {
    "municipe": "ALTAVILLA VICENTINA",
    "province": "VI"
  },
  "A233": {
    "municipe": "ALTIDONA",
    "province": "FM"
  },
  "A234": {
    "municipe": "ALTILIA",
    "province": "CS"
  },
  "A235": {
    "municipe": "ALTINO",
    "province": "CH"
  },
  "A236": {
    "municipe": "ALTISSIMO",
    "province": "VI"
  },
  "A237": {
    "municipe": "ALTIVOLE",
    "province": "TV"
  },
  "A238": {
    "municipe": "ALTO",
    "province": "CN"
  },
  "M369": {
    "municipe": "ALTO RENO TERME",
    "province": "BO"
  },
  "M389": {
    "municipe": "ALTO SERMENZA",
    "province": "VC"
  },
  "A239": {
    "municipe": "ALTOFONTE",
    "province": "PA"
  },
  "A240": {
    "municipe": "ALTOMONTE",
    "province": "CS"
  },
  "A241": {
    "municipe": "ALTOPASCIO",
    "province": "LU"
  },
  "M350": {
    "municipe": "ALTOPIANO DELLA VIGOLANA",
    "province": "TN"
  },
  "A242": {
    "municipe": "ALVIANO",
    "province": "TR"
  },
  "A243": {
    "municipe": "ALVIGNANO",
    "province": "CE"
  },
  "A244": {
    "municipe": "ALVITO",
    "province": "FR"
  },
  "A246": {
    "municipe": "ALZANO LOMBARDO",
    "province": "BG"
  },
  "A245": {
    "municipe": "ALZANO SCRIVIA",
    "province": "AL"
  },
  "A249": {
    "municipe": "ALZATE BRIANZA",
    "province": "CO"
  },
  "A251": {
    "municipe": "AMALFI",
    "province": "SA"
  },
  "A252": {
    "municipe": "AMANDOLA",
    "province": "FM"
  },
  "A253": {
    "municipe": "AMANTEA",
    "province": "CS"
  },
  "A254": {
    "municipe": "AMARO",
    "province": "UD"
  },
  "A255": {
    "municipe": "AMARONI",
    "province": "CZ"
  },
  "A256": {
    "municipe": "AMASENO",
    "province": "FR"
  },
  "A257": {
    "municipe": "AMATO",
    "province": "CZ"
  },
  "A258": {
    "municipe": "AMATRICE",
    "province": "RI"
  },
  "A259": {
    "municipe": "AMBIVERE",
    "province": "BG"
  },
  "M351": {
    "municipe": "AMBLAR-DON",
    "province": "TN"
  },
  "A261": {
    "municipe": "AMEGLIA",
    "province": "SP"
  },
  "A262": {
    "municipe": "AMELIA",
    "province": "TR"
  },
  "A263": {
    "municipe": "AMENDOLARA",
    "province": "CS"
  },
  "A264": {
    "municipe": "AMENO",
    "province": "NO"
  },
  "A265": {
    "municipe": "AMOROSI",
    "province": "BN"
  },
  "A267": {
    "municipe": "AMPEZZO",
    "province": "UD"
  },
  "A268": {
    "municipe": "ANACAPRI",
    "province": "NA"
  },
  "A269": {
    "municipe": "ANAGNI",
    "province": "FR"
  },
  "A270": {
    "municipe": "ANCARANO",
    "province": "TE"
  },
  "A271": {
    "municipe": "ANCONA",
    "province": "AN"
  },
  "A272": {
    "municipe": "ANDALI",
    "province": "CZ"
  },
  "A274": {
    "municipe": "ANDALO",
    "province": "TN"
  },
  "A273": {
    "municipe": "ANDALO VALTELLINO",
    "province": "SO"
  },
  "A275": {
    "municipe": "ANDEZENO",
    "province": "TO"
  },
  "A278": {
    "municipe": "ANDORA",
    "province": "SV"
  },
  "A280": {
    "municipe": "ANDORNO MICCA",
    "province": "BI"
  },
  "A281": {
    "municipe": "ANDRANO",
    "province": "LE"
  },
  "A282": {
    "municipe": "ANDRATE",
    "province": "TO"
  },
  "A283": {
    "municipe": "ANDREIS",
    "province": "PN"
  },
  "A284": {
    "municipe": "ANDRETTA",
    "province": "AV"
  },
  "A285": {
    "municipe": "ANDRIA",
    "province": "BT"
  },
  "A286": {
    "municipe": "ANDRIANO/ANDRIAN",
    "province": "BZ"
  },
  "A287": {
    "municipe": "ANELA",
    "province": "SS"
  },
  "A288": {
    "municipe": "ANFO",
    "province": "BS"
  },
  "A290": {
    "municipe": "ANGERA",
    "province": "VA"
  },
  "A291": {
    "municipe": "ANGHIARI",
    "province": "AR"
  },
  "A292": {
    "municipe": "ANGIARI",
    "province": "VR"
  },
  "A293": {
    "municipe": "ANGOLO TERME",
    "province": "BS"
  },
  "A294": {
    "municipe": "ANGRI",
    "province": "SA"
  },
  "A295": {
    "municipe": "ANGROGNA",
    "province": "TO"
  },
  "A297": {
    "municipe": "ANGUILLARA SABAZIA",
    "province": "RM"
  },
  "A296": {
    "municipe": "ANGUILLARA VENETA",
    "province": "PD"
  },
  "A299": {
    "municipe": "ANNICCO",
    "province": "CR"
  },
  "A301": {
    "municipe": "ANNONE DI BRIANZA",
    "province": "LC"
  },
  "A302": {
    "municipe": "ANNONE VENETO",
    "province": "VE"
  },
  "A303": {
    "municipe": "ANOIA",
    "province": "RC"
  },
  "A304": {
    "municipe": "ANTEGNATE",
    "province": "BG"
  },
  "A306": {
    "municipe": "ANTERIVO/ALTREI",
    "province": "BZ"
  },
  "A305": {
    "municipe": "ANTEY-SAINT-ANDRE'",
    "province": "AO"
  },
  "A309": {
    "municipe": "ANTICOLI CORRADO",
    "province": "RM"
  },
  "A312": {
    "municipe": "ANTIGNANO",
    "province": "AT"
  },
  "A313": {
    "municipe": "ANTILLO",
    "province": "ME"
  },
  "A314": {
    "municipe": "ANTONIMINA",
    "province": "RC"
  },
  "A315": {
    "municipe": "ANTRODOCO",
    "province": "RI"
  },
  "A317": {
    "municipe": "ANTRONA SCHIERANCO",
    "province": "VB"
  },
  "A318": {
    "municipe": "ANVERSA DEGLI ABRUZZI",
    "province": "AQ"
  },
  "A319": {
    "municipe": "ANZANO DEL PARCO",
    "province": "CO"
  },
  "A320": {
    "municipe": "ANZANO DI PUGLIA",
    "province": "FG"
  },
  "A321": {
    "municipe": "ANZI",
    "province": "PZ"
  },
  "A323": {
    "municipe": "ANZIO",
    "province": "RM"
  },
  "A325": {
    "municipe": "ANZOLA D'OSSOLA",
    "province": "VB"
  },
  "A324": {
    "municipe": "ANZOLA DELL'EMILIA",
    "province": "BO"
  },
  "A326": {
    "municipe": "AOSTA",
    "province": "AO"
  },
  "A327": {
    "municipe": "APECCHIO",
    "province": "PU"
  },
  "A328": {
    "municipe": "APICE",
    "province": "BN"
  },
  "A329": {
    "municipe": "APIRO",
    "province": "MC"
  },
  "A330": {
    "municipe": "APOLLOSA",
    "province": "BN"
  },
  "A333": {
    "municipe": "APPIANO GENTILE",
    "province": "CO"
  },
  "A332": {
    "municipe": "APPIANO SULLA STRADA DEL VINO/EPPAN AN DER WEINSTRASSE",
    "province": "BZ"
  },
  "A334": {
    "municipe": "APPIGNANO",
    "province": "MC"
  },
  "A335": {
    "municipe": "APPIGNANO DEL TRONTO",
    "province": "AP"
  },
  "A337": {
    "municipe": "APRICA",
    "province": "SO"
  },
  "A338": {
    "municipe": "APRICALE",
    "province": "IM"
  },
  "A339": {
    "municipe": "APRICENA",
    "province": "FG"
  },
  "A340": {
    "municipe": "APRIGLIANO",
    "province": "CS"
  },
  "A341": {
    "municipe": "APRILIA",
    "province": "LT"
  },
  "A343": {
    "municipe": "AQUARA",
    "province": "SA"
  },
  "A344": {
    "municipe": "AQUILA D'ARROSCIA",
    "province": "IM"
  },
  "A346": {
    "municipe": "AQUILEIA",
    "province": "UD"
  },
  "A347": {
    "municipe": "AQUILONIA",
    "province": "AV"
  },
  "A348": {
    "municipe": "AQUINO",
    "province": "FR"
  },
  "A350": {
    "municipe": "ARADEO",
    "province": "LE"
  },
  "A351": {
    "municipe": "ARAGONA",
    "province": "AG"
  },
  "A352": {
    "municipe": "ARAMENGO",
    "province": "AT"
  },
  "A354": {
    "municipe": "ARBA",
    "province": "PN"
  },
  "A357": {
    "municipe": "ARBOREA",
    "province": "OR"
  },
  "A358": {
    "municipe": "ARBORIO",
    "province": "VC"
  },
  "A359": {
    "municipe": "ARBUS",
    "province": "SU"
  },
  "A360": {
    "municipe": "ARCADE",
    "province": "TV"
  },
  "A363": {
    "municipe": "ARCE",
    "province": "FR"
  },
  "A365": {
    "municipe": "ARCENE",
    "province": "BG"
  },
  "A366": {
    "municipe": "ARCEVIA",
    "province": "AN"
  },
  "A367": {
    "municipe": "ARCHI",
    "province": "CH"
  },
  "A369": {
    "municipe": "ARCIDOSSO",
    "province": "GR"
  },
  "A370": {
    "municipe": "ARCINAZZO ROMANO",
    "province": "RM"
  },
  "A371": {
    "municipe": "ARCISATE",
    "province": "VA"
  },
  "A372": {
    "municipe": "ARCO",
    "province": "TN"
  },
  "A373": {
    "municipe": "ARCOLA",
    "province": "SP"
  },
  "A374": {
    "municipe": "ARCOLE",
    "province": "VR"
  },
  "A375": {
    "municipe": "ARCONATE",
    "province": "MI"
  },
  "A376": {
    "municipe": "ARCORE",
    "province": "MB"
  },
  "A377": {
    "municipe": "ARCUGNANO",
    "province": "VI"
  },
  "A379": {
    "municipe": "ARDARA",
    "province": "SS"
  },
  "A380": {
    "municipe": "ARDAULI",
    "province": "OR"
  },
  "M213": {
    "municipe": "ARDEA",
    "province": "RM"
  },
  "A382": {
    "municipe": "ARDENNO",
    "province": "SO"
  },
  "A383": {
    "municipe": "ARDESIO",
    "province": "BG"
  },
  "A385": {
    "municipe": "ARDORE",
    "province": "RC"
  },
  "A386": {
    "municipe": "ARENA",
    "province": "VV"
  },
  "A387": {
    "municipe": "ARENA PO",
    "province": "PV"
  },
  "A388": {
    "municipe": "ARENZANO",
    "province": "GE"
  },
  "A389": {
    "municipe": "ARESE",
    "province": "MI"
  },
  "A390": {
    "municipe": "AREZZO",
    "province": "AR"
  },
  "A391": {
    "municipe": "ARGEGNO",
    "province": "CO"
  },
  "A392": {
    "municipe": "ARGELATO",
    "province": "BO"
  },
  "A393": {
    "municipe": "ARGENTA",
    "province": "FE"
  },
  "A394": {
    "municipe": "ARGENTERA",
    "province": "CN"
  },
  "A396": {
    "municipe": "ARGUELLO",
    "province": "CN"
  },
  "A397": {
    "municipe": "ARGUSTO",
    "province": "CZ"
  },
  "A398": {
    "municipe": "ARI",
    "province": "CH"
  },
  "A399": {
    "municipe": "ARIANO IRPINO",
    "province": "AV"
  },
  "A400": {
    "municipe": "ARIANO NEL POLESINE",
    "province": "RO"
  },
  "A401": {
    "municipe": "ARICCIA",
    "province": "RM"
  },
  "A402": {
    "municipe": "ARIELLI",
    "province": "CH"
  },
  "A403": {
    "municipe": "ARIENZO",
    "province": "CE"
  },
  "A405": {
    "municipe": "ARIGNANO",
    "province": "TO"
  },
  "A407": {
    "municipe": "ARITZO",
    "province": "NU"
  },
  "A409": {
    "municipe": "ARIZZANO",
    "province": "VB"
  },
  "A412": {
    "municipe": "ARLENA DI CASTRO",
    "province": "VT"
  },
  "A413": {
    "municipe": "ARLUNO",
    "province": "MI"
  },
  "A414": {
    "municipe": "ARMENO",
    "province": "NO"
  },
  "A415": {
    "municipe": "ARMENTO",
    "province": "PZ"
  },
  "A418": {
    "municipe": "ARMO",
    "province": "IM"
  },
  "A419": {
    "municipe": "ARMUNGIA",
    "province": "SU"
  },
  "A424": {
    "municipe": "ARNAD",
    "province": "AO"
  },
  "A421": {
    "municipe": "ARNARA",
    "province": "FR"
  },
  "A422": {
    "municipe": "ARNASCO",
    "province": "SV"
  },
  "A425": {
    "municipe": "ARNESANO",
    "province": "LE"
  },
  "A427": {
    "municipe": "AROLA",
    "province": "VB"
  },
  "A429": {
    "municipe": "ARONA",
    "province": "NO"
  },
  "A430": {
    "municipe": "AROSIO",
    "province": "CO"
  },
  "A431": {
    "municipe": "ARPAIA",
    "province": "BN"
  },
  "A432": {
    "municipe": "ARPAISE",
    "province": "BN"
  },
  "A433": {
    "municipe": "ARPINO",
    "province": "FR"
  },
  "A434": {
    "municipe": "ARQUA' PETRARCA",
    "province": "PD"
  },
  "A435": {
    "municipe": "ARQUA' POLESINE",
    "province": "RO"
  },
  "A437": {
    "municipe": "ARQUATA DEL TRONTO",
    "province": "AP"
  },
  "A436": {
    "municipe": "ARQUATA SCRIVIA",
    "province": "AL"
  },
  "A438": {
    "municipe": "ARRE",
    "province": "PD"
  },
  "A439": {
    "municipe": "ARRONE",
    "province": "TR"
  },
  "A441": {
    "municipe": "ARSAGO SEPRIO",
    "province": "VA"
  },
  "A443": {
    "municipe": "ARSIE'",
    "province": "BL"
  },
  "A444": {
    "municipe": "ARSIERO",
    "province": "VI"
  },
  "A445": {
    "municipe": "ARSITA",
    "province": "TE"
  },
  "A446": {
    "municipe": "ARSOLI",
    "province": "RM"
  },
  "A447": {
    "municipe": "ARTA TERME",
    "province": "UD"
  },
  "A448": {
    "municipe": "ARTEGNA",
    "province": "UD"
  },
  "A449": {
    "municipe": "ARTENA",
    "province": "RM"
  },
  "A451": {
    "municipe": "ARTOGNE",
    "province": "BS"
  },
  "A452": {
    "municipe": "ARVIER",
    "province": "AO"
  },
  "A453": {
    "municipe": "ARZACHENA",
    "province": "SS"
  },
  "A440": {
    "municipe": "ARZAGO D'ADDA",
    "province": "BG"
  },
  "A454": {
    "municipe": "ARZANA",
    "province": "NU"
  },
  "A455": {
    "municipe": "ARZANO",
    "province": "NA"
  },
  "A458": {
    "municipe": "ARZERGRANDE",
    "province": "PD"
  },
  "A459": {
    "municipe": "ARZIGNANO",
    "province": "VI"
  },
  "A460": {
    "municipe": "ASCEA",
    "province": "SA"
  },
  "A461": {
    "municipe": "ASCIANO",
    "province": "SI"
  },
  "A462": {
    "municipe": "ASCOLI PICENO",
    "province": "AP"
  },
  "A463": {
    "municipe": "ASCOLI SATRIANO",
    "province": "FG"
  },
  "A464": {
    "municipe": "ASCREA",
    "province": "RI"
  },
  "A465": {
    "municipe": "ASIAGO",
    "province": "VI"
  },
  "A467": {
    "municipe": "ASIGLIANO VENETO",
    "province": "VI"
  },
  "A466": {
    "municipe": "ASIGLIANO VERCELLESE",
    "province": "VC"
  },
  "A470": {
    "municipe": "ASOLA",
    "province": "MN"
  },
  "A471": {
    "municipe": "ASOLO",
    "province": "TV"
  },
  "A473": {
    "municipe": "ASSAGO",
    "province": "MI"
  },
  "A474": {
    "municipe": "ASSEMINI",
    "province": "CA"
  },
  "A475": {
    "municipe": "ASSISI",
    "province": "PG"
  },
  "A476": {
    "municipe": "ASSO",
    "province": "CO"
  },
  "A477": {
    "municipe": "ASSOLO",
    "province": "OR"
  },
  "A478": {
    "municipe": "ASSORO",
    "province": "EN"
  },
  "A479": {
    "municipe": "ASTI",
    "province": "AT"
  },
  "A480": {
    "municipe": "ASUNI",
    "province": "OR"
  },
  "A481": {
    "municipe": "ATELETA",
    "province": "AQ"
  },
  "A482": {
    "municipe": "ATELLA",
    "province": "PZ"
  },
  "A484": {
    "municipe": "ATENA LUCANA",
    "province": "SA"
  },
  "A485": {
    "municipe": "ATESSA",
    "province": "CH"
  },
  "A486": {
    "municipe": "ATINA",
    "province": "FR"
  },
  "A487": {
    "municipe": "ATRANI",
    "province": "SA"
  },
  "A488": {
    "municipe": "ATRI",
    "province": "TE"
  },
  "A489": {
    "municipe": "ATRIPALDA",
    "province": "AV"
  },
  "A490": {
    "municipe": "ATTIGLIANO",
    "province": "TR"
  },
  "A491": {
    "municipe": "ATTIMIS",
    "province": "UD"
  },
  "A492": {
    "municipe": "ATZARA",
    "province": "NU"
  },
  "A494": {
    "municipe": "AUGUSTA",
    "province": "SR"
  },
  "A495": {
    "municipe": "AULETTA",
    "province": "SA"
  },
  "A496": {
    "municipe": "AULLA",
    "province": "MS"
  },
  "A497": {
    "municipe": "AURANO",
    "province": "VB"
  },
  "A499": {
    "municipe": "AURIGO",
    "province": "IM"
  },
  "A501": {
    "municipe": "AURONZO DI CADORE",
    "province": "BL"
  },
  "A502": {
    "municipe": "AUSONIA",
    "province": "FR"
  },
  "A503": {
    "municipe": "AUSTIS",
    "province": "NU"
  },
  "A506": {
    "municipe": "AVEGNO",
    "province": "GE"
  },
  "A507": {
    "municipe": "AVELENGO/HAFLING",
    "province": "BZ"
  },
  "A508": {
    "municipe": "AVELLA",
    "province": "AV"
  },
  "A509": {
    "municipe": "AVELLINO",
    "province": "AV"
  },
  "A511": {
    "municipe": "AVERARA",
    "province": "BG"
  },
  "A512": {
    "municipe": "AVERSA",
    "province": "CE"
  },
  "A514": {
    "municipe": "AVETRANA",
    "province": "TA"
  },
  "A515": {
    "municipe": "AVEZZANO",
    "province": "AQ"
  },
  "A516": {
    "municipe": "AVIANO",
    "province": "PN"
  },
  "A517": {
    "municipe": "AVIATICO",
    "province": "BG"
  },
  "A518": {
    "municipe": "AVIGLIANA",
    "province": "TO"
  },
  "A519": {
    "municipe": "AVIGLIANO",
    "province": "PZ"
  },
  "M258": {
    "municipe": "AVIGLIANO UMBRO",
    "province": "TR"
  },
  "A520": {
    "municipe": "AVIO",
    "province": "TN"
  },
  "A521": {
    "municipe": "AVISE",
    "province": "AO"
  },
  "A522": {
    "municipe": "AVOLA",
    "province": "SR"
  },
  "A523": {
    "municipe": "AVOLASCA",
    "province": "AL"
  },
  "A094": {
    "municipe": "AYAS",
    "province": "AO"
  },
  "A108": {
    "municipe": "AYMAVILLES",
    "province": "AO"
  },
  "A525": {
    "municipe": "AZEGLIO",
    "province": "TO"
  },
  "A526": {
    "municipe": "AZZANELLO",
    "province": "CR"
  },
  "A527": {
    "municipe": "AZZANO D'ASTI",
    "province": "AT"
  },
  "A530": {
    "municipe": "AZZANO DECIMO",
    "province": "PN"
  },
  "A529": {
    "municipe": "AZZANO MELLA",
    "province": "BS"
  },
  "A528": {
    "municipe": "AZZANO SAN PAOLO",
    "province": "BG"
  },
  "A531": {
    "municipe": "AZZATE",
    "province": "VA"
  },
  "A532": {
    "municipe": "AZZIO",
    "province": "VA"
  },
  "A533": {
    "municipe": "AZZONE",
    "province": "BG"
  },
  "A534": {
    "municipe": "BACENO",
    "province": "VB"
  },
  "A535": {
    "municipe": "BACOLI",
    "province": "NA"
  },
  "A536": {
    "municipe": "BADALUCCO",
    "province": "IM"
  },
  "M214": {
    "municipe": "BADESI",
    "province": "SS"
  },
  "A540": {
    "municipe": "BADIA CALAVENA",
    "province": "VR"
  },
  "A538": {
    "municipe": "BADIA PAVESE",
    "province": "PV"
  },
  "A539": {
    "municipe": "BADIA POLESINE",
    "province": "RO"
  },
  "A541": {
    "municipe": "BADIA TEDALDA",
    "province": "AR"
  },
  "A537": {
    "municipe": "BADIA/ABTEI",
    "province": "BZ"
  },
  "A542": {
    "municipe": "BADOLATO",
    "province": "CZ"
  },
  "A544": {
    "municipe": "BAGALADI",
    "province": "RC"
  },
  "A546": {
    "municipe": "BAGHERIA",
    "province": "PA"
  },
  "A547": {
    "municipe": "BAGNACAVALLO",
    "province": "RA"
  },
  "A552": {
    "municipe": "BAGNARA CALABRA",
    "province": "RC"
  },
  "A551": {
    "municipe": "BAGNARA DI ROMAGNA",
    "province": "RA"
  },
  "A550": {
    "municipe": "BAGNARIA",
    "province": "PV"
  },
  "A553": {
    "municipe": "BAGNARIA ARSA",
    "province": "UD"
  },
  "A555": {
    "municipe": "BAGNASCO",
    "province": "CN"
  },
  "A557": {
    "municipe": "BAGNATICA",
    "province": "BG"
  },
  "A560": {
    "municipe": "BAGNI DI LUCCA",
    "province": "LU"
  },
  "A564": {
    "municipe": "BAGNO A RIPOLI",
    "province": "FI"
  },
  "A565": {
    "municipe": "BAGNO DI ROMAGNA",
    "province": "FC"
  },
  "A567": {
    "municipe": "BAGNOLI DEL TRIGNO",
    "province": "IS"
  },
  "A568": {
    "municipe": "BAGNOLI DI SOPRA",
    "province": "PD"
  },
  "A566": {
    "municipe": "BAGNOLI IRPINO",
    "province": "AV"
  },
  "A570": {
    "municipe": "BAGNOLO CREMASCO",
    "province": "CR"
  },
  "A572": {
    "municipe": "BAGNOLO DEL SALENTO",
    "province": "LE"
  },
  "A574": {
    "municipe": "BAGNOLO DI PO",
    "province": "RO"
  },
  "A573": {
    "municipe": "BAGNOLO IN PIANO",
    "province": "RE"
  },
  "A569": {
    "municipe": "BAGNOLO MELLA",
    "province": "BS"
  },
  "A571": {
    "municipe": "BAGNOLO PIEMONTE",
    "province": "CN"
  },
  "A575": {
    "municipe": "BAGNOLO SAN VITO",
    "province": "MN"
  },
  "A576": {
    "municipe": "BAGNONE",
    "province": "MS"
  },
  "A577": {
    "municipe": "BAGNOREGIO",
    "province": "VT"
  },
  "A578": {
    "municipe": "BAGOLINO",
    "province": "BS"
  },
  "A579": {
    "municipe": "BAIA E LATINA",
    "province": "CE"
  },
  "A580": {
    "municipe": "BAIANO",
    "province": "AV"
  },
  "A584": {
    "municipe": "BAIRO",
    "province": "TO"
  },
  "A586": {
    "municipe": "BAISO",
    "province": "RE"
  },
  "A581": {
    "municipe": "BAJARDO",
    "province": "IM"
  },
  "A587": {
    "municipe": "BALANGERO",
    "province": "TO"
  },
  "A588": {
    "municipe": "BALDICHIERI D'ASTI",
    "province": "AT"
  },
  "A590": {
    "municipe": "BALDISSERO CANAVESE",
    "province": "TO"
  },
  "A589": {
    "municipe": "BALDISSERO D'ALBA",
    "province": "CN"
  },
  "A591": {
    "municipe": "BALDISSERO TORINESE",
    "province": "TO"
  },
  "A592": {
    "municipe": "BALESTRATE",
    "province": "PA"
  },
  "A593": {
    "municipe": "BALESTRINO",
    "province": "SV"
  },
  "A594": {
    "municipe": "BALLABIO",
    "province": "LC"
  },
  "A597": {
    "municipe": "BALLAO",
    "province": "SU"
  },
  "A599": {
    "municipe": "BALME",
    "province": "TO"
  },
  "A600": {
    "municipe": "BALMUCCIA",
    "province": "VC"
  },
  "A601": {
    "municipe": "BALOCCO",
    "province": "VC"
  },
  "A603": {
    "municipe": "BALSORANO",
    "province": "AQ"
  },
  "A604": {
    "municipe": "BALVANO",
    "province": "PZ"
  },
  "A605": {
    "municipe": "BALZOLA",
    "province": "AL"
  },
  "A606": {
    "municipe": "BANARI",
    "province": "SS"
  },
  "A607": {
    "municipe": "BANCHETTE",
    "province": "TO"
  },
  "A610": {
    "municipe": "BANNIO ANZINO",
    "province": "VB"
  },
  "A612": {
    "municipe": "BANZI",
    "province": "PZ"
  },
  "A613": {
    "municipe": "BAONE",
    "province": "PD"
  },
  "A614": {
    "municipe": "BARADILI",
    "province": "OR"
  },
  "A615": {
    "municipe": "BARAGIANO",
    "province": "PZ"
  },
  "A616": {
    "municipe": "BARANELLO",
    "province": "CB"
  },
  "A617": {
    "municipe": "BARANO D'ISCHIA",
    "province": "NA"
  },
  "A618": {
    "municipe": "BARANZATE",
    "province": "MI"
  },
  "A619": {
    "municipe": "BARASSO",
    "province": "VA"
  },
  "A621": {
    "municipe": "BARATILI SAN PIETRO",
    "province": "OR"
  },
  "A625": {
    "municipe": "BARBANIA",
    "province": "TO"
  },
  "A626": {
    "municipe": "BARBARA",
    "province": "AN"
  },
  "M401": {
    "municipe": "BARBARANO MOSSANO",
    "province": "VI"
  },
  "A628": {
    "municipe": "BARBARANO ROMANO",
    "province": "VT"
  },
  "A629": {
    "municipe": "BARBARESCO",
    "province": "CN"
  },
  "A630": {
    "municipe": "BARBARIGA",
    "province": "BS"
  },
  "A631": {
    "municipe": "BARBATA",
    "province": "BG"
  },
  "A632": {
    "municipe": "BARBERINO DI MUGELLO",
    "province": "FI"
  },
  "M408": {
    "municipe": "BARBERINO TAVARNELLE",
    "province": "FI"
  },
  "A634": {
    "municipe": "BARBIANELLO",
    "province": "PV"
  },
  "A635": {
    "municipe": "BARBIANO/BARBIAN",
    "province": "BZ"
  },
  "A637": {
    "municipe": "BARBONA",
    "province": "PD"
  },
  "A638": {
    "municipe": "BARCELLONA POZZO DI GOTTO",
    "province": "ME"
  },
  "A640": {
    "municipe": "BARCIS",
    "province": "PN"
  },
  "A643": {
    "municipe": "BARD",
    "province": "AO"
  },
  "A645": {
    "municipe": "BARDELLO",
    "province": "VA"
  },
  "A646": {
    "municipe": "BARDI",
    "province": "PR"
  },
  "A647": {
    "municipe": "BARDINETO",
    "province": "SV"
  },
  "A650": {
    "municipe": "BARDOLINO",
    "province": "VR"
  },
  "A651": {
    "municipe": "BARDONECCHIA",
    "province": "TO"
  },
  "A652": {
    "municipe": "BAREGGIO",
    "province": "MI"
  },
  "A653": {
    "municipe": "BARENGO",
    "province": "NO"
  },
  "A655": {
    "municipe": "BARESSA",
    "province": "OR"
  },
  "A656": {
    "municipe": "BARETE",
    "province": "AQ"
  },
  "A657": {
    "municipe": "BARGA",
    "province": "LU"
  },
  "A658": {
    "municipe": "BARGAGLI",
    "province": "GE"
  },
  "A660": {
    "municipe": "BARGE",
    "province": "CN"
  },
  "A661": {
    "municipe": "BARGHE",
    "province": "BS"
  },
  "A662": {
    "municipe": "BARI",
    "province": "BA"
  },
  "A663": {
    "municipe": "BARI SARDO",
    "province": "NU"
  },
  "A664": {
    "municipe": "BARIANO",
    "province": "BG"
  },
  "A665": {
    "municipe": "BARICELLA",
    "province": "BO"
  },
  "A666": {
    "municipe": "BARILE",
    "province": "PZ"
  },
  "A667": {
    "municipe": "BARISCIANO",
    "province": "AQ"
  },
  "A668": {
    "municipe": "BARLASSINA",
    "province": "MB"
  },
  "A669": {
    "municipe": "BARLETTA",
    "province": "BT"
  },
  "A670": {
    "municipe": "BARNI",
    "province": "CO"
  },
  "A671": {
    "municipe": "BAROLO",
    "province": "CN"
  },
  "A673": {
    "municipe": "BARONE CANAVESE",
    "province": "TO"
  },
  "A674": {
    "municipe": "BARONISSI",
    "province": "SA"
  },
  "A676": {
    "municipe": "BARRAFRANCA",
    "province": "EN"
  },
  "A677": {
    "municipe": "BARRALI",
    "province": "SU"
  },
  "A678": {
    "municipe": "BARREA",
    "province": "AQ"
  },
  "A681": {
    "municipe": "BARUMINI",
    "province": "SU"
  },
  "A683": {
    "municipe": "BARZAGO",
    "province": "LC"
  },
  "A684": {
    "municipe": "BARZANA",
    "province": "BG"
  },
  "A686": {
    "municipe": "BARZANO'",
    "province": "LC"
  },
  "A687": {
    "municipe": "BARZIO",
    "province": "LC"
  },
  "A689": {
    "municipe": "BASALUZZO",
    "province": "AL"
  },
  "A690": {
    "municipe": "BASCAPE'",
    "province": "PV"
  },
  "A691": {
    "municipe": "BASCHI",
    "province": "TR"
  },
  "A692": {
    "municipe": "BASCIANO",
    "province": "TE"
  },
  "A694": {
    "municipe": "BASELGA DI PINE'",
    "province": "TN"
  },
  "A696": {
    "municipe": "BASELICE",
    "province": "BN"
  },
  "A697": {
    "municipe": "BASIANO",
    "province": "MI"
  },
  "A698": {
    "municipe": "BASICO'",
    "province": "ME"
  },
  "A699": {
    "municipe": "BASIGLIO",
    "province": "MI"
  },
  "A700": {
    "municipe": "BASILIANO",
    "province": "UD"
  },
  "A702": {
    "municipe": "BASSANO BRESCIANO",
    "province": "BS"
  },
  "A703": {
    "municipe": "BASSANO DEL GRAPPA",
    "province": "VI"
  },
  "A706": {
    "municipe": "BASSANO IN TEVERINA",
    "province": "VT"
  },
  "A704": {
    "municipe": "BASSANO ROMANO",
    "province": "VT"
  },
  "A707": {
    "municipe": "BASSIANO",
    "province": "LT"
  },
  "A708": {
    "municipe": "BASSIGNANA",
    "province": "AL"
  },
  "A709": {
    "municipe": "BASTIA MONDOVI'",
    "province": "CN"
  },
  "A710": {
    "municipe": "BASTIA UMBRA",
    "province": "PG"
  },
  "A712": {
    "municipe": "BASTIDA PANCARANA",
    "province": "PV"
  },
  "A713": {
    "municipe": "BASTIGLIA",
    "province": "MO"
  },
  "A714": {
    "municipe": "BATTAGLIA TERME",
    "province": "PD"
  },
  "A716": {
    "municipe": "BATTIFOLLO",
    "province": "CN"
  },
  "A717": {
    "municipe": "BATTIPAGLIA",
    "province": "SA"
  },
  "A718": {
    "municipe": "BATTUDA",
    "province": "PV"
  },
  "A719": {
    "municipe": "BAUCINA",
    "province": "PA"
  },
  "A721": {
    "municipe": "BAULADU",
    "province": "OR"
  },
  "A722": {
    "municipe": "BAUNEI",
    "province": "NU"
  },
  "A725": {
    "municipe": "BAVENO",
    "province": "VB"
  },
  "A728": {
    "municipe": "BEDERO VALCUVIA",
    "province": "VA"
  },
  "A729": {
    "municipe": "BEDIZZOLE",
    "province": "BS"
  },
  "A730": {
    "municipe": "BEDOLLO",
    "province": "TN"
  },
  "A731": {
    "municipe": "BEDONIA",
    "province": "PR"
  },
  "A732": {
    "municipe": "BEDULITA",
    "province": "BG"
  },
  "A733": {
    "municipe": "BEE",
    "province": "VB"
  },
  "A734": {
    "municipe": "BEINASCO",
    "province": "TO"
  },
  "A735": {
    "municipe": "BEINETTE",
    "province": "CN"
  },
  "A736": {
    "municipe": "BELCASTRO",
    "province": "CZ"
  },
  "A737": {
    "municipe": "BELFIORE",
    "province": "VR"
  },
  "A740": {
    "municipe": "BELFORTE ALL'ISAURO",
    "province": "PU"
  },
  "A739": {
    "municipe": "BELFORTE DEL CHIENTI",
    "province": "MC"
  },
  "A738": {
    "municipe": "BELFORTE MONFERRATO",
    "province": "AL"
  },
  "A741": {
    "municipe": "BELGIOIOSO",
    "province": "PV"
  },
  "A742": {
    "municipe": "BELGIRATE",
    "province": "VB"
  },
  "A743": {
    "municipe": "BELLA",
    "province": "PZ"
  },
  "M335": {
    "municipe": "BELLAGIO",
    "province": "CO"
  },
  "A745": {
    "municipe": "BELLANO",
    "province": "LC"
  },
  "A746": {
    "municipe": "BELLANTE",
    "province": "TE"
  },
  "A747": {
    "municipe": "BELLARIA-IGEA MARINA",
    "province": "RN"
  },
  "A749": {
    "municipe": "BELLEGRA",
    "province": "RM"
  },
  "A750": {
    "municipe": "BELLINO",
    "province": "CN"
  },
  "A751": {
    "municipe": "BELLINZAGO LOMBARDO",
    "province": "MI"
  },
  "A752": {
    "municipe": "BELLINZAGO NOVARESE",
    "province": "NO"
  },
  "M294": {
    "municipe": "BELLIZZI",
    "province": "SA"
  },
  "A755": {
    "municipe": "BELLONA",
    "province": "CE"
  },
  "A756": {
    "municipe": "BELLOSGUARDO",
    "province": "SA"
  },
  "A757": {
    "municipe": "BELLUNO",
    "province": "BL"
  },
  "A759": {
    "municipe": "BELLUSCO",
    "province": "MB"
  },
  "A762": {
    "municipe": "BELMONTE CALABRO",
    "province": "CS"
  },
  "A763": {
    "municipe": "BELMONTE CASTELLO",
    "province": "FR"
  },
  "A761": {
    "municipe": "BELMONTE DEL SANNIO",
    "province": "IS"
  },
  "A765": {
    "municipe": "BELMONTE IN SABINA",
    "province": "RI"
  },
  "A764": {
    "municipe": "BELMONTE MEZZAGNO",
    "province": "PA"
  },
  "A760": {
    "municipe": "BELMONTE PICENO",
    "province": "FM"
  },
  "A766": {
    "municipe": "BELPASSO",
    "province": "CT"
  },
  "A768": {
    "municipe": "BELSITO",
    "province": "CS"
  },
  "A772": {
    "municipe": "BELVEDERE DI SPINELLO",
    "province": "KR"
  },
  "A774": {
    "municipe": "BELVEDERE LANGHE",
    "province": "CN"
  },
  "A773": {
    "municipe": "BELVEDERE MARITTIMO",
    "province": "CS"
  },
  "A769": {
    "municipe": "BELVEDERE OSTRENSE",
    "province": "AN"
  },
  "A770": {
    "municipe": "BELVEGLIO",
    "province": "AT"
  },
  "A776": {
    "municipe": "BELVI'",
    "province": "NU"
  },
  "A777": {
    "municipe": "BEMA",
    "province": "SO"
  },
  "A778": {
    "municipe": "BENE LARIO",
    "province": "CO"
  },
  "A779": {
    "municipe": "BENE VAGIENNA",
    "province": "CN"
  },
  "A780": {
    "municipe": "BENESTARE",
    "province": "RC"
  },
  "A781": {
    "municipe": "BENETUTTI",
    "province": "SS"
  },
  "A782": {
    "municipe": "BENEVELLO",
    "province": "CN"
  },
  "A783": {
    "municipe": "BENEVENTO",
    "province": "BN"
  },
  "A784": {
    "municipe": "BENNA",
    "province": "BI"
  },
  "A785": {
    "municipe": "BENTIVOGLIO",
    "province": "BO"
  },
  "A786": {
    "municipe": "BERBENNO",
    "province": "BG"
  },
  "A787": {
    "municipe": "BERBENNO DI VALTELLINA",
    "province": "SO"
  },
  "A788": {
    "municipe": "BERCETO",
    "province": "PR"
  },
  "A789": {
    "municipe": "BERCHIDDA",
    "province": "SS"
  },
  "A791": {
    "municipe": "BEREGAZZO CON FIGLIARO",
    "province": "CO"
  },
  "A792": {
    "municipe": "BEREGUARDO",
    "province": "PV"
  },
  "A793": {
    "municipe": "BERGAMASCO",
    "province": "AL"
  },
  "A794": {
    "municipe": "BERGAMO",
    "province": "BG"
  },
  "A795": {
    "municipe": "BERGANTINO",
    "province": "RO"
  },
  "A796": {
    "municipe": "BERGEGGI",
    "province": "SV"
  },
  "A798": {
    "municipe": "BERGOLO",
    "province": "CN"
  },
  "A799": {
    "municipe": "BERLINGO",
    "province": "BS"
  },
  "A801": {
    "municipe": "BERNALDA",
    "province": "MT"
  },
  "A802": {
    "municipe": "BERNAREGGIO",
    "province": "MB"
  },
  "A804": {
    "municipe": "BERNATE TICINO",
    "province": "MI"
  },
  "A805": {
    "municipe": "BERNEZZO",
    "province": "CN"
  },
  "A809": {
    "municipe": "BERTINORO",
    "province": "FC"
  },
  "A810": {
    "municipe": "BERTIOLO",
    "province": "UD"
  },
  "A811": {
    "municipe": "BERTONICO",
    "province": "LO"
  },
  "A812": {
    "municipe": "BERZANO DI SAN PIETRO",
    "province": "AT"
  },
  "A813": {
    "municipe": "BERZANO DI TORTONA",
    "province": "AL"
  },
  "A816": {
    "municipe": "BERZO DEMO",
    "province": "BS"
  },
  "A817": {
    "municipe": "BERZO INFERIORE",
    "province": "BS"
  },
  "A815": {
    "municipe": "BERZO SAN FERMO",
    "province": "BG"
  },
  "A818": {
    "municipe": "BESANA IN BRIANZA",
    "province": "MB"
  },
  "A819": {
    "municipe": "BESANO",
    "province": "VA"
  },
  "A820": {
    "municipe": "BESATE",
    "province": "MI"
  },
  "A821": {
    "municipe": "BESENELLO",
    "province": "TN"
  },
  "A823": {
    "municipe": "BESENZONE",
    "province": "PC"
  },
  "A825": {
    "municipe": "BESNATE",
    "province": "VA"
  },
  "A826": {
    "municipe": "BESOZZO",
    "province": "VA"
  },
  "A827": {
    "municipe": "BESSUDE",
    "province": "SS"
  },
  "A831": {
    "municipe": "BETTOLA",
    "province": "PC"
  },
  "A832": {
    "municipe": "BETTONA",
    "province": "PG"
  },
  "A834": {
    "municipe": "BEURA-CARDEZZA",
    "province": "VB"
  },
  "A835": {
    "municipe": "BEVAGNA",
    "province": "PG"
  },
  "A836": {
    "municipe": "BEVERINO",
    "province": "SP"
  },
  "A837": {
    "municipe": "BEVILACQUA",
    "province": "VR"
  },
  "A841": {
    "municipe": "BIANCAVILLA",
    "province": "CT"
  },
  "A842": {
    "municipe": "BIANCHI",
    "province": "CS"
  },
  "A843": {
    "municipe": "BIANCO",
    "province": "RC"
  },
  "A844": {
    "municipe": "BIANDRATE",
    "province": "NO"
  },
  "A845": {
    "municipe": "BIANDRONNO",
    "province": "VA"
  },
  "A846": {
    "municipe": "BIANZANO",
    "province": "BG"
  },
  "A847": {
    "municipe": "BIANZE'",
    "province": "VC"
  },
  "A848": {
    "municipe": "BIANZONE",
    "province": "SO"
  },
  "A849": {
    "municipe": "BIASSONO",
    "province": "MB"
  },
  "A850": {
    "municipe": "BIBBIANO",
    "province": "RE"
  },
  "A851": {
    "municipe": "BIBBIENA",
    "province": "AR"
  },
  "A852": {
    "municipe": "BIBBONA",
    "province": "LI"
  },
  "A853": {
    "municipe": "BIBIANA",
    "province": "TO"
  },
  "A854": {
    "municipe": "BICCARI",
    "province": "FG"
  },
  "A855": {
    "municipe": "BICINICCO",
    "province": "UD"
  },
  "A856": {
    "municipe": "BIDONI'",
    "province": "OR"
  },
  "A859": {
    "municipe": "BIELLA",
    "province": "BI"
  },
  "A861": {
    "municipe": "BIENNO",
    "province": "BS"
  },
  "A863": {
    "municipe": "BIENO",
    "province": "TN"
  },
  "A864": {
    "municipe": "BIENTINA",
    "province": "PI"
  },
  "A870": {
    "municipe": "BINAGO",
    "province": "CO"
  },
  "A872": {
    "municipe": "BINASCO",
    "province": "MI"
  },
  "A874": {
    "municipe": "BINETTO",
    "province": "BA"
  },
  "A876": {
    "municipe": "BIOGLIO",
    "province": "BI"
  },
  "A877": {
    "municipe": "BIONAZ",
    "province": "AO"
  },
  "A878": {
    "municipe": "BIONE",
    "province": "BS"
  },
  "A880": {
    "municipe": "BIRORI",
    "province": "NU"
  },
  "A881": {
    "municipe": "BISACCIA",
    "province": "AV"
  },
  "A882": {
    "municipe": "BISACQUINO",
    "province": "PA"
  },
  "A883": {
    "municipe": "BISCEGLIE",
    "province": "BT"
  },
  "A884": {
    "municipe": "BISEGNA",
    "province": "AQ"
  },
  "A885": {
    "municipe": "BISENTI",
    "province": "TE"
  },
  "A887": {
    "municipe": "BISIGNANO",
    "province": "CS"
  },
  "A889": {
    "municipe": "BISTAGNO",
    "province": "AL"
  },
  "A891": {
    "municipe": "BISUSCHIO",
    "province": "VA"
  },
  "A892": {
    "municipe": "BITETTO",
    "province": "BA"
  },
  "A893": {
    "municipe": "BITONTO",
    "province": "BA"
  },
  "A894": {
    "municipe": "BITRITTO",
    "province": "BA"
  },
  "A895": {
    "municipe": "BITTI",
    "province": "NU"
  },
  "A896": {
    "municipe": "BIVONA",
    "province": "AG"
  },
  "A897": {
    "municipe": "BIVONGI",
    "province": "RC"
  },
  "A898": {
    "municipe": "BIZZARONE",
    "province": "CO"
  },
  "A902": {
    "municipe": "BLEGGIO SUPERIORE",
    "province": "TN"
  },
  "A903": {
    "municipe": "BLELLO",
    "province": "BG"
  },
  "A857": {
    "municipe": "BLERA",
    "province": "VT"
  },
  "A904": {
    "municipe": "BLESSAGNO",
    "province": "CO"
  },
  "A905": {
    "municipe": "BLEVIO",
    "province": "CO"
  },
  "M268": {
    "municipe": "BLUFI",
    "province": "PA"
  },
  "A906": {
    "municipe": "BOARA PISANI",
    "province": "PD"
  },
  "A909": {
    "municipe": "BOBBIO",
    "province": "PC"
  },
  "A910": {
    "municipe": "BOBBIO PELLICE",
    "province": "TO"
  },
  "A911": {
    "municipe": "BOCA",
    "province": "NO"
  },
  "A912": {
    "municipe": "BOCCHIGLIERO",
    "province": "CS"
  },
  "A914": {
    "municipe": "BOCCIOLETO",
    "province": "VC"
  },
  "A916": {
    "municipe": "BOCENAGO",
    "province": "TN"
  },
  "A918": {
    "municipe": "BODIO LOMNAGO",
    "province": "VA"
  },
  "A919": {
    "municipe": "BOFFALORA D'ADDA",
    "province": "LO"
  },
  "A920": {
    "municipe": "BOFFALORA SOPRA TICINO",
    "province": "MI"
  },
  "A922": {
    "municipe": "BOGLIASCO",
    "province": "GE"
  },
  "A925": {
    "municipe": "BOGNANCO",
    "province": "VB"
  },
  "A929": {
    "municipe": "BOGOGNO",
    "province": "NO"
  },
  "A931": {
    "municipe": "BOISSANO",
    "province": "SV"
  },
  "A930": {
    "municipe": "BOJANO",
    "province": "CB"
  },
  "A932": {
    "municipe": "BOLANO",
    "province": "SP"
  },
  "A937": {
    "municipe": "BOLGARE",
    "province": "BG"
  },
  "A940": {
    "municipe": "BOLLATE",
    "province": "MI"
  },
  "A941": {
    "municipe": "BOLLENGO",
    "province": "TO"
  },
  "A944": {
    "municipe": "BOLOGNA",
    "province": "BO"
  },
  "A945": {
    "municipe": "BOLOGNANO",
    "province": "PE"
  },
  "A946": {
    "municipe": "BOLOGNETTA",
    "province": "PA"
  },
  "A947": {
    "municipe": "BOLOGNOLA",
    "province": "MC"
  },
  "A948": {
    "municipe": "BOLOTANA",
    "province": "NU"
  },
  "A949": {
    "municipe": "BOLSENA",
    "province": "VT"
  },
  "A950": {
    "municipe": "BOLTIERE",
    "province": "BG"
  },
  "A953": {
    "municipe": "BOLZANO NOVARESE",
    "province": "NO"
  },
  "A954": {
    "municipe": "BOLZANO VICENTINO",
    "province": "VI"
  },
  "A952": {
    "municipe": "BOLZANO/BOZEN",
    "province": "BZ"
  },
  "A955": {
    "municipe": "BOMARZO",
    "province": "VT"
  },
  "A956": {
    "municipe": "BOMBA",
    "province": "CH"
  },
  "A957": {
    "municipe": "BOMPENSIERE",
    "province": "CL"
  },
  "A958": {
    "municipe": "BOMPIETRO",
    "province": "PA"
  },
  "A959": {
    "municipe": "BOMPORTO",
    "province": "MO"
  },
  "A960": {
    "municipe": "BONARCADO",
    "province": "OR"
  },
  "A961": {
    "municipe": "BONASSOLA",
    "province": "SP"
  },
  "A963": {
    "municipe": "BONATE SOPRA",
    "province": "BG"
  },
  "A962": {
    "municipe": "BONATE SOTTO",
    "province": "BG"
  },
  "A964": {
    "municipe": "BONAVIGO",
    "province": "VR"
  },
  "A965": {
    "municipe": "BONDENO",
    "province": "FE"
  },
  "A968": {
    "municipe": "BONDONE",
    "province": "TN"
  },
  "A970": {
    "municipe": "BONEA",
    "province": "BN"
  },
  "A971": {
    "municipe": "BONEFRO",
    "province": "CB"
  },
  "A972": {
    "municipe": "BONEMERSE",
    "province": "CR"
  },
  "A973": {
    "municipe": "BONIFATI",
    "province": "CS"
  },
  "A975": {
    "municipe": "BONITO",
    "province": "AV"
  },
  "A976": {
    "municipe": "BONNANARO",
    "province": "SS"
  },
  "A977": {
    "municipe": "BONO",
    "province": "SS"
  },
  "A978": {
    "municipe": "BONORVA",
    "province": "SS"
  },
  "A979": {
    "municipe": "BONVICINO",
    "province": "CN"
  },
  "A981": {
    "municipe": "BORBONA",
    "province": "RI"
  },
  "A982": {
    "municipe": "BORCA DI CADORE",
    "province": "BL"
  },
  "A983": {
    "municipe": "BORDANO",
    "province": "UD"
  },
  "A984": {
    "municipe": "BORDIGHERA",
    "province": "IM"
  },
  "A986": {
    "municipe": "BORDOLANO",
    "province": "CR"
  },
  "A987": {
    "municipe": "BORE",
    "province": "PR"
  },
  "A988": {
    "municipe": "BORETTO",
    "province": "RE"
  },
  "A989": {
    "municipe": "BORGARELLO",
    "province": "PV"
  },
  "A990": {
    "municipe": "BORGARO TORINESE",
    "province": "TO"
  },
  "A991": {
    "municipe": "BORGETTO",
    "province": "PA"
  },
  "A993": {
    "municipe": "BORGHETTO D'ARROSCIA",
    "province": "IM"
  },
  "A998": {
    "municipe": "BORGHETTO DI BORBERA",
    "province": "AL"
  },
  "A992": {
    "municipe": "BORGHETTO DI VARA",
    "province": "SP"
  },
  "A995": {
    "municipe": "BORGHETTO LODIGIANO",
    "province": "LO"
  },
  "A999": {
    "municipe": "BORGHETTO SANTO SPIRITO",
    "province": "SV"
  },
  "B001": {
    "municipe": "BORGHI",
    "province": "FC"
  },
  "B002": {
    "municipe": "BORGIA",
    "province": "CZ"
  },
  "B003": {
    "municipe": "BORGIALLO",
    "province": "TO"
  },
  "B005": {
    "municipe": "BORGIO VEREZZI",
    "province": "SV"
  },
  "B007": {
    "municipe": "BORGO A MOZZANO",
    "province": "LU"
  },
  "M352": {
    "municipe": "BORGO CHIESE",
    "province": "TN"
  },
  "B009": {
    "municipe": "BORGO D'ALE",
    "province": "VC"
  },
  "M429": {
    "municipe": "BORGO D'ANAUNIA",
    "province": "TN"
  },
  "B010": {
    "municipe": "BORGO DI TERZO",
    "province": "BG"
  },
  "M353": {
    "municipe": "BORGO LARES",
    "province": "TN"
  },
  "M396": {
    "municipe": "BORGO MANTOVANO",
    "province": "MN"
  },
  "B026": {
    "municipe": "BORGO PACE",
    "province": "PU"
  },
  "B028": {
    "municipe": "BORGO PRIOLO",
    "province": "PV"
  },
  "B033": {
    "municipe": "BORGO SAN DALMAZZO",
    "province": "CN"
  },
  "B035": {
    "municipe": "BORGO SAN GIACOMO",
    "province": "BS"
  },
  "B017": {
    "municipe": "BORGO SAN GIOVANNI",
    "province": "LO"
  },
  "B036": {
    "municipe": "BORGO SAN LORENZO",
    "province": "FI"
  },
  "B037": {
    "municipe": "BORGO SAN MARTINO",
    "province": "AL"
  },
  "B038": {
    "municipe": "BORGO SAN SIRO",
    "province": "PV"
  },
  "B043": {
    "municipe": "BORGO TICINO",
    "province": "NO"
  },
  "B044": {
    "municipe": "BORGO TOSSIGNANO",
    "province": "BO"
  },
  "B042": {
    "municipe": "BORGO VAL DI TARO",
    "province": "PR"
  },
  "M421": {
    "municipe": "BORGO VALBELLUNA",
    "province": "BL"
  },
  "B006": {
    "municipe": "BORGO VALSUGANA",
    "province": "TN"
  },
  "A996": {
    "municipe": "BORGO VELINO",
    "province": "RI"
  },
  "M402": {
    "municipe": "BORGO VENETO",
    "province": "PD"
  },
  "B046": {
    "municipe": "BORGO VERCELLI",
    "province": "VC"
  },
  "M340": {
    "municipe": "BORGO VIRGILIO",
    "province": "MN"
  },
  "M406": {
    "municipe": "BORGOCARBONARA",
    "province": "MN"
  },
  "B015": {
    "municipe": "BORGOFRANCO D'IVREA",
    "province": "TO"
  },
  "B016": {
    "municipe": "BORGOLAVEZZARO",
    "province": "NO"
  },
  "B018": {
    "municipe": "BORGOMALE",
    "province": "CN"
  },
  "B019": {
    "municipe": "BORGOMANERO",
    "province": "NO"
  },
  "B020": {
    "municipe": "BORGOMARO",
    "province": "IM"
  },
  "B021": {
    "municipe": "BORGOMASINO",
    "province": "TO"
  },
  "M370": {
    "municipe": "BORGOMEZZAVALLE",
    "province": "VB"
  },
  "B024": {
    "municipe": "BORGONE SUSA",
    "province": "TO"
  },
  "B025": {
    "municipe": "BORGONOVO VAL TIDONE",
    "province": "PC"
  },
  "B029": {
    "municipe": "BORGORATTO ALESSANDRINO",
    "province": "AL"
  },
  "B030": {
    "municipe": "BORGORATTO MORMOROLO",
    "province": "PV"
  },
  "B031": {
    "municipe": "BORGORICCO",
    "province": "PD"
  },
  "B008": {
    "municipe": "BORGOROSE",
    "province": "RI"
  },
  "B040": {
    "municipe": "BORGOSATOLLO",
    "province": "BS"
  },
  "B041": {
    "municipe": "BORGOSESIA",
    "province": "VC"
  },
  "B048": {
    "municipe": "BORMIDA",
    "province": "SV"
  },
  "B049": {
    "municipe": "BORMIO",
    "province": "SO"
  },
  "B051": {
    "municipe": "BORNASCO",
    "province": "PV"
  },
  "B054": {
    "municipe": "BORNO",
    "province": "BS"
  },
  "B055": {
    "municipe": "BORONEDDU",
    "province": "OR"
  },
  "B056": {
    "municipe": "BORORE",
    "province": "NU"
  },
  "B057": {
    "municipe": "BORRELLO",
    "province": "CH"
  },
  "B058": {
    "municipe": "BORRIANA",
    "province": "BI"
  },
  "B061": {
    "municipe": "BORSO DEL GRAPPA",
    "province": "TV"
  },
  "B062": {
    "municipe": "BORTIGALI",
    "province": "NU"
  },
  "B063": {
    "municipe": "BORTIGIADAS",
    "province": "SS"
  },
  "B064": {
    "municipe": "BORUTTA",
    "province": "SS"
  },
  "B067": {
    "municipe": "BORZONASCA",
    "province": "GE"
  },
  "B068": {
    "municipe": "BOSA",
    "province": "OR"
  },
  "B069": {
    "municipe": "BOSARO",
    "province": "RO"
  },
  "B070": {
    "municipe": "BOSCHI SANT'ANNA",
    "province": "VR"
  },
  "B073": {
    "municipe": "BOSCO CHIESANUOVA",
    "province": "VR"
  },
  "B071": {
    "municipe": "BOSCO MARENGO",
    "province": "AL"
  },
  "B075": {
    "municipe": "BOSCONERO",
    "province": "TO"
  },
  "B076": {
    "municipe": "BOSCOREALE",
    "province": "NA"
  },
  "B077": {
    "municipe": "BOSCOTRECASE",
    "province": "NA"
  },
  "B079": {
    "municipe": "BOSIA",
    "province": "CN"
  },
  "B080": {
    "municipe": "BOSIO",
    "province": "AL"
  },
  "B081": {
    "municipe": "BOSISIO PARINI",
    "province": "LC"
  },
  "B082": {
    "municipe": "BOSNASCO",
    "province": "PV"
  },
  "B083": {
    "municipe": "BOSSICO",
    "province": "BG"
  },
  "B084": {
    "municipe": "BOSSOLASCO",
    "province": "CN"
  },
  "B085": {
    "municipe": "BOTRICELLO",
    "province": "CZ"
  },
  "B086": {
    "municipe": "BOTRUGNO",
    "province": "LE"
  },
  "B088": {
    "municipe": "BOTTANUCO",
    "province": "BG"
  },
  "B091": {
    "municipe": "BOTTICINO",
    "province": "BS"
  },
  "B094": {
    "municipe": "BOTTIDDA",
    "province": "SS"
  },
  "B097": {
    "municipe": "BOVA",
    "province": "RC"
  },
  "B099": {
    "municipe": "BOVA MARINA",
    "province": "RC"
  },
  "B098": {
    "municipe": "BOVALINO",
    "province": "RC"
  },
  "B100": {
    "municipe": "BOVEGNO",
    "province": "BS"
  },
  "B101": {
    "municipe": "BOVES",
    "province": "CN"
  },
  "B102": {
    "municipe": "BOVEZZO",
    "province": "BS"
  },
  "A720": {
    "municipe": "BOVILLE ERNICA",
    "province": "FR"
  },
  "B104": {
    "municipe": "BOVINO",
    "province": "FG"
  },
  "B105": {
    "municipe": "BOVISIO-MASCIAGO",
    "province": "MB"
  },
  "B106": {
    "municipe": "BOVOLENTA",
    "province": "PD"
  },
  "B107": {
    "municipe": "BOVOLONE",
    "province": "VR"
  },
  "B109": {
    "municipe": "BOZZOLE",
    "province": "AL"
  },
  "B110": {
    "municipe": "BOZZOLO",
    "province": "MN"
  },
  "B111": {
    "municipe": "BRA",
    "province": "CN"
  },
  "B112": {
    "municipe": "BRACCA",
    "province": "BG"
  },
  "B114": {
    "municipe": "BRACCIANO",
    "province": "RM"
  },
  "B115": {
    "municipe": "BRACIGLIANO",
    "province": "SA"
  },
  "B116": {
    "municipe": "BRAIES/PRAGS",
    "province": "BZ"
  },
  "B117": {
    "municipe": "BRALLO DI PREGOLA",
    "province": "PV"
  },
  "B118": {
    "municipe": "BRANCALEONE",
    "province": "RC"
  },
  "B120": {
    "municipe": "BRANDICO",
    "province": "BS"
  },
  "B121": {
    "municipe": "BRANDIZZO",
    "province": "TO"
  },
  "B123": {
    "municipe": "BRANZI",
    "province": "BG"
  },
  "B124": {
    "municipe": "BRAONE",
    "province": "BS"
  },
  "B126": {
    "municipe": "BREBBIA",
    "province": "VA"
  },
  "B128": {
    "municipe": "BREDA DI PIAVE",
    "province": "TV"
  },
  "B131": {
    "municipe": "BREGANO",
    "province": "VA"
  },
  "B132": {
    "municipe": "BREGANZE",
    "province": "VI"
  },
  "B134": {
    "municipe": "BREGNANO",
    "province": "CO"
  },
  "B137": {
    "municipe": "BREMBATE",
    "province": "BG"
  },
  "B138": {
    "municipe": "BREMBATE DI SOPRA",
    "province": "BG"
  },
  "B141": {
    "municipe": "BREMBIO",
    "province": "LO"
  },
  "B142": {
    "municipe": "BREME",
    "province": "PV"
  },
  "B143": {
    "municipe": "BRENDOLA",
    "province": "VI"
  },
  "B144": {
    "municipe": "BRENNA",
    "province": "CO"
  },
  "B145": {
    "municipe": "BRENNERO/BRENNER",
    "province": "BZ"
  },
  "B149": {
    "municipe": "BRENO",
    "province": "BS"
  },
  "B150": {
    "municipe": "BRENTA",
    "province": "VA"
  },
  "B152": {
    "municipe": "BRENTINO BELLUNO",
    "province": "VR"
  },
  "B153": {
    "municipe": "BRENTONICO",
    "province": "TN"
  },
  "B154": {
    "municipe": "BRENZONE SUL GARDA",
    "province": "VR"
  },
  "B156": {
    "municipe": "BRESCELLO",
    "province": "RE"
  },
  "B157": {
    "municipe": "BRESCIA",
    "province": "BS"
  },
  "B158": {
    "municipe": "BRESIMO",
    "province": "TN"
  },
  "B159": {
    "municipe": "BRESSANA BOTTARONE",
    "province": "PV"
  },
  "B160": {
    "municipe": "BRESSANONE/BRIXEN",
    "province": "BZ"
  },
  "B161": {
    "municipe": "BRESSANVIDO",
    "province": "VI"
  },
  "B162": {
    "municipe": "BRESSO",
    "province": "MI"
  },
  "B166": {
    "municipe": "BREZZO DI BEDERO",
    "province": "VA"
  },
  "B167": {
    "municipe": "BRIAGLIA",
    "province": "CN"
  },
  "B169": {
    "municipe": "BRIATICO",
    "province": "VV"
  },
  "B171": {
    "municipe": "BRICHERASIO",
    "province": "TO"
  },
  "B172": {
    "municipe": "BRIENNO",
    "province": "CO"
  },
  "B173": {
    "municipe": "BRIENZA",
    "province": "PZ"
  },
  "B175": {
    "municipe": "BRIGA ALTA",
    "province": "CN"
  },
  "B176": {
    "municipe": "BRIGA NOVARESE",
    "province": "NO"
  },
  "B179": {
    "municipe": "BRIGNANO FRASCATA",
    "province": "AL"
  },
  "B178": {
    "municipe": "BRIGNANO GERA D'ADDA",
    "province": "BG"
  },
  "B180": {
    "municipe": "BRINDISI",
    "province": "BR"
  },
  "B181": {
    "municipe": "BRINDISI MONTAGNA",
    "province": "PZ"
  },
  "B182": {
    "municipe": "BRINZIO",
    "province": "VA"
  },
  "B183": {
    "municipe": "BRIONA",
    "province": "NO"
  },
  "B184": {
    "municipe": "BRIONE",
    "province": "BS"
  },
  "B187": {
    "municipe": "BRIOSCO",
    "province": "MB"
  },
  "B188": {
    "municipe": "BRISIGHELLA",
    "province": "RA"
  },
  "B191": {
    "municipe": "BRISSAGO-VALTRAVAGLIA",
    "province": "VA"
  },
  "B192": {
    "municipe": "BRISSOGNE",
    "province": "AO"
  },
  "B193": {
    "municipe": "BRITTOLI",
    "province": "PE"
  },
  "B194": {
    "municipe": "BRIVIO",
    "province": "LC"
  },
  "B195": {
    "municipe": "BROCCOSTELLA",
    "province": "FR"
  },
  "B196": {
    "municipe": "BROGLIANO",
    "province": "VI"
  },
  "B197": {
    "municipe": "BROGNATURO",
    "province": "VV"
  },
  "B198": {
    "municipe": "BROLO",
    "province": "ME"
  },
  "B200": {
    "municipe": "BRONDELLO",
    "province": "CN"
  },
  "B201": {
    "municipe": "BRONI",
    "province": "PV"
  },
  "B202": {
    "municipe": "BRONTE",
    "province": "CT"
  },
  "B203": {
    "municipe": "BRONZOLO/BRANZOLL",
    "province": "BZ"
  },
  "B204": {
    "municipe": "BROSSASCO",
    "province": "CN"
  },
  "B205": {
    "municipe": "BROSSO",
    "province": "TO"
  },
  "B207": {
    "municipe": "BROVELLO-CARPUGNINO",
    "province": "VB"
  },
  "B209": {
    "municipe": "BROZOLO",
    "province": "TO"
  },
  "B212": {
    "municipe": "BRUGHERIO",
    "province": "MB"
  },
  "B213": {
    "municipe": "BRUGINE",
    "province": "PD"
  },
  "B214": {
    "municipe": "BRUGNATO",
    "province": "SP"
  },
  "B215": {
    "municipe": "BRUGNERA",
    "province": "PN"
  },
  "B216": {
    "municipe": "BRUINO",
    "province": "TO"
  },
  "B217": {
    "municipe": "BRUMANO",
    "province": "BG"
  },
  "B218": {
    "municipe": "BRUNATE",
    "province": "CO"
  },
  "B219": {
    "municipe": "BRUNELLO",
    "province": "VA"
  },
  "B220": {
    "municipe": "BRUNICO/BRUNECK",
    "province": "BZ"
  },
  "B221": {
    "municipe": "BRUNO",
    "province": "AT"
  },
  "B223": {
    "municipe": "BRUSAPORTO",
    "province": "BG"
  },
  "B225": {
    "municipe": "BRUSASCO",
    "province": "TO"
  },
  "B227": {
    "municipe": "BRUSCIANO",
    "province": "NA"
  },
  "B228": {
    "municipe": "BRUSIMPIANO",
    "province": "VA"
  },
  "B229": {
    "municipe": "BRUSNENGO",
    "province": "BI"
  },
  "B230": {
    "municipe": "BRUSSON",
    "province": "AO"
  },
  "B232": {
    "municipe": "BRUZOLO",
    "province": "TO"
  },
  "B234": {
    "municipe": "BRUZZANO ZEFFIRIO",
    "province": "RC"
  },
  "B235": {
    "municipe": "BUBBIANO",
    "province": "MI"
  },
  "B236": {
    "municipe": "BUBBIO",
    "province": "AT"
  },
  "B237": {
    "municipe": "BUCCHERI",
    "province": "SR"
  },
  "B238": {
    "municipe": "BUCCHIANICO",
    "province": "CH"
  },
  "B239": {
    "municipe": "BUCCIANO",
    "province": "BN"
  },
  "B240": {
    "municipe": "BUCCINASCO",
    "province": "MI"
  },
  "B242": {
    "municipe": "BUCCINO",
    "province": "SA"
  },
  "B243": {
    "municipe": "BUCINE",
    "province": "AR"
  },
  "B246": {
    "municipe": "BUDDUSO'",
    "province": "SS"
  },
  "B247": {
    "municipe": "BUDOIA",
    "province": "PN"
  },
  "B248": {
    "municipe": "BUDONI",
    "province": "SS"
  },
  "B249": {
    "municipe": "BUDRIO",
    "province": "BO"
  },
  "B250": {
    "municipe": "BUGGERRU",
    "province": "SU"
  },
  "B251": {
    "municipe": "BUGGIANO",
    "province": "PT"
  },
  "B255": {
    "municipe": "BUGLIO IN MONTE",
    "province": "SO"
  },
  "B256": {
    "municipe": "BUGNARA",
    "province": "AQ"
  },
  "B258": {
    "municipe": "BUGUGGIATE",
    "province": "VA"
  },
  "B259": {
    "municipe": "BUJA",
    "province": "UD"
  },
  "B261": {
    "municipe": "BULCIAGO",
    "province": "LC"
  },
  "B262": {
    "municipe": "BULGAROGRASSO",
    "province": "CO"
  },
  "B264": {
    "municipe": "BULTEI",
    "province": "SS"
  },
  "B265": {
    "municipe": "BULZI",
    "province": "SS"
  },
  "B266": {
    "municipe": "BUONABITACOLO",
    "province": "SA"
  },
  "B267": {
    "municipe": "BUONALBERGO",
    "province": "BN"
  },
  "B269": {
    "municipe": "BUONCONVENTO",
    "province": "SI"
  },
  "B270": {
    "municipe": "BUONVICINO",
    "province": "CS"
  },
  "B272": {
    "municipe": "BURAGO DI MOLGORA",
    "province": "MB"
  },
  "B274": {
    "municipe": "BURCEI",
    "province": "SU"
  },
  "B275": {
    "municipe": "BURGIO",
    "province": "AG"
  },
  "B276": {
    "municipe": "BURGOS",
    "province": "SS"
  },
  "B278": {
    "municipe": "BURIASCO",
    "province": "TO"
  },
  "B279": {
    "municipe": "BUROLO",
    "province": "TO"
  },
  "B280": {
    "municipe": "BURONZO",
    "province": "VC"
  },
  "B281": {
    "municipe": "BUSACHI",
    "province": "OR"
  },
  "B282": {
    "municipe": "BUSALLA",
    "province": "GE"
  },
  "B284": {
    "municipe": "BUSANO",
    "province": "TO"
  },
  "B285": {
    "municipe": "BUSCA",
    "province": "CN"
  },
  "B286": {
    "municipe": "BUSCATE",
    "province": "MI"
  },
  "B287": {
    "municipe": "BUSCEMI",
    "province": "SR"
  },
  "B288": {
    "municipe": "BUSETO PALIZZOLO",
    "province": "TP"
  },
  "B289": {
    "municipe": "BUSNAGO",
    "province": "MB"
  },
  "B292": {
    "municipe": "BUSSERO",
    "province": "MI"
  },
  "B293": {
    "municipe": "BUSSETO",
    "province": "PR"
  },
  "B294": {
    "municipe": "BUSSI SUL TIRINO",
    "province": "PE"
  },
  "B295": {
    "municipe": "BUSSO",
    "province": "CB"
  },
  "B296": {
    "municipe": "BUSSOLENGO",
    "province": "VR"
  },
  "B297": {
    "municipe": "BUSSOLENO",
    "province": "TO"
  },
  "B300": {
    "municipe": "BUSTO ARSIZIO",
    "province": "VA"
  },
  "B301": {
    "municipe": "BUSTO GAROLFO",
    "province": "MI"
  },
  "B302": {
    "municipe": "BUTERA",
    "province": "CL"
  },
  "B303": {
    "municipe": "BUTI",
    "province": "PI"
  },
  "B304": {
    "municipe": "BUTTAPIETRA",
    "province": "VR"
  },
  "B305": {
    "municipe": "BUTTIGLIERA ALTA",
    "province": "TO"
  },
  "B306": {
    "municipe": "BUTTIGLIERA D'ASTI",
    "province": "AT"
  },
  "B309": {
    "municipe": "BUTTRIO",
    "province": "UD"
  },
  "B311": {
    "municipe": "CABELLA LIGURE",
    "province": "AL"
  },
  "B313": {
    "municipe": "CABIATE",
    "province": "CO"
  },
  "B314": {
    "municipe": "CABRAS",
    "province": "OR"
  },
  "B315": {
    "municipe": "CACCAMO",
    "province": "PA"
  },
  "B319": {
    "municipe": "CACCURI",
    "province": "KR"
  },
  "B326": {
    "municipe": "CADEGLIANO-VICONAGO",
    "province": "VA"
  },
  "B328": {
    "municipe": "CADELBOSCO DI SOPRA",
    "province": "RE"
  },
  "B332": {
    "municipe": "CADEO",
    "province": "PC"
  },
  "B335": {
    "municipe": "CADERZONE TERME",
    "province": "TN"
  },
  "B345": {
    "municipe": "CADONEGHE",
    "province": "PD"
  },
  "B346": {
    "municipe": "CADORAGO",
    "province": "CO"
  },
  "M425": {
    "municipe": "CADREZZATE CON OSMATE",
    "province": "VA"
  },
  "B349": {
    "municipe": "CAERANO DI SAN MARCO",
    "province": "TV"
  },
  "B350": {
    "municipe": "CAFASSE",
    "province": "TO"
  },
  "B351": {
    "municipe": "CAGGIANO",
    "province": "SA"
  },
  "B352": {
    "municipe": "CAGLI",
    "province": "PU"
  },
  "B354": {
    "municipe": "CAGLIARI",
    "province": "CA"
  },
  "B355": {
    "municipe": "CAGLIO",
    "province": "CO"
  },
  "B358": {
    "municipe": "CAGNANO AMITERNO",
    "province": "AQ"
  },
  "B357": {
    "municipe": "CAGNANO VARANO",
    "province": "FG"
  },
  "B361": {
    "municipe": "CAIANELLO",
    "province": "CE"
  },
  "B362": {
    "municipe": "CAIAZZO",
    "province": "CE"
  },
  "B364": {
    "municipe": "CAINES/KUENS",
    "province": "BZ"
  },
  "B365": {
    "municipe": "CAINO",
    "province": "BS"
  },
  "B366": {
    "municipe": "CAIOLO",
    "province": "SO"
  },
  "B367": {
    "municipe": "CAIRANO",
    "province": "AV"
  },
  "B368": {
    "municipe": "CAIRATE",
    "province": "VA"
  },
  "B369": {
    "municipe": "CAIRO MONTENOTTE",
    "province": "SV"
  },
  "B371": {
    "municipe": "CAIVANO",
    "province": "NA"
  },
  "B374": {
    "municipe": "CALABRITTO",
    "province": "AV"
  },
  "B375": {
    "municipe": "CALALZO DI CADORE",
    "province": "BL"
  },
  "B376": {
    "municipe": "CALAMANDRANA",
    "province": "AT"
  },
  "B377": {
    "municipe": "CALAMONACI",
    "province": "AG"
  },
  "B378": {
    "municipe": "CALANGIANUS",
    "province": "SS"
  },
  "B379": {
    "municipe": "CALANNA",
    "province": "RC"
  },
  "B380": {
    "municipe": "CALASCA-CASTIGLIONE",
    "province": "VB"
  },
  "B381": {
    "municipe": "CALASCIBETTA",
    "province": "EN"
  },
  "B382": {
    "municipe": "CALASCIO",
    "province": "AQ"
  },
  "B383": {
    "municipe": "CALASETTA",
    "province": "SU"
  },
  "B384": {
    "municipe": "CALATABIANO",
    "province": "CT"
  },
  "B385": {
    "municipe": "CALATAFIMI SEGESTA",
    "province": "TP"
  },
  "B388": {
    "municipe": "CALCATA",
    "province": "VT"
  },
  "B389": {
    "municipe": "CALCERANICA AL LAGO",
    "province": "TN"
  },
  "B390": {
    "municipe": "CALCI",
    "province": "PI"
  },
  "B391": {
    "municipe": "CALCIANO",
    "province": "MT"
  },
  "B392": {
    "municipe": "CALCINAIA",
    "province": "PI"
  },
  "B393": {
    "municipe": "CALCINATE",
    "province": "BG"
  },
  "B394": {
    "municipe": "CALCINATO",
    "province": "BS"
  },
  "B395": {
    "municipe": "CALCIO",
    "province": "BG"
  },
  "B396": {
    "municipe": "CALCO",
    "province": "LC"
  },
  "B397": {
    "municipe": "CALDARO SULLA STRADA DEL VINO/KALTERN AN DER WEINSTRASSE",
    "province": "BZ"
  },
  "B398": {
    "municipe": "CALDAROLA",
    "province": "MC"
  },
  "B399": {
    "municipe": "CALDERARA DI RENO",
    "province": "BO"
  },
  "B400": {
    "municipe": "CALDES",
    "province": "TN"
  },
  "B402": {
    "municipe": "CALDIERO",
    "province": "VR"
  },
  "B403": {
    "municipe": "CALDOGNO",
    "province": "VI"
  },
  "B404": {
    "municipe": "CALDONAZZO",
    "province": "TN"
  },
  "B405": {
    "municipe": "CALENDASCO",
    "province": "PC"
  },
  "B406": {
    "municipe": "CALENZANO",
    "province": "FI"
  },
  "B408": {
    "municipe": "CALESTANO",
    "province": "PR"
  },
  "B410": {
    "municipe": "CALICE AL CORNOVIGLIO",
    "province": "SP"
  },
  "B409": {
    "municipe": "CALICE LIGURE",
    "province": "SV"
  },
  "B413": {
    "municipe": "CALIMERA",
    "province": "LE"
  },
  "B415": {
    "municipe": "CALITRI",
    "province": "AV"
  },
  "B416": {
    "municipe": "CALIZZANO",
    "province": "SV"
  },
  "B417": {
    "municipe": "CALLABIANA",
    "province": "BI"
  },
  "B418": {
    "municipe": "CALLIANO",
    "province": "AT"
  },
  "B419": {
    "municipe": "CALLIANO",
    "province": "TN"
  },
  "B423": {
    "municipe": "CALOLZIOCORTE",
    "province": "LC"
  },
  "B424": {
    "municipe": "CALOPEZZATI",
    "province": "CS"
  },
  "B425": {
    "municipe": "CALOSSO",
    "province": "AT"
  },
  "B426": {
    "municipe": "CALOVETO",
    "province": "CS"
  },
  "B427": {
    "municipe": "CALTABELLOTTA",
    "province": "AG"
  },
  "B428": {
    "municipe": "CALTAGIRONE",
    "province": "CT"
  },
  "B429": {
    "municipe": "CALTANISSETTA",
    "province": "CL"
  },
  "B430": {
    "municipe": "CALTAVUTURO",
    "province": "PA"
  },
  "B431": {
    "municipe": "CALTIGNAGA",
    "province": "NO"
  },
  "B432": {
    "municipe": "CALTO",
    "province": "RO"
  },
  "B433": {
    "municipe": "CALTRANO",
    "province": "VI"
  },
  "B434": {
    "municipe": "CALUSCO D'ADDA",
    "province": "BG"
  },
  "B435": {
    "municipe": "CALUSO",
    "province": "TO"
  },
  "B436": {
    "municipe": "CALVAGESE DELLA RIVIERA",
    "province": "BS"
  },
  "B437": {
    "municipe": "CALVANICO",
    "province": "SA"
  },
  "B439": {
    "municipe": "CALVATONE",
    "province": "CR"
  },
  "B440": {
    "municipe": "CALVELLO",
    "province": "PZ"
  },
  "B441": {
    "municipe": "CALVENE",
    "province": "VI"
  },
  "B442": {
    "municipe": "CALVENZANO",
    "province": "BG"
  },
  "B443": {
    "municipe": "CALVERA",
    "province": "PZ"
  },
  "B444": {
    "municipe": "CALVI",
    "province": "BN"
  },
  "B446": {
    "municipe": "CALVI DELL'UMBRIA",
    "province": "TR"
  },
  "B445": {
    "municipe": "CALVI RISORTA",
    "province": "CE"
  },
  "B447": {
    "municipe": "CALVIGNANO",
    "province": "PV"
  },
  "B448": {
    "municipe": "CALVIGNASCO",
    "province": "MI"
  },
  "B450": {
    "municipe": "CALVISANO",
    "province": "BS"
  },
  "B452": {
    "municipe": "CALVIZZANO",
    "province": "NA"
  },
  "B453": {
    "municipe": "CAMAGNA MONFERRATO",
    "province": "AL"
  },
  "B455": {
    "municipe": "CAMAIORE",
    "province": "LU"
  },
  "B457": {
    "municipe": "CAMANDONA",
    "province": "BI"
  },
  "B460": {
    "municipe": "CAMASTRA",
    "province": "AG"
  },
  "B461": {
    "municipe": "CAMBIAGO",
    "province": "MI"
  },
  "B462": {
    "municipe": "CAMBIANO",
    "province": "TO"
  },
  "B463": {
    "municipe": "CAMBIASCA",
    "province": "VB"
  },
  "B465": {
    "municipe": "CAMBURZANO",
    "province": "BI"
  },
  "B467": {
    "municipe": "CAMERANA",
    "province": "CN"
  },
  "B468": {
    "municipe": "CAMERANO",
    "province": "AN"
  },
  "B469": {
    "municipe": "CAMERANO CASASCO",
    "province": "AT"
  },
  "B471": {
    "municipe": "CAMERATA CORNELLO",
    "province": "BG"
  },
  "B472": {
    "municipe": "CAMERATA NUOVA",
    "province": "RM"
  },
  "B470": {
    "municipe": "CAMERATA PICENA",
    "province": "AN"
  },
  "B473": {
    "municipe": "CAMERI",
    "province": "NO"
  },
  "B474": {
    "municipe": "CAMERINO",
    "province": "MC"
  },
  "B476": {
    "municipe": "CAMEROTA",
    "province": "SA"
  },
  "B477": {
    "municipe": "CAMIGLIANO",
    "province": "CE"
  },
  "B481": {
    "municipe": "CAMINI",
    "province": "RC"
  },
  "B482": {
    "municipe": "CAMINO",
    "province": "AL"
  },
  "B483": {
    "municipe": "CAMINO AL TAGLIAMENTO",
    "province": "UD"
  },
  "B484": {
    "municipe": "CAMISANO",
    "province": "CR"
  },
  "B485": {
    "municipe": "CAMISANO VICENTINO",
    "province": "VI"
  },
  "B486": {
    "municipe": "CAMMARATA",
    "province": "AG"
  },
  "B490": {
    "municipe": "CAMOGLI",
    "province": "GE"
  },
  "B492": {
    "municipe": "CAMPAGNA",
    "province": "SA"
  },
  "B493": {
    "municipe": "CAMPAGNA LUPIA",
    "province": "VE"
  },
  "B496": {
    "municipe": "CAMPAGNANO DI ROMA",
    "province": "RM"
  },
  "B497": {
    "municipe": "CAMPAGNATICO",
    "province": "GR"
  },
  "B498": {
    "municipe": "CAMPAGNOLA CREMASCA",
    "province": "CR"
  },
  "B499": {
    "municipe": "CAMPAGNOLA EMILIA",
    "province": "RE"
  },
  "B500": {
    "municipe": "CAMPANA",
    "province": "CS"
  },
  "B501": {
    "municipe": "CAMPARADA",
    "province": "MB"
  },
  "B502": {
    "municipe": "CAMPEGINE",
    "province": "RE"
  },
  "B504": {
    "municipe": "CAMPELLO SUL CLITUNNO",
    "province": "PG"
  },
  "B505": {
    "municipe": "CAMPERTOGNO",
    "province": "VC"
  },
  "B507": {
    "municipe": "CAMPI BISENZIO",
    "province": "FI"
  },
  "B506": {
    "municipe": "CAMPI SALENTINA",
    "province": "LE"
  },
  "M373": {
    "municipe": "CAMPIGLIA CERVO",
    "province": "BI"
  },
  "B511": {
    "municipe": "CAMPIGLIA DEI BERICI",
    "province": "VI"
  },
  "B509": {
    "municipe": "CAMPIGLIA MARITTIMA",
    "province": "LI"
  },
  "B512": {
    "municipe": "CAMPIGLIONE FENILE",
    "province": "TO"
  },
  "B513": {
    "municipe": "CAMPIONE D'ITALIA",
    "province": "CO"
  },
  "B514": {
    "municipe": "CAMPITELLO DI FASSA",
    "province": "TN"
  },
  "B515": {
    "municipe": "CAMPLI",
    "province": "TE"
  },
  "B516": {
    "municipe": "CAMPO CALABRO",
    "province": "RC"
  },
  "B526": {
    "municipe": "CAMPO DI GIOVE",
    "province": "AQ"
  },
  "B529": {
    "municipe": "CAMPO DI TRENS/FREIENFELD",
    "province": "BZ"
  },
  "B538": {
    "municipe": "CAMPO LIGURE",
    "province": "GE"
  },
  "B553": {
    "municipe": "CAMPO NELL'ELBA",
    "province": "LI"
  },
  "B564": {
    "municipe": "CAMPO SAN MARTINO",
    "province": "PD"
  },
  "B570": {
    "municipe": "CAMPO TURES/SAND IN TAUFERS",
    "province": "BZ"
  },
  "B519": {
    "municipe": "CAMPOBASSO",
    "province": "CB"
  },
  "B520": {
    "municipe": "CAMPOBELLO DI LICATA",
    "province": "AG"
  },
  "B521": {
    "municipe": "CAMPOBELLO DI MAZARA",
    "province": "TP"
  },
  "B522": {
    "municipe": "CAMPOCHIARO",
    "province": "CB"
  },
  "B524": {
    "municipe": "CAMPODARSEGO",
    "province": "PD"
  },
  "B525": {
    "municipe": "CAMPODENNO",
    "province": "TN"
  },
  "B527": {
    "municipe": "CAMPODIMELE",
    "province": "LT"
  },
  "B528": {
    "municipe": "CAMPODIPIETRA",
    "province": "CB"
  },
  "B530": {
    "municipe": "CAMPODOLCINO",
    "province": "SO"
  },
  "B531": {
    "municipe": "CAMPODORO",
    "province": "PD"
  },
  "B533": {
    "municipe": "CAMPOFELICE DI FITALIA",
    "province": "PA"
  },
  "B532": {
    "municipe": "CAMPOFELICE DI ROCCELLA",
    "province": "PA"
  },
  "B534": {
    "municipe": "CAMPOFILONE",
    "province": "FM"
  },
  "B535": {
    "municipe": "CAMPOFIORITO",
    "province": "PA"
  },
  "B536": {
    "municipe": "CAMPOFORMIDO",
    "province": "UD"
  },
  "B537": {
    "municipe": "CAMPOFRANCO",
    "province": "CL"
  },
  "B539": {
    "municipe": "CAMPOGALLIANO",
    "province": "MO"
  },
  "B541": {
    "municipe": "CAMPOLATTARO",
    "province": "BN"
  },
  "B543": {
    "municipe": "CAMPOLI APPENNINO",
    "province": "FR"
  },
  "B542": {
    "municipe": "CAMPOLI DEL MONTE TABURNO",
    "province": "BN"
  },
  "B544": {
    "municipe": "CAMPOLIETO",
    "province": "CB"
  },
  "B546": {
    "municipe": "CAMPOLONGO MAGGIORE",
    "province": "VE"
  },
  "M311": {
    "municipe": "CAMPOLONGO TAPOGLIANO",
    "province": "UD"
  },
  "B549": {
    "municipe": "CAMPOMAGGIORE",
    "province": "PZ"
  },
  "B550": {
    "municipe": "CAMPOMARINO",
    "province": "CB"
  },
  "B551": {
    "municipe": "CAMPOMORONE",
    "province": "GE"
  },
  "B554": {
    "municipe": "CAMPONOGARA",
    "province": "VE"
  },
  "B555": {
    "municipe": "CAMPORA",
    "province": "SA"
  },
  "B556": {
    "municipe": "CAMPOREALE",
    "province": "PA"
  },
  "B557": {
    "municipe": "CAMPORGIANO",
    "province": "LU"
  },
  "B559": {
    "municipe": "CAMPOROSSO",
    "province": "IM"
  },
  "B562": {
    "municipe": "CAMPOROTONDO DI FIASTRONE",
    "province": "MC"
  },
  "B561": {
    "municipe": "CAMPOROTONDO ETNEO",
    "province": "CT"
  },
  "B563": {
    "municipe": "CAMPOSAMPIERO",
    "province": "PD"
  },
  "B565": {
    "municipe": "CAMPOSANO",
    "province": "NA"
  },
  "B566": {
    "municipe": "CAMPOSANTO",
    "province": "MO"
  },
  "B567": {
    "municipe": "CAMPOSPINOSO",
    "province": "PV"
  },
  "B569": {
    "municipe": "CAMPOTOSTO",
    "province": "AQ"
  },
  "B572": {
    "municipe": "CAMUGNANO",
    "province": "BO"
  },
  "B577": {
    "municipe": "CANAL SAN BOVO",
    "province": "TN"
  },
  "B573": {
    "municipe": "CANALE",
    "province": "CN"
  },
  "B574": {
    "municipe": "CANALE D'AGORDO",
    "province": "BL"
  },
  "B576": {
    "municipe": "CANALE MONTERANO",
    "province": "RM"
  },
  "B578": {
    "municipe": "CANARO",
    "province": "RO"
  },
  "B579": {
    "municipe": "CANAZEI",
    "province": "TN"
  },
  "B580": {
    "municipe": "CANCELLARA",
    "province": "PZ"
  },
  "B581": {
    "municipe": "CANCELLO ED ARNONE",
    "province": "CE"
  },
  "B582": {
    "municipe": "CANDA",
    "province": "RO"
  },
  "B584": {
    "municipe": "CANDELA",
    "province": "FG"
  },
  "B586": {
    "municipe": "CANDELO",
    "province": "BI"
  },
  "B588": {
    "municipe": "CANDIA CANAVESE",
    "province": "TO"
  },
  "B587": {
    "municipe": "CANDIA LOMELLINA",
    "province": "PV"
  },
  "B589": {
    "municipe": "CANDIANA",
    "province": "PD"
  },
  "B590": {
    "municipe": "CANDIDA",
    "province": "AV"
  },
  "B591": {
    "municipe": "CANDIDONI",
    "province": "RC"
  },
  "B592": {
    "municipe": "CANDIOLO",
    "province": "TO"
  },
  "B593": {
    "municipe": "CANEGRATE",
    "province": "MI"
  },
  "B594": {
    "municipe": "CANELLI",
    "province": "AT"
  },
  "B597": {
    "municipe": "CANEPINA",
    "province": "VT"
  },
  "B598": {
    "municipe": "CANEVA",
    "province": "PN"
  },
  "B602": {
    "municipe": "CANICATTI'",
    "province": "AG"
  },
  "B603": {
    "municipe": "CANICATTINI BAGNI",
    "province": "SR"
  },
  "B604": {
    "municipe": "CANINO",
    "province": "VT"
  },
  "B605": {
    "municipe": "CANISCHIO",
    "province": "TO"
  },
  "B606": {
    "municipe": "CANISTRO",
    "province": "AQ"
  },
  "B607": {
    "municipe": "CANNA",
    "province": "CS"
  },
  "B608": {
    "municipe": "CANNALONGA",
    "province": "SA"
  },
  "B609": {
    "municipe": "CANNARA",
    "province": "PG"
  },
  "B610": {
    "municipe": "CANNERO RIVIERA",
    "province": "VB"
  },
  "B613": {
    "municipe": "CANNETO PAVESE",
    "province": "PV"
  },
  "B612": {
    "municipe": "CANNETO SULL'OGLIO",
    "province": "MN"
  },
  "B615": {
    "municipe": "CANNOBIO",
    "province": "VB"
  },
  "B616": {
    "municipe": "CANNOLE",
    "province": "LE"
  },
  "B617": {
    "municipe": "CANOLO",
    "province": "RC"
  },
  "B618": {
    "municipe": "CANONICA D'ADDA",
    "province": "BG"
  },
  "B619": {
    "municipe": "CANOSA DI PUGLIA",
    "province": "BT"
  },
  "B620": {
    "municipe": "CANOSA SANNITA",
    "province": "CH"
  },
  "B621": {
    "municipe": "CANOSIO",
    "province": "CN"
  },
  "C669": {
    "municipe": "CANOSSA",
    "province": "RE"
  },
  "B624": {
    "municipe": "CANSANO",
    "province": "AQ"
  },
  "B626": {
    "municipe": "CANTAGALLO",
    "province": "PO"
  },
  "B627": {
    "municipe": "CANTALICE",
    "province": "RI"
  },
  "B628": {
    "municipe": "CANTALUPA",
    "province": "TO"
  },
  "B631": {
    "municipe": "CANTALUPO IN SABINA",
    "province": "RI"
  },
  "B629": {
    "municipe": "CANTALUPO LIGURE",
    "province": "AL"
  },
  "B630": {
    "municipe": "CANTALUPO NEL SANNIO",
    "province": "IS"
  },
  "B633": {
    "municipe": "CANTARANA",
    "province": "AT"
  },
  "B634": {
    "municipe": "CANTELLO",
    "province": "VA"
  },
  "B635": {
    "municipe": "CANTERANO",
    "province": "RM"
  },
  "B636": {
    "municipe": "CANTIANO",
    "province": "PU"
  },
  "B637": {
    "municipe": "CANTOIRA",
    "province": "TO"
  },
  "B639": {
    "municipe": "CANTU'",
    "province": "CO"
  },
  "B640": {
    "municipe": "CANZANO",
    "province": "TE"
  },
  "B641": {
    "municipe": "CANZO",
    "province": "CO"
  },
  "B642": {
    "municipe": "CAORLE",
    "province": "VE"
  },
  "B643": {
    "municipe": "CAORSO",
    "province": "PC"
  },
  "B644": {
    "municipe": "CAPACCIO PAESTUM",
    "province": "SA"
  },
  "B645": {
    "municipe": "CAPACI",
    "province": "PA"
  },
  "B646": {
    "municipe": "CAPALBIO",
    "province": "GR"
  },
  "B647": {
    "municipe": "CAPANNOLI",
    "province": "PI"
  },
  "B648": {
    "municipe": "CAPANNORI",
    "province": "LU"
  },
  "B649": {
    "municipe": "CAPENA",
    "province": "RM"
  },
  "B650": {
    "municipe": "CAPERGNANICA",
    "province": "CR"
  },
  "B651": {
    "municipe": "CAPESTRANO",
    "province": "AQ"
  },
  "B653": {
    "municipe": "CAPIAGO INTIMIANO",
    "province": "CO"
  },
  "B655": {
    "municipe": "CAPISTRANO",
    "province": "VV"
  },
  "B656": {
    "municipe": "CAPISTRELLO",
    "province": "AQ"
  },
  "B658": {
    "municipe": "CAPITIGNANO",
    "province": "AQ"
  },
  "B660": {
    "municipe": "CAPIZZI",
    "province": "ME"
  },
  "B661": {
    "municipe": "CAPIZZONE",
    "province": "BG"
  },
  "B666": {
    "municipe": "CAPO D'ORLANDO",
    "province": "ME"
  },
  "B664": {
    "municipe": "CAPO DI PONTE",
    "province": "BS"
  },
  "B663": {
    "municipe": "CAPODIMONTE",
    "province": "VT"
  },
  "B667": {
    "municipe": "CAPODRISE",
    "province": "CE"
  },
  "B669": {
    "municipe": "CAPOLIVERI",
    "province": "LI"
  },
  "B670": {
    "municipe": "CAPOLONA",
    "province": "AR"
  },
  "B671": {
    "municipe": "CAPONAGO",
    "province": "MB"
  },
  "B672": {
    "municipe": "CAPORCIANO",
    "province": "AQ"
  },
  "B674": {
    "municipe": "CAPOSELE",
    "province": "AV"
  },
  "B675": {
    "municipe": "CAPOTERRA",
    "province": "CA"
  },
  "B676": {
    "municipe": "CAPOVALLE",
    "province": "BS"
  },
  "B677": {
    "municipe": "CAPPADOCIA",
    "province": "AQ"
  },
  "B679": {
    "municipe": "CAPPELLA CANTONE",
    "province": "CR"
  },
  "B680": {
    "municipe": "CAPPELLA DE' PICENARDI",
    "province": "CR"
  },
  "B678": {
    "municipe": "CAPPELLA MAGGIORE",
    "province": "TV"
  },
  "B681": {
    "municipe": "CAPPELLE SUL TAVO",
    "province": "PE"
  },
  "B682": {
    "municipe": "CAPRACOTTA",
    "province": "IS"
  },
  "B684": {
    "municipe": "CAPRAIA E LIMITE",
    "province": "FI"
  },
  "B685": {
    "municipe": "CAPRAIA ISOLA",
    "province": "LI"
  },
  "B686": {
    "municipe": "CAPRALBA",
    "province": "CR"
  },
  "B688": {
    "municipe": "CAPRANICA",
    "province": "VT"
  },
  "B687": {
    "municipe": "CAPRANICA PRENESTINA",
    "province": "RM"
  },
  "B690": {
    "municipe": "CAPRARICA DI LECCE",
    "province": "LE"
  },
  "B691": {
    "municipe": "CAPRAROLA",
    "province": "VT"
  },
  "B692": {
    "municipe": "CAPRAUNA",
    "province": "CN"
  },
  "B693": {
    "municipe": "CAPRESE MICHELANGELO",
    "province": "AR"
  },
  "B694": {
    "municipe": "CAPREZZO",
    "province": "VB"
  },
  "B696": {
    "municipe": "CAPRI",
    "province": "NA"
  },
  "B695": {
    "municipe": "CAPRI LEONE",
    "province": "ME"
  },
  "B697": {
    "municipe": "CAPRIANA",
    "province": "TN"
  },
  "B698": {
    "municipe": "CAPRIANO DEL COLLE",
    "province": "BS"
  },
  "B701": {
    "municipe": "CAPRIATA D'ORBA",
    "province": "AL"
  },
  "B703": {
    "municipe": "CAPRIATE SAN GERVASIO",
    "province": "BG"
  },
  "B704": {
    "municipe": "CAPRIATI A VOLTURNO",
    "province": "CE"
  },
  "B705": {
    "municipe": "CAPRIE",
    "province": "TO"
  },
  "B706": {
    "municipe": "CAPRIGLIA IRPINA",
    "province": "AV"
  },
  "B707": {
    "municipe": "CAPRIGLIO",
    "province": "AT"
  },
  "B708": {
    "municipe": "CAPRILE",
    "province": "BI"
  },
  "B710": {
    "municipe": "CAPRINO BERGAMASCO",
    "province": "BG"
  },
  "B709": {
    "municipe": "CAPRINO VERONESE",
    "province": "VR"
  },
  "B711": {
    "municipe": "CAPRIOLO",
    "province": "BS"
  },
  "B712": {
    "municipe": "CAPRIVA DEL FRIULI",
    "province": "GO"
  },
  "B715": {
    "municipe": "CAPUA",
    "province": "CE"
  },
  "B716": {
    "municipe": "CAPURSO",
    "province": "BA"
  },
  "B718": {
    "municipe": "CARAFFA DEL BIANCO",
    "province": "RC"
  },
  "B717": {
    "municipe": "CARAFFA DI CATANZARO",
    "province": "CZ"
  },
  "B719": {
    "municipe": "CARAGLIO",
    "province": "CN"
  },
  "B720": {
    "municipe": "CARAMAGNA PIEMONTE",
    "province": "CN"
  },
  "B722": {
    "municipe": "CARAMANICO TERME",
    "province": "PE"
  },
  "B724": {
    "municipe": "CARAPELLE",
    "province": "FG"
  },
  "B725": {
    "municipe": "CARAPELLE CALVISIO",
    "province": "AQ"
  },
  "B726": {
    "municipe": "CARASCO",
    "province": "GE"
  },
  "B727": {
    "municipe": "CARASSAI",
    "province": "AP"
  },
  "B729": {
    "municipe": "CARATE BRIANZA",
    "province": "MB"
  },
  "B730": {
    "municipe": "CARATE URIO",
    "province": "CO"
  },
  "B731": {
    "municipe": "CARAVAGGIO",
    "province": "BG"
  },
  "B732": {
    "municipe": "CARAVATE",
    "province": "VA"
  },
  "B733": {
    "municipe": "CARAVINO",
    "province": "TO"
  },
  "B734": {
    "municipe": "CARAVONICA",
    "province": "IM"
  },
  "B735": {
    "municipe": "CARBOGNANO",
    "province": "VT"
  },
  "B741": {
    "municipe": "CARBONARA AL TICINO",
    "province": "PV"
  },
  "B740": {
    "municipe": "CARBONARA DI NOLA",
    "province": "NA"
  },
  "B736": {
    "municipe": "CARBONARA SCRIVIA",
    "province": "AL"
  },
  "B742": {
    "municipe": "CARBONATE",
    "province": "CO"
  },
  "B743": {
    "municipe": "CARBONE",
    "province": "PZ"
  },
  "B744": {
    "municipe": "CARBONERA",
    "province": "TV"
  },
  "B745": {
    "municipe": "CARBONIA",
    "province": "SU"
  },
  "B748": {
    "municipe": "CARCARE",
    "province": "SV"
  },
  "B749": {
    "municipe": "CARCERI",
    "province": "PD"
  },
  "B752": {
    "municipe": "CARCOFORO",
    "province": "VC"
  },
  "B754": {
    "municipe": "CARDANO AL CAMPO",
    "province": "VA"
  },
  "B755": {
    "municipe": "CARDE'",
    "province": "CN"
  },
  "M285": {
    "municipe": "CARDEDU",
    "province": "NU"
  },
  "B756": {
    "municipe": "CARDETO",
    "province": "RC"
  },
  "B758": {
    "municipe": "CARDINALE",
    "province": "CZ"
  },
  "B759": {
    "municipe": "CARDITO",
    "province": "NA"
  },
  "B760": {
    "municipe": "CAREGGINE",
    "province": "LU"
  },
  "B762": {
    "municipe": "CAREMA",
    "province": "TO"
  },
  "B763": {
    "municipe": "CARENNO",
    "province": "LC"
  },
  "B765": {
    "municipe": "CARENTINO",
    "province": "AL"
  },
  "B766": {
    "municipe": "CARERI",
    "province": "RC"
  },
  "B767": {
    "municipe": "CARESANA",
    "province": "VC"
  },
  "B768": {
    "municipe": "CARESANABLOT",
    "province": "VC"
  },
  "B769": {
    "municipe": "CAREZZANO",
    "province": "AL"
  },
  "B771": {
    "municipe": "CARFIZZI",
    "province": "KR"
  },
  "B772": {
    "municipe": "CARGEGHE",
    "province": "SS"
  },
  "B774": {
    "municipe": "CARIATI",
    "province": "CS"
  },
  "B776": {
    "municipe": "CARIFE",
    "province": "AV"
  },
  "B777": {
    "municipe": "CARIGNANO",
    "province": "TO"
  },
  "B778": {
    "municipe": "CARIMATE",
    "province": "CO"
  },
  "B779": {
    "municipe": "CARINARO",
    "province": "CE"
  },
  "B780": {
    "municipe": "CARINI",
    "province": "PA"
  },
  "B781": {
    "municipe": "CARINOLA",
    "province": "CE"
  },
  "B782": {
    "municipe": "CARISIO",
    "province": "VC"
  },
  "B783": {
    "municipe": "CARISOLO",
    "province": "TN"
  },
  "B784": {
    "municipe": "CARLANTINO",
    "province": "FG"
  },
  "B785": {
    "municipe": "CARLAZZO",
    "province": "CO"
  },
  "B787": {
    "municipe": "CARLENTINI",
    "province": "SR"
  },
  "B788": {
    "municipe": "CARLINO",
    "province": "UD"
  },
  "B789": {
    "municipe": "CARLOFORTE",
    "province": "SU"
  },
  "B790": {
    "municipe": "CARLOPOLI",
    "province": "CZ"
  },
  "B791": {
    "municipe": "CARMAGNOLA",
    "province": "TO"
  },
  "B792": {
    "municipe": "CARMIANO",
    "province": "LE"
  },
  "B794": {
    "municipe": "CARMIGNANO",
    "province": "PO"
  },
  "B795": {
    "municipe": "CARMIGNANO DI BRENTA",
    "province": "PD"
  },
  "B796": {
    "municipe": "CARNAGO",
    "province": "VA"
  },
  "B798": {
    "municipe": "CARNATE",
    "province": "MB"
  },
  "B801": {
    "municipe": "CAROBBIO DEGLI ANGELI",
    "province": "BG"
  },
  "B802": {
    "municipe": "CAROLEI",
    "province": "CS"
  },
  "B803": {
    "municipe": "CARONA",
    "province": "BG"
  },
  "B804": {
    "municipe": "CARONIA",
    "province": "ME"
  },
  "B805": {
    "municipe": "CARONNO PERTUSELLA",
    "province": "VA"
  },
  "B807": {
    "municipe": "CARONNO VARESINO",
    "province": "VA"
  },
  "B808": {
    "municipe": "CAROSINO",
    "province": "TA"
  },
  "B809": {
    "municipe": "CAROVIGNO",
    "province": "BR"
  },
  "B810": {
    "municipe": "CAROVILLI",
    "province": "IS"
  },
  "B812": {
    "municipe": "CARPANETO PIACENTINO",
    "province": "PC"
  },
  "B813": {
    "municipe": "CARPANZANO",
    "province": "CS"
  },
  "B816": {
    "municipe": "CARPEGNA",
    "province": "PU"
  },
  "B817": {
    "municipe": "CARPENEDOLO",
    "province": "BS"
  },
  "B818": {
    "municipe": "CARPENETO",
    "province": "AL"
  },
  "B819": {
    "municipe": "CARPI",
    "province": "MO"
  },
  "B820": {
    "municipe": "CARPIANO",
    "province": "MI"
  },
  "B822": {
    "municipe": "CARPIGNANO SALENTINO",
    "province": "LE"
  },
  "B823": {
    "municipe": "CARPIGNANO SESIA",
    "province": "NO"
  },
  "B825": {
    "municipe": "CARPINETI",
    "province": "RE"
  },
  "B827": {
    "municipe": "CARPINETO DELLA NORA",
    "province": "PE"
  },
  "B828": {
    "municipe": "CARPINETO ROMANO",
    "province": "RM"
  },
  "B826": {
    "municipe": "CARPINETO SINELLO",
    "province": "CH"
  },
  "B829": {
    "municipe": "CARPINO",
    "province": "FG"
  },
  "B830": {
    "municipe": "CARPINONE",
    "province": "IS"
  },
  "B832": {
    "municipe": "CARRARA",
    "province": "MS"
  },
  "B835": {
    "municipe": "CARRE'",
    "province": "VI"
  },
  "B836": {
    "municipe": "CARREGA LIGURE",
    "province": "AL"
  },
  "B838": {
    "municipe": "CARRO",
    "province": "SP"
  },
  "B839": {
    "municipe": "CARRODANO",
    "province": "SP"
  },
  "B840": {
    "municipe": "CARROSIO",
    "province": "AL"
  },
  "B841": {
    "municipe": "CARRU'",
    "province": "CN"
  },
  "B842": {
    "municipe": "CARSOLI",
    "province": "AQ"
  },
  "B844": {
    "municipe": "CARTIGLIANO",
    "province": "VI"
  },
  "B845": {
    "municipe": "CARTIGNANO",
    "province": "CN"
  },
  "B846": {
    "municipe": "CARTOCETO",
    "province": "PU"
  },
  "B847": {
    "municipe": "CARTOSIO",
    "province": "AL"
  },
  "B848": {
    "municipe": "CARTURA",
    "province": "PD"
  },
  "B850": {
    "municipe": "CARUGATE",
    "province": "MI"
  },
  "B851": {
    "municipe": "CARUGO",
    "province": "CO"
  },
  "B853": {
    "municipe": "CARUNCHIO",
    "province": "CH"
  },
  "B854": {
    "municipe": "CARVICO",
    "province": "BG"
  },
  "B856": {
    "municipe": "CARZANO",
    "province": "TN"
  },
  "B857": {
    "municipe": "CASABONA",
    "province": "KR"
  },
  "B858": {
    "municipe": "CASACALENDA",
    "province": "CB"
  },
  "B859": {
    "municipe": "CASACANDITELLA",
    "province": "CH"
  },
  "B860": {
    "municipe": "CASAGIOVE",
    "province": "CE"
  },
  "B870": {
    "municipe": "CASAL CERMELLI",
    "province": "AL"
  },
  "B872": {
    "municipe": "CASAL DI PRINCIPE",
    "province": "CE"
  },
  "B895": {
    "municipe": "CASAL VELINO",
    "province": "SA"
  },
  "B861": {
    "municipe": "CASALANGUIDA",
    "province": "CH"
  },
  "B862": {
    "municipe": "CASALATTICO",
    "province": "FR"
  },
  "B864": {
    "municipe": "CASALBELTRAME",
    "province": "NO"
  },
  "B865": {
    "municipe": "CASALBORDINO",
    "province": "CH"
  },
  "B866": {
    "municipe": "CASALBORE",
    "province": "AV"
  },
  "B867": {
    "municipe": "CASALBORGONE",
    "province": "TO"
  },
  "B868": {
    "municipe": "CASALBUONO",
    "province": "SA"
  },
  "B869": {
    "municipe": "CASALBUTTANO ED UNITI",
    "province": "CR"
  },
  "B871": {
    "municipe": "CASALCIPRANO",
    "province": "CB"
  },
  "B873": {
    "municipe": "CASALDUNI",
    "province": "BN"
  },
  "B876": {
    "municipe": "CASALE CORTE CERRO",
    "province": "VB"
  },
  "B881": {
    "municipe": "CASALE CREMASCO-VIDOLASCO",
    "province": "CR"
  },
  "B877": {
    "municipe": "CASALE DI SCODOSIA",
    "province": "PD"
  },
  "B875": {
    "municipe": "CASALE LITTA",
    "province": "VA"
  },
  "B878": {
    "municipe": "CASALE MARITTIMO",
    "province": "PI"
  },
  "B885": {
    "municipe": "CASALE MONFERRATO",
    "province": "AL"
  },
  "B879": {
    "municipe": "CASALE SUL SILE",
    "province": "TV"
  },
  "B880": {
    "municipe": "CASALECCHIO DI RENO",
    "province": "BO"
  },
  "B882": {
    "municipe": "CASALEGGIO BOIRO",
    "province": "AL"
  },
  "B883": {
    "municipe": "CASALEGGIO NOVARA",
    "province": "NO"
  },
  "B886": {
    "municipe": "CASALEONE",
    "province": "VR"
  },
  "B889": {
    "municipe": "CASALETTO CEREDANO",
    "province": "CR"
  },
  "B890": {
    "municipe": "CASALETTO DI SOPRA",
    "province": "CR"
  },
  "B887": {
    "municipe": "CASALETTO LODIGIANO",
    "province": "LO"
  },
  "B888": {
    "municipe": "CASALETTO SPARTANO",
    "province": "SA"
  },
  "B891": {
    "municipe": "CASALETTO VAPRIO",
    "province": "CR"
  },
  "B892": {
    "municipe": "CASALFIUMANESE",
    "province": "BO"
  },
  "B893": {
    "municipe": "CASALGRANDE",
    "province": "RE"
  },
  "B894": {
    "municipe": "CASALGRASSO",
    "province": "CN"
  },
  "M385": {
    "municipe": "CASALI DEL MANCO",
    "province": "CS"
  },
  "B896": {
    "municipe": "CASALINCONTRADA",
    "province": "CH"
  },
  "B897": {
    "municipe": "CASALINO",
    "province": "NO"
  },
  "B898": {
    "municipe": "CASALMAGGIORE",
    "province": "CR"
  },
  "B899": {
    "municipe": "CASALMAIOCCO",
    "province": "LO"
  },
  "B900": {
    "municipe": "CASALMORANO",
    "province": "CR"
  },
  "B901": {
    "municipe": "CASALMORO",
    "province": "MN"
  },
  "B902": {
    "municipe": "CASALNOCETO",
    "province": "AL"
  },
  "B905": {
    "municipe": "CASALNUOVO DI NAPOLI",
    "province": "NA"
  },
  "B904": {
    "municipe": "CASALNUOVO MONTEROTARO",
    "province": "FG"
  },
  "B907": {
    "municipe": "CASALOLDO",
    "province": "MN"
  },
  "B910": {
    "municipe": "CASALPUSTERLENGO",
    "province": "LO"
  },
  "B911": {
    "municipe": "CASALROMANO",
    "province": "MN"
  },
  "B912": {
    "municipe": "CASALSERUGO",
    "province": "PD"
  },
  "B916": {
    "municipe": "CASALUCE",
    "province": "CE"
  },
  "B917": {
    "municipe": "CASALVECCHIO DI PUGLIA",
    "province": "FG"
  },
  "B918": {
    "municipe": "CASALVECCHIO SICULO",
    "province": "ME"
  },
  "B919": {
    "municipe": "CASALVIERI",
    "province": "FR"
  },
  "B920": {
    "municipe": "CASALVOLONE",
    "province": "NO"
  },
  "B921": {
    "municipe": "CASALZUIGNO",
    "province": "VA"
  },
  "B922": {
    "municipe": "CASAMARCIANO",
    "province": "NA"
  },
  "B923": {
    "municipe": "CASAMASSIMA",
    "province": "BA"
  },
  "B924": {
    "municipe": "CASAMICCIOLA TERME",
    "province": "NA"
  },
  "B925": {
    "municipe": "CASANDRINO",
    "province": "NA"
  },
  "B928": {
    "municipe": "CASANOVA ELVO",
    "province": "VC"
  },
  "B927": {
    "municipe": "CASANOVA LERRONE",
    "province": "SV"
  },
  "B929": {
    "municipe": "CASANOVA LONATI",
    "province": "PV"
  },
  "B932": {
    "municipe": "CASAPE",
    "province": "RM"
  },
  "M260": {
    "municipe": "CASAPESENNA",
    "province": "CE"
  },
  "B933": {
    "municipe": "CASAPINTA",
    "province": "BI"
  },
  "B934": {
    "municipe": "CASAPROTA",
    "province": "RI"
  },
  "B935": {
    "municipe": "CASAPULLA",
    "province": "CE"
  },
  "B936": {
    "municipe": "CASARANO",
    "province": "LE"
  },
  "B937": {
    "municipe": "CASARGO",
    "province": "LC"
  },
  "B938": {
    "municipe": "CASARILE",
    "province": "MI"
  },
  "B940": {
    "municipe": "CASARSA DELLA DELIZIA",
    "province": "PN"
  },
  "B939": {
    "municipe": "CASARZA LIGURE",
    "province": "GE"
  },
  "B941": {
    "municipe": "CASASCO",
    "province": "AL"
  },
  "B943": {
    "municipe": "CASATENOVO",
    "province": "LC"
  },
  "B945": {
    "municipe": "CASATISMA",
    "province": "PV"
  },
  "B946": {
    "municipe": "CASAVATORE",
    "province": "NA"
  },
  "B947": {
    "municipe": "CASAZZA",
    "province": "BG"
  },
  "B948": {
    "municipe": "CASCIA",
    "province": "PG"
  },
  "B949": {
    "municipe": "CASCIAGO",
    "province": "VA"
  },
  "M327": {
    "municipe": "CASCIANA TERME LARI",
    "province": "PI"
  },
  "B950": {
    "municipe": "CASCINA",
    "province": "PI"
  },
  "B953": {
    "municipe": "CASCINETTE D'IVREA",
    "province": "TO"
  },
  "B954": {
    "municipe": "CASEI GEROLA",
    "province": "PV"
  },
  "B955": {
    "municipe": "CASELETTE",
    "province": "TO"
  },
  "B956": {
    "municipe": "CASELLA",
    "province": "GE"
  },
  "B959": {
    "municipe": "CASELLE IN PITTARI",
    "province": "SA"
  },
  "B961": {
    "municipe": "CASELLE LANDI",
    "province": "LO"
  },
  "B958": {
    "municipe": "CASELLE LURANI",
    "province": "LO"
  },
  "B960": {
    "municipe": "CASELLE TORINESE",
    "province": "TO"
  },
  "B963": {
    "municipe": "CASERTA",
    "province": "CE"
  },
  "B965": {
    "municipe": "CASIER",
    "province": "TV"
  },
  "B966": {
    "municipe": "CASIGNANA",
    "province": "RC"
  },
  "B967": {
    "municipe": "CASINA",
    "province": "RE"
  },
  "B971": {
    "municipe": "CASIRATE D'ADDA",
    "province": "BG"
  },
  "B974": {
    "municipe": "CASLINO D'ERBA",
    "province": "CO"
  },
  "B977": {
    "municipe": "CASNATE CON BERNATE",
    "province": "CO"
  },
  "B978": {
    "municipe": "CASNIGO",
    "province": "BG"
  },
  "B980": {
    "municipe": "CASOLA DI NAPOLI",
    "province": "NA"
  },
  "B979": {
    "municipe": "CASOLA IN LUNIGIANA",
    "province": "MS"
  },
  "B982": {
    "municipe": "CASOLA VALSENIO",
    "province": "RA"
  },
  "B984": {
    "municipe": "CASOLE D'ELSA",
    "province": "SI"
  },
  "B985": {
    "municipe": "CASOLI",
    "province": "CH"
  },
  "B988": {
    "municipe": "CASORATE PRIMO",
    "province": "PV"
  },
  "B987": {
    "municipe": "CASORATE SEMPIONE",
    "province": "VA"
  },
  "B989": {
    "municipe": "CASOREZZO",
    "province": "MI"
  },
  "B990": {
    "municipe": "CASORIA",
    "province": "NA"
  },
  "B991": {
    "municipe": "CASORZO MONFERRATO",
    "province": "AT"
  },
  "A472": {
    "municipe": "CASPERIA",
    "province": "RI"
  },
  "B993": {
    "municipe": "CASPOGGIO",
    "province": "SO"
  },
  "B994": {
    "municipe": "CASSACCO",
    "province": "UD"
  },
  "B996": {
    "municipe": "CASSAGO BRIANZA",
    "province": "LC"
  },
  "C002": {
    "municipe": "CASSANO ALL'IONIO",
    "province": "CS"
  },
  "C003": {
    "municipe": "CASSANO D'ADDA",
    "province": "MI"
  },
  "B998": {
    "municipe": "CASSANO DELLE MURGE",
    "province": "BA"
  },
  "B997": {
    "municipe": "CASSANO IRPINO",
    "province": "AV"
  },
  "C004": {
    "municipe": "CASSANO MAGNAGO",
    "province": "VA"
  },
  "M388": {
    "municipe": "CASSANO SPINOLA",
    "province": "AL"
  },
  "B999": {
    "municipe": "CASSANO VALCUVIA",
    "province": "VA"
  },
  "C006": {
    "municipe": "CASSARO",
    "province": "SR"
  },
  "C007": {
    "municipe": "CASSIGLIO",
    "province": "BG"
  },
  "C014": {
    "municipe": "CASSINA DE' PECCHI",
    "province": "MI"
  },
  "C020": {
    "municipe": "CASSINA RIZZARDI",
    "province": "CO"
  },
  "C024": {
    "municipe": "CASSINA VALSASSINA",
    "province": "LC"
  },
  "C022": {
    "municipe": "CASSINASCO",
    "province": "AT"
  },
  "C027": {
    "municipe": "CASSINE",
    "province": "AL"
  },
  "C030": {
    "municipe": "CASSINELLE",
    "province": "AL"
  },
  "C033": {
    "municipe": "CASSINETTA DI LUGAGNANO",
    "province": "MI"
  },
  "C034": {
    "municipe": "CASSINO",
    "province": "FR"
  },
  "C037": {
    "municipe": "CASSOLA",
    "province": "VI"
  },
  "C038": {
    "municipe": "CASSOLNOVO",
    "province": "PV"
  },
  "C041": {
    "municipe": "CASTAGNARO",
    "province": "VR"
  },
  "C044": {
    "municipe": "CASTAGNETO CARDUCCI",
    "province": "LI"
  },
  "C045": {
    "municipe": "CASTAGNETO PO",
    "province": "TO"
  },
  "C046": {
    "municipe": "CASTAGNITO",
    "province": "CN"
  },
  "C049": {
    "municipe": "CASTAGNOLE DELLE LANZE",
    "province": "AT"
  },
  "C047": {
    "municipe": "CASTAGNOLE MONFERRATO",
    "province": "AT"
  },
  "C048": {
    "municipe": "CASTAGNOLE PIEMONTE",
    "province": "TO"
  },
  "C050": {
    "municipe": "CASTANA",
    "province": "PV"
  },
  "C052": {
    "municipe": "CASTANO PRIMO",
    "province": "MI"
  },
  "C053": {
    "municipe": "CASTEGGIO",
    "province": "PV"
  },
  "C055": {
    "municipe": "CASTEGNATO",
    "province": "BS"
  },
  "C056": {
    "municipe": "CASTEGNERO",
    "province": "VI"
  },
  "C058": {
    "municipe": "CASTEL BARONIA",
    "province": "AV"
  },
  "C064": {
    "municipe": "CASTEL BOGLIONE",
    "province": "AT"
  },
  "C065": {
    "municipe": "CASTEL BOLOGNESE",
    "province": "RA"
  },
  "B494": {
    "municipe": "CASTEL CAMPAGNANO",
    "province": "CE"
  },
  "C040": {
    "municipe": "CASTEL CASTAGNA",
    "province": "TE"
  },
  "C183": {
    "municipe": "CASTEL CONDINO",
    "province": "TN"
  },
  "C075": {
    "municipe": "CASTEL D'AIANO",
    "province": "BO"
  },
  "C076": {
    "municipe": "CASTEL D'ARIO",
    "province": "MN"
  },
  "C078": {
    "municipe": "CASTEL D'AZZANO",
    "province": "VR"
  },
  "C082": {
    "municipe": "CASTEL DEL GIUDICE",
    "province": "IS"
  },
  "C083": {
    "municipe": "CASTEL DEL MONTE",
    "province": "AQ"
  },
  "C085": {
    "municipe": "CASTEL DEL PIANO",
    "province": "GR"
  },
  "C086": {
    "municipe": "CASTEL DEL RIO",
    "province": "BO"
  },
  "B969": {
    "municipe": "CASTEL DI CASIO",
    "province": "BO"
  },
  "C090": {
    "municipe": "CASTEL DI IERI",
    "province": "AQ"
  },
  "C091": {
    "municipe": "CASTEL DI IUDICA",
    "province": "CT"
  },
  "C093": {
    "municipe": "CASTEL DI LAMA",
    "province": "AP"
  },
  "C094": {
    "municipe": "CASTEL DI LUCIO",
    "province": "ME"
  },
  "C096": {
    "municipe": "CASTEL DI SANGRO",
    "province": "AQ"
  },
  "C097": {
    "municipe": "CASTEL DI SASSO",
    "province": "CE"
  },
  "C098": {
    "municipe": "CASTEL DI TORA",
    "province": "RI"
  },
  "C102": {
    "municipe": "CASTEL FOCOGNANO",
    "province": "AR"
  },
  "C114": {
    "municipe": "CASTEL FRENTANO",
    "province": "CH"
  },
  "C115": {
    "municipe": "CASTEL GABBIANO",
    "province": "CR"
  },
  "C116": {
    "municipe": "CASTEL GANDOLFO",
    "province": "RM"
  },
  "C117": {
    "municipe": "CASTEL GIORGIO",
    "province": "TR"
  },
  "C118": {
    "municipe": "CASTEL GOFFREDO",
    "province": "MN"
  },
  "C121": {
    "municipe": "CASTEL GUELFO DI BOLOGNA",
    "province": "BO"
  },
  "M354": {
    "municipe": "CASTEL IVANO",
    "province": "TN"
  },
  "C203": {
    "municipe": "CASTEL MADAMA",
    "province": "RM"
  },
  "C204": {
    "municipe": "CASTEL MAGGIORE",
    "province": "BO"
  },
  "C208": {
    "municipe": "CASTEL MELLA",
    "province": "BS"
  },
  "C211": {
    "municipe": "CASTEL MORRONE",
    "province": "CE"
  },
  "C252": {
    "municipe": "CASTEL RITALDI",
    "province": "PG"
  },
  "C253": {
    "municipe": "CASTEL ROCCHERO",
    "province": "AT"
  },
  "C255": {
    "municipe": "CASTEL ROZZONE",
    "province": "BG"
  },
  "C259": {
    "municipe": "CASTEL SAN GIORGIO",
    "province": "SA"
  },
  "C261": {
    "municipe": "CASTEL SAN GIOVANNI",
    "province": "PC"
  },
  "C262": {
    "municipe": "CASTEL SAN LORENZO",
    "province": "SA"
  },
  "C263": {
    "municipe": "CASTEL SAN NICCOLO'",
    "province": "AR"
  },
  "C266": {
    "municipe": "CASTEL SAN PIETRO ROMANO",
    "province": "RM"
  },
  "C265": {
    "municipe": "CASTEL SAN PIETRO TERME",
    "province": "BO"
  },
  "C270": {
    "municipe": "CASTEL SAN VINCENZO",
    "province": "IS"
  },
  "C268": {
    "municipe": "CASTEL SANT'ANGELO",
    "province": "RI"
  },
  "C269": {
    "municipe": "CASTEL SANT'ELIA",
    "province": "VT"
  },
  "C289": {
    "municipe": "CASTEL VISCARDO",
    "province": "TR"
  },
  "C110": {
    "municipe": "CASTEL VITTORIO",
    "province": "IM"
  },
  "C291": {
    "municipe": "CASTEL VOLTURNO",
    "province": "CE"
  },
  "C057": {
    "municipe": "CASTELBALDO",
    "province": "PD"
  },
  "C059": {
    "municipe": "CASTELBELFORTE",
    "province": "MN"
  },
  "C060": {
    "municipe": "CASTELBELLINO",
    "province": "AN"
  },
  "C062": {
    "municipe": "CASTELBELLO-CIARDES/KASTELBELL-TSCHARS",
    "province": "BZ"
  },
  "C063": {
    "municipe": "CASTELBIANCO",
    "province": "SV"
  },
  "C066": {
    "municipe": "CASTELBOTTACCIO",
    "province": "CB"
  },
  "C067": {
    "municipe": "CASTELBUONO",
    "province": "PA"
  },
  "C069": {
    "municipe": "CASTELCIVITA",
    "province": "SA"
  },
  "C072": {
    "municipe": "CASTELCOVATI",
    "province": "BS"
  },
  "C073": {
    "municipe": "CASTELCUCCO",
    "province": "TV"
  },
  "C074": {
    "municipe": "CASTELDACCIA",
    "province": "PA"
  },
  "C080": {
    "municipe": "CASTELDELCI",
    "province": "RN"
  },
  "C081": {
    "municipe": "CASTELDELFINO",
    "province": "CN"
  },
  "C089": {
    "municipe": "CASTELDIDONE",
    "province": "CR"
  },
  "C100": {
    "municipe": "CASTELFIDARDO",
    "province": "AN"
  },
  "C101": {
    "municipe": "CASTELFIORENTINO",
    "province": "FI"
  },
  "C104": {
    "municipe": "CASTELFORTE",
    "province": "LT"
  },
  "C105": {
    "municipe": "CASTELFRANCI",
    "province": "AV"
  },
  "C113": {
    "municipe": "CASTELFRANCO DI SOTTO",
    "province": "PI"
  },
  "C107": {
    "municipe": "CASTELFRANCO EMILIA",
    "province": "MO"
  },
  "C106": {
    "municipe": "CASTELFRANCO IN MISCANO",
    "province": "BN"
  },
  "M322": {
    "municipe": "CASTELFRANCO PIANDISCO'",
    "province": "AR"
  },
  "C111": {
    "municipe": "CASTELFRANCO VENETO",
    "province": "TV"
  },
  "M393": {
    "municipe": "CASTELGERUNDO",
    "province": "LO"
  },
  "C119": {
    "municipe": "CASTELGOMBERTO",
    "province": "VI"
  },
  "C120": {
    "municipe": "CASTELGRANDE",
    "province": "PZ"
  },
  "C122": {
    "municipe": "CASTELGUGLIELMO",
    "province": "RO"
  },
  "C123": {
    "municipe": "CASTELGUIDONE",
    "province": "CH"
  },
  "C127": {
    "municipe": "CASTELL'ALFERO",
    "province": "AT"
  },
  "C145": {
    "municipe": "CASTELL'ARQUATO",
    "province": "PC"
  },
  "C147": {
    "municipe": "CASTELL'AZZARA",
    "province": "GR"
  },
  "C051": {
    "municipe": "CASTELL'UMBERTO",
    "province": "ME"
  },
  "C125": {
    "municipe": "CASTELLABATE",
    "province": "SA"
  },
  "C126": {
    "municipe": "CASTELLAFIUME",
    "province": "AQ"
  },
  "C128": {
    "municipe": "CASTELLALTO",
    "province": "TE"
  },
  "C130": {
    "municipe": "CASTELLAMMARE DEL GOLFO",
    "province": "TP"
  },
  "C129": {
    "municipe": "CASTELLAMMARE DI STABIA",
    "province": "NA"
  },
  "C133": {
    "municipe": "CASTELLAMONTE",
    "province": "TO"
  },
  "C134": {
    "municipe": "CASTELLANA GROTTE",
    "province": "BA"
  },
  "C135": {
    "municipe": "CASTELLANA SICULA",
    "province": "PA"
  },
  "C136": {
    "municipe": "CASTELLANETA",
    "province": "TA"
  },
  "C137": {
    "municipe": "CASTELLANIA COPPI",
    "province": "AL"
  },
  "C139": {
    "municipe": "CASTELLANZA",
    "province": "VA"
  },
  "C142": {
    "municipe": "CASTELLAR GUIDOBONO",
    "province": "AL"
  },
  "C141": {
    "municipe": "CASTELLARANO",
    "province": "RE"
  },
  "C143": {
    "municipe": "CASTELLARO",
    "province": "IM"
  },
  "C148": {
    "municipe": "CASTELLAZZO BORMIDA",
    "province": "AL"
  },
  "C149": {
    "municipe": "CASTELLAZZO NOVARESE",
    "province": "NO"
  },
  "C153": {
    "municipe": "CASTELLEONE",
    "province": "CR"
  },
  "C152": {
    "municipe": "CASTELLEONE DI SUASA",
    "province": "AN"
  },
  "C154": {
    "municipe": "CASTELLERO",
    "province": "AT"
  },
  "C155": {
    "municipe": "CASTELLETTO CERVO",
    "province": "BI"
  },
  "C156": {
    "municipe": "CASTELLETTO D'ERRO",
    "province": "AL"
  },
  "C158": {
    "municipe": "CASTELLETTO D'ORBA",
    "province": "AL"
  },
  "C157": {
    "municipe": "CASTELLETTO DI BRANDUZZO",
    "province": "PV"
  },
  "C160": {
    "municipe": "CASTELLETTO MERLI",
    "province": "AL"
  },
  "C161": {
    "municipe": "CASTELLETTO MOLINA",
    "province": "AT"
  },
  "C162": {
    "municipe": "CASTELLETTO MONFERRATO",
    "province": "AL"
  },
  "C166": {
    "municipe": "CASTELLETTO SOPRA TICINO",
    "province": "NO"
  },
  "C165": {
    "municipe": "CASTELLETTO STURA",
    "province": "CN"
  },
  "C167": {
    "municipe": "CASTELLETTO UZZONE",
    "province": "CN"
  },
  "C169": {
    "municipe": "CASTELLI",
    "province": "TE"
  },
  "C079": {
    "municipe": "CASTELLI CALEPIO",
    "province": "BG"
  },
  "C172": {
    "municipe": "CASTELLINA IN CHIANTI",
    "province": "SI"
  },
  "C174": {
    "municipe": "CASTELLINA MARITTIMA",
    "province": "PI"
  },
  "C173": {
    "municipe": "CASTELLINALDO D'ALBA",
    "province": "CN"
  },
  "C175": {
    "municipe": "CASTELLINO DEL BIFERNO",
    "province": "CB"
  },
  "C176": {
    "municipe": "CASTELLINO TANARO",
    "province": "CN"
  },
  "C177": {
    "municipe": "CASTELLIRI",
    "province": "FR"
  },
  "B312": {
    "municipe": "CASTELLO CABIAGLIO",
    "province": "VA"
  },
  "C184": {
    "municipe": "CASTELLO D'AGOGNA",
    "province": "PV"
  },
  "C185": {
    "municipe": "CASTELLO D'ARGILE",
    "province": "BO"
  },
  "C178": {
    "municipe": "CASTELLO DEL MATESE",
    "province": "CE"
  },
  "C186": {
    "municipe": "CASTELLO DELL'ACQUA",
    "province": "SO"
  },
  "A300": {
    "municipe": "CASTELLO DI ANNONE",
    "province": "AT"
  },
  "C187": {
    "municipe": "CASTELLO DI BRIANZA",
    "province": "LC"
  },
  "C188": {
    "municipe": "CASTELLO DI CISTERNA",
    "province": "NA"
  },
  "C190": {
    "municipe": "CASTELLO DI GODEGO",
    "province": "TV"
  },
  "C194": {
    "municipe": "CASTELLO TESINO",
    "province": "TN"
  },
  "C189": {
    "municipe": "CASTELLO-MOLINA DI FIEMME",
    "province": "TN"
  },
  "C195": {
    "municipe": "CASTELLUCCHIO",
    "province": "MN"
  },
  "C198": {
    "municipe": "CASTELLUCCIO DEI SAURI",
    "province": "FG"
  },
  "C199": {
    "municipe": "CASTELLUCCIO INFERIORE",
    "province": "PZ"
  },
  "C201": {
    "municipe": "CASTELLUCCIO SUPERIORE",
    "province": "PZ"
  },
  "C202": {
    "municipe": "CASTELLUCCIO VALMAGGIORE",
    "province": "FG"
  },
  "C205": {
    "municipe": "CASTELMAGNO",
    "province": "CN"
  },
  "C206": {
    "municipe": "CASTELMARTE",
    "province": "CO"
  },
  "C207": {
    "municipe": "CASTELMASSA",
    "province": "RO"
  },
  "C197": {
    "municipe": "CASTELMAURO",
    "province": "CB"
  },
  "C209": {
    "municipe": "CASTELMEZZANO",
    "province": "PZ"
  },
  "C210": {
    "municipe": "CASTELMOLA",
    "province": "ME"
  },
  "C213": {
    "municipe": "CASTELNOVETTO",
    "province": "PV"
  },
  "C215": {
    "municipe": "CASTELNOVO BARIANO",
    "province": "RO"
  },
  "C217": {
    "municipe": "CASTELNOVO DEL FRIULI",
    "province": "PN"
  },
  "C218": {
    "municipe": "CASTELNOVO DI SOTTO",
    "province": "RE"
  },
  "C219": {
    "municipe": "CASTELNOVO NE' MONTI",
    "province": "RE"
  },
  "C216": {
    "municipe": "CASTELNUOVO",
    "province": "TN"
  },
  "C226": {
    "municipe": "CASTELNUOVO BELBO",
    "province": "AT"
  },
  "C227": {
    "municipe": "CASTELNUOVO BERARDENGA",
    "province": "SI"
  },
  "C228": {
    "municipe": "CASTELNUOVO BOCCA D'ADDA",
    "province": "LO"
  },
  "C229": {
    "municipe": "CASTELNUOVO BORMIDA",
    "province": "AL"
  },
  "C220": {
    "municipe": "CASTELNUOVO BOZZENTE",
    "province": "CO"
  },
  "C230": {
    "municipe": "CASTELNUOVO CALCEA",
    "province": "AT"
  },
  "C231": {
    "municipe": "CASTELNUOVO CILENTO",
    "province": "SA"
  },
  "C225": {
    "municipe": "CASTELNUOVO DEL GARDA",
    "province": "VR"
  },
  "C222": {
    "municipe": "CASTELNUOVO DELLA DAUNIA",
    "province": "FG"
  },
  "C214": {
    "municipe": "CASTELNUOVO DI CEVA",
    "province": "CN"
  },
  "C235": {
    "municipe": "CASTELNUOVO DI CONZA",
    "province": "SA"
  },
  "C224": {
    "municipe": "CASTELNUOVO DI FARFA",
    "province": "RI"
  },
  "C236": {
    "municipe": "CASTELNUOVO DI GARFAGNANA",
    "province": "LU"
  },
  "C237": {
    "municipe": "CASTELNUOVO DI PORTO",
    "province": "RM"
  },
  "C244": {
    "municipe": "CASTELNUOVO DI VAL DI CECINA",
    "province": "PI"
  },
  "C232": {
    "municipe": "CASTELNUOVO DON BOSCO",
    "province": "AT"
  },
  "C240": {
    "municipe": "CASTELNUOVO MAGRA",
    "province": "SP"
  },
  "C241": {
    "municipe": "CASTELNUOVO NIGRA",
    "province": "TO"
  },
  "C223": {
    "municipe": "CASTELNUOVO PARANO",
    "province": "FR"
  },
  "C242": {
    "municipe": "CASTELNUOVO RANGONE",
    "province": "MO"
  },
  "C243": {
    "municipe": "CASTELNUOVO SCRIVIA",
    "province": "AL"
  },
  "C245": {
    "municipe": "CASTELPAGANO",
    "province": "BN"
  },
  "C246": {
    "municipe": "CASTELPETROSO",
    "province": "IS"
  },
  "C247": {
    "municipe": "CASTELPIZZUTO",
    "province": "IS"
  },
  "C248": {
    "municipe": "CASTELPLANIO",
    "province": "AN"
  },
  "C250": {
    "municipe": "CASTELPOTO",
    "province": "BN"
  },
  "C251": {
    "municipe": "CASTELRAIMONDO",
    "province": "MC"
  },
  "C254": {
    "municipe": "CASTELROTTO/KASTELRUTH",
    "province": "BZ"
  },
  "C267": {
    "municipe": "CASTELSANTANGELO SUL NERA",
    "province": "MC"
  },
  "C271": {
    "municipe": "CASTELSARACENO",
    "province": "PZ"
  },
  "C272": {
    "municipe": "CASTELSARDO",
    "province": "SS"
  },
  "C273": {
    "municipe": "CASTELSEPRIO",
    "province": "VA"
  },
  "B968": {
    "municipe": "CASTELSILANO",
    "province": "KR"
  },
  "C274": {
    "municipe": "CASTELSPINA",
    "province": "AL"
  },
  "C275": {
    "municipe": "CASTELTERMINI",
    "province": "AG"
  },
  "C181": {
    "municipe": "CASTELVECCANA",
    "province": "VA"
  },
  "C278": {
    "municipe": "CASTELVECCHIO CALVISIO",
    "province": "AQ"
  },
  "C276": {
    "municipe": "CASTELVECCHIO DI ROCCA BARBENA",
    "province": "SV"
  },
  "C279": {
    "municipe": "CASTELVECCHIO SUBEQUO",
    "province": "AQ"
  },
  "C280": {
    "municipe": "CASTELVENERE",
    "province": "BN"
  },
  "B129": {
    "municipe": "CASTELVERDE",
    "province": "CR"
  },
  "C200": {
    "municipe": "CASTELVERRINO",
    "province": "IS"
  },
  "C284": {
    "municipe": "CASTELVETERE IN VAL FORTORE",
    "province": "BN"
  },
  "C283": {
    "municipe": "CASTELVETERE SUL CALORE",
    "province": "AV"
  },
  "C286": {
    "municipe": "CASTELVETRANO",
    "province": "TP"
  },
  "C287": {
    "municipe": "CASTELVETRO DI MODENA",
    "province": "MO"
  },
  "C288": {
    "municipe": "CASTELVETRO PIACENTINO",
    "province": "PC"
  },
  "C290": {
    "municipe": "CASTELVISCONTI",
    "province": "CR"
  },
  "C292": {
    "municipe": "CASTENASO",
    "province": "BO"
  },
  "C293": {
    "municipe": "CASTENEDOLO",
    "province": "BS"
  },
  "M288": {
    "municipe": "CASTIADAS",
    "province": "SU"
  },
  "C318": {
    "municipe": "CASTIGLION FIBOCCHI",
    "province": "AR"
  },
  "C319": {
    "municipe": "CASTIGLION FIORENTINO",
    "province": "AR"
  },
  "C308": {
    "municipe": "CASTIGLIONE A CASAURIA",
    "province": "PE"
  },
  "C302": {
    "municipe": "CASTIGLIONE CHIAVARESE",
    "province": "GE"
  },
  "C301": {
    "municipe": "CASTIGLIONE COSENTINO",
    "province": "CS"
  },
  "C304": {
    "municipe": "CASTIGLIONE D'ADDA",
    "province": "LO"
  },
  "C313": {
    "municipe": "CASTIGLIONE D'ORCIA",
    "province": "SI"
  },
  "C296": {
    "municipe": "CASTIGLIONE DEI PEPOLI",
    "province": "BO"
  },
  "C306": {
    "municipe": "CASTIGLIONE DEL GENOVESI",
    "province": "SA"
  },
  "C309": {
    "municipe": "CASTIGLIONE DEL LAGO",
    "province": "PG"
  },
  "C310": {
    "municipe": "CASTIGLIONE DELLA PESCAIA",
    "province": "GR"
  },
  "C312": {
    "municipe": "CASTIGLIONE DELLE STIVIERE",
    "province": "MN"
  },
  "C303": {
    "municipe": "CASTIGLIONE DI GARFAGNANA",
    "province": "LU"
  },
  "C297": {
    "municipe": "CASTIGLIONE DI SICILIA",
    "province": "CT"
  },
  "C314": {
    "municipe": "CASTIGLIONE FALLETTO",
    "province": "CN"
  },
  "C315": {
    "municipe": "CASTIGLIONE IN TEVERINA",
    "province": "VT"
  },
  "C298": {
    "municipe": "CASTIGLIONE MESSER MARINO",
    "province": "CH"
  },
  "C316": {
    "municipe": "CASTIGLIONE MESSER RAIMONDO",
    "province": "TE"
  },
  "C300": {
    "municipe": "CASTIGLIONE OLONA",
    "province": "VA"
  },
  "C317": {
    "municipe": "CASTIGLIONE TINELLA",
    "province": "CN"
  },
  "C307": {
    "municipe": "CASTIGLIONE TORINESE",
    "province": "TO"
  },
  "C321": {
    "municipe": "CASTIGNANO",
    "province": "AP"
  },
  "C322": {
    "municipe": "CASTILENTI",
    "province": "TE"
  },
  "C323": {
    "municipe": "CASTINO",
    "province": "CN"
  },
  "C325": {
    "municipe": "CASTIONE ANDEVENNO",
    "province": "SO"
  },
  "C324": {
    "municipe": "CASTIONE DELLA PRESOLANA",
    "province": "BG"
  },
  "C327": {
    "municipe": "CASTIONS DI STRADA",
    "province": "UD"
  },
  "C329": {
    "municipe": "CASTIRAGA VIDARDO",
    "province": "LO"
  },
  "C330": {
    "municipe": "CASTO",
    "province": "BS"
  },
  "C331": {
    "municipe": "CASTORANO",
    "province": "AP"
  },
  "C332": {
    "municipe": "CASTREZZATO",
    "province": "BS"
  },
  "C334": {
    "municipe": "CASTRI DI LECCE",
    "province": "LE"
  },
  "C335": {
    "municipe": "CASTRIGNANO DE' GRECI",
    "province": "LE"
  },
  "C336": {
    "municipe": "CASTRIGNANO DEL CAPO",
    "province": "LE"
  },
  "C337": {
    "municipe": "CASTRO",
    "province": "BG"
  },
  "M261": {
    "municipe": "CASTRO",
    "province": "LE"
  },
  "C338": {
    "municipe": "CASTRO DEI VOLSCI",
    "province": "FR"
  },
  "C339": {
    "municipe": "CASTROCARO TERME E TERRA DEL SOLE",
    "province": "FC"
  },
  "C340": {
    "municipe": "CASTROCIELO",
    "province": "FR"
  },
  "C341": {
    "municipe": "CASTROFILIPPO",
    "province": "AG"
  },
  "C108": {
    "municipe": "CASTROLIBERO",
    "province": "CS"
  },
  "C343": {
    "municipe": "CASTRONNO",
    "province": "VA"
  },
  "C344": {
    "municipe": "CASTRONOVO DI SICILIA",
    "province": "PA"
  },
  "C345": {
    "municipe": "CASTRONUOVO DI SANT'ANDREA",
    "province": "PZ"
  },
  "C346": {
    "municipe": "CASTROPIGNANO",
    "province": "CB"
  },
  "C347": {
    "municipe": "CASTROREALE",
    "province": "ME"
  },
  "C348": {
    "municipe": "CASTROREGIO",
    "province": "CS"
  },
  "C349": {
    "municipe": "CASTROVILLARI",
    "province": "CS"
  },
  "C351": {
    "municipe": "CATANIA",
    "province": "CT"
  },
  "C352": {
    "municipe": "CATANZARO",
    "province": "CZ"
  },
  "C353": {
    "municipe": "CATENANUOVA",
    "province": "EN"
  },
  "C354": {
    "municipe": "CATIGNANO",
    "province": "PE"
  },
  "C357": {
    "municipe": "CATTOLICA",
    "province": "RN"
  },
  "C356": {
    "municipe": "CATTOLICA ERACLEA",
    "province": "AG"
  },
  "C285": {
    "municipe": "CAULONIA",
    "province": "RC"
  },
  "C359": {
    "municipe": "CAUTANO",
    "province": "BN"
  },
  "C361": {
    "municipe": "CAVA DE' TIRRENI",
    "province": "SA"
  },
  "C360": {
    "municipe": "CAVA MANARA",
    "province": "PV"
  },
  "C363": {
    "municipe": "CAVAGLIA'",
    "province": "BI"
  },
  "C364": {
    "municipe": "CAVAGLIETTO",
    "province": "NO"
  },
  "C365": {
    "municipe": "CAVAGLIO D'AGOGNA",
    "province": "NO"
  },
  "C369": {
    "municipe": "CAVAGNOLO",
    "province": "TO"
  },
  "C370": {
    "municipe": "CAVAION VERONESE",
    "province": "VR"
  },
  "C372": {
    "municipe": "CAVALESE",
    "province": "TN"
  },
  "C375": {
    "municipe": "CAVALLERLEONE",
    "province": "CN"
  },
  "C376": {
    "municipe": "CAVALLERMAGGIORE",
    "province": "CN"
  },
  "C377": {
    "municipe": "CAVALLINO",
    "province": "LE"
  },
  "M308": {
    "municipe": "CAVALLINO-TREPORTI",
    "province": "VE"
  },
  "C378": {
    "municipe": "CAVALLIRIO",
    "province": "NO"
  },
  "C380": {
    "municipe": "CAVARENO",
    "province": "TN"
  },
  "C381": {
    "municipe": "CAVARGNA",
    "province": "CO"
  },
  "C382": {
    "municipe": "CAVARIA CON PREMEZZO",
    "province": "VA"
  },
  "C383": {
    "municipe": "CAVARZERE",
    "province": "VE"
  },
  "C384": {
    "municipe": "CAVASO DEL TOMBA",
    "province": "TV"
  },
  "C385": {
    "municipe": "CAVASSO NUOVO",
    "province": "PN"
  },
  "C387": {
    "municipe": "CAVATORE",
    "province": "AL"
  },
  "C389": {
    "municipe": "CAVAZZO CARNICO",
    "province": "UD"
  },
  "C390": {
    "municipe": "CAVE",
    "province": "RM"
  },
  "C392": {
    "municipe": "CAVEDAGO",
    "province": "TN"
  },
  "C393": {
    "municipe": "CAVEDINE",
    "province": "TN"
  },
  "C394": {
    "municipe": "CAVENAGO D'ADDA",
    "province": "LO"
  },
  "C395": {
    "municipe": "CAVENAGO DI BRIANZA",
    "province": "MB"
  },
  "C396": {
    "municipe": "CAVERNAGO",
    "province": "BG"
  },
  "C398": {
    "municipe": "CAVEZZO",
    "province": "MO"
  },
  "C400": {
    "municipe": "CAVIZZANA",
    "province": "TN"
  },
  "C404": {
    "municipe": "CAVOUR",
    "province": "TO"
  },
  "C405": {
    "municipe": "CAVRIAGO",
    "province": "RE"
  },
  "C406": {
    "municipe": "CAVRIANA",
    "province": "MN"
  },
  "C407": {
    "municipe": "CAVRIGLIA",
    "province": "AR"
  },
  "C409": {
    "municipe": "CAZZAGO BRABBIA",
    "province": "VA"
  },
  "C408": {
    "municipe": "CAZZAGO SAN MARTINO",
    "province": "BS"
  },
  "C412": {
    "municipe": "CAZZANO DI TRAMIGNA",
    "province": "VR"
  },
  "C410": {
    "municipe": "CAZZANO SANT'ANDREA",
    "province": "BG"
  },
  "C413": {
    "municipe": "CECCANO",
    "province": "FR"
  },
  "C414": {
    "municipe": "CECIMA",
    "province": "PV"
  },
  "C415": {
    "municipe": "CECINA",
    "province": "LI"
  },
  "C417": {
    "municipe": "CEDEGOLO",
    "province": "BS"
  },
  "C418": {
    "municipe": "CEDRASCO",
    "province": "SO"
  },
  "C420": {
    "municipe": "CEFALA' DIANA",
    "province": "PA"
  },
  "C421": {
    "municipe": "CEFALU'",
    "province": "PA"
  },
  "C422": {
    "municipe": "CEGGIA",
    "province": "VE"
  },
  "C424": {
    "municipe": "CEGLIE MESSAPICA",
    "province": "BR"
  },
  "C426": {
    "municipe": "CELANO",
    "province": "AQ"
  },
  "C428": {
    "municipe": "CELENZA SUL TRIGNO",
    "province": "CH"
  },
  "C429": {
    "municipe": "CELENZA VALFORTORE",
    "province": "FG"
  },
  "C430": {
    "municipe": "CELICO",
    "province": "CS"
  },
  "C435": {
    "municipe": "CELLA DATI",
    "province": "CR"
  },
  "C432": {
    "municipe": "CELLA MONTE",
    "province": "AL"
  },
  "C436": {
    "municipe": "CELLAMARE",
    "province": "BA"
  },
  "C437": {
    "municipe": "CELLARA",
    "province": "CS"
  },
  "C438": {
    "municipe": "CELLARENGO",
    "province": "AT"
  },
  "C439": {
    "municipe": "CELLATICA",
    "province": "BS"
  },
  "C444": {
    "municipe": "CELLE DI BULGHERIA",
    "province": "SA"
  },
  "C441": {
    "municipe": "CELLE DI MACRA",
    "province": "CN"
  },
  "C442": {
    "municipe": "CELLE DI SAN VITO",
    "province": "FG"
  },
  "C440": {
    "municipe": "CELLE ENOMONDO",
    "province": "AT"
  },
  "C443": {
    "municipe": "CELLE LIGURE",
    "province": "SV"
  },
  "C446": {
    "municipe": "CELLENO",
    "province": "VT"
  },
  "C447": {
    "municipe": "CELLERE",
    "province": "VT"
  },
  "C449": {
    "municipe": "CELLINO ATTANASIO",
    "province": "TE"
  },
  "C448": {
    "municipe": "CELLINO SAN MARCO",
    "province": "BR"
  },
  "M398": {
    "municipe": "CELLIO CON BREIA",
    "province": "VC"
  },
  "M262": {
    "municipe": "CELLOLE",
    "province": "CE"
  },
  "M355": {
    "municipe": "CEMBRA LISIGNAGO",
    "province": "TN"
  },
  "C453": {
    "municipe": "CENADI",
    "province": "CZ"
  },
  "C456": {
    "municipe": "CENATE SOPRA",
    "province": "BG"
  },
  "C457": {
    "municipe": "CENATE SOTTO",
    "province": "BG"
  },
  "C458": {
    "municipe": "CENCENIGHE AGORDINO",
    "province": "BL"
  },
  "C459": {
    "municipe": "CENE",
    "province": "BG"
  },
  "C461": {
    "municipe": "CENESELLI",
    "province": "RO"
  },
  "C463": {
    "municipe": "CENGIO",
    "province": "SV"
  },
  "C466": {
    "municipe": "CENTALLO",
    "province": "CN"
  },
  "C469": {
    "municipe": "CENTO",
    "province": "FE"
  },
  "C470": {
    "municipe": "CENTOLA",
    "province": "SA"
  },
  "C472": {
    "municipe": "CENTRACHE",
    "province": "CZ"
  },
  "M394": {
    "municipe": "CENTRO VALLE INTELVI",
    "province": "CO"
  },
  "C471": {
    "municipe": "CENTURIPE",
    "province": "EN"
  },
  "C474": {
    "municipe": "CEPAGATTI",
    "province": "PE"
  },
  "C476": {
    "municipe": "CEPPALONI",
    "province": "BN"
  },
  "C478": {
    "municipe": "CEPPO MORELLI",
    "province": "VB"
  },
  "C479": {
    "municipe": "CEPRANO",
    "province": "FR"
  },
  "C480": {
    "municipe": "CERAMI",
    "province": "EN"
  },
  "C481": {
    "municipe": "CERANESI",
    "province": "GE"
  },
  "C483": {
    "municipe": "CERANO",
    "province": "NO"
  },
  "C482": {
    "municipe": "CERANO D'INTELVI",
    "province": "CO"
  },
  "C484": {
    "municipe": "CERANOVA",
    "province": "PV"
  },
  "C485": {
    "municipe": "CERASO",
    "province": "SA"
  },
  "C486": {
    "municipe": "CERCEMAGGIORE",
    "province": "CB"
  },
  "C487": {
    "municipe": "CERCENASCO",
    "province": "TO"
  },
  "C488": {
    "municipe": "CERCEPICCOLA",
    "province": "CB"
  },
  "C489": {
    "municipe": "CERCHIARA DI CALABRIA",
    "province": "CS"
  },
  "C492": {
    "municipe": "CERCHIO",
    "province": "AQ"
  },
  "C493": {
    "municipe": "CERCINO",
    "province": "SO"
  },
  "C494": {
    "municipe": "CERCIVENTO",
    "province": "UD"
  },
  "C495": {
    "municipe": "CERCOLA",
    "province": "NA"
  },
  "C496": {
    "municipe": "CERDA",
    "province": "PA"
  },
  "C498": {
    "municipe": "CEREA",
    "province": "VR"
  },
  "C500": {
    "municipe": "CEREGNANO",
    "province": "RO"
  },
  "C501": {
    "municipe": "CERENZIA",
    "province": "KR"
  },
  "C497": {
    "municipe": "CERES",
    "province": "TO"
  },
  "C502": {
    "municipe": "CERESARA",
    "province": "MN"
  },
  "C503": {
    "municipe": "CERESETO",
    "province": "AL"
  },
  "C504": {
    "municipe": "CERESOLE ALBA",
    "province": "CN"
  },
  "C505": {
    "municipe": "CERESOLE REALE",
    "province": "TO"
  },
  "C506": {
    "municipe": "CERETE",
    "province": "BG"
  },
  "C508": {
    "municipe": "CERETTO LOMELLINA",
    "province": "PV"
  },
  "C509": {
    "municipe": "CERGNAGO",
    "province": "PV"
  },
  "C510": {
    "municipe": "CERIALE",
    "province": "SV"
  },
  "C511": {
    "municipe": "CERIANA",
    "province": "IM"
  },
  "C512": {
    "municipe": "CERIANO LAGHETTO",
    "province": "MB"
  },
  "C513": {
    "municipe": "CERIGNALE",
    "province": "PC"
  },
  "C514": {
    "municipe": "CERIGNOLA",
    "province": "FG"
  },
  "C515": {
    "municipe": "CERISANO",
    "province": "CS"
  },
  "C516": {
    "municipe": "CERMENATE",
    "province": "CO"
  },
  "A022": {
    "municipe": "CERMES/TSCHERMS",
    "province": "BZ"
  },
  "C517": {
    "municipe": "CERMIGNANO",
    "province": "TE"
  },
  "C520": {
    "municipe": "CERNOBBIO",
    "province": "CO"
  },
  "C521": {
    "municipe": "CERNUSCO LOMBARDONE",
    "province": "LC"
  },
  "C523": {
    "municipe": "CERNUSCO SUL NAVIGLIO",
    "province": "MI"
  },
  "C528": {
    "municipe": "CERRETO D'ASTI",
    "province": "AT"
  },
  "C524": {
    "municipe": "CERRETO D'ESI",
    "province": "AN"
  },
  "C527": {
    "municipe": "CERRETO DI SPOLETO",
    "province": "PG"
  },
  "C507": {
    "municipe": "CERRETO GRUE",
    "province": "AL"
  },
  "C529": {
    "municipe": "CERRETO GUIDI",
    "province": "FI"
  },
  "C518": {
    "municipe": "CERRETO LAZIALE",
    "province": "RM"
  },
  "C525": {
    "municipe": "CERRETO SANNITA",
    "province": "BN"
  },
  "C530": {
    "municipe": "CERRETTO LANGHE",
    "province": "CN"
  },
  "C531": {
    "municipe": "CERRINA MONFERRATO",
    "province": "AL"
  },
  "C532": {
    "municipe": "CERRIONE",
    "province": "BI"
  },
  "C536": {
    "municipe": "CERRO AL LAMBRO",
    "province": "MI"
  },
  "C534": {
    "municipe": "CERRO AL VOLTURNO",
    "province": "IS"
  },
  "C537": {
    "municipe": "CERRO MAGGIORE",
    "province": "MI"
  },
  "C533": {
    "municipe": "CERRO TANARO",
    "province": "AT"
  },
  "C538": {
    "municipe": "CERRO VERONESE",
    "province": "VR"
  },
  "C539": {
    "municipe": "CERSOSIMO",
    "province": "PZ"
  },
  "C540": {
    "municipe": "CERTALDO",
    "province": "FI"
  },
  "C541": {
    "municipe": "CERTOSA DI PAVIA",
    "province": "PV"
  },
  "C542": {
    "municipe": "CERVA",
    "province": "CZ"
  },
  "C543": {
    "municipe": "CERVARA DI ROMA",
    "province": "RM"
  },
  "C544": {
    "municipe": "CERVARESE SANTA CROCE",
    "province": "PD"
  },
  "C545": {
    "municipe": "CERVARO",
    "province": "FR"
  },
  "C547": {
    "municipe": "CERVASCA",
    "province": "CN"
  },
  "C548": {
    "municipe": "CERVATTO",
    "province": "VC"
  },
  "C549": {
    "municipe": "CERVENO",
    "province": "BS"
  },
  "C550": {
    "municipe": "CERVERE",
    "province": "CN"
  },
  "C551": {
    "municipe": "CERVESINA",
    "province": "PV"
  },
  "C552": {
    "municipe": "CERVETERI",
    "province": "RM"
  },
  "C553": {
    "municipe": "CERVIA",
    "province": "RA"
  },
  "C554": {
    "municipe": "CERVICATI",
    "province": "CS"
  },
  "C555": {
    "municipe": "CERVIGNANO D'ADDA",
    "province": "LO"
  },
  "C556": {
    "municipe": "CERVIGNANO DEL FRIULI",
    "province": "UD"
  },
  "C557": {
    "municipe": "CERVINARA",
    "province": "AV"
  },
  "C558": {
    "municipe": "CERVINO",
    "province": "CE"
  },
  "C559": {
    "municipe": "CERVO",
    "province": "IM"
  },
  "C560": {
    "municipe": "CERZETO",
    "province": "CS"
  },
  "C561": {
    "municipe": "CESA",
    "province": "CE"
  },
  "C563": {
    "municipe": "CESANA BRIANZA",
    "province": "LC"
  },
  "C564": {
    "municipe": "CESANA TORINESE",
    "province": "TO"
  },
  "C565": {
    "municipe": "CESANO BOSCONE",
    "province": "MI"
  },
  "C566": {
    "municipe": "CESANO MADERNO",
    "province": "MB"
  },
  "C567": {
    "municipe": "CESARA",
    "province": "VB"
  },
  "C568": {
    "municipe": "CESARO'",
    "province": "ME"
  },
  "C569": {
    "municipe": "CESATE",
    "province": "MI"
  },
  "C573": {
    "municipe": "CESENA",
    "province": "FC"
  },
  "C574": {
    "municipe": "CESENATICO",
    "province": "FC"
  },
  "C576": {
    "municipe": "CESINALI",
    "province": "AV"
  },
  "C578": {
    "municipe": "CESIO",
    "province": "IM"
  },
  "C577": {
    "municipe": "CESIOMAGGIORE",
    "province": "BL"
  },
  "C580": {
    "municipe": "CESSALTO",
    "province": "TV"
  },
  "C581": {
    "municipe": "CESSANITI",
    "province": "VV"
  },
  "C582": {
    "municipe": "CESSAPALOMBO",
    "province": "MC"
  },
  "C583": {
    "municipe": "CESSOLE",
    "province": "AT"
  },
  "C584": {
    "municipe": "CETARA",
    "province": "SA"
  },
  "C585": {
    "municipe": "CETO",
    "province": "BS"
  },
  "C587": {
    "municipe": "CETONA",
    "province": "SI"
  },
  "C588": {
    "municipe": "CETRARO",
    "province": "CS"
  },
  "C589": {
    "municipe": "CEVA",
    "province": "CN"
  },
  "C591": {
    "municipe": "CEVO",
    "province": "BS"
  },
  "C593": {
    "municipe": "CHALLAND-SAINT-ANSELME",
    "province": "AO"
  },
  "C594": {
    "municipe": "CHALLAND-SAINT-VICTOR",
    "province": "AO"
  },
  "C595": {
    "municipe": "CHAMBAVE",
    "province": "AO"
  },
  "B491": {
    "municipe": "CHAMOIS",
    "province": "AO"
  },
  "C596": {
    "municipe": "CHAMPDEPRAZ",
    "province": "AO"
  },
  "B540": {
    "municipe": "CHAMPORCHER",
    "province": "AO"
  },
  "C598": {
    "municipe": "CHARVENSOD",
    "province": "AO"
  },
  "C294": {
    "municipe": "CHATILLON",
    "province": "AO"
  },
  "C599": {
    "municipe": "CHERASCO",
    "province": "CN"
  },
  "C600": {
    "municipe": "CHEREMULE",
    "province": "SS"
  },
  "C604": {
    "municipe": "CHIALAMBERTO",
    "province": "TO"
  },
  "C605": {
    "municipe": "CHIAMPO",
    "province": "VI"
  },
  "C606": {
    "municipe": "CHIANCHE",
    "province": "AV"
  },
  "C608": {
    "municipe": "CHIANCIANO TERME",
    "province": "SI"
  },
  "C609": {
    "municipe": "CHIANNI",
    "province": "PI"
  },
  "C610": {
    "municipe": "CHIANOCCO",
    "province": "TO"
  },
  "C612": {
    "municipe": "CHIARAMONTE GULFI",
    "province": "RG"
  },
  "C613": {
    "municipe": "CHIARAMONTI",
    "province": "SS"
  },
  "C614": {
    "municipe": "CHIARANO",
    "province": "TV"
  },
  "C615": {
    "municipe": "CHIARAVALLE",
    "province": "AN"
  },
  "C616": {
    "municipe": "CHIARAVALLE CENTRALE",
    "province": "CZ"
  },
  "C618": {
    "municipe": "CHIARI",
    "province": "BS"
  },
  "C619": {
    "municipe": "CHIAROMONTE",
    "province": "PZ"
  },
  "C620": {
    "municipe": "CHIAUCI",
    "province": "IS"
  },
  "C621": {
    "municipe": "CHIAVARI",
    "province": "GE"
  },
  "C623": {
    "municipe": "CHIAVENNA",
    "province": "SO"
  },
  "C624": {
    "municipe": "CHIAVERANO",
    "province": "TO"
  },
  "C625": {
    "municipe": "CHIENES/KIENS",
    "province": "BZ"
  },
  "C627": {
    "municipe": "CHIERI",
    "province": "TO"
  },
  "C630": {
    "municipe": "CHIES D'ALPAGO",
    "province": "BL"
  },
  "C628": {
    "municipe": "CHIESA IN VALMALENCO",
    "province": "SO"
  },
  "C629": {
    "municipe": "CHIESANUOVA",
    "province": "TO"
  },
  "C631": {
    "municipe": "CHIESINA UZZANESE",
    "province": "PT"
  },
  "C632": {
    "municipe": "CHIETI",
    "province": "CH"
  },
  "C633": {
    "municipe": "CHIEUTI",
    "province": "FG"
  },
  "C634": {
    "municipe": "CHIEVE",
    "province": "CR"
  },
  "C635": {
    "municipe": "CHIGNOLO D'ISOLA",
    "province": "BG"
  },
  "C637": {
    "municipe": "CHIGNOLO PO",
    "province": "PV"
  },
  "C638": {
    "municipe": "CHIOGGIA",
    "province": "VE"
  },
  "C639": {
    "municipe": "CHIOMONTE",
    "province": "TO"
  },
  "C640": {
    "municipe": "CHIONS",
    "province": "PN"
  },
  "C641": {
    "municipe": "CHIOPRIS-VISCONE",
    "province": "UD"
  },
  "C648": {
    "municipe": "CHITIGNANO",
    "province": "AR"
  },
  "C649": {
    "municipe": "CHIUDUNO",
    "province": "BG"
  },
  "C650": {
    "municipe": "CHIUPPANO",
    "province": "VI"
  },
  "C651": {
    "municipe": "CHIURO",
    "province": "SO"
  },
  "C653": {
    "municipe": "CHIUSA DI PESIO",
    "province": "CN"
  },
  "C655": {
    "municipe": "CHIUSA DI SAN MICHELE",
    "province": "TO"
  },
  "C654": {
    "municipe": "CHIUSA SCLAFANI",
    "province": "PA"
  },
  "C652": {
    "municipe": "CHIUSA/KLAUSEN",
    "province": "BZ"
  },
  "C656": {
    "municipe": "CHIUSAFORTE",
    "province": "UD"
  },
  "C657": {
    "municipe": "CHIUSANICO",
    "province": "IM"
  },
  "C658": {
    "municipe": "CHIUSANO D'ASTI",
    "province": "AT"
  },
  "C659": {
    "municipe": "CHIUSANO DI SAN DOMENICO",
    "province": "AV"
  },
  "C660": {
    "municipe": "CHIUSAVECCHIA",
    "province": "IM"
  },
  "C661": {
    "municipe": "CHIUSDINO",
    "province": "SI"
  },
  "C662": {
    "municipe": "CHIUSI",
    "province": "SI"
  },
  "C663": {
    "municipe": "CHIUSI DELLA VERNA",
    "province": "AR"
  },
  "C665": {
    "municipe": "CHIVASSO",
    "province": "TO"
  },
  "M272": {
    "municipe": "CIAMPINO",
    "province": "RM"
  },
  "C668": {
    "municipe": "CIANCIANA",
    "province": "AG"
  },
  "C672": {
    "municipe": "CIBIANA DI CADORE",
    "province": "BL"
  },
  "C673": {
    "municipe": "CICAGNA",
    "province": "GE"
  },
  "C674": {
    "municipe": "CICALA",
    "province": "CZ"
  },
  "C675": {
    "municipe": "CICCIANO",
    "province": "NA"
  },
  "C676": {
    "municipe": "CICERALE",
    "province": "SA"
  },
  "C677": {
    "municipe": "CICILIANO",
    "province": "RM"
  },
  "C678": {
    "municipe": "CICOGNOLO",
    "province": "CR"
  },
  "C679": {
    "municipe": "CICONIO",
    "province": "TO"
  },
  "C680": {
    "municipe": "CIGLIANO",
    "province": "VC"
  },
  "C681": {
    "municipe": "CIGLIE'",
    "province": "CN"
  },
  "C684": {
    "municipe": "CIGOGNOLA",
    "province": "PV"
  },
  "C685": {
    "municipe": "CIGOLE",
    "province": "BS"
  },
  "C686": {
    "municipe": "CILAVEGNA",
    "province": "PV"
  },
  "C689": {
    "municipe": "CIMADOLMO",
    "province": "TV"
  },
  "C691": {
    "municipe": "CIMBERGO",
    "province": "BS"
  },
  "C695": {
    "municipe": "CIMINA'",
    "province": "RC"
  },
  "C696": {
    "municipe": "CIMINNA",
    "province": "PA"
  },
  "C697": {
    "municipe": "CIMITILE",
    "province": "NA"
  },
  "C699": {
    "municipe": "CIMOLAIS",
    "province": "PN"
  },
  "C700": {
    "municipe": "CIMONE",
    "province": "TN"
  },
  "C701": {
    "municipe": "CINAGLIO",
    "province": "AT"
  },
  "C702": {
    "municipe": "CINETO ROMANO",
    "province": "RM"
  },
  "C703": {
    "municipe": "CINGIA DE' BOTTI",
    "province": "CR"
  },
  "C704": {
    "municipe": "CINGOLI",
    "province": "MC"
  },
  "C705": {
    "municipe": "CINIGIANO",
    "province": "GR"
  },
  "C707": {
    "municipe": "CINISELLO BALSAMO",
    "province": "MI"
  },
  "C708": {
    "municipe": "CINISI",
    "province": "PA"
  },
  "C709": {
    "municipe": "CINO",
    "province": "SO"
  },
  "C710": {
    "municipe": "CINQUEFRONDI",
    "province": "RC"
  },
  "C711": {
    "municipe": "CINTANO",
    "province": "TO"
  },
  "C712": {
    "municipe": "CINTE TESINO",
    "province": "TN"
  },
  "C714": {
    "municipe": "CINTO CAOMAGGIORE",
    "province": "VE"
  },
  "C713": {
    "municipe": "CINTO EUGANEO",
    "province": "PD"
  },
  "C715": {
    "municipe": "CINZANO",
    "province": "TO"
  },
  "C716": {
    "municipe": "CIORLANO",
    "province": "CE"
  },
  "C718": {
    "municipe": "CIPRESSA",
    "province": "IM"
  },
  "C719": {
    "municipe": "CIRCELLO",
    "province": "BN"
  },
  "C722": {
    "municipe": "CIRIE'",
    "province": "TO"
  },
  "C723": {
    "municipe": "CIRIGLIANO",
    "province": "MT"
  },
  "C724": {
    "municipe": "CIRIMIDO",
    "province": "CO"
  },
  "C725": {
    "municipe": "CIRO'",
    "province": "KR"
  },
  "C726": {
    "municipe": "CIRO' MARINA",
    "province": "KR"
  },
  "C727": {
    "municipe": "CIS",
    "province": "TN"
  },
  "C728": {
    "municipe": "CISANO BERGAMASCO",
    "province": "BG"
  },
  "C729": {
    "municipe": "CISANO SUL NEVA",
    "province": "SV"
  },
  "C730": {
    "municipe": "CISERANO",
    "province": "BG"
  },
  "C732": {
    "municipe": "CISLAGO",
    "province": "VA"
  },
  "C733": {
    "municipe": "CISLIANO",
    "province": "MI"
  },
  "C735": {
    "municipe": "CISON DI VALMARINO",
    "province": "TV"
  },
  "C738": {
    "municipe": "CISSONE",
    "province": "CN"
  },
  "C739": {
    "municipe": "CISTERNA D'ASTI",
    "province": "AT"
  },
  "C740": {
    "municipe": "CISTERNA DI LATINA",
    "province": "LT"
  },
  "C741": {
    "municipe": "CISTERNINO",
    "province": "BR"
  },
  "C742": {
    "municipe": "CITERNA",
    "province": "PG"
  },
  "C744": {
    "municipe": "CITTA' DELLA PIEVE",
    "province": "PG"
  },
  "C745": {
    "municipe": "CITTA' DI CASTELLO",
    "province": "PG"
  },
  "C750": {
    "municipe": "CITTA' SANT'ANGELO",
    "province": "PE"
  },
  "C743": {
    "municipe": "CITTADELLA",
    "province": "PD"
  },
  "C746": {
    "municipe": "CITTADUCALE",
    "province": "RI"
  },
  "C747": {
    "municipe": "CITTANOVA",
    "province": "RC"
  },
  "C749": {
    "municipe": "CITTAREALE",
    "province": "RI"
  },
  "C751": {
    "municipe": "CITTIGLIO",
    "province": "VA"
  },
  "C752": {
    "municipe": "CIVATE",
    "province": "LC"
  },
  "C755": {
    "municipe": "CIVEZZA",
    "province": "IM"
  },
  "C756": {
    "municipe": "CIVEZZANO",
    "province": "TN"
  },
  "C757": {
    "municipe": "CIVIASCO",
    "province": "VC"
  },
  "C758": {
    "municipe": "CIVIDALE DEL FRIULI",
    "province": "UD"
  },
  "C759": {
    "municipe": "CIVIDATE AL PIANO",
    "province": "BG"
  },
  "C760": {
    "municipe": "CIVIDATE CAMUNO",
    "province": "BS"
  },
  "C763": {
    "municipe": "CIVITA",
    "province": "CS"
  },
  "C765": {
    "municipe": "CIVITA CASTELLANA",
    "province": "VT"
  },
  "C766": {
    "municipe": "CIVITA D'ANTINO",
    "province": "AQ"
  },
  "C764": {
    "municipe": "CIVITACAMPOMARANO",
    "province": "CB"
  },
  "C768": {
    "municipe": "CIVITALUPARELLA",
    "province": "CH"
  },
  "C769": {
    "municipe": "CIVITANOVA DEL SANNIO",
    "province": "IS"
  },
  "C770": {
    "municipe": "CIVITANOVA MARCHE",
    "province": "MC"
  },
  "C771": {
    "municipe": "CIVITAQUANA",
    "province": "PE"
  },
  "C773": {
    "municipe": "CIVITAVECCHIA",
    "province": "RM"
  },
  "C778": {
    "municipe": "CIVITELLA ALFEDENA",
    "province": "AQ"
  },
  "C779": {
    "municipe": "CIVITELLA CASANOVA",
    "province": "PE"
  },
  "C780": {
    "municipe": "CIVITELLA D'AGLIANO",
    "province": "VT"
  },
  "C781": {
    "municipe": "CIVITELLA DEL TRONTO",
    "province": "TE"
  },
  "C777": {
    "municipe": "CIVITELLA DI ROMAGNA",
    "province": "FC"
  },
  "C774": {
    "municipe": "CIVITELLA IN VAL DI CHIANA",
    "province": "AR"
  },
  "C776": {
    "municipe": "CIVITELLA MESSER RAIMONDO",
    "province": "CH"
  },
  "C782": {
    "municipe": "CIVITELLA PAGANICO",
    "province": "GR"
  },
  "C783": {
    "municipe": "CIVITELLA ROVETO",
    "province": "AQ"
  },
  "C784": {
    "municipe": "CIVITELLA SAN PAOLO",
    "province": "RM"
  },
  "C785": {
    "municipe": "CIVO",
    "province": "SO"
  },
  "C787": {
    "municipe": "CLAINO CON OSTENO",
    "province": "CO"
  },
  "C790": {
    "municipe": "CLAUT",
    "province": "PN"
  },
  "C791": {
    "municipe": "CLAUZETTO",
    "province": "PN"
  },
  "C792": {
    "municipe": "CLAVESANA",
    "province": "CN"
  },
  "C793": {
    "municipe": "CLAVIERE",
    "province": "TO"
  },
  "C794": {
    "municipe": "CLES",
    "province": "TN"
  },
  "C795": {
    "municipe": "CLETO",
    "province": "CS"
  },
  "C796": {
    "municipe": "CLIVIO",
    "province": "VA"
  },
  "C800": {
    "municipe": "CLUSONE",
    "province": "BG"
  },
  "C801": {
    "municipe": "COASSOLO TORINESE",
    "province": "TO"
  },
  "C803": {
    "municipe": "COAZZE",
    "province": "TO"
  },
  "C804": {
    "municipe": "COAZZOLO",
    "province": "AT"
  },
  "C806": {
    "municipe": "COCCAGLIO",
    "province": "BS"
  },
  "C807": {
    "municipe": "COCCONATO",
    "province": "AT"
  },
  "C810": {
    "municipe": "COCQUIO-TREVISAGO",
    "province": "VA"
  },
  "C811": {
    "municipe": "COCULLO",
    "province": "AQ"
  },
  "C812": {
    "municipe": "CODEVIGO",
    "province": "PD"
  },
  "C813": {
    "municipe": "CODEVILLA",
    "province": "PV"
  },
  "C814": {
    "municipe": "CODIGORO",
    "province": "FE"
  },
  "C815": {
    "municipe": "CODOGNE'",
    "province": "TV"
  },
  "C816": {
    "municipe": "CODOGNO",
    "province": "LO"
  },
  "C817": {
    "municipe": "CODROIPO",
    "province": "UD"
  },
  "C818": {
    "municipe": "CODRONGIANOS",
    "province": "SS"
  },
  "C819": {
    "municipe": "COGGIOLA",
    "province": "BI"
  },
  "C820": {
    "municipe": "COGLIATE",
    "province": "MB"
  },
  "C821": {
    "municipe": "COGNE",
    "province": "AO"
  },
  "C823": {
    "municipe": "COGOLETO",
    "province": "GE"
  },
  "C824": {
    "municipe": "COGOLLO DEL CENGIO",
    "province": "VI"
  },
  "C826": {
    "municipe": "COGORNO",
    "province": "GE"
  },
  "C829": {
    "municipe": "COLAZZA",
    "province": "NO"
  },
  "M426": {
    "municipe": "COLCERESA",
    "province": "VI"
  },
  "C835": {
    "municipe": "COLERE",
    "province": "BG"
  },
  "C836": {
    "municipe": "COLFELICE",
    "province": "FR"
  },
  "C838": {
    "municipe": "COLI",
    "province": "PC"
  },
  "C839": {
    "municipe": "COLICO",
    "province": "LC"
  },
  "C841": {
    "municipe": "COLLALTO SABINO",
    "province": "RI"
  },
  "C844": {
    "municipe": "COLLARMELE",
    "province": "AQ"
  },
  "C845": {
    "municipe": "COLLAZZONE",
    "province": "PG"
  },
  "C851": {
    "municipe": "COLLE BRIANZA",
    "province": "LC"
  },
  "C854": {
    "municipe": "COLLE D'ANCHISE",
    "province": "CB"
  },
  "C857": {
    "municipe": "COLLE DI TORA",
    "province": "RI"
  },
  "C847": {
    "municipe": "COLLE DI VAL D'ELSA",
    "province": "SI"
  },
  "C870": {
    "municipe": "COLLE SAN MAGNO",
    "province": "FR"
  },
  "C846": {
    "municipe": "COLLE SANNITA",
    "province": "BN"
  },
  "C872": {
    "municipe": "COLLE SANTA LUCIA",
    "province": "BL"
  },
  "C848": {
    "municipe": "COLLE UMBERTO",
    "province": "TV"
  },
  "C850": {
    "municipe": "COLLEBEATO",
    "province": "BS"
  },
  "C852": {
    "municipe": "COLLECCHIO",
    "province": "PR"
  },
  "C853": {
    "municipe": "COLLECORVINO",
    "province": "PE"
  },
  "C311": {
    "municipe": "COLLEDARA",
    "province": "TE"
  },
  "C855": {
    "municipe": "COLLEDIMACINE",
    "province": "CH"
  },
  "C856": {
    "municipe": "COLLEDIMEZZO",
    "province": "CH"
  },
  "C858": {
    "municipe": "COLLEFERRO",
    "province": "RM"
  },
  "C859": {
    "municipe": "COLLEGIOVE",
    "province": "RI"
  },
  "C860": {
    "municipe": "COLLEGNO",
    "province": "TO"
  },
  "C862": {
    "municipe": "COLLELONGO",
    "province": "AQ"
  },
  "C864": {
    "municipe": "COLLEPARDO",
    "province": "FR"
  },
  "C865": {
    "municipe": "COLLEPASSO",
    "province": "LE"
  },
  "C866": {
    "municipe": "COLLEPIETRO",
    "province": "AQ"
  },
  "C867": {
    "municipe": "COLLERETTO CASTELNUOVO",
    "province": "TO"
  },
  "C868": {
    "municipe": "COLLERETTO GIACOSA",
    "province": "TO"
  },
  "C869": {
    "municipe": "COLLESALVETTI",
    "province": "LI"
  },
  "C871": {
    "municipe": "COLLESANO",
    "province": "PA"
  },
  "C875": {
    "municipe": "COLLETORTO",
    "province": "CB"
  },
  "C876": {
    "municipe": "COLLEVECCHIO",
    "province": "RI"
  },
  "C878": {
    "municipe": "COLLI A VOLTURNO",
    "province": "IS"
  },
  "M380": {
    "municipe": "COLLI AL METAURO",
    "province": "PU"
  },
  "C877": {
    "municipe": "COLLI DEL TRONTO",
    "province": "AP"
  },
  "C880": {
    "municipe": "COLLI SUL VELINO",
    "province": "RI"
  },
  "M419": {
    "municipe": "COLLI VERDI",
    "province": "PV"
  },
  "C879": {
    "municipe": "COLLIANO",
    "province": "SA"
  },
  "C882": {
    "municipe": "COLLINAS",
    "province": "SU"
  },
  "C883": {
    "municipe": "COLLIO",
    "province": "BS"
  },
  "C884": {
    "municipe": "COLLOBIANO",
    "province": "VC"
  },
  "C885": {
    "municipe": "COLLOREDO DI MONTE ALBANO",
    "province": "UD"
  },
  "C886": {
    "municipe": "COLMURANO",
    "province": "MC"
  },
  "C888": {
    "municipe": "COLOBRARO",
    "province": "MT"
  },
  "C890": {
    "municipe": "COLOGNA VENETA",
    "province": "VR"
  },
  "C893": {
    "municipe": "COLOGNE",
    "province": "BS"
  },
  "C894": {
    "municipe": "COLOGNO AL SERIO",
    "province": "BG"
  },
  "C895": {
    "municipe": "COLOGNO MONZESE",
    "province": "MI"
  },
  "C897": {
    "municipe": "COLOGNOLA AI COLLI",
    "province": "VR"
  },
  "C900": {
    "municipe": "COLONNA",
    "province": "RM"
  },
  "C901": {
    "municipe": "COLONNELLA",
    "province": "TE"
  },
  "C902": {
    "municipe": "COLONNO",
    "province": "CO"
  },
  "C903": {
    "municipe": "COLORINA",
    "province": "SO"
  },
  "C904": {
    "municipe": "COLORNO",
    "province": "PR"
  },
  "C905": {
    "municipe": "COLOSIMI",
    "province": "CS"
  },
  "C908": {
    "municipe": "COLTURANO",
    "province": "MI"
  },
  "M336": {
    "municipe": "COLVERDE",
    "province": "CO"
  },
  "C910": {
    "municipe": "COLZATE",
    "province": "BG"
  },
  "C911": {
    "municipe": "COMABBIO",
    "province": "VA"
  },
  "C912": {
    "municipe": "COMACCHIO",
    "province": "FE"
  },
  "C914": {
    "municipe": "COMANO",
    "province": "MS"
  },
  "M314": {
    "municipe": "COMANO TERME",
    "province": "TN"
  },
  "C917": {
    "municipe": "COMAZZO",
    "province": "LO"
  },
  "C918": {
    "municipe": "COMEGLIANS",
    "province": "UD"
  },
  "C920": {
    "municipe": "COMELICO SUPERIORE",
    "province": "BL"
  },
  "C922": {
    "municipe": "COMERIO",
    "province": "VA"
  },
  "C925": {
    "municipe": "COMEZZANO-CIZZAGO",
    "province": "BS"
  },
  "C926": {
    "municipe": "COMIGNAGO",
    "province": "NO"
  },
  "C927": {
    "municipe": "COMISO",
    "province": "RG"
  },
  "C928": {
    "municipe": "COMITINI",
    "province": "AG"
  },
  "C929": {
    "municipe": "COMIZIANO",
    "province": "NA"
  },
  "C930": {
    "municipe": "COMMESSAGGIO",
    "province": "MN"
  },
  "C931": {
    "municipe": "COMMEZZADURA",
    "province": "TN"
  },
  "C933": {
    "municipe": "COMO",
    "province": "CO"
  },
  "C934": {
    "municipe": "COMPIANO",
    "province": "PR"
  },
  "C937": {
    "municipe": "COMUN NUOVO",
    "province": "BG"
  },
  "C935": {
    "municipe": "COMUNANZA",
    "province": "AP"
  },
  "C938": {
    "municipe": "CONA",
    "province": "VE"
  },
  "C941": {
    "municipe": "CONCA CASALE",
    "province": "IS"
  },
  "C940": {
    "municipe": "CONCA DEI MARINI",
    "province": "SA"
  },
  "C939": {
    "municipe": "CONCA DELLA CAMPANIA",
    "province": "CE"
  },
  "C943": {
    "municipe": "CONCAMARISE",
    "province": "VR"
  },
  "C946": {
    "municipe": "CONCERVIANO",
    "province": "RI"
  },
  "C948": {
    "municipe": "CONCESIO",
    "province": "BS"
  },
  "C950": {
    "municipe": "CONCORDIA SAGITTARIA",
    "province": "VE"
  },
  "C951": {
    "municipe": "CONCORDIA SULLA SECCHIA",
    "province": "MO"
  },
  "C952": {
    "municipe": "CONCOREZZO",
    "province": "MB"
  },
  "C954": {
    "municipe": "CONDOFURI",
    "province": "RC"
  },
  "C955": {
    "municipe": "CONDOVE",
    "province": "TO"
  },
  "C956": {
    "municipe": "CONDRO'",
    "province": "ME"
  },
  "C957": {
    "municipe": "CONEGLIANO",
    "province": "TV"
  },
  "C958": {
    "municipe": "CONFIENZA",
    "province": "PV"
  },
  "C959": {
    "municipe": "CONFIGNI",
    "province": "RI"
  },
  "C960": {
    "municipe": "CONFLENTI",
    "province": "CZ"
  },
  "C962": {
    "municipe": "CONIOLO",
    "province": "AL"
  },
  "C963": {
    "municipe": "CONSELICE",
    "province": "RA"
  },
  "C964": {
    "municipe": "CONSELVE",
    "province": "PD"
  },
  "M356": {
    "municipe": "CONTA'",
    "province": "TN"
  },
  "C968": {
    "municipe": "CONTESSA ENTELLINA",
    "province": "PA"
  },
  "C969": {
    "municipe": "CONTIGLIANO",
    "province": "RI"
  },
  "C971": {
    "municipe": "CONTRADA",
    "province": "AV"
  },
  "C972": {
    "municipe": "CONTROGUERRA",
    "province": "TE"
  },
  "C973": {
    "municipe": "CONTRONE",
    "province": "SA"
  },
  "C974": {
    "municipe": "CONTURSI TERME",
    "province": "SA"
  },
  "C975": {
    "municipe": "CONVERSANO",
    "province": "BA"
  },
  "C976": {
    "municipe": "CONZA DELLA CAMPANIA",
    "province": "AV"
  },
  "C977": {
    "municipe": "CONZANO",
    "province": "AL"
  },
  "C978": {
    "municipe": "COPERTINO",
    "province": "LE"
  },
  "C979": {
    "municipe": "COPIANO",
    "province": "PV"
  },
  "C980": {
    "municipe": "COPPARO",
    "province": "FE"
  },
  "C982": {
    "municipe": "CORANA",
    "province": "PV"
  },
  "C983": {
    "municipe": "CORATO",
    "province": "BA"
  },
  "C984": {
    "municipe": "CORBARA",
    "province": "SA"
  },
  "C986": {
    "municipe": "CORBETTA",
    "province": "MI"
  },
  "C987": {
    "municipe": "CORBOLA",
    "province": "RO"
  },
  "C988": {
    "municipe": "CORCHIANO",
    "province": "VT"
  },
  "C990": {
    "municipe": "CORCIANO",
    "province": "PG"
  },
  "C991": {
    "municipe": "CORDENONS",
    "province": "PN"
  },
  "C992": {
    "municipe": "CORDIGNANO",
    "province": "TV"
  },
  "C993": {
    "municipe": "CORDOVADO",
    "province": "PN"
  },
  "C996": {
    "municipe": "COREGLIA ANTELMINELLI",
    "province": "LU"
  },
  "C995": {
    "municipe": "COREGLIA LIGURE",
    "province": "GE"
  },
  "C998": {
    "municipe": "CORENO AUSONIO",
    "province": "FR"
  },
  "C999": {
    "municipe": "CORFINIO",
    "province": "AQ"
  },
  "D003": {
    "municipe": "CORI",
    "province": "LT"
  },
  "D004": {
    "municipe": "CORIANO",
    "province": "RN"
  },
  "D006": {
    "municipe": "CORIGLIANO D'OTRANTO",
    "province": "LE"
  },
  "M403": {
    "municipe": "CORIGLIANO-ROSSANO",
    "province": "CS"
  },
  "D007": {
    "municipe": "CORINALDO",
    "province": "AN"
  },
  "D008": {
    "municipe": "CORIO",
    "province": "TO"
  },
  "D009": {
    "municipe": "CORLEONE",
    "province": "PA"
  },
  "D011": {
    "municipe": "CORLETO MONFORTE",
    "province": "SA"
  },
  "D010": {
    "municipe": "CORLETO PERTICARA",
    "province": "PZ"
  },
  "D013": {
    "municipe": "CORMANO",
    "province": "MI"
  },
  "D014": {
    "municipe": "CORMONS",
    "province": "GO"
  },
  "D015": {
    "municipe": "CORNA IMAGNA",
    "province": "BG"
  },
  "D016": {
    "municipe": "CORNALBA",
    "province": "BG"
  },
  "M338": {
    "municipe": "CORNALE E BASTIDA",
    "province": "PV"
  },
  "D018": {
    "municipe": "CORNAREDO",
    "province": "MI"
  },
  "D019": {
    "municipe": "CORNATE D'ADDA",
    "province": "MB"
  },
  "B799": {
    "municipe": "CORNEDO ALL'ISARCO/KARNEID",
    "province": "BZ"
  },
  "D020": {
    "municipe": "CORNEDO VICENTINO",
    "province": "VI"
  },
  "D021": {
    "municipe": "CORNEGLIANO LAUDENSE",
    "province": "LO"
  },
  "D022": {
    "municipe": "CORNELIANO D'ALBA",
    "province": "CN"
  },
  "D026": {
    "municipe": "CORNIGLIO",
    "province": "PR"
  },
  "D027": {
    "municipe": "CORNO DI ROSAZZO",
    "province": "UD"
  },
  "D028": {
    "municipe": "CORNO GIOVINE",
    "province": "LO"
  },
  "D029": {
    "municipe": "CORNOVECCHIO",
    "province": "LO"
  },
  "D030": {
    "municipe": "CORNUDA",
    "province": "TV"
  },
  "D037": {
    "municipe": "CORREGGIO",
    "province": "RE"
  },
  "D038": {
    "municipe": "CORREZZANA",
    "province": "MB"
  },
  "D040": {
    "municipe": "CORREZZOLA",
    "province": "PD"
  },
  "D041": {
    "municipe": "CORRIDO",
    "province": "CO"
  },
  "D042": {
    "municipe": "CORRIDONIA",
    "province": "MC"
  },
  "D043": {
    "municipe": "CORROPOLI",
    "province": "TE"
  },
  "D044": {
    "municipe": "CORSANO",
    "province": "LE"
  },
  "D045": {
    "municipe": "CORSICO",
    "province": "MI"
  },
  "D046": {
    "municipe": "CORSIONE",
    "province": "AT"
  },
  "D048": {
    "municipe": "CORTACCIA SULLA STRADA DEL VINO/KURTATSCH AN DER WEINSTRASSE",
    "province": "BZ"
  },
  "D049": {
    "municipe": "CORTALE",
    "province": "CZ"
  },
  "D050": {
    "municipe": "CORTANDONE",
    "province": "AT"
  },
  "D051": {
    "municipe": "CORTANZE",
    "province": "AT"
  },
  "D052": {
    "municipe": "CORTAZZONE",
    "province": "AT"
  },
  "D054": {
    "municipe": "CORTE BRUGNATELLA",
    "province": "PC"
  },
  "D056": {
    "municipe": "CORTE DE' CORTESI CON CIGNONE",
    "province": "CR"
  },
  "D057": {
    "municipe": "CORTE DE' FRATI",
    "province": "CR"
  },
  "D058": {
    "municipe": "CORTE FRANCA",
    "province": "BS"
  },
  "D068": {
    "municipe": "CORTE PALASIO",
    "province": "LO"
  },
  "D061": {
    "municipe": "CORTEMAGGIORE",
    "province": "PC"
  },
  "D062": {
    "municipe": "CORTEMILIA",
    "province": "CN"
  },
  "D064": {
    "municipe": "CORTENO GOLGI",
    "province": "BS"
  },
  "D065": {
    "municipe": "CORTENOVA",
    "province": "LC"
  },
  "D066": {
    "municipe": "CORTENUOVA",
    "province": "BG"
  },
  "M372": {
    "municipe": "CORTEOLONA E GENZONE",
    "province": "PV"
  },
  "D072": {
    "municipe": "CORTIGLIONE",
    "province": "AT"
  },
  "A266": {
    "municipe": "CORTINA D'AMPEZZO",
    "province": "BL"
  },
  "D075": {
    "municipe": "CORTINA SULLA STRADA DEL VINO/KURTINIG AN DER WEINSTRASSE",
    "province": "BZ"
  },
  "D076": {
    "municipe": "CORTINO",
    "province": "TE"
  },
  "D077": {
    "municipe": "CORTONA",
    "province": "AR"
  },
  "D078": {
    "municipe": "CORVARA",
    "province": "PE"
  },
  "D079": {
    "municipe": "CORVARA IN BADIA/CORVARA",
    "province": "BZ"
  },
  "D081": {
    "municipe": "CORVINO SAN QUIRICO",
    "province": "PV"
  },
  "D082": {
    "municipe": "CORZANO",
    "province": "BS"
  },
  "D085": {
    "municipe": "COSEANO",
    "province": "UD"
  },
  "D086": {
    "municipe": "COSENZA",
    "province": "CS"
  },
  "D087": {
    "municipe": "COSIO D'ARROSCIA",
    "province": "IM"
  },
  "D088": {
    "municipe": "COSIO VALTELLINO",
    "province": "SO"
  },
  "D089": {
    "municipe": "COSOLETO",
    "province": "RC"
  },
  "D093": {
    "municipe": "COSSANO BELBO",
    "province": "CN"
  },
  "D092": {
    "municipe": "COSSANO CANAVESE",
    "province": "TO"
  },
  "D094": {
    "municipe": "COSSATO",
    "province": "BI"
  },
  "D095": {
    "municipe": "COSSERIA",
    "province": "SV"
  },
  "D096": {
    "municipe": "COSSIGNANO",
    "province": "AP"
  },
  "D099": {
    "municipe": "COSSOGNO",
    "province": "VB"
  },
  "D100": {
    "municipe": "COSSOINE",
    "province": "SS"
  },
  "D101": {
    "municipe": "COSSOMBRATO",
    "province": "AT"
  },
  "D109": {
    "municipe": "COSTA DE' NOBILI",
    "province": "PV"
  },
  "D110": {
    "municipe": "COSTA DI MEZZATE",
    "province": "BG"
  },
  "D105": {
    "municipe": "COSTA DI ROVIGO",
    "province": "RO"
  },
  "D112": {
    "municipe": "COSTA MASNAGA",
    "province": "LC"
  },
  "D111": {
    "municipe": "COSTA SERINA",
    "province": "BG"
  },
  "D103": {
    "municipe": "COSTA VALLE IMAGNA",
    "province": "BG"
  },
  "D102": {
    "municipe": "COSTA VESCOVATO",
    "province": "AL"
  },
  "D117": {
    "municipe": "COSTA VOLPINO",
    "province": "BG"
  },
  "D107": {
    "municipe": "COSTABISSARA",
    "province": "VI"
  },
  "D108": {
    "municipe": "COSTACCIARO",
    "province": "PG"
  },
  "D113": {
    "municipe": "COSTANZANA",
    "province": "VC"
  },
  "D114": {
    "municipe": "COSTARAINERA",
    "province": "IM"
  },
  "D118": {
    "municipe": "COSTERMANO SUL GARDA",
    "province": "VR"
  },
  "D119": {
    "municipe": "COSTIGLIOLE D'ASTI",
    "province": "AT"
  },
  "D120": {
    "municipe": "COSTIGLIOLE SALUZZO",
    "province": "CN"
  },
  "D121": {
    "municipe": "COTIGNOLA",
    "province": "RA"
  },
  "D123": {
    "municipe": "COTRONEI",
    "province": "KR"
  },
  "D124": {
    "municipe": "COTTANELLO",
    "province": "RI"
  },
  "D012": {
    "municipe": "COURMAYEUR",
    "province": "AO"
  },
  "D126": {
    "municipe": "COVO",
    "province": "BG"
  },
  "D127": {
    "municipe": "COZZO",
    "province": "PV"
  },
  "D128": {
    "municipe": "CRACO",
    "province": "MT"
  },
  "D131": {
    "municipe": "CRANDOLA VALSASSINA",
    "province": "LC"
  },
  "D132": {
    "municipe": "CRAVAGLIANA",
    "province": "VC"
  },
  "D133": {
    "municipe": "CRAVANZANA",
    "province": "CN"
  },
  "D134": {
    "municipe": "CRAVEGGIA",
    "province": "VB"
  },
  "D136": {
    "municipe": "CREAZZO",
    "province": "VI"
  },
  "D137": {
    "municipe": "CRECCHIO",
    "province": "CH"
  },
  "D139": {
    "municipe": "CREDARO",
    "province": "BG"
  },
  "D141": {
    "municipe": "CREDERA RUBBIANO",
    "province": "CR"
  },
  "D142": {
    "municipe": "CREMA",
    "province": "CR"
  },
  "D143": {
    "municipe": "CREMELLA",
    "province": "LC"
  },
  "D144": {
    "municipe": "CREMENAGA",
    "province": "VA"
  },
  "D145": {
    "municipe": "CREMENO",
    "province": "LC"
  },
  "D147": {
    "municipe": "CREMIA",
    "province": "CO"
  },
  "D149": {
    "municipe": "CREMOLINO",
    "province": "AL"
  },
  "D150": {
    "municipe": "CREMONA",
    "province": "CR"
  },
  "D151": {
    "municipe": "CREMOSANO",
    "province": "CR"
  },
  "D154": {
    "municipe": "CRESCENTINO",
    "province": "VC"
  },
  "D156": {
    "municipe": "CRESPADORO",
    "province": "VI"
  },
  "D159": {
    "municipe": "CRESPIATICA",
    "province": "LO"
  },
  "M328": {
    "municipe": "CRESPINA LORENZANA",
    "province": "PI"
  },
  "D161": {
    "municipe": "CRESPINO",
    "province": "RO"
  },
  "D162": {
    "municipe": "CRESSA",
    "province": "NO"
  },
  "D165": {
    "municipe": "CREVACUORE",
    "province": "BI"
  },
  "D166": {
    "municipe": "CREVALCORE",
    "province": "BO"
  },
  "D168": {
    "municipe": "CREVOLADOSSOLA",
    "province": "VB"
  },
  "D170": {
    "municipe": "CRISPANO",
    "province": "NA"
  },
  "D171": {
    "municipe": "CRISPIANO",
    "province": "TA"
  },
  "D172": {
    "municipe": "CRISSOLO",
    "province": "CN"
  },
  "D175": {
    "municipe": "CROCEFIESCHI",
    "province": "GE"
  },
  "C670": {
    "municipe": "CROCETTA DEL MONTELLO",
    "province": "TV"
  },
  "D177": {
    "municipe": "CRODO",
    "province": "VB"
  },
  "D179": {
    "municipe": "CROGNALETO",
    "province": "TE"
  },
  "D180": {
    "municipe": "CROPALATI",
    "province": "CS"
  },
  "D181": {
    "municipe": "CROPANI",
    "province": "CZ"
  },
  "D184": {
    "municipe": "CROSIA",
    "province": "CS"
  },
  "D185": {
    "municipe": "CROSIO DELLA VALLE",
    "province": "VA"
  },
  "D122": {
    "municipe": "CROTONE",
    "province": "KR"
  },
  "D186": {
    "municipe": "CROTTA D'ADDA",
    "province": "CR"
  },
  "D187": {
    "municipe": "CROVA",
    "province": "VC"
  },
  "D188": {
    "municipe": "CROVIANA",
    "province": "TN"
  },
  "D189": {
    "municipe": "CRUCOLI",
    "province": "KR"
  },
  "D192": {
    "municipe": "CUASSO AL MONTE",
    "province": "VA"
  },
  "D195": {
    "municipe": "CUCCARO VETERE",
    "province": "SA"
  },
  "D196": {
    "municipe": "CUCCIAGO",
    "province": "CO"
  },
  "D197": {
    "municipe": "CUCEGLIO",
    "province": "TO"
  },
  "D198": {
    "municipe": "CUGGIONO",
    "province": "MI"
  },
  "D199": {
    "municipe": "CUGLIATE-FABIASCO",
    "province": "VA"
  },
  "D200": {
    "municipe": "CUGLIERI",
    "province": "OR"
  },
  "D201": {
    "municipe": "CUGNOLI",
    "province": "PE"
  },
  "D202": {
    "municipe": "CUMIANA",
    "province": "TO"
  },
  "D203": {
    "municipe": "CUMIGNANO SUL NAVIGLIO",
    "province": "CR"
  },
  "D204": {
    "municipe": "CUNARDO",
    "province": "VA"
  },
  "D205": {
    "municipe": "CUNEO",
    "province": "CN"
  },
  "D207": {
    "municipe": "CUNICO",
    "province": "AT"
  },
  "D208": {
    "municipe": "CUORGNE'",
    "province": "TO"
  },
  "D209": {
    "municipe": "CUPELLO",
    "province": "CH"
  },
  "D210": {
    "municipe": "CUPRA MARITTIMA",
    "province": "AP"
  },
  "D211": {
    "municipe": "CUPRAMONTANA",
    "province": "AN"
  },
  "B824": {
    "municipe": "CURA CARPIGNANO",
    "province": "PV"
  },
  "D214": {
    "municipe": "CURCURIS",
    "province": "OR"
  },
  "D216": {
    "municipe": "CUREGGIO",
    "province": "NO"
  },
  "D217": {
    "municipe": "CURIGLIA CON MONTEVIASCO",
    "province": "VA"
  },
  "D218": {
    "municipe": "CURINGA",
    "province": "CZ"
  },
  "D219": {
    "municipe": "CURINO",
    "province": "BI"
  },
  "D221": {
    "municipe": "CURNO",
    "province": "BG"
  },
  "D222": {
    "municipe": "CURON VENOSTA/GRAUN IM VINSCHGAU",
    "province": "BZ"
  },
  "D223": {
    "municipe": "CURSI",
    "province": "LE"
  },
  "D226": {
    "municipe": "CURTAROLO",
    "province": "PD"
  },
  "D227": {
    "municipe": "CURTATONE",
    "province": "MN"
  },
  "D228": {
    "municipe": "CURTI",
    "province": "CE"
  },
  "D229": {
    "municipe": "CUSAGO",
    "province": "MI"
  },
  "D231": {
    "municipe": "CUSANO MILANINO",
    "province": "MI"
  },
  "D230": {
    "municipe": "CUSANO MUTRI",
    "province": "BN"
  },
  "D232": {
    "municipe": "CUSINO",
    "province": "CO"
  },
  "D233": {
    "municipe": "CUSIO",
    "province": "BG"
  },
  "D234": {
    "municipe": "CUSTONACI",
    "province": "TP"
  },
  "D236": {
    "municipe": "CUTRO",
    "province": "KR"
  },
  "D237": {
    "municipe": "CUTROFIANO",
    "province": "LE"
  },
  "D238": {
    "municipe": "CUVEGLIO",
    "province": "VA"
  },
  "D239": {
    "municipe": "CUVIO",
    "province": "VA"
  },
  "D244": {
    "municipe": "DAIRAGO",
    "province": "MI"
  },
  "D245": {
    "municipe": "DALMINE",
    "province": "BG"
  },
  "D246": {
    "municipe": "DAMBEL",
    "province": "TN"
  },
  "D247": {
    "municipe": "DANTA DI CADORE",
    "province": "BL"
  },
  "D251": {
    "municipe": "DARFO BOARIO TERME",
    "province": "BS"
  },
  "D253": {
    "municipe": "DASA'",
    "province": "VV"
  },
  "D255": {
    "municipe": "DAVAGNA",
    "province": "GE"
  },
  "D256": {
    "municipe": "DAVERIO",
    "province": "VA"
  },
  "D257": {
    "municipe": "DAVOLI",
    "province": "CZ"
  },
  "D258": {
    "municipe": "DAZIO",
    "province": "SO"
  },
  "D259": {
    "municipe": "DECIMOMANNU",
    "province": "CA"
  },
  "D260": {
    "municipe": "DECIMOPUTZU",
    "province": "SU"
  },
  "D261": {
    "municipe": "DECOLLATURA",
    "province": "CZ"
  },
  "D264": {
    "municipe": "DEGO",
    "province": "SV"
  },
  "D265": {
    "municipe": "DEIVA MARINA",
    "province": "SP"
  },
  "D266": {
    "municipe": "DELEBIO",
    "province": "SO"
  },
  "D267": {
    "municipe": "DELIA",
    "province": "CL"
  },
  "D268": {
    "municipe": "DELIANUOVA",
    "province": "RC"
  },
  "D269": {
    "municipe": "DELICETO",
    "province": "FG"
  },
  "D270": {
    "municipe": "DELLO",
    "province": "BS"
  },
  "D271": {
    "municipe": "DEMONTE",
    "province": "CN"
  },
  "D272": {
    "municipe": "DENICE",
    "province": "AL"
  },
  "D273": {
    "municipe": "DENNO",
    "province": "TN"
  },
  "D277": {
    "municipe": "DERNICE",
    "province": "AL"
  },
  "D278": {
    "municipe": "DEROVERE",
    "province": "CR"
  },
  "D279": {
    "municipe": "DERUTA",
    "province": "PG"
  },
  "D280": {
    "municipe": "DERVIO",
    "province": "LC"
  },
  "D281": {
    "municipe": "DESANA",
    "province": "VC"
  },
  "D284": {
    "municipe": "DESENZANO DEL GARDA",
    "province": "BS"
  },
  "D286": {
    "municipe": "DESIO",
    "province": "MB"
  },
  "D287": {
    "municipe": "DESULO",
    "province": "NU"
  },
  "D289": {
    "municipe": "DIAMANTE",
    "province": "CS"
  },
  "D293": {
    "municipe": "DIANO ARENTINO",
    "province": "IM"
  },
  "D296": {
    "municipe": "DIANO CASTELLO",
    "province": "IM"
  },
  "D291": {
    "municipe": "DIANO D'ALBA",
    "province": "CN"
  },
  "D297": {
    "municipe": "DIANO MARINA",
    "province": "IM"
  },
  "D298": {
    "municipe": "DIANO SAN PIETRO",
    "province": "IM"
  },
  "D299": {
    "municipe": "DICOMANO",
    "province": "FI"
  },
  "D300": {
    "municipe": "DIGNANO",
    "province": "UD"
  },
  "M366": {
    "municipe": "DIMARO FOLGARIDA",
    "province": "TN"
  },
  "D303": {
    "municipe": "DINAMI",
    "province": "VV"
  },
  "D304": {
    "municipe": "DIPIGNANO",
    "province": "CS"
  },
  "D305": {
    "municipe": "DISO",
    "province": "LE"
  },
  "D309": {
    "municipe": "DIVIGNANO",
    "province": "NO"
  },
  "D310": {
    "municipe": "DIZZASCO",
    "province": "CO"
  },
  "D311": {
    "municipe": "DOBBIACO/TOBLACH",
    "province": "BZ"
  },
  "D312": {
    "municipe": "DOBERDO' DEL LAGO",
    "province": "GO"
  },
  "D314": {
    "municipe": "DOGLIANI",
    "province": "CN"
  },
  "D315": {
    "municipe": "DOGLIOLA",
    "province": "CH"
  },
  "D316": {
    "municipe": "DOGNA",
    "province": "UD"
  },
  "D317": {
    "municipe": "DOLCE'",
    "province": "VR"
  },
  "D318": {
    "municipe": "DOLCEACQUA",
    "province": "IM"
  },
  "D319": {
    "municipe": "DOLCEDO",
    "province": "IM"
  },
  "D321": {
    "municipe": "DOLEGNA DEL COLLIO",
    "province": "GO"
  },
  "D323": {
    "municipe": "DOLIANOVA",
    "province": "SU"
  },
  "D325": {
    "municipe": "DOLO",
    "province": "VE"
  },
  "D327": {
    "municipe": "DOLZAGO",
    "province": "LC"
  },
  "D328": {
    "municipe": "DOMANICO",
    "province": "CS"
  },
  "D329": {
    "municipe": "DOMASO",
    "province": "CO"
  },
  "D330": {
    "municipe": "DOMEGGE DI CADORE",
    "province": "BL"
  },
  "D331": {
    "municipe": "DOMICELLA",
    "province": "AV"
  },
  "D332": {
    "municipe": "DOMODOSSOLA",
    "province": "VB"
  },
  "D333": {
    "municipe": "DOMUS DE MARIA",
    "province": "SU"
  },
  "D334": {
    "municipe": "DOMUSNOVAS",
    "province": "SU"
  },
  "D339": {
    "municipe": "DONATO",
    "province": "BI"
  },
  "D341": {
    "municipe": "DONGO",
    "province": "CO"
  },
  "D338": {
    "municipe": "DONNAS",
    "province": "AO"
  },
  "D344": {
    "municipe": "DONORI",
    "province": "SU"
  },
  "D345": {
    "municipe": "DORGALI",
    "province": "NU"
  },
  "D346": {
    "municipe": "DORIO",
    "province": "LC"
  },
  "D347": {
    "municipe": "DORMELLETTO",
    "province": "NO"
  },
  "D348": {
    "municipe": "DORNO",
    "province": "PV"
  },
  "D350": {
    "municipe": "DORZANO",
    "province": "BI"
  },
  "D351": {
    "municipe": "DOSOLO",
    "province": "MN"
  },
  "D352": {
    "municipe": "DOSSENA",
    "province": "BG"
  },
  "D355": {
    "municipe": "DOSSO DEL LIRO",
    "province": "CO"
  },
  "D356": {
    "municipe": "DOUES",
    "province": "AO"
  },
  "D357": {
    "municipe": "DOVADOLA",
    "province": "FC"
  },
  "D358": {
    "municipe": "DOVERA",
    "province": "CR"
  },
  "D360": {
    "municipe": "DOZZA",
    "province": "BO"
  },
  "D361": {
    "municipe": "DRAGONI",
    "province": "CE"
  },
  "D364": {
    "municipe": "DRAPIA",
    "province": "VV"
  },
  "D365": {
    "municipe": "DRENA",
    "province": "TN"
  },
  "D366": {
    "municipe": "DRENCHIA",
    "province": "UD"
  },
  "D367": {
    "municipe": "DRESANO",
    "province": "MI"
  },
  "D371": {
    "municipe": "DRO",
    "province": "TN"
  },
  "D372": {
    "municipe": "DRONERO",
    "province": "CN"
  },
  "D373": {
    "municipe": "DRUENTO",
    "province": "TO"
  },
  "D374": {
    "municipe": "DRUOGNO",
    "province": "VB"
  },
  "D376": {
    "municipe": "DUALCHI",
    "province": "NU"
  },
  "D377": {
    "municipe": "DUBINO",
    "province": "SO"
  },
  "M300": {
    "municipe": "DUE CARRARE",
    "province": "PD"
  },
  "D379": {
    "municipe": "DUEVILLE",
    "province": "VI"
  },
  "D380": {
    "municipe": "DUGENTA",
    "province": "BN"
  },
  "D383": {
    "municipe": "DUINO AURISINA",
    "province": "TS"
  },
  "D384": {
    "municipe": "DUMENZA",
    "province": "VA"
  },
  "D385": {
    "municipe": "DUNO",
    "province": "VA"
  },
  "D386": {
    "municipe": "DURAZZANO",
    "province": "BN"
  },
  "C772": {
    "municipe": "DURONIA",
    "province": "CB"
  },
  "D388": {
    "municipe": "DUSINO SAN MICHELE",
    "province": "AT"
  },
  "D390": {
    "municipe": "EBOLI",
    "province": "SA"
  },
  "D391": {
    "municipe": "EDOLO",
    "province": "BS"
  },
  "D392": {
    "municipe": "EGNA/NEUMARKT",
    "province": "BZ"
  },
  "D394": {
    "municipe": "ELICE",
    "province": "PE"
  },
  "D395": {
    "municipe": "ELINI",
    "province": "NU"
  },
  "D398": {
    "municipe": "ELLO",
    "province": "LC"
  },
  "D399": {
    "municipe": "ELMAS",
    "province": "CA"
  },
  "D401": {
    "municipe": "ELVA",
    "province": "CN"
  },
  "D402": {
    "municipe": "EMARESE",
    "province": "AO"
  },
  "D403": {
    "municipe": "EMPOLI",
    "province": "FI"
  },
  "D406": {
    "municipe": "ENDINE GAIANO",
    "province": "BG"
  },
  "D407": {
    "municipe": "ENEGO",
    "province": "VI"
  },
  "D408": {
    "municipe": "ENEMONZO",
    "province": "UD"
  },
  "C342": {
    "municipe": "ENNA",
    "province": "EN"
  },
  "D410": {
    "municipe": "ENTRACQUE",
    "province": "CN"
  },
  "D411": {
    "municipe": "ENTRATICO",
    "province": "BG"
  },
  "D412": {
    "municipe": "ENVIE",
    "province": "CN"
  },
  "D414": {
    "municipe": "EPISCOPIA",
    "province": "PZ"
  },
  "D415": {
    "municipe": "ERACLEA",
    "province": "VE"
  },
  "D416": {
    "municipe": "ERBA",
    "province": "CO"
  },
  "D419": {
    "municipe": "ERBE'",
    "province": "VR"
  },
  "D420": {
    "municipe": "ERBEZZO",
    "province": "VR"
  },
  "D421": {
    "municipe": "ERBUSCO",
    "province": "BS"
  },
  "D422": {
    "municipe": "ERCHIE",
    "province": "BR"
  },
  "H243": {
    "municipe": "ERCOLANO",
    "province": "NA"
  },
  "D423": {
    "municipe": "ERICE",
    "province": "TP"
  },
  "D424": {
    "municipe": "ERLI",
    "province": "SV"
  },
  "D426": {
    "municipe": "ERTO E CASSO",
    "province": "PN"
  },
  "M292": {
    "municipe": "ERULA",
    "province": "SS"
  },
  "D428": {
    "municipe": "ERVE",
    "province": "LC"
  },
  "D429": {
    "municipe": "ESANATOGLIA",
    "province": "MC"
  },
  "D430": {
    "municipe": "ESCALAPLANO",
    "province": "SU"
  },
  "D431": {
    "municipe": "ESCOLCA",
    "province": "SU"
  },
  "D434": {
    "municipe": "ESINE",
    "province": "BS"
  },
  "D436": {
    "municipe": "ESINO LARIO",
    "province": "LC"
  },
  "D440": {
    "municipe": "ESPERIA",
    "province": "FR"
  },
  "D441": {
    "municipe": "ESPORLATU",
    "province": "SS"
  },
  "D442": {
    "municipe": "ESTE",
    "province": "PD"
  },
  "D443": {
    "municipe": "ESTERZILI",
    "province": "SU"
  },
  "D444": {
    "municipe": "ETROUBLES",
    "province": "AO"
  },
  "D445": {
    "municipe": "EUPILIO",
    "province": "CO"
  },
  "D433": {
    "municipe": "EXILLES",
    "province": "TO"
  },
  "D447": {
    "municipe": "FABBRICA CURONE",
    "province": "AL"
  },
  "M319": {
    "municipe": "FABBRICHE DI VERGEMOLI",
    "province": "LU"
  },
  "D450": {
    "municipe": "FABBRICO",
    "province": "RE"
  },
  "D451": {
    "municipe": "FABRIANO",
    "province": "AN"
  },
  "D452": {
    "municipe": "FABRICA DI ROMA",
    "province": "VT"
  },
  "D453": {
    "municipe": "FABRIZIA",
    "province": "VV"
  },
  "D454": {
    "municipe": "FABRO",
    "province": "TR"
  },
  "D455": {
    "municipe": "FAEDIS",
    "province": "UD"
  },
  "D456": {
    "municipe": "FAEDO VALTELLINO",
    "province": "SO"
  },
  "D458": {
    "municipe": "FAENZA",
    "province": "RA"
  },
  "D459": {
    "municipe": "FAETO",
    "province": "FG"
  },
  "D461": {
    "municipe": "FAGAGNA",
    "province": "UD"
  },
  "D462": {
    "municipe": "FAGGETO LARIO",
    "province": "CO"
  },
  "D463": {
    "municipe": "FAGGIANO",
    "province": "TA"
  },
  "D465": {
    "municipe": "FAGNANO ALTO",
    "province": "AQ"
  },
  "D464": {
    "municipe": "FAGNANO CASTELLO",
    "province": "CS"
  },
  "D467": {
    "municipe": "FAGNANO OLONA",
    "province": "VA"
  },
  "D468": {
    "municipe": "FAI DELLA PAGANELLA",
    "province": "TN"
  },
  "D469": {
    "municipe": "FAICCHIO",
    "province": "BN"
  },
  "D470": {
    "municipe": "FALCADE",
    "province": "BL"
  },
  "D471": {
    "municipe": "FALCIANO DEL MASSICO",
    "province": "CE"
  },
  "D473": {
    "municipe": "FALCONARA ALBANESE",
    "province": "CS"
  },
  "D472": {
    "municipe": "FALCONARA MARITTIMA",
    "province": "AN"
  },
  "D474": {
    "municipe": "FALCONE",
    "province": "ME"
  },
  "D475": {
    "municipe": "FALERIA",
    "province": "VT"
  },
  "D476": {
    "municipe": "FALERNA",
    "province": "CZ"
  },
  "D477": {
    "municipe": "FALERONE",
    "province": "FM"
  },
  "D480": {
    "municipe": "FALLO",
    "province": "CH"
  },
  "D482": {
    "municipe": "FALOPPIO",
    "province": "CO"
  },
  "D483": {
    "municipe": "FALVATERRA",
    "province": "FR"
  },
  "D484": {
    "municipe": "FALZES/PFALZEN",
    "province": "BZ"
  },
  "D486": {
    "municipe": "FANANO",
    "province": "MO"
  },
  "D487": {
    "municipe": "FANNA",
    "province": "PN"
  },
  "D488": {
    "municipe": "FANO",
    "province": "PU"
  },
  "D489": {
    "municipe": "FANO ADRIANO",
    "province": "TE"
  },
  "D494": {
    "municipe": "FARA FILIORUM PETRI",
    "province": "CH"
  },
  "D490": {
    "municipe": "FARA GERA D'ADDA",
    "province": "BG"
  },
  "D493": {
    "municipe": "FARA IN SABINA",
    "province": "RI"
  },
  "D492": {
    "municipe": "FARA NOVARESE",
    "province": "NO"
  },
  "D491": {
    "municipe": "FARA OLIVANA CON SOLA",
    "province": "BG"
  },
  "D495": {
    "municipe": "FARA SAN MARTINO",
    "province": "CH"
  },
  "D496": {
    "municipe": "FARA VICENTINO",
    "province": "VI"
  },
  "D497": {
    "municipe": "FARDELLA",
    "province": "PZ"
  },
  "D499": {
    "municipe": "FARIGLIANO",
    "province": "CN"
  },
  "D501": {
    "municipe": "FARINDOLA",
    "province": "PE"
  },
  "D502": {
    "municipe": "FARINI",
    "province": "PC"
  },
  "D503": {
    "municipe": "FARNESE",
    "province": "VT"
  },
  "D504": {
    "municipe": "FARRA D'ISONZO",
    "province": "GO"
  },
  "D505": {
    "municipe": "FARRA DI SOLIGO",
    "province": "TV"
  },
  "D508": {
    "municipe": "FASANO",
    "province": "BR"
  },
  "D509": {
    "municipe": "FASCIA",
    "province": "GE"
  },
  "D510": {
    "municipe": "FAUGLIA",
    "province": "PI"
  },
  "D511": {
    "municipe": "FAULE",
    "province": "CN"
  },
  "D512": {
    "municipe": "FAVALE DI MALVARO",
    "province": "GE"
  },
  "D514": {
    "municipe": "FAVARA",
    "province": "AG"
  },
  "D518": {
    "municipe": "FAVIGNANA",
    "province": "TP"
  },
  "D520": {
    "municipe": "FAVRIA",
    "province": "TO"
  },
  "D523": {
    "municipe": "FEISOGLIO",
    "province": "CN"
  },
  "D524": {
    "municipe": "FELETTO",
    "province": "TO"
  },
  "D526": {
    "municipe": "FELINO",
    "province": "PR"
  },
  "D527": {
    "municipe": "FELITTO",
    "province": "SA"
  },
  "D528": {
    "municipe": "FELIZZANO",
    "province": "AL"
  },
  "D530": {
    "municipe": "FELTRE",
    "province": "BL"
  },
  "D531": {
    "municipe": "FENEGRO'",
    "province": "CO"
  },
  "D532": {
    "municipe": "FENESTRELLE",
    "province": "TO"
  },
  "D538": {
    "municipe": "FERENTILLO",
    "province": "TR"
  },
  "D539": {
    "municipe": "FERENTINO",
    "province": "FR"
  },
  "D540": {
    "municipe": "FERLA",
    "province": "SR"
  },
  "D541": {
    "municipe": "FERMIGNANO",
    "province": "PU"
  },
  "D542": {
    "municipe": "FERMO",
    "province": "FM"
  },
  "D543": {
    "municipe": "FERNO",
    "province": "VA"
  },
  "D544": {
    "municipe": "FEROLETO ANTICO",
    "province": "CZ"
  },
  "D545": {
    "municipe": "FEROLETO DELLA CHIESA",
    "province": "RC"
  },
  "D547": {
    "municipe": "FERRANDINA",
    "province": "MT"
  },
  "D548": {
    "municipe": "FERRARA",
    "province": "FE"
  },
  "D549": {
    "municipe": "FERRARA DI MONTE BALDO",
    "province": "VR"
  },
  "D550": {
    "municipe": "FERRAZZANO",
    "province": "CB"
  },
  "D551": {
    "municipe": "FERRERA DI VARESE",
    "province": "VA"
  },
  "D552": {
    "municipe": "FERRERA ERBOGNONE",
    "province": "PV"
  },
  "D554": {
    "municipe": "FERRERE",
    "province": "AT"
  },
  "D555": {
    "municipe": "FERRIERE",
    "province": "PC"
  },
  "D557": {
    "municipe": "FERRUZZANO",
    "province": "RC"
  },
  "D560": {
    "municipe": "FIAMIGNANO",
    "province": "RI"
  },
  "D562": {
    "municipe": "FIANO",
    "province": "TO"
  },
  "D561": {
    "municipe": "FIANO ROMANO",
    "province": "RM"
  },
  "D564": {
    "municipe": "FIASTRA",
    "province": "MC"
  },
  "D565": {
    "municipe": "FIAVE'",
    "province": "TN"
  },
  "D567": {
    "municipe": "FICARAZZI",
    "province": "PA"
  },
  "D568": {
    "municipe": "FICAROLO",
    "province": "RO"
  },
  "D569": {
    "municipe": "FICARRA",
    "province": "ME"
  },
  "D570": {
    "municipe": "FICULLE",
    "province": "TR"
  },
  "B034": {
    "municipe": "FIDENZA",
    "province": "PR"
  },
  "D571": {
    "municipe": "FIE' ALLO SCILIAR/VOLS AM SCHLERN",
    "province": "BZ"
  },
  "D573": {
    "municipe": "FIEROZZO",
    "province": "TN"
  },
  "D574": {
    "municipe": "FIESCO",
    "province": "CR"
  },
  "D575": {
    "municipe": "FIESOLE",
    "province": "FI"
  },
  "D576": {
    "municipe": "FIESSE",
    "province": "BS"
  },
  "D578": {
    "municipe": "FIESSO D'ARTICO",
    "province": "VE"
  },
  "D577": {
    "municipe": "FIESSO UMBERTIANO",
    "province": "RO"
  },
  "D579": {
    "municipe": "FIGINO SERENZA",
    "province": "CO"
  },
  "M321": {
    "municipe": "FIGLINE E INCISA VALDARNO",
    "province": "FI"
  },
  "D582": {
    "municipe": "FIGLINE VEGLIATURO",
    "province": "CS"
  },
  "D586": {
    "municipe": "FILACCIANO",
    "province": "RM"
  },
  "D587": {
    "municipe": "FILADELFIA",
    "province": "VV"
  },
  "D588": {
    "municipe": "FILAGO",
    "province": "BG"
  },
  "D589": {
    "municipe": "FILANDARI",
    "province": "VV"
  },
  "D590": {
    "municipe": "FILATTIERA",
    "province": "MS"
  },
  "D591": {
    "municipe": "FILETTINO",
    "province": "FR"
  },
  "D592": {
    "municipe": "FILETTO",
    "province": "CH"
  },
  "D593": {
    "municipe": "FILIANO",
    "province": "PZ"
  },
  "D594": {
    "municipe": "FILIGHERA",
    "province": "PV"
  },
  "D595": {
    "municipe": "FILIGNANO",
    "province": "IS"
  },
  "D596": {
    "municipe": "FILOGASO",
    "province": "VV"
  },
  "D597": {
    "municipe": "FILOTTRANO",
    "province": "AN"
  },
  "D599": {
    "municipe": "FINALE EMILIA",
    "province": "MO"
  },
  "D600": {
    "municipe": "FINALE LIGURE",
    "province": "SV"
  },
  "D604": {
    "municipe": "FINO DEL MONTE",
    "province": "BG"
  },
  "D605": {
    "municipe": "FINO MORNASCO",
    "province": "CO"
  },
  "D606": {
    "municipe": "FIORANO AL SERIO",
    "province": "BG"
  },
  "D608": {
    "municipe": "FIORANO CANAVESE",
    "province": "TO"
  },
  "D607": {
    "municipe": "FIORANO MODENESE",
    "province": "MO"
  },
  "D611": {
    "municipe": "FIORENZUOLA D'ARDA",
    "province": "PC"
  },
  "D612": {
    "municipe": "FIRENZE",
    "province": "FI"
  },
  "D613": {
    "municipe": "FIRENZUOLA",
    "province": "FI"
  },
  "D614": {
    "municipe": "FIRMO",
    "province": "CS"
  },
  "M323": {
    "municipe": "FISCAGLIA",
    "province": "FE"
  },
  "D615": {
    "municipe": "FISCIANO",
    "province": "SA"
  },
  "A310": {
    "municipe": "FIUGGI",
    "province": "FR"
  },
  "D617": {
    "municipe": "FIUMALBO",
    "province": "MO"
  },
  "D619": {
    "municipe": "FIUMARA",
    "province": "RC"
  },
  "D621": {
    "municipe": "FIUME VENETO",
    "province": "PN"
  },
  "D622": {
    "municipe": "FIUMEDINISI",
    "province": "ME"
  },
  "D624": {
    "municipe": "FIUMEFREDDO BRUZIO",
    "province": "CS"
  },
  "D623": {
    "municipe": "FIUMEFREDDO DI SICILIA",
    "province": "CT"
  },
  "M400": {
    "municipe": "FIUMICELLO VILLA VICENTINA",
    "province": "UD"
  },
  "M297": {
    "municipe": "FIUMICINO",
    "province": "RM"
  },
  "D628": {
    "municipe": "FIUMINATA",
    "province": "MC"
  },
  "D629": {
    "municipe": "FIVIZZANO",
    "province": "MS"
  },
  "D630": {
    "municipe": "FLAIBANO",
    "province": "UD"
  },
  "D634": {
    "municipe": "FLERO",
    "province": "BS"
  },
  "D635": {
    "municipe": "FLORESTA",
    "province": "ME"
  },
  "D636": {
    "municipe": "FLORIDIA",
    "province": "SR"
  },
  "D637": {
    "municipe": "FLORINAS",
    "province": "SS"
  },
  "D638": {
    "municipe": "FLUMERI",
    "province": "AV"
  },
  "D639": {
    "municipe": "FLUMINIMAGGIORE",
    "province": "SU"
  },
  "D640": {
    "municipe": "FLUSSIO",
    "province": "OR"
  },
  "D641": {
    "municipe": "FOBELLO",
    "province": "VC"
  },
  "D643": {
    "municipe": "FOGGIA",
    "province": "FG"
  },
  "D644": {
    "municipe": "FOGLIANISE",
    "province": "BN"
  },
  "D645": {
    "municipe": "FOGLIANO REDIPUGLIA",
    "province": "GO"
  },
  "D646": {
    "municipe": "FOGLIZZO",
    "province": "TO"
  },
  "D649": {
    "municipe": "FOIANO DELLA CHIANA",
    "province": "AR"
  },
  "D650": {
    "municipe": "FOIANO DI VAL FORTORE",
    "province": "BN"
  },
  "D651": {
    "municipe": "FOLGARIA",
    "province": "TN"
  },
  "D652": {
    "municipe": "FOLIGNANO",
    "province": "AP"
  },
  "D653": {
    "municipe": "FOLIGNO",
    "province": "PG"
  },
  "D654": {
    "municipe": "FOLLINA",
    "province": "TV"
  },
  "D655": {
    "municipe": "FOLLO",
    "province": "SP"
  },
  "D656": {
    "municipe": "FOLLONICA",
    "province": "GR"
  },
  "D660": {
    "municipe": "FOMBIO",
    "province": "LO"
  },
  "D661": {
    "municipe": "FONDACHELLI-FANTINA",
    "province": "ME"
  },
  "D662": {
    "municipe": "FONDI",
    "province": "LT"
  },
  "D665": {
    "municipe": "FONNI",
    "province": "NU"
  },
  "D666": {
    "municipe": "FONTAINEMORE",
    "province": "AO"
  },
  "D667": {
    "municipe": "FONTANA LIRI",
    "province": "FR"
  },
  "D670": {
    "municipe": "FONTANAFREDDA",
    "province": "PN"
  },
  "D671": {
    "municipe": "FONTANAROSA",
    "province": "AV"
  },
  "D668": {
    "municipe": "FONTANELICE",
    "province": "BO"
  },
  "D672": {
    "municipe": "FONTANELLA",
    "province": "BG"
  },
  "D673": {
    "municipe": "FONTANELLATO",
    "province": "PR"
  },
  "D674": {
    "municipe": "FONTANELLE",
    "province": "TV"
  },
  "D675": {
    "municipe": "FONTANETO D'AGOGNA",
    "province": "NO"
  },
  "D676": {
    "municipe": "FONTANETTO PO",
    "province": "VC"
  },
  "D677": {
    "municipe": "FONTANIGORDA",
    "province": "GE"
  },
  "D678": {
    "municipe": "FONTANILE",
    "province": "AT"
  },
  "D679": {
    "municipe": "FONTANIVA",
    "province": "PD"
  },
  "D680": {
    "municipe": "FONTE",
    "province": "TV"
  },
  "M309": {
    "municipe": "FONTE NUOVA",
    "province": "RM"
  },
  "D681": {
    "municipe": "FONTECCHIO",
    "province": "AQ"
  },
  "D682": {
    "municipe": "FONTECHIARI",
    "province": "FR"
  },
  "D683": {
    "municipe": "FONTEGRECA",
    "province": "CE"
  },
  "D684": {
    "municipe": "FONTENO",
    "province": "BG"
  },
  "D685": {
    "municipe": "FONTEVIVO",
    "province": "PR"
  },
  "D686": {
    "municipe": "FONZASO",
    "province": "BL"
  },
  "D688": {
    "municipe": "FOPPOLO",
    "province": "BG"
  },
  "D689": {
    "municipe": "FORANO",
    "province": "RI"
  },
  "D691": {
    "municipe": "FORCE",
    "province": "AP"
  },
  "D693": {
    "municipe": "FORCHIA",
    "province": "BN"
  },
  "D694": {
    "municipe": "FORCOLA",
    "province": "SO"
  },
  "D695": {
    "municipe": "FORDONGIANUS",
    "province": "OR"
  },
  "D696": {
    "municipe": "FORENZA",
    "province": "PZ"
  },
  "D697": {
    "municipe": "FORESTO SPARSO",
    "province": "BG"
  },
  "D700": {
    "municipe": "FORGARIA NEL FRIULI",
    "province": "UD"
  },
  "D701": {
    "municipe": "FORINO",
    "province": "AV"
  },
  "D702": {
    "municipe": "FORIO",
    "province": "NA"
  },
  "D704": {
    "municipe": "FORLI'",
    "province": "FC"
  },
  "D703": {
    "municipe": "FORLI' DEL SANNIO",
    "province": "IS"
  },
  "D705": {
    "municipe": "FORLIMPOPOLI",
    "province": "FC"
  },
  "D706": {
    "municipe": "FORMAZZA",
    "province": "VB"
  },
  "D707": {
    "municipe": "FORMELLO",
    "province": "RM"
  },
  "D708": {
    "municipe": "FORMIA",
    "province": "LT"
  },
  "D709": {
    "municipe": "FORMICOLA",
    "province": "CE"
  },
  "D710": {
    "municipe": "FORMIGARA",
    "province": "CR"
  },
  "D711": {
    "municipe": "FORMIGINE",
    "province": "MO"
  },
  "D712": {
    "municipe": "FORMIGLIANA",
    "province": "VC"
  },
  "D714": {
    "municipe": "FORNACE",
    "province": "TN"
  },
  "D715": {
    "municipe": "FORNELLI",
    "province": "IS"
  },
  "D718": {
    "municipe": "FORNI AVOLTRI",
    "province": "UD"
  },
  "D719": {
    "municipe": "FORNI DI SOPRA",
    "province": "UD"
  },
  "D720": {
    "municipe": "FORNI DI SOTTO",
    "province": "UD"
  },
  "D725": {
    "municipe": "FORNO CANAVESE",
    "province": "TO"
  },
  "D728": {
    "municipe": "FORNOVO DI TARO",
    "province": "PR"
  },
  "D727": {
    "municipe": "FORNOVO SAN GIOVANNI",
    "province": "BG"
  },
  "D730": {
    "municipe": "FORTE DEI MARMI",
    "province": "LU"
  },
  "D731": {
    "municipe": "FORTEZZA/FRANZENSFESTE",
    "province": "BZ"
  },
  "D732": {
    "municipe": "FORTUNAGO",
    "province": "PV"
  },
  "D733": {
    "municipe": "FORZA D'AGRO'",
    "province": "ME"
  },
  "D734": {
    "municipe": "FOSCIANDORA",
    "province": "LU"
  },
  "D735": {
    "municipe": "FOSDINOVO",
    "province": "MS"
  },
  "D736": {
    "municipe": "FOSSA",
    "province": "AQ"
  },
  "D738": {
    "municipe": "FOSSACESIA",
    "province": "CH"
  },
  "D740": {
    "municipe": "FOSSALTA DI PIAVE",
    "province": "VE"
  },
  "D741": {
    "municipe": "FOSSALTA DI PORTOGRUARO",
    "province": "VE"
  },
  "D737": {
    "municipe": "FOSSALTO",
    "province": "CB"
  },
  "D742": {
    "municipe": "FOSSANO",
    "province": "CN"
  },
  "D745": {
    "municipe": "FOSSATO DI VICO",
    "province": "PG"
  },
  "D744": {
    "municipe": "FOSSATO SERRALTA",
    "province": "CZ"
  },
  "D748": {
    "municipe": "FOSSO'",
    "province": "VE"
  },
  "D749": {
    "municipe": "FOSSOMBRONE",
    "province": "PU"
  },
  "D750": {
    "municipe": "FOZA",
    "province": "VI"
  },
  "D751": {
    "municipe": "FRABOSA SOPRANA",
    "province": "CN"
  },
  "D752": {
    "municipe": "FRABOSA SOTTANA",
    "province": "CN"
  },
  "D559": {
    "municipe": "FRACONALTO",
    "province": "AL"
  },
  "D754": {
    "municipe": "FRAGAGNANO",
    "province": "TA"
  },
  "D755": {
    "municipe": "FRAGNETO L'ABATE",
    "province": "BN"
  },
  "D756": {
    "municipe": "FRAGNETO MONFORTE",
    "province": "BN"
  },
  "D757": {
    "municipe": "FRAINE",
    "province": "CH"
  },
  "D758": {
    "municipe": "FRAMURA",
    "province": "SP"
  },
  "D763": {
    "municipe": "FRANCAVILLA AL MARE",
    "province": "CH"
  },
  "D762": {
    "municipe": "FRANCAVILLA ANGITOLA",
    "province": "VV"
  },
  "D759": {
    "municipe": "FRANCAVILLA BISIO",
    "province": "AL"
  },
  "D760": {
    "municipe": "FRANCAVILLA D'ETE",
    "province": "FM"
  },
  "D765": {
    "municipe": "FRANCAVILLA DI SICILIA",
    "province": "ME"
  },
  "D761": {
    "municipe": "FRANCAVILLA FONTANA",
    "province": "BR"
  },
  "D766": {
    "municipe": "FRANCAVILLA IN SINNI",
    "province": "PZ"
  },
  "D764": {
    "municipe": "FRANCAVILLA MARITTIMA",
    "province": "CS"
  },
  "D767": {
    "municipe": "FRANCICA",
    "province": "VV"
  },
  "D768": {
    "municipe": "FRANCOFONTE",
    "province": "SR"
  },
  "D769": {
    "municipe": "FRANCOLISE",
    "province": "CE"
  },
  "D770": {
    "municipe": "FRASCARO",
    "province": "AL"
  },
  "D771": {
    "municipe": "FRASCAROLO",
    "province": "PV"
  },
  "D773": {
    "municipe": "FRASCATI",
    "province": "RM"
  },
  "D774": {
    "municipe": "FRASCINETO",
    "province": "CS"
  },
  "D775": {
    "municipe": "FRASSILONGO",
    "province": "TN"
  },
  "D776": {
    "municipe": "FRASSINELLE POLESINE",
    "province": "RO"
  },
  "D777": {
    "municipe": "FRASSINELLO MONFERRATO",
    "province": "AL"
  },
  "D780": {
    "municipe": "FRASSINETO PO",
    "province": "AL"
  },
  "D781": {
    "municipe": "FRASSINETTO",
    "province": "TO"
  },
  "D782": {
    "municipe": "FRASSINO",
    "province": "CN"
  },
  "D783": {
    "municipe": "FRASSINORO",
    "province": "MO"
  },
  "D785": {
    "municipe": "FRASSO SABINO",
    "province": "RI"
  },
  "D784": {
    "municipe": "FRASSO TELESINO",
    "province": "BN"
  },
  "D788": {
    "municipe": "FRATTA POLESINE",
    "province": "RO"
  },
  "D787": {
    "municipe": "FRATTA TODINA",
    "province": "PG"
  },
  "D789": {
    "municipe": "FRATTAMAGGIORE",
    "province": "NA"
  },
  "D790": {
    "municipe": "FRATTAMINORE",
    "province": "NA"
  },
  "D791": {
    "municipe": "FRATTE ROSA",
    "province": "PU"
  },
  "D793": {
    "municipe": "FRAZZANO'",
    "province": "ME"
  },
  "D794": {
    "municipe": "FREGONA",
    "province": "TV"
  },
  "D796": {
    "municipe": "FRESAGRANDINARIA",
    "province": "CH"
  },
  "D797": {
    "municipe": "FRESONARA",
    "province": "AL"
  },
  "D798": {
    "municipe": "FRIGENTO",
    "province": "AV"
  },
  "D799": {
    "municipe": "FRIGNANO",
    "province": "CE"
  },
  "D802": {
    "municipe": "FRINCO",
    "province": "AT"
  },
  "D803": {
    "municipe": "FRISA",
    "province": "CH"
  },
  "D804": {
    "municipe": "FRISANCO",
    "province": "PN"
  },
  "D805": {
    "municipe": "FRONT",
    "province": "TO"
  },
  "D807": {
    "municipe": "FRONTINO",
    "province": "PU"
  },
  "D808": {
    "municipe": "FRONTONE",
    "province": "PU"
  },
  "D810": {
    "municipe": "FROSINONE",
    "province": "FR"
  },
  "D811": {
    "municipe": "FROSOLONE",
    "province": "IS"
  },
  "D812": {
    "municipe": "FROSSASCO",
    "province": "TO"
  },
  "D813": {
    "municipe": "FRUGAROLO",
    "province": "AL"
  },
  "D814": {
    "municipe": "FUBINE MONFERRATO",
    "province": "AL"
  },
  "D815": {
    "municipe": "FUCECCHIO",
    "province": "FI"
  },
  "D817": {
    "municipe": "FUIPIANO VALLE IMAGNA",
    "province": "BG"
  },
  "D818": {
    "municipe": "FUMANE",
    "province": "VR"
  },
  "D819": {
    "municipe": "FUMONE",
    "province": "FR"
  },
  "D821": {
    "municipe": "FUNES/VILLNOSS",
    "province": "BZ"
  },
  "D823": {
    "municipe": "FURCI",
    "province": "CH"
  },
  "D824": {
    "municipe": "FURCI SICULO",
    "province": "ME"
  },
  "D825": {
    "municipe": "FURNARI",
    "province": "ME"
  },
  "D826": {
    "municipe": "FURORE",
    "province": "SA"
  },
  "D827": {
    "municipe": "FURTEI",
    "province": "SU"
  },
  "D828": {
    "municipe": "FUSCALDO",
    "province": "CS"
  },
  "D829": {
    "municipe": "FUSIGNANO",
    "province": "RA"
  },
  "D830": {
    "municipe": "FUSINE",
    "province": "SO"
  },
  "D832": {
    "municipe": "FUTANI",
    "province": "SA"
  },
  "D537": {
    "municipe": "FENIS",
    "province": "AO"
  },
  "D834": {
    "municipe": "GABBIONETA BINANUOVA",
    "province": "CR"
  },
  "D835": {
    "municipe": "GABIANO",
    "province": "AL"
  },
  "D836": {
    "municipe": "GABICCE MARE",
    "province": "PU"
  },
  "D839": {
    "municipe": "GABY",
    "province": "AO"
  },
  "D841": {
    "municipe": "GADESCO PIEVE DELMONA",
    "province": "CR"
  },
  "D842": {
    "municipe": "GADONI",
    "province": "NU"
  },
  "D843": {
    "municipe": "GAETA",
    "province": "LT"
  },
  "D844": {
    "municipe": "GAGGI",
    "province": "ME"
  },
  "D845": {
    "municipe": "GAGGIANO",
    "province": "MI"
  },
  "D847": {
    "municipe": "GAGGIO MONTANO",
    "province": "BO"
  },
  "D848": {
    "municipe": "GAGLIANICO",
    "province": "BI"
  },
  "D850": {
    "municipe": "GAGLIANO ATERNO",
    "province": "AQ"
  },
  "D849": {
    "municipe": "GAGLIANO CASTELFERRATO",
    "province": "EN"
  },
  "D851": {
    "municipe": "GAGLIANO DEL CAPO",
    "province": "LE"
  },
  "D852": {
    "municipe": "GAGLIATO",
    "province": "CZ"
  },
  "D853": {
    "municipe": "GAGLIOLE",
    "province": "MC"
  },
  "D854": {
    "municipe": "GAIARINE",
    "province": "TV"
  },
  "D855": {
    "municipe": "GAIBA",
    "province": "RO"
  },
  "D856": {
    "municipe": "GAIOLA",
    "province": "CN"
  },
  "D858": {
    "municipe": "GAIOLE IN CHIANTI",
    "province": "SI"
  },
  "D859": {
    "municipe": "GAIRO",
    "province": "NU"
  },
  "D860": {
    "municipe": "GAIS/GAIS",
    "province": "BZ"
  },
  "D861": {
    "municipe": "GALATI MAMERTINO",
    "province": "ME"
  },
  "D862": {
    "municipe": "GALATINA",
    "province": "LE"
  },
  "D863": {
    "municipe": "GALATONE",
    "province": "LE"
  },
  "D864": {
    "municipe": "GALATRO",
    "province": "RC"
  },
  "D865": {
    "municipe": "GALBIATE",
    "province": "LC"
  },
  "D867": {
    "municipe": "GALEATA",
    "province": "FC"
  },
  "D868": {
    "municipe": "GALGAGNANO",
    "province": "LO"
  },
  "D869": {
    "municipe": "GALLARATE",
    "province": "VA"
  },
  "D870": {
    "municipe": "GALLESE",
    "province": "VT"
  },
  "D872": {
    "municipe": "GALLIATE",
    "province": "NO"
  },
  "D871": {
    "municipe": "GALLIATE LOMBARDO",
    "province": "VA"
  },
  "D873": {
    "municipe": "GALLIAVOLA",
    "province": "PV"
  },
  "D874": {
    "municipe": "GALLICANO",
    "province": "LU"
  },
  "D875": {
    "municipe": "GALLICANO NEL LAZIO",
    "province": "RM"
  },
  "D876": {
    "municipe": "GALLICCHIO",
    "province": "PZ"
  },
  "D878": {
    "municipe": "GALLIERA",
    "province": "BO"
  },
  "D879": {
    "municipe": "GALLIERA VENETA",
    "province": "PD"
  },
  "D881": {
    "municipe": "GALLINARO",
    "province": "FR"
  },
  "D882": {
    "municipe": "GALLIO",
    "province": "VI"
  },
  "D883": {
    "municipe": "GALLIPOLI",
    "province": "LE"
  },
  "D884": {
    "municipe": "GALLO MATESE",
    "province": "CE"
  },
  "D885": {
    "municipe": "GALLODORO",
    "province": "ME"
  },
  "D886": {
    "municipe": "GALLUCCIO",
    "province": "CE"
  },
  "D888": {
    "municipe": "GALTELLI'",
    "province": "NU"
  },
  "D889": {
    "municipe": "GALZIGNANO TERME",
    "province": "PD"
  },
  "D890": {
    "municipe": "GAMALERO",
    "province": "AL"
  },
  "D891": {
    "municipe": "GAMBARA",
    "province": "BS"
  },
  "D892": {
    "municipe": "GAMBARANA",
    "province": "PV"
  },
  "D894": {
    "municipe": "GAMBASCA",
    "province": "CN"
  },
  "D895": {
    "municipe": "GAMBASSI TERME",
    "province": "FI"
  },
  "D896": {
    "municipe": "GAMBATESA",
    "province": "CB"
  },
  "D897": {
    "municipe": "GAMBELLARA",
    "province": "VI"
  },
  "D898": {
    "municipe": "GAMBERALE",
    "province": "CH"
  },
  "D899": {
    "municipe": "GAMBETTOLA",
    "province": "FC"
  },
  "D901": {
    "municipe": "GAMBOLO'",
    "province": "PV"
  },
  "D902": {
    "municipe": "GAMBUGLIANO",
    "province": "VI"
  },
  "D903": {
    "municipe": "GANDELLINO",
    "province": "BG"
  },
  "D905": {
    "municipe": "GANDINO",
    "province": "BG"
  },
  "D906": {
    "municipe": "GANDOSSO",
    "province": "BG"
  },
  "D907": {
    "municipe": "GANGI",
    "province": "PA"
  },
  "D909": {
    "municipe": "GARAGUSO",
    "province": "MT"
  },
  "D910": {
    "municipe": "GARBAGNA",
    "province": "AL"
  },
  "D911": {
    "municipe": "GARBAGNA NOVARESE",
    "province": "NO"
  },
  "D912": {
    "municipe": "GARBAGNATE MILANESE",
    "province": "MI"
  },
  "D913": {
    "municipe": "GARBAGNATE MONASTERO",
    "province": "LC"
  },
  "D915": {
    "municipe": "GARDA",
    "province": "VR"
  },
  "D917": {
    "municipe": "GARDONE RIVIERA",
    "province": "BS"
  },
  "D918": {
    "municipe": "GARDONE VAL TROMPIA",
    "province": "BS"
  },
  "D920": {
    "municipe": "GARESSIO",
    "province": "CN"
  },
  "D921": {
    "municipe": "GARGALLO",
    "province": "NO"
  },
  "D923": {
    "municipe": "GARGAZZONE/GARGAZON",
    "province": "BZ"
  },
  "D924": {
    "municipe": "GARGNANO",
    "province": "BS"
  },
  "D925": {
    "municipe": "GARLASCO",
    "province": "PV"
  },
  "D926": {
    "municipe": "GARLATE",
    "province": "LC"
  },
  "D927": {
    "municipe": "GARLENDA",
    "province": "SV"
  },
  "D928": {
    "municipe": "GARNIGA TERME",
    "province": "TN"
  },
  "D930": {
    "municipe": "GARZENO",
    "province": "CO"
  },
  "D931": {
    "municipe": "GARZIGLIANA",
    "province": "TO"
  },
  "D932": {
    "municipe": "GASPERINA",
    "province": "CZ"
  },
  "D933": {
    "municipe": "GASSINO TORINESE",
    "province": "TO"
  },
  "D934": {
    "municipe": "GATTATICO",
    "province": "RE"
  },
  "D935": {
    "municipe": "GATTEO",
    "province": "FC"
  },
  "M416": {
    "municipe": "GATTICO-VERUNO",
    "province": "NO"
  },
  "D938": {
    "municipe": "GATTINARA",
    "province": "VC"
  },
  "D940": {
    "municipe": "GAVARDO",
    "province": "BS"
  },
  "D942": {
    "municipe": "GAVELLO",
    "province": "RO"
  },
  "D943": {
    "municipe": "GAVERINA TERME",
    "province": "BG"
  },
  "D944": {
    "municipe": "GAVI",
    "province": "AL"
  },
  "D945": {
    "municipe": "GAVIGNANO",
    "province": "RM"
  },
  "D946": {
    "municipe": "GAVIRATE",
    "province": "VA"
  },
  "D947": {
    "municipe": "GAVOI",
    "province": "NU"
  },
  "D948": {
    "municipe": "GAVORRANO",
    "province": "GR"
  },
  "D949": {
    "municipe": "GAZOLDO DEGLI IPPOLITI",
    "province": "MN"
  },
  "D951": {
    "municipe": "GAZZADA SCHIANNO",
    "province": "VA"
  },
  "D952": {
    "municipe": "GAZZANIGA",
    "province": "BG"
  },
  "D956": {
    "municipe": "GAZZO",
    "province": "PD"
  },
  "D957": {
    "municipe": "GAZZO VERONESE",
    "province": "VR"
  },
  "D958": {
    "municipe": "GAZZOLA",
    "province": "PC"
  },
  "D959": {
    "municipe": "GAZZUOLO",
    "province": "MN"
  },
  "D960": {
    "municipe": "GELA",
    "province": "CL"
  },
  "D961": {
    "municipe": "GEMMANO",
    "province": "RN"
  },
  "D962": {
    "municipe": "GEMONA DEL FRIULI",
    "province": "UD"
  },
  "D963": {
    "municipe": "GEMONIO",
    "province": "VA"
  },
  "D964": {
    "municipe": "GENAZZANO",
    "province": "RM"
  },
  "D965": {
    "municipe": "GENGA",
    "province": "AN"
  },
  "D966": {
    "municipe": "GENIVOLTA",
    "province": "CR"
  },
  "D967": {
    "municipe": "GENOLA",
    "province": "CN"
  },
  "D968": {
    "municipe": "GENONI",
    "province": "SU"
  },
  "D969": {
    "municipe": "GENOVA",
    "province": "GE"
  },
  "D970": {
    "municipe": "GENURI",
    "province": "SU"
  },
  "D971": {
    "municipe": "GENZANO DI LUCANIA",
    "province": "PZ"
  },
  "D972": {
    "municipe": "GENZANO DI ROMA",
    "province": "RM"
  },
  "D974": {
    "municipe": "GERA LARIO",
    "province": "CO"
  },
  "D975": {
    "municipe": "GERACE",
    "province": "RC"
  },
  "D977": {
    "municipe": "GERACI SICULO",
    "province": "PA"
  },
  "D978": {
    "municipe": "GERANO",
    "province": "RM"
  },
  "D980": {
    "municipe": "GERENZAGO",
    "province": "PV"
  },
  "D981": {
    "municipe": "GERENZANO",
    "province": "VA"
  },
  "D982": {
    "municipe": "GERGEI",
    "province": "SU"
  },
  "D983": {
    "municipe": "GERMAGNANO",
    "province": "TO"
  },
  "D984": {
    "municipe": "GERMAGNO",
    "province": "VB"
  },
  "D987": {
    "municipe": "GERMIGNAGA",
    "province": "VA"
  },
  "D988": {
    "municipe": "GEROCARNE",
    "province": "VV"
  },
  "D990": {
    "municipe": "GEROLA ALTA",
    "province": "SO"
  },
  "D993": {
    "municipe": "GERRE DE' CAPRIOLI",
    "province": "CR"
  },
  "D994": {
    "municipe": "GESICO",
    "province": "SU"
  },
  "D995": {
    "municipe": "GESSATE",
    "province": "MI"
  },
  "D996": {
    "municipe": "GESSOPALENA",
    "province": "CH"
  },
  "D997": {
    "municipe": "GESTURI",
    "province": "SU"
  },
  "D998": {
    "municipe": "GESUALDO",
    "province": "AV"
  },
  "D999": {
    "municipe": "GHEDI",
    "province": "BS"
  },
  "E001": {
    "municipe": "GHEMME",
    "province": "NO"
  },
  "E003": {
    "municipe": "GHIFFA",
    "province": "VB"
  },
  "E004": {
    "municipe": "GHILARZA",
    "province": "OR"
  },
  "E006": {
    "municipe": "GHISALBA",
    "province": "BG"
  },
  "E007": {
    "municipe": "GHISLARENGO",
    "province": "VC"
  },
  "E008": {
    "municipe": "GIACCIANO CON BARUCHELLA",
    "province": "RO"
  },
  "E009": {
    "municipe": "GIAGLIONE",
    "province": "TO"
  },
  "E010": {
    "municipe": "GIANICO",
    "province": "BS"
  },
  "E012": {
    "municipe": "GIANO DELL'UMBRIA",
    "province": "PG"
  },
  "E011": {
    "municipe": "GIANO VETUSTO",
    "province": "CE"
  },
  "E013": {
    "municipe": "GIARDINELLO",
    "province": "PA"
  },
  "E014": {
    "municipe": "GIARDINI NAXOS",
    "province": "ME"
  },
  "E015": {
    "municipe": "GIAROLE",
    "province": "AL"
  },
  "E016": {
    "municipe": "GIARRATANA",
    "province": "RG"
  },
  "E017": {
    "municipe": "GIARRE",
    "province": "CT"
  },
  "E019": {
    "municipe": "GIAVE",
    "province": "SS"
  },
  "E020": {
    "municipe": "GIAVENO",
    "province": "TO"
  },
  "E021": {
    "municipe": "GIAVERA DEL MONTELLO",
    "province": "TV"
  },
  "E022": {
    "municipe": "GIBA",
    "province": "SU"
  },
  "E023": {
    "municipe": "GIBELLINA",
    "province": "TP"
  },
  "E024": {
    "municipe": "GIFFLENGA",
    "province": "BI"
  },
  "E025": {
    "municipe": "GIFFONE",
    "province": "RC"
  },
  "E026": {
    "municipe": "GIFFONI SEI CASALI",
    "province": "SA"
  },
  "E027": {
    "municipe": "GIFFONI VALLE PIANA",
    "province": "SA"
  },
  "E028": {
    "municipe": "GIGNESE",
    "province": "VB"
  },
  "E029": {
    "municipe": "GIGNOD",
    "province": "AO"
  },
  "E030": {
    "municipe": "GILDONE",
    "province": "CB"
  },
  "E031": {
    "municipe": "GIMIGLIANO",
    "province": "CZ"
  },
  "E033": {
    "municipe": "GINESTRA",
    "province": "PZ"
  },
  "E034": {
    "municipe": "GINESTRA DEGLI SCHIAVONI",
    "province": "BN"
  },
  "E036": {
    "municipe": "GINOSA",
    "province": "TA"
  },
  "E037": {
    "municipe": "GIOI",
    "province": "SA"
  },
  "E040": {
    "municipe": "GIOIA DEI MARSI",
    "province": "AQ"
  },
  "E038": {
    "municipe": "GIOIA DEL COLLE",
    "province": "BA"
  },
  "E039": {
    "municipe": "GIOIA SANNITICA",
    "province": "CE"
  },
  "E041": {
    "municipe": "GIOIA TAURO",
    "province": "RC"
  },
  "E044": {
    "municipe": "GIOIOSA IONICA",
    "province": "RC"
  },
  "E043": {
    "municipe": "GIOIOSA MAREA",
    "province": "ME"
  },
  "E045": {
    "municipe": "GIOVE",
    "province": "TR"
  },
  "E047": {
    "municipe": "GIOVINAZZO",
    "province": "BA"
  },
  "E048": {
    "municipe": "GIOVO",
    "province": "TN"
  },
  "E049": {
    "municipe": "GIRASOLE",
    "province": "NU"
  },
  "E050": {
    "municipe": "GIRIFALCO",
    "province": "CZ"
  },
  "E052": {
    "municipe": "GISSI",
    "province": "CH"
  },
  "E053": {
    "municipe": "GIUGGIANELLO",
    "province": "LE"
  },
  "E054": {
    "municipe": "GIUGLIANO IN CAMPANIA",
    "province": "NA"
  },
  "E055": {
    "municipe": "GIULIANA",
    "province": "PA"
  },
  "E057": {
    "municipe": "GIULIANO DI ROMA",
    "province": "FR"
  },
  "E056": {
    "municipe": "GIULIANO TEATINO",
    "province": "CH"
  },
  "E058": {
    "municipe": "GIULIANOVA",
    "province": "TE"
  },
  "E060": {
    "municipe": "GIUNGANO",
    "province": "SA"
  },
  "E061": {
    "municipe": "GIURDIGNANO",
    "province": "LE"
  },
  "E062": {
    "municipe": "GIUSSAGO",
    "province": "PV"
  },
  "E063": {
    "municipe": "GIUSSANO",
    "province": "MB"
  },
  "E064": {
    "municipe": "GIUSTENICE",
    "province": "SV"
  },
  "E065": {
    "municipe": "GIUSTINO",
    "province": "TN"
  },
  "E066": {
    "municipe": "GIUSVALLA",
    "province": "SV"
  },
  "E067": {
    "municipe": "GIVOLETTO",
    "province": "TO"
  },
  "E068": {
    "municipe": "GIZZERIA",
    "province": "CZ"
  },
  "E069": {
    "municipe": "GLORENZA/GLURNS",
    "province": "BZ"
  },
  "E071": {
    "municipe": "GODEGA DI SANT'URBANO",
    "province": "TV"
  },
  "E072": {
    "municipe": "GODIASCO SALICE TERME",
    "province": "PV"
  },
  "E074": {
    "municipe": "GODRANO",
    "province": "PA"
  },
  "E078": {
    "municipe": "GOITO",
    "province": "MN"
  },
  "E079": {
    "municipe": "GOLASECCA",
    "province": "VA"
  },
  "E081": {
    "municipe": "GOLFERENZO",
    "province": "PV"
  },
  "M274": {
    "municipe": "GOLFO ARANCI",
    "province": "SS"
  },
  "E082": {
    "municipe": "GOMBITO",
    "province": "CR"
  },
  "E083": {
    "municipe": "GONARS",
    "province": "UD"
  },
  "E084": {
    "municipe": "GONI",
    "province": "SU"
  },
  "E086": {
    "municipe": "GONNESA",
    "province": "SU"
  },
  "E087": {
    "municipe": "GONNOSCODINA",
    "province": "OR"
  },
  "E085": {
    "municipe": "GONNOSFANADIGA",
    "province": "SU"
  },
  "D585": {
    "municipe": "GONNOSNO'",
    "province": "OR"
  },
  "E088": {
    "municipe": "GONNOSTRAMATZA",
    "province": "OR"
  },
  "E089": {
    "municipe": "GONZAGA",
    "province": "MN"
  },
  "E090": {
    "municipe": "GORDONA",
    "province": "SO"
  },
  "E091": {
    "municipe": "GORGA",
    "province": "RM"
  },
  "E092": {
    "municipe": "GORGO AL MONTICANO",
    "province": "TV"
  },
  "E093": {
    "municipe": "GORGOGLIONE",
    "province": "MT"
  },
  "E094": {
    "municipe": "GORGONZOLA",
    "province": "MI"
  },
  "E096": {
    "municipe": "GORIANO SICOLI",
    "province": "AQ"
  },
  "E098": {
    "municipe": "GORIZIA",
    "province": "GO"
  },
  "E101": {
    "municipe": "GORLA MAGGIORE",
    "province": "VA"
  },
  "E102": {
    "municipe": "GORLA MINORE",
    "province": "VA"
  },
  "E100": {
    "municipe": "GORLAGO",
    "province": "BG"
  },
  "E103": {
    "municipe": "GORLE",
    "province": "BG"
  },
  "E104": {
    "municipe": "GORNATE OLONA",
    "province": "VA"
  },
  "E106": {
    "municipe": "GORNO",
    "province": "BG"
  },
  "E107": {
    "municipe": "GORO",
    "province": "FE"
  },
  "E109": {
    "municipe": "GORRETO",
    "province": "GE"
  },
  "E111": {
    "municipe": "GORZEGNO",
    "province": "CN"
  },
  "E113": {
    "municipe": "GOSALDO",
    "province": "BL"
  },
  "E114": {
    "municipe": "GOSSOLENGO",
    "province": "PC"
  },
  "E115": {
    "municipe": "GOTTASECCA",
    "province": "CN"
  },
  "E116": {
    "municipe": "GOTTOLENGO",
    "province": "BS"
  },
  "E118": {
    "municipe": "GOVONE",
    "province": "CN"
  },
  "E120": {
    "municipe": "GOZZANO",
    "province": "NO"
  },
  "E122": {
    "municipe": "GRADARA",
    "province": "PU"
  },
  "E124": {
    "municipe": "GRADISCA D'ISONZO",
    "province": "GO"
  },
  "E125": {
    "municipe": "GRADO",
    "province": "GO"
  },
  "E126": {
    "municipe": "GRADOLI",
    "province": "VT"
  },
  "E127": {
    "municipe": "GRAFFIGNANA",
    "province": "LO"
  },
  "E128": {
    "municipe": "GRAFFIGNANO",
    "province": "VT"
  },
  "E130": {
    "municipe": "GRAGLIA",
    "province": "BI"
  },
  "E131": {
    "municipe": "GRAGNANO",
    "province": "NA"
  },
  "E132": {
    "municipe": "GRAGNANO TREBBIENSE",
    "province": "PC"
  },
  "E133": {
    "municipe": "GRAMMICHELE",
    "province": "CT"
  },
  "E134": {
    "municipe": "GRANA",
    "province": "AT"
  },
  "E136": {
    "municipe": "GRANAROLO DELL'EMILIA",
    "province": "BO"
  },
  "E139": {
    "municipe": "GRANDATE",
    "province": "CO"
  },
  "E141": {
    "municipe": "GRANDOLA ED UNITI",
    "province": "CO"
  },
  "E142": {
    "municipe": "GRANITI",
    "province": "ME"
  },
  "E143": {
    "municipe": "GRANOZZO CON MONTICELLO",
    "province": "NO"
  },
  "E144": {
    "municipe": "GRANTOLA",
    "province": "VA"
  },
  "E145": {
    "municipe": "GRANTORTO",
    "province": "PD"
  },
  "E146": {
    "municipe": "GRANZE",
    "province": "PD"
  },
  "E147": {
    "municipe": "GRASSANO",
    "province": "MT"
  },
  "E148": {
    "municipe": "GRASSOBBIO",
    "province": "BG"
  },
  "E149": {
    "municipe": "GRATTERI",
    "province": "PA"
  },
  "M315": {
    "municipe": "GRAVEDONA ED UNITI",
    "province": "CO"
  },
  "E152": {
    "municipe": "GRAVELLONA LOMELLINA",
    "province": "PV"
  },
  "E153": {
    "municipe": "GRAVELLONA TOCE",
    "province": "VB"
  },
  "E154": {
    "municipe": "GRAVERE",
    "province": "TO"
  },
  "E156": {
    "municipe": "GRAVINA DI CATANIA",
    "province": "CT"
  },
  "E155": {
    "municipe": "GRAVINA IN PUGLIA",
    "province": "BA"
  },
  "E158": {
    "municipe": "GRAZZANISE",
    "province": "CE"
  },
  "E159": {
    "municipe": "GRAZZANO BADOGLIO",
    "province": "AT"
  },
  "E160": {
    "municipe": "GRECCIO",
    "province": "RI"
  },
  "E161": {
    "municipe": "GRECI",
    "province": "AV"
  },
  "E163": {
    "municipe": "GREGGIO",
    "province": "VC"
  },
  "E164": {
    "municipe": "GREMIASCO",
    "province": "AL"
  },
  "E165": {
    "municipe": "GRESSAN",
    "province": "AO"
  },
  "E167": {
    "municipe": "GRESSONEY-LA-TRINITE'",
    "province": "AO"
  },
  "E168": {
    "municipe": "GRESSONEY-SAINT-JEAN",
    "province": "AO"
  },
  "E169": {
    "municipe": "GREVE IN CHIANTI",
    "province": "FI"
  },
  "E170": {
    "municipe": "GREZZAGO",
    "province": "MI"
  },
  "E171": {
    "municipe": "GREZZANA",
    "province": "VR"
  },
  "E172": {
    "municipe": "GRIANTE",
    "province": "CO"
  },
  "E173": {
    "municipe": "GRICIGNANO DI AVERSA",
    "province": "CE"
  },
  "E177": {
    "municipe": "GRIGNASCO",
    "province": "NO"
  },
  "E178": {
    "municipe": "GRIGNO",
    "province": "TN"
  },
  "E179": {
    "municipe": "GRIMACCO",
    "province": "UD"
  },
  "E180": {
    "municipe": "GRIMALDI",
    "province": "CS"
  },
  "E182": {
    "municipe": "GRINZANE CAVOUR",
    "province": "CN"
  },
  "E184": {
    "municipe": "GRISIGNANO DI ZOCCO",
    "province": "VI"
  },
  "E185": {
    "municipe": "GRISOLIA",
    "province": "CS"
  },
  "E187": {
    "municipe": "GRIZZANA MORANDI",
    "province": "BO"
  },
  "E188": {
    "municipe": "GROGNARDO",
    "province": "AL"
  },
  "E189": {
    "municipe": "GROMO",
    "province": "BG"
  },
  "E191": {
    "municipe": "GRONDONA",
    "province": "AL"
  },
  "E192": {
    "municipe": "GRONE",
    "province": "BG"
  },
  "E193": {
    "municipe": "GRONTARDO",
    "province": "CR"
  },
  "E195": {
    "municipe": "GROPELLO CAIROLI",
    "province": "PV"
  },
  "E196": {
    "municipe": "GROPPARELLO",
    "province": "PC"
  },
  "E199": {
    "municipe": "GROSCAVALLO",
    "province": "TO"
  },
  "E200": {
    "municipe": "GROSIO",
    "province": "SO"
  },
  "E201": {
    "municipe": "GROSOTTO",
    "province": "SO"
  },
  "E202": {
    "municipe": "GROSSETO",
    "province": "GR"
  },
  "E203": {
    "municipe": "GROSSO",
    "province": "TO"
  },
  "E204": {
    "municipe": "GROTTAFERRATA",
    "province": "RM"
  },
  "E205": {
    "municipe": "GROTTAGLIE",
    "province": "TA"
  },
  "E206": {
    "municipe": "GROTTAMINARDA",
    "province": "AV"
  },
  "E207": {
    "municipe": "GROTTAMMARE",
    "province": "AP"
  },
  "E208": {
    "municipe": "GROTTAZZOLINA",
    "province": "FM"
  },
  "E209": {
    "municipe": "GROTTE",
    "province": "AG"
  },
  "E210": {
    "municipe": "GROTTE DI CASTRO",
    "province": "VT"
  },
  "E212": {
    "municipe": "GROTTERIA",
    "province": "RC"
  },
  "E213": {
    "municipe": "GROTTOLE",
    "province": "MT"
  },
  "E214": {
    "municipe": "GROTTOLELLA",
    "province": "AV"
  },
  "E215": {
    "municipe": "GRUARO",
    "province": "VE"
  },
  "E216": {
    "municipe": "GRUGLIASCO",
    "province": "TO"
  },
  "E217": {
    "municipe": "GRUMELLO CREMONESE ED UNITI",
    "province": "CR"
  },
  "E219": {
    "municipe": "GRUMELLO DEL MONTE",
    "province": "BG"
  },
  "E221": {
    "municipe": "GRUMENTO NOVA",
    "province": "PZ"
  },
  "E223": {
    "municipe": "GRUMO APPULA",
    "province": "BA"
  },
  "E224": {
    "municipe": "GRUMO NEVANO",
    "province": "NA"
  },
  "E226": {
    "municipe": "GRUMOLO DELLE ABBADESSE",
    "province": "VI"
  },
  "E227": {
    "municipe": "GUAGNANO",
    "province": "LE"
  },
  "E228": {
    "municipe": "GUALDO",
    "province": "MC"
  },
  "E229": {
    "municipe": "GUALDO CATTANEO",
    "province": "PG"
  },
  "E230": {
    "municipe": "GUALDO TADINO",
    "province": "PG"
  },
  "E232": {
    "municipe": "GUALTIERI",
    "province": "RE"
  },
  "E233": {
    "municipe": "GUALTIERI SICAMINO'",
    "province": "ME"
  },
  "E234": {
    "municipe": "GUAMAGGIORE",
    "province": "SU"
  },
  "E235": {
    "municipe": "GUANZATE",
    "province": "CO"
  },
  "E236": {
    "municipe": "GUARCINO",
    "province": "FR"
  },
  "E240": {
    "municipe": "GUARDA VENETA",
    "province": "RO"
  },
  "E237": {
    "municipe": "GUARDABOSONE",
    "province": "VC"
  },
  "E238": {
    "municipe": "GUARDAMIGLIO",
    "province": "LO"
  },
  "E239": {
    "municipe": "GUARDAVALLE",
    "province": "CZ"
  },
  "E241": {
    "municipe": "GUARDEA",
    "province": "TR"
  },
  "E245": {
    "municipe": "GUARDIA LOMBARDI",
    "province": "AV"
  },
  "E246": {
    "municipe": "GUARDIA PERTICARA",
    "province": "PZ"
  },
  "E242": {
    "municipe": "GUARDIA PIEMONTESE",
    "province": "CS"
  },
  "E249": {
    "municipe": "GUARDIA SANFRAMONDI",
    "province": "BN"
  },
  "E243": {
    "municipe": "GUARDIAGRELE",
    "province": "CH"
  },
  "E244": {
    "municipe": "GUARDIALFIERA",
    "province": "CB"
  },
  "E248": {
    "municipe": "GUARDIAREGIA",
    "province": "CB"
  },
  "E250": {
    "municipe": "GUARDISTALLO",
    "province": "PI"
  },
  "E251": {
    "municipe": "GUARENE",
    "province": "CN"
  },
  "E252": {
    "municipe": "GUASILA",
    "province": "SU"
  },
  "E253": {
    "municipe": "GUASTALLA",
    "province": "RE"
  },
  "E255": {
    "municipe": "GUAZZORA",
    "province": "AL"
  },
  "E256": {
    "municipe": "GUBBIO",
    "province": "PG"
  },
  "E258": {
    "municipe": "GUDO VISCONTI",
    "province": "MI"
  },
  "E259": {
    "municipe": "GUGLIONESI",
    "province": "CB"
  },
  "E261": {
    "municipe": "GUIDIZZOLO",
    "province": "MN"
  },
  "E263": {
    "municipe": "GUIDONIA MONTECELIO",
    "province": "RM"
  },
  "E264": {
    "municipe": "GUIGLIA",
    "province": "MO"
  },
  "E266": {
    "municipe": "GUILMI",
    "province": "CH"
  },
  "E269": {
    "municipe": "GURRO",
    "province": "VB"
  },
  "E270": {
    "municipe": "GUSPINI",
    "province": "SU"
  },
  "E271": {
    "municipe": "GUSSAGO",
    "province": "BS"
  },
  "E272": {
    "municipe": "GUSSOLA",
    "province": "CR"
  },
  "E273": {
    "municipe": "HONE",
    "province": "AO"
  },
  "E280": {
    "municipe": "IDRO",
    "province": "BS"
  },
  "E281": {
    "municipe": "IGLESIAS",
    "province": "SU"
  },
  "E282": {
    "municipe": "IGLIANO",
    "province": "CN"
  },
  "E283": {
    "municipe": "ILBONO",
    "province": "NU"
  },
  "E284": {
    "municipe": "ILLASI",
    "province": "VR"
  },
  "E285": {
    "municipe": "ILLORAI",
    "province": "SS"
  },
  "E287": {
    "municipe": "IMBERSAGO",
    "province": "LC"
  },
  "E288": {
    "municipe": "IMER",
    "province": "TN"
  },
  "E289": {
    "municipe": "IMOLA",
    "province": "BO"
  },
  "E290": {
    "municipe": "IMPERIA",
    "province": "IM"
  },
  "E291": {
    "municipe": "IMPRUNETA",
    "province": "FI"
  },
  "E292": {
    "municipe": "INARZO",
    "province": "VA"
  },
  "E295": {
    "municipe": "INCISA SCAPACCINO",
    "province": "AT"
  },
  "E297": {
    "municipe": "INCUDINE",
    "province": "BS"
  },
  "E299": {
    "municipe": "INDUNO OLONA",
    "province": "VA"
  },
  "E301": {
    "municipe": "INGRIA",
    "province": "TO"
  },
  "E304": {
    "municipe": "INTRAGNA",
    "province": "VB"
  },
  "E305": {
    "municipe": "INTROBIO",
    "province": "LC"
  },
  "E306": {
    "municipe": "INTROD",
    "province": "AO"
  },
  "E307": {
    "municipe": "INTRODACQUA",
    "province": "AQ"
  },
  "E309": {
    "municipe": "INVERIGO",
    "province": "CO"
  },
  "E310": {
    "municipe": "INVERNO E MONTELEONE",
    "province": "PV"
  },
  "E311": {
    "municipe": "INVERSO PINASCA",
    "province": "TO"
  },
  "E313": {
    "municipe": "INVERUNO",
    "province": "MI"
  },
  "E314": {
    "municipe": "INVORIO",
    "province": "NO"
  },
  "E317": {
    "municipe": "INZAGO",
    "province": "MI"
  },
  "E321": {
    "municipe": "IONADI",
    "province": "VV"
  },
  "E323": {
    "municipe": "IRGOLI",
    "province": "NU"
  },
  "E325": {
    "municipe": "IRMA",
    "province": "BS"
  },
  "E326": {
    "municipe": "IRSINA",
    "province": "MT"
  },
  "E327": {
    "municipe": "ISASCA",
    "province": "CN"
  },
  "E328": {
    "municipe": "ISCA SULLO IONIO",
    "province": "CZ"
  },
  "E329": {
    "municipe": "ISCHIA",
    "province": "NA"
  },
  "E330": {
    "municipe": "ISCHIA DI CASTRO",
    "province": "VT"
  },
  "E332": {
    "municipe": "ISCHITELLA",
    "province": "FG"
  },
  "E333": {
    "municipe": "ISEO",
    "province": "BS"
  },
  "E334": {
    "municipe": "ISERA",
    "province": "TN"
  },
  "E335": {
    "municipe": "ISERNIA",
    "province": "IS"
  },
  "E336": {
    "municipe": "ISILI",
    "province": "SU"
  },
  "E337": {
    "municipe": "ISNELLO",
    "province": "PA"
  },
  "E338": {
    "municipe": "ISOLA D'ASTI",
    "province": "AT"
  },
  "E341": {
    "municipe": "ISOLA DEL CANTONE",
    "province": "GE"
  },
  "E348": {
    "municipe": "ISOLA DEL GIGLIO",
    "province": "GR"
  },
  "E343": {
    "municipe": "ISOLA DEL GRAN SASSO D'ITALIA",
    "province": "TE"
  },
  "E340": {
    "municipe": "ISOLA DEL LIRI",
    "province": "FR"
  },
  "E351": {
    "municipe": "ISOLA DEL PIANO",
    "province": "PU"
  },
  "E349": {
    "municipe": "ISOLA DELLA SCALA",
    "province": "VR"
  },
  "E350": {
    "municipe": "ISOLA DELLE FEMMINE",
    "province": "PA"
  },
  "E339": {
    "municipe": "ISOLA DI CAPO RIZZUTO",
    "province": "KR"
  },
  "E353": {
    "municipe": "ISOLA DI FONDRA",
    "province": "BG"
  },
  "E356": {
    "municipe": "ISOLA DOVARESE",
    "province": "CR"
  },
  "E358": {
    "municipe": "ISOLA RIZZA",
    "province": "VR"
  },
  "E360": {
    "municipe": "ISOLA SANT'ANTONIO",
    "province": "AL"
  },
  "E354": {
    "municipe": "ISOLA VICENTINA",
    "province": "VI"
  },
  "E345": {
    "municipe": "ISOLABELLA",
    "province": "TO"
  },
  "E346": {
    "municipe": "ISOLABONA",
    "province": "IM"
  },
  "E363": {
    "municipe": "ISOLE TREMITI",
    "province": "FG"
  },
  "E364": {
    "municipe": "ISORELLA",
    "province": "BS"
  },
  "E365": {
    "municipe": "ISPANI",
    "province": "SA"
  },
  "E366": {
    "municipe": "ISPICA",
    "province": "RG"
  },
  "E367": {
    "municipe": "ISPRA",
    "province": "VA"
  },
  "E368": {
    "municipe": "ISSIGLIO",
    "province": "TO"
  },
  "E369": {
    "municipe": "ISSIME",
    "province": "AO"
  },
  "E370": {
    "municipe": "ISSO",
    "province": "BG"
  },
  "E371": {
    "municipe": "ISSOGNE",
    "province": "AO"
  },
  "E373": {
    "municipe": "ISTRANA",
    "province": "TV"
  },
  "E374": {
    "municipe": "ITALA",
    "province": "ME"
  },
  "E375": {
    "municipe": "ITRI",
    "province": "LT"
  },
  "E376": {
    "municipe": "ITTIREDDU",
    "province": "SS"
  },
  "E377": {
    "municipe": "ITTIRI",
    "province": "SS"
  },
  "E379": {
    "municipe": "IVREA",
    "province": "TO"
  },
  "E380": {
    "municipe": "IZANO",
    "province": "CR"
  },
  "E274": {
    "municipe": "JACURSO",
    "province": "CZ"
  },
  "E381": {
    "municipe": "JELSI",
    "province": "CB"
  },
  "E382": {
    "municipe": "JENNE",
    "province": "RM"
  },
  "E386": {
    "municipe": "JERAGO CON ORAGO",
    "province": "VA"
  },
  "E387": {
    "municipe": "JERZU",
    "province": "NU"
  },
  "E388": {
    "municipe": "JESI",
    "province": "AN"
  },
  "C388": {
    "municipe": "JESOLO",
    "province": "VE"
  },
  "E320": {
    "municipe": "JOLANDA DI SAVOIA",
    "province": "FE"
  },
  "E389": {
    "municipe": "JOPPOLO",
    "province": "VV"
  },
  "E390": {
    "municipe": "JOPPOLO GIANCAXIO",
    "province": "AG"
  },
  "E391": {
    "municipe": "JOVENCAN",
    "province": "AO"
  },
  "A345": {
    "municipe": "L'AQUILA",
    "province": "AQ"
  },
  "E394": {
    "municipe": "LA CASSA",
    "province": "TO"
  },
  "E423": {
    "municipe": "LA LOGGIA",
    "province": "TO"
  },
  "E425": {
    "municipe": "LA MADDALENA",
    "province": "SS"
  },
  "A308": {
    "municipe": "LA MAGDELEINE",
    "province": "AO"
  },
  "E430": {
    "municipe": "LA MORRA",
    "province": "CN"
  },
  "E458": {
    "municipe": "LA SALLE",
    "province": "AO"
  },
  "E463": {
    "municipe": "LA SPEZIA",
    "province": "SP"
  },
  "E470": {
    "municipe": "LA THUILE",
    "province": "AO"
  },
  "E490": {
    "municipe": "LA VALLE AGORDINA",
    "province": "BL"
  },
  "E491": {
    "municipe": "LA VALLE/WENGEN",
    "province": "BZ"
  },
  "M348": {
    "municipe": "LA VALLETTA BRIANZA",
    "province": "LC"
  },
  "E392": {
    "municipe": "LABICO",
    "province": "RM"
  },
  "E393": {
    "municipe": "LABRO",
    "province": "RI"
  },
  "E395": {
    "municipe": "LACCHIARELLA",
    "province": "MI"
  },
  "E396": {
    "municipe": "LACCO AMENO",
    "province": "NA"
  },
  "E397": {
    "municipe": "LACEDONIA",
    "province": "AV"
  },
  "E398": {
    "municipe": "LACES/LATSCH",
    "province": "BZ"
  },
  "E400": {
    "municipe": "LACONI",
    "province": "OR"
  },
  "M212": {
    "municipe": "LADISPOLI",
    "province": "RM"
  },
  "E401": {
    "municipe": "LAERRU",
    "province": "SS"
  },
  "E402": {
    "municipe": "LAGANADI",
    "province": "RC"
  },
  "E403": {
    "municipe": "LAGHI",
    "province": "VI"
  },
  "E405": {
    "municipe": "LAGLIO",
    "province": "CO"
  },
  "E406": {
    "municipe": "LAGNASCO",
    "province": "CN"
  },
  "E407": {
    "municipe": "LAGO",
    "province": "CS"
  },
  "E409": {
    "municipe": "LAGONEGRO",
    "province": "PZ"
  },
  "E410": {
    "municipe": "LAGOSANTO",
    "province": "FE"
  },
  "E412": {
    "municipe": "LAGUNDO/ALGUND",
    "province": "BZ"
  },
  "E414": {
    "municipe": "LAIGUEGLIA",
    "province": "SV"
  },
  "E415": {
    "municipe": "LAINATE",
    "province": "MI"
  },
  "E416": {
    "municipe": "LAINO",
    "province": "CO"
  },
  "E417": {
    "municipe": "LAINO BORGO",
    "province": "CS"
  },
  "E419": {
    "municipe": "LAINO CASTELLO",
    "province": "CS"
  },
  "E420": {
    "municipe": "LAION/LAJEN",
    "province": "BZ"
  },
  "E421": {
    "municipe": "LAIVES/LEIFERS",
    "province": "BZ"
  },
  "E413": {
    "municipe": "LAJATICO",
    "province": "PI"
  },
  "E422": {
    "municipe": "LALLIO",
    "province": "BG"
  },
  "E424": {
    "municipe": "LAMA DEI PELIGNI",
    "province": "CH"
  },
  "E426": {
    "municipe": "LAMA MOCOGNO",
    "province": "MO"
  },
  "E428": {
    "municipe": "LAMBRUGO",
    "province": "CO"
  },
  "M208": {
    "municipe": "LAMEZIA TERME",
    "province": "CZ"
  },
  "E429": {
    "municipe": "LAMON",
    "province": "BL"
  },
  "E431": {
    "municipe": "LAMPEDUSA E LINOSA",
    "province": "AG"
  },
  "E432": {
    "municipe": "LAMPORECCHIO",
    "province": "PT"
  },
  "E433": {
    "municipe": "LAMPORO",
    "province": "VC"
  },
  "E434": {
    "municipe": "LANA/LANA",
    "province": "BZ"
  },
  "E435": {
    "municipe": "LANCIANO",
    "province": "CH"
  },
  "E436": {
    "municipe": "LANDIONA",
    "province": "NO"
  },
  "E437": {
    "municipe": "LANDRIANO",
    "province": "PV"
  },
  "E438": {
    "municipe": "LANGHIRANO",
    "province": "PR"
  },
  "E439": {
    "municipe": "LANGOSCO",
    "province": "PV"
  },
  "E441": {
    "municipe": "LANUSEI",
    "province": "NU"
  },
  "C767": {
    "municipe": "LANUVIO",
    "province": "RM"
  },
  "E443": {
    "municipe": "LANZADA",
    "province": "SO"
  },
  "E445": {
    "municipe": "LANZO TORINESE",
    "province": "TO"
  },
  "E447": {
    "municipe": "LAPEDONA",
    "province": "FM"
  },
  "E448": {
    "municipe": "LAPIO",
    "province": "AV"
  },
  "E450": {
    "municipe": "LAPPANO",
    "province": "CS"
  },
  "E451": {
    "municipe": "LARCIANO",
    "province": "PT"
  },
  "E454": {
    "municipe": "LARDIRAGO",
    "province": "PV"
  },
  "M207": {
    "municipe": "LARIANO",
    "province": "RM"
  },
  "E456": {
    "municipe": "LARINO",
    "province": "CB"
  },
  "E464": {
    "municipe": "LAS PLASSAS",
    "province": "SU"
  },
  "E457": {
    "municipe": "LASA/LAAS",
    "province": "BZ"
  },
  "E459": {
    "municipe": "LASCARI",
    "province": "PA"
  },
  "E462": {
    "municipe": "LASNIGO",
    "province": "CO"
  },
  "E465": {
    "municipe": "LASTEBASSE",
    "province": "VI"
  },
  "E466": {
    "municipe": "LASTRA A SIGNA",
    "province": "FI"
  },
  "E467": {
    "municipe": "LATERA",
    "province": "VT"
  },
  "M392": {
    "municipe": "LATERINA PERGINE VALDARNO",
    "province": "AR"
  },
  "E469": {
    "municipe": "LATERZA",
    "province": "TA"
  },
  "E471": {
    "municipe": "LATIANO",
    "province": "BR"
  },
  "E472": {
    "municipe": "LATINA",
    "province": "LT"
  },
  "E473": {
    "municipe": "LATISANA",
    "province": "UD"
  },
  "E474": {
    "municipe": "LATRONICO",
    "province": "PZ"
  },
  "E475": {
    "municipe": "LATTARICO",
    "province": "CS"
  },
  "E476": {
    "municipe": "LAUCO",
    "province": "UD"
  },
  "E480": {
    "municipe": "LAUREANA CILENTO",
    "province": "SA"
  },
  "E479": {
    "municipe": "LAUREANA DI BORRELLO",
    "province": "RC"
  },
  "E481": {
    "municipe": "LAUREGNO/LAUREIN",
    "province": "BZ"
  },
  "E482": {
    "municipe": "LAURENZANA",
    "province": "PZ"
  },
  "E483": {
    "municipe": "LAURIA",
    "province": "PZ"
  },
  "E484": {
    "municipe": "LAURIANO",
    "province": "TO"
  },
  "E485": {
    "municipe": "LAURINO",
    "province": "SA"
  },
  "E486": {
    "municipe": "LAURITO",
    "province": "SA"
  },
  "E487": {
    "municipe": "LAURO",
    "province": "AV"
  },
  "E488": {
    "municipe": "LAVAGNA",
    "province": "GE"
  },
  "E489": {
    "municipe": "LAVAGNO",
    "province": "VR"
  },
  "E492": {
    "municipe": "LAVARONE",
    "province": "TN"
  },
  "E493": {
    "municipe": "LAVELLO",
    "province": "PZ"
  },
  "E494": {
    "municipe": "LAVENA PONTE TRESA",
    "province": "VA"
  },
  "E496": {
    "municipe": "LAVENO-MOMBELLO",
    "province": "VA"
  },
  "E497": {
    "municipe": "LAVENONE",
    "province": "BS"
  },
  "E498": {
    "municipe": "LAVIANO",
    "province": "SA"
  },
  "E500": {
    "municipe": "LAVIS",
    "province": "TN"
  },
  "E502": {
    "municipe": "LAZISE",
    "province": "VR"
  },
  "E504": {
    "municipe": "LAZZATE",
    "province": "MB"
  },
  "E506": {
    "municipe": "LECCE",
    "province": "LE"
  },
  "E505": {
    "municipe": "LECCE NEI MARSI",
    "province": "AQ"
  },
  "E507": {
    "municipe": "LECCO",
    "province": "LC"
  },
  "M313": {
    "municipe": "LEDRO",
    "province": "TN"
  },
  "E509": {
    "municipe": "LEFFE",
    "province": "BG"
  },
  "E510": {
    "municipe": "LEGGIUNO",
    "province": "VA"
  },
  "E512": {
    "municipe": "LEGNAGO",
    "province": "VR"
  },
  "E514": {
    "municipe": "LEGNANO",
    "province": "MI"
  },
  "E515": {
    "municipe": "LEGNARO",
    "province": "PD"
  },
  "E517": {
    "municipe": "LEI",
    "province": "NU"
  },
  "E518": {
    "municipe": "LEINI",
    "province": "TO"
  },
  "E519": {
    "municipe": "LEIVI",
    "province": "GE"
  },
  "E520": {
    "municipe": "LEMIE",
    "province": "TO"
  },
  "E522": {
    "municipe": "LENDINARA",
    "province": "RO"
  },
  "E523": {
    "municipe": "LENI",
    "province": "ME"
  },
  "E524": {
    "municipe": "LENNA",
    "province": "BG"
  },
  "E526": {
    "municipe": "LENO",
    "province": "BS"
  },
  "E527": {
    "municipe": "LENOLA",
    "province": "LT"
  },
  "E528": {
    "municipe": "LENTA",
    "province": "VC"
  },
  "E530": {
    "municipe": "LENTATE SUL SEVESO",
    "province": "MB"
  },
  "E531": {
    "municipe": "LENTELLA",
    "province": "CH"
  },
  "E532": {
    "municipe": "LENTINI",
    "province": "SR"
  },
  "E535": {
    "municipe": "LEONESSA",
    "province": "RI"
  },
  "E536": {
    "municipe": "LEONFORTE",
    "province": "EN"
  },
  "E537": {
    "municipe": "LEPORANO",
    "province": "TA"
  },
  "E538": {
    "municipe": "LEQUILE",
    "province": "LE"
  },
  "E540": {
    "municipe": "LEQUIO BERRIA",
    "province": "CN"
  },
  "E539": {
    "municipe": "LEQUIO TANARO",
    "province": "CN"
  },
  "E541": {
    "municipe": "LERCARA FRIDDI",
    "province": "PA"
  },
  "E542": {
    "municipe": "LERICI",
    "province": "SP"
  },
  "E543": {
    "municipe": "LERMA",
    "province": "AL"
  },
  "E544": {
    "municipe": "LESA",
    "province": "NO"
  },
  "E546": {
    "municipe": "LESEGNO",
    "province": "CN"
  },
  "E547": {
    "municipe": "LESIGNANO DE' BAGNI",
    "province": "PR"
  },
  "E549": {
    "municipe": "LESINA",
    "province": "FG"
  },
  "E550": {
    "municipe": "LESMO",
    "province": "MB"
  },
  "E551": {
    "municipe": "LESSOLO",
    "province": "TO"
  },
  "M371": {
    "municipe": "LESSONA",
    "province": "BI"
  },
  "E553": {
    "municipe": "LESTIZZA",
    "province": "UD"
  },
  "E554": {
    "municipe": "LETINO",
    "province": "CE"
  },
  "E555": {
    "municipe": "LETOJANNI",
    "province": "ME"
  },
  "E557": {
    "municipe": "LETTERE",
    "province": "NA"
  },
  "E558": {
    "municipe": "LETTOMANOPPELLO",
    "province": "PE"
  },
  "E559": {
    "municipe": "LETTOPALENA",
    "province": "CH"
  },
  "E560": {
    "municipe": "LEVANTO",
    "province": "SP"
  },
  "E562": {
    "municipe": "LEVATE",
    "province": "BG"
  },
  "E563": {
    "municipe": "LEVERANO",
    "province": "LE"
  },
  "E564": {
    "municipe": "LEVICE",
    "province": "CN"
  },
  "E565": {
    "municipe": "LEVICO TERME",
    "province": "TN"
  },
  "E566": {
    "municipe": "LEVONE",
    "province": "TO"
  },
  "E569": {
    "municipe": "LEZZENO",
    "province": "CO"
  },
  "E570": {
    "municipe": "LIBERI",
    "province": "CE"
  },
  "E571": {
    "municipe": "LIBRIZZI",
    "province": "ME"
  },
  "E573": {
    "municipe": "LICATA",
    "province": "AG"
  },
  "E574": {
    "municipe": "LICCIANA NARDI",
    "province": "MS"
  },
  "E576": {
    "municipe": "LICENZA",
    "province": "RM"
  },
  "E578": {
    "municipe": "LICODIA EUBEA",
    "province": "CT"
  },
  "E581": {
    "municipe": "LIERNA",
    "province": "LC"
  },
  "E583": {
    "municipe": "LIGNANA",
    "province": "VC"
  },
  "E584": {
    "municipe": "LIGNANO SABBIADORO",
    "province": "UD"
  },
  "E587": {
    "municipe": "LILLIANES",
    "province": "AO"
  },
  "E588": {
    "municipe": "LIMANA",
    "province": "BL"
  },
  "E589": {
    "municipe": "LIMATOLA",
    "province": "BN"
  },
  "E590": {
    "municipe": "LIMBADI",
    "province": "VV"
  },
  "E591": {
    "municipe": "LIMBIATE",
    "province": "MB"
  },
  "E592": {
    "municipe": "LIMENA",
    "province": "PD"
  },
  "E593": {
    "municipe": "LIMIDO COMASCO",
    "province": "CO"
  },
  "E594": {
    "municipe": "LIMINA",
    "province": "ME"
  },
  "E597": {
    "municipe": "LIMONE PIEMONTE",
    "province": "CN"
  },
  "E596": {
    "municipe": "LIMONE SUL GARDA",
    "province": "BS"
  },
  "E599": {
    "municipe": "LIMOSANO",
    "province": "CB"
  },
  "E600": {
    "municipe": "LINAROLO",
    "province": "PV"
  },
  "E602": {
    "municipe": "LINGUAGLOSSA",
    "province": "CT"
  },
  "E605": {
    "municipe": "LIONI",
    "province": "AV"
  },
  "E606": {
    "municipe": "LIPARI",
    "province": "ME"
  },
  "E607": {
    "municipe": "LIPOMO",
    "province": "CO"
  },
  "E608": {
    "municipe": "LIRIO",
    "province": "PV"
  },
  "E610": {
    "municipe": "LISCATE",
    "province": "MI"
  },
  "E611": {
    "municipe": "LISCIA",
    "province": "CH"
  },
  "E613": {
    "municipe": "LISCIANO NICCONE",
    "province": "PG"
  },
  "E615": {
    "municipe": "LISIO",
    "province": "CN"
  },
  "E617": {
    "municipe": "LISSONE",
    "province": "MB"
  },
  "E620": {
    "municipe": "LIVERI",
    "province": "NA"
  },
  "E621": {
    "municipe": "LIVIGNO",
    "province": "SO"
  },
  "E622": {
    "municipe": "LIVINALLONGO DEL COL DI LANA",
    "province": "BL"
  },
  "E624": {
    "municipe": "LIVO",
    "province": "TN"
  },
  "E623": {
    "municipe": "LIVO",
    "province": "CO"
  },
  "E625": {
    "municipe": "LIVORNO",
    "province": "LI"
  },
  "E626": {
    "municipe": "LIVORNO FERRARIS",
    "province": "VC"
  },
  "E627": {
    "municipe": "LIVRAGA",
    "province": "LO"
  },
  "E629": {
    "municipe": "LIZZANELLO",
    "province": "LE"
  },
  "E630": {
    "municipe": "LIZZANO",
    "province": "TA"
  },
  "A771": {
    "municipe": "LIZZANO IN BELVEDERE",
    "province": "BO"
  },
  "E632": {
    "municipe": "LOANO",
    "province": "SV"
  },
  "E633": {
    "municipe": "LOAZZOLO",
    "province": "AT"
  },
  "E635": {
    "municipe": "LOCANA",
    "province": "TO"
  },
  "E639": {
    "municipe": "LOCATE DI TRIULZI",
    "province": "MI"
  },
  "E638": {
    "municipe": "LOCATE VARESINO",
    "province": "CO"
  },
  "E640": {
    "municipe": "LOCATELLO",
    "province": "BG"
  },
  "E644": {
    "municipe": "LOCERI",
    "province": "NU"
  },
  "E645": {
    "municipe": "LOCOROTONDO",
    "province": "BA"
  },
  "D976": {
    "municipe": "LOCRI",
    "province": "RC"
  },
  "E646": {
    "municipe": "LOCULI",
    "province": "NU"
  },
  "E647": {
    "municipe": "LODE'",
    "province": "NU"
  },
  "E648": {
    "municipe": "LODI",
    "province": "LO"
  },
  "E651": {
    "municipe": "LODI VECCHIO",
    "province": "LO"
  },
  "E649": {
    "municipe": "LODINE",
    "province": "NU"
  },
  "E652": {
    "municipe": "LODRINO",
    "province": "BS"
  },
  "E654": {
    "municipe": "LOGRATO",
    "province": "BS"
  },
  "E655": {
    "municipe": "LOIANO",
    "province": "BO"
  },
  "M275": {
    "municipe": "LOIRI PORTO SAN PAOLO",
    "province": "SS"
  },
  "E656": {
    "municipe": "LOMAGNA",
    "province": "LC"
  },
  "E659": {
    "municipe": "LOMAZZO",
    "province": "CO"
  },
  "E660": {
    "municipe": "LOMBARDORE",
    "province": "TO"
  },
  "E661": {
    "municipe": "LOMBRIASCO",
    "province": "TO"
  },
  "E662": {
    "municipe": "LOMELLO",
    "province": "PV"
  },
  "E664": {
    "municipe": "LONA-LASES",
    "province": "TN"
  },
  "E665": {
    "municipe": "LONATE CEPPINO",
    "province": "VA"
  },
  "E666": {
    "municipe": "LONATE POZZOLO",
    "province": "VA"
  },
  "M312": {
    "municipe": "LONATO DEL GARDA",
    "province": "BS"
  },
  "E668": {
    "municipe": "LONDA",
    "province": "FI"
  },
  "E669": {
    "municipe": "LONGANO",
    "province": "IS"
  },
  "E671": {
    "municipe": "LONGARE",
    "province": "VI"
  },
  "M342": {
    "municipe": "LONGARONE",
    "province": "BL"
  },
  "E673": {
    "municipe": "LONGHENA",
    "province": "BS"
  },
  "E674": {
    "municipe": "LONGI",
    "province": "ME"
  },
  "E675": {
    "municipe": "LONGIANO",
    "province": "FC"
  },
  "E677": {
    "municipe": "LONGOBARDI",
    "province": "CS"
  },
  "E678": {
    "municipe": "LONGOBUCCO",
    "province": "CS"
  },
  "E679": {
    "municipe": "LONGONE AL SEGRINO",
    "province": "CO"
  },
  "E681": {
    "municipe": "LONGONE SABINO",
    "province": "RI"
  },
  "E682": {
    "municipe": "LONIGO",
    "province": "VI"
  },
  "E683": {
    "municipe": "LORANZE'",
    "province": "TO"
  },
  "E684": {
    "municipe": "LOREGGIA",
    "province": "PD"
  },
  "E685": {
    "municipe": "LOREGLIA",
    "province": "VB"
  },
  "E687": {
    "municipe": "LORENZAGO DI CADORE",
    "province": "BL"
  },
  "E689": {
    "municipe": "LOREO",
    "province": "RO"
  },
  "E690": {
    "municipe": "LORETO",
    "province": "AN"
  },
  "E691": {
    "municipe": "LORETO APRUTINO",
    "province": "PE"
  },
  "E692": {
    "municipe": "LORIA",
    "province": "TV"
  },
  "E693": {
    "municipe": "LORO CIUFFENNA",
    "province": "AR"
  },
  "E694": {
    "municipe": "LORO PICENO",
    "province": "MC"
  },
  "E695": {
    "municipe": "LORSICA",
    "province": "GE"
  },
  "E698": {
    "municipe": "LOSINE",
    "province": "BS"
  },
  "E700": {
    "municipe": "LOTZORAI",
    "province": "NU"
  },
  "E704": {
    "municipe": "LOVERE",
    "province": "BG"
  },
  "E705": {
    "municipe": "LOVERO",
    "province": "SO"
  },
  "E706": {
    "municipe": "LOZIO",
    "province": "BS"
  },
  "E707": {
    "municipe": "LOZZA",
    "province": "VA"
  },
  "E709": {
    "municipe": "LOZZO ATESTINO",
    "province": "PD"
  },
  "E708": {
    "municipe": "LOZZO DI CADORE",
    "province": "BL"
  },
  "E711": {
    "municipe": "LOZZOLO",
    "province": "VC"
  },
  "M420": {
    "municipe": "LU E CUCCARO MONFERRATO",
    "province": "AL"
  },
  "E713": {
    "municipe": "LUBRIANO",
    "province": "VT"
  },
  "E715": {
    "municipe": "LUCCA",
    "province": "LU"
  },
  "E714": {
    "municipe": "LUCCA SICULA",
    "province": "AG"
  },
  "E716": {
    "municipe": "LUCERA",
    "province": "FG"
  },
  "E718": {
    "municipe": "LUCIGNANO",
    "province": "AR"
  },
  "E719": {
    "municipe": "LUCINASCO",
    "province": "IM"
  },
  "E722": {
    "municipe": "LUCITO",
    "province": "CB"
  },
  "E723": {
    "municipe": "LUCO DEI MARSI",
    "province": "AQ"
  },
  "E724": {
    "municipe": "LUCOLI",
    "province": "AQ"
  },
  "E726": {
    "municipe": "LUGAGNANO VAL D'ARDA",
    "province": "PC"
  },
  "E729": {
    "municipe": "LUGNANO IN TEVERINA",
    "province": "TR"
  },
  "E730": {
    "municipe": "LUGO",
    "province": "RA"
  },
  "E731": {
    "municipe": "LUGO DI VICENZA",
    "province": "VI"
  },
  "E734": {
    "municipe": "LUINO",
    "province": "VA"
  },
  "E735": {
    "municipe": "LUISAGO",
    "province": "CO"
  },
  "E736": {
    "municipe": "LULA",
    "province": "NU"
  },
  "E737": {
    "municipe": "LUMARZO",
    "province": "GE"
  },
  "E738": {
    "municipe": "LUMEZZANE",
    "province": "BS"
  },
  "E742": {
    "municipe": "LUNAMATRONA",
    "province": "SU"
  },
  "E743": {
    "municipe": "LUNANO",
    "province": "PU"
  },
  "B387": {
    "municipe": "LUNGAVILLA",
    "province": "PV"
  },
  "E745": {
    "municipe": "LUNGRO",
    "province": "CS"
  },
  "G143": {
    "municipe": "LUNI",
    "province": "SP"
  },
  "E746": {
    "municipe": "LUOGOSANO",
    "province": "AV"
  },
  "E747": {
    "municipe": "LUOGOSANTO",
    "province": "SS"
  },
  "E748": {
    "municipe": "LUPARA",
    "province": "CB"
  },
  "E749": {
    "municipe": "LURAGO D'ERBA",
    "province": "CO"
  },
  "E750": {
    "municipe": "LURAGO MARINONE",
    "province": "CO"
  },
  "E751": {
    "municipe": "LURANO",
    "province": "BG"
  },
  "E752": {
    "municipe": "LURAS",
    "province": "SS"
  },
  "E753": {
    "municipe": "LURATE CACCIVIO",
    "province": "CO"
  },
  "E754": {
    "municipe": "LUSCIANO",
    "province": "CE"
  },
  "E757": {
    "municipe": "LUSERNA",
    "province": "TN"
  },
  "E758": {
    "municipe": "LUSERNA SAN GIOVANNI",
    "province": "TO"
  },
  "E759": {
    "municipe": "LUSERNETTA",
    "province": "TO"
  },
  "E760": {
    "municipe": "LUSEVERA",
    "province": "UD"
  },
  "E761": {
    "municipe": "LUSIA",
    "province": "RO"
  },
  "M427": {
    "municipe": "LUSIANA CONCO",
    "province": "VI"
  },
  "E763": {
    "municipe": "LUSIGLIE'",
    "province": "TO"
  },
  "E764": {
    "municipe": "LUSON/LUSEN",
    "province": "BZ"
  },
  "E767": {
    "municipe": "LUSTRA",
    "province": "SA"
  },
  "E769": {
    "municipe": "LUVINATE",
    "province": "VA"
  },
  "E770": {
    "municipe": "LUZZANA",
    "province": "BG"
  },
  "E772": {
    "municipe": "LUZZARA",
    "province": "RE"
  },
  "E773": {
    "municipe": "LUZZI",
    "province": "CS"
  },
  "M339": {
    "municipe": "MACCAGNO CON PINO E VEDDASCA",
    "province": "VA"
  },
  "E777": {
    "municipe": "MACCASTORNA",
    "province": "LO"
  },
  "E778": {
    "municipe": "MACCHIA D'ISERNIA",
    "province": "IS"
  },
  "E780": {
    "municipe": "MACCHIA VALFORTORE",
    "province": "CB"
  },
  "E779": {
    "municipe": "MACCHIAGODENA",
    "province": "IS"
  },
  "E782": {
    "municipe": "MACELLO",
    "province": "TO"
  },
  "E783": {
    "municipe": "MACERATA",
    "province": "MC"
  },
  "E784": {
    "municipe": "MACERATA CAMPANIA",
    "province": "CE"
  },
  "E785": {
    "municipe": "MACERATA FELTRIA",
    "province": "PU"
  },
  "E786": {
    "municipe": "MACHERIO",
    "province": "MB"
  },
  "E787": {
    "municipe": "MACLODIO",
    "province": "BS"
  },
  "E788": {
    "municipe": "MACOMER",
    "province": "NU"
  },
  "E789": {
    "municipe": "MACRA",
    "province": "CN"
  },
  "E790": {
    "municipe": "MACUGNAGA",
    "province": "VB"
  },
  "E791": {
    "municipe": "MADDALONI",
    "province": "CE"
  },
  "E342": {
    "municipe": "MADESIMO",
    "province": "SO"
  },
  "E793": {
    "municipe": "MADIGNANO",
    "province": "CR"
  },
  "E794": {
    "municipe": "MADONE",
    "province": "BG"
  },
  "E795": {
    "municipe": "MADONNA DEL SASSO",
    "province": "VB"
  },
  "M357": {
    "municipe": "MADRUZZO",
    "province": "TN"
  },
  "E798": {
    "municipe": "MAENZA",
    "province": "LT"
  },
  "E799": {
    "municipe": "MAFALDA",
    "province": "CB"
  },
  "E800": {
    "municipe": "MAGASA",
    "province": "BS"
  },
  "E801": {
    "municipe": "MAGENTA",
    "province": "MI"
  },
  "E803": {
    "municipe": "MAGGIORA",
    "province": "NO"
  },
  "E804": {
    "municipe": "MAGHERNO",
    "province": "PV"
  },
  "E805": {
    "municipe": "MAGIONE",
    "province": "PG"
  },
  "E806": {
    "municipe": "MAGISANO",
    "province": "CZ"
  },
  "E809": {
    "municipe": "MAGLIANO ALFIERI",
    "province": "CN"
  },
  "E808": {
    "municipe": "MAGLIANO ALPI",
    "province": "CN"
  },
  "E811": {
    "municipe": "MAGLIANO DE' MARSI",
    "province": "AQ"
  },
  "E807": {
    "municipe": "MAGLIANO DI TENNA",
    "province": "FM"
  },
  "E810": {
    "municipe": "MAGLIANO IN TOSCANA",
    "province": "GR"
  },
  "E813": {
    "municipe": "MAGLIANO ROMANO",
    "province": "RM"
  },
  "E812": {
    "municipe": "MAGLIANO SABINA",
    "province": "RI"
  },
  "E814": {
    "municipe": "MAGLIANO VETERE",
    "province": "SA"
  },
  "E815": {
    "municipe": "MAGLIE",
    "province": "LE"
  },
  "E816": {
    "municipe": "MAGLIOLO",
    "province": "SV"
  },
  "E817": {
    "municipe": "MAGLIONE",
    "province": "TO"
  },
  "E818": {
    "municipe": "MAGNACAVALLO",
    "province": "MN"
  },
  "E819": {
    "municipe": "MAGNAGO",
    "province": "MI"
  },
  "E821": {
    "municipe": "MAGNANO",
    "province": "BI"
  },
  "E820": {
    "municipe": "MAGNANO IN RIVIERA",
    "province": "UD"
  },
  "E825": {
    "municipe": "MAGOMADAS",
    "province": "OR"
  },
  "E829": {
    "municipe": "MAGRE' SULLA STRADA DEL VINO/MARGREID AN DER WEINSTRASSE",
    "province": "BZ"
  },
  "E830": {
    "municipe": "MAGREGLIO",
    "province": "CO"
  },
  "E834": {
    "municipe": "MAIDA",
    "province": "CZ"
  },
  "E835": {
    "municipe": "MAIERA'",
    "province": "CS"
  },
  "E836": {
    "municipe": "MAIERATO",
    "province": "VV"
  },
  "E837": {
    "municipe": "MAIOLATI SPONTINI",
    "province": "AN"
  },
  "E838": {
    "municipe": "MAIOLO",
    "province": "RN"
  },
  "E839": {
    "municipe": "MAIORI",
    "province": "SA"
  },
  "E840": {
    "municipe": "MAIRAGO",
    "province": "LO"
  },
  "E841": {
    "municipe": "MAIRANO",
    "province": "BS"
  },
  "E842": {
    "municipe": "MAISSANA",
    "province": "SP"
  },
  "E833": {
    "municipe": "MAJANO",
    "province": "UD"
  },
  "E843": {
    "municipe": "MALAGNINO",
    "province": "CR"
  },
  "E844": {
    "municipe": "MALALBERGO",
    "province": "BO"
  },
  "E847": {
    "municipe": "MALBORGHETTO VALBRUNA",
    "province": "UD"
  },
  "E848": {
    "municipe": "MALCESINE",
    "province": "VR"
  },
  "E850": {
    "municipe": "MALE'",
    "province": "TN"
  },
  "E851": {
    "municipe": "MALEGNO",
    "province": "BS"
  },
  "E852": {
    "municipe": "MALEO",
    "province": "LO"
  },
  "E853": {
    "municipe": "MALESCO",
    "province": "VB"
  },
  "E854": {
    "municipe": "MALETTO",
    "province": "CT"
  },
  "E855": {
    "municipe": "MALFA",
    "province": "ME"
  },
  "E856": {
    "municipe": "MALGESSO",
    "province": "VA"
  },
  "E858": {
    "municipe": "MALGRATE",
    "province": "LC"
  },
  "E859": {
    "municipe": "MALITO",
    "province": "CS"
  },
  "E860": {
    "municipe": "MALLARE",
    "province": "SV"
  },
  "E862": {
    "municipe": "MALLES VENOSTA/MALS",
    "province": "BZ"
  },
  "E863": {
    "municipe": "MALNATE",
    "province": "VA"
  },
  "E864": {
    "municipe": "MALO",
    "province": "VI"
  },
  "E865": {
    "municipe": "MALONNO",
    "province": "BS"
  },
  "E868": {
    "municipe": "MALTIGNANO",
    "province": "AP"
  },
  "E869": {
    "municipe": "MALVAGNA",
    "province": "ME"
  },
  "E870": {
    "municipe": "MALVICINO",
    "province": "AL"
  },
  "E872": {
    "municipe": "MALVITO",
    "province": "CS"
  },
  "E873": {
    "municipe": "MAMMOLA",
    "province": "RC"
  },
  "E874": {
    "municipe": "MAMOIADA",
    "province": "NU"
  },
  "E875": {
    "municipe": "MANCIANO",
    "province": "GR"
  },
  "E876": {
    "municipe": "MANDANICI",
    "province": "ME"
  },
  "E877": {
    "municipe": "MANDAS",
    "province": "SU"
  },
  "E878": {
    "municipe": "MANDATORICCIO",
    "province": "CS"
  },
  "B632": {
    "municipe": "MANDELA",
    "province": "RM"
  },
  "E879": {
    "municipe": "MANDELLO DEL LARIO",
    "province": "LC"
  },
  "E880": {
    "municipe": "MANDELLO VITTA",
    "province": "NO"
  },
  "E882": {
    "municipe": "MANDURIA",
    "province": "TA"
  },
  "E883": {
    "municipe": "MANERBA DEL GARDA",
    "province": "BS"
  },
  "E884": {
    "municipe": "MANERBIO",
    "province": "BS"
  },
  "E885": {
    "municipe": "MANFREDONIA",
    "province": "FG"
  },
  "E887": {
    "municipe": "MANGO",
    "province": "CN"
  },
  "E888": {
    "municipe": "MANGONE",
    "province": "CS"
  },
  "M283": {
    "municipe": "MANIACE",
    "province": "CT"
  },
  "E889": {
    "municipe": "MANIAGO",
    "province": "PN"
  },
  "E891": {
    "municipe": "MANOCALZATI",
    "province": "AV"
  },
  "E892": {
    "municipe": "MANOPPELLO",
    "province": "PE"
  },
  "E893": {
    "municipe": "MANSUE'",
    "province": "TV"
  },
  "E894": {
    "municipe": "MANTA",
    "province": "CN"
  },
  "E896": {
    "municipe": "MANTELLO",
    "province": "SO"
  },
  "E897": {
    "municipe": "MANTOVA",
    "province": "MN"
  },
  "E899": {
    "municipe": "MANZANO",
    "province": "UD"
  },
  "E900": {
    "municipe": "MANZIANA",
    "province": "RM"
  },
  "E901": {
    "municipe": "MAPELLO",
    "province": "BG"
  },
  "M316": {
    "municipe": "MAPPANO",
    "province": "TO"
  },
  "E902": {
    "municipe": "MARA",
    "province": "SS"
  },
  "E903": {
    "municipe": "MARACALAGONIS",
    "province": "CA"
  },
  "E904": {
    "municipe": "MARANELLO",
    "province": "MO"
  },
  "E906": {
    "municipe": "MARANO DI NAPOLI",
    "province": "NA"
  },
  "E911": {
    "municipe": "MARANO DI VALPOLICELLA",
    "province": "VR"
  },
  "E908": {
    "municipe": "MARANO EQUO",
    "province": "RM"
  },
  "E910": {
    "municipe": "MARANO LAGUNARE",
    "province": "UD"
  },
  "E914": {
    "municipe": "MARANO MARCHESATO",
    "province": "CS"
  },
  "E915": {
    "municipe": "MARANO PRINCIPATO",
    "province": "CS"
  },
  "E905": {
    "municipe": "MARANO SUL PANARO",
    "province": "MO"
  },
  "E907": {
    "municipe": "MARANO TICINO",
    "province": "NO"
  },
  "E912": {
    "municipe": "MARANO VICENTINO",
    "province": "VI"
  },
  "E917": {
    "municipe": "MARANZANA",
    "province": "AT"
  },
  "E919": {
    "municipe": "MARATEA",
    "province": "PZ"
  },
  "E921": {
    "municipe": "MARCALLO CON CASONE",
    "province": "MI"
  },
  "E922": {
    "municipe": "MARCARIA",
    "province": "MN"
  },
  "E923": {
    "municipe": "MARCEDUSA",
    "province": "CZ"
  },
  "E924": {
    "municipe": "MARCELLINA",
    "province": "RM"
  },
  "E925": {
    "municipe": "MARCELLINARA",
    "province": "CZ"
  },
  "E927": {
    "municipe": "MARCETELLI",
    "province": "RI"
  },
  "E928": {
    "municipe": "MARCHENO",
    "province": "BS"
  },
  "E929": {
    "municipe": "MARCHIROLO",
    "province": "VA"
  },
  "E930": {
    "municipe": "MARCIANA",
    "province": "LI"
  },
  "E931": {
    "municipe": "MARCIANA MARINA",
    "province": "LI"
  },
  "E932": {
    "municipe": "MARCIANISE",
    "province": "CE"
  },
  "E933": {
    "municipe": "MARCIANO DELLA CHIANA",
    "province": "AR"
  },
  "E934": {
    "municipe": "MARCIGNAGO",
    "province": "PV"
  },
  "E936": {
    "municipe": "MARCON",
    "province": "VE"
  },
  "E938": {
    "municipe": "MAREBBE/ENNEBERG",
    "province": "BZ"
  },
  "E939": {
    "municipe": "MARENE",
    "province": "CN"
  },
  "E940": {
    "municipe": "MARENO DI PIAVE",
    "province": "TV"
  },
  "E941": {
    "municipe": "MARENTINO",
    "province": "TO"
  },
  "E944": {
    "municipe": "MARETTO",
    "province": "AT"
  },
  "E945": {
    "municipe": "MARGARITA",
    "province": "CN"
  },
  "E946": {
    "municipe": "MARGHERITA DI SAVOIA",
    "province": "BT"
  },
  "E947": {
    "municipe": "MARGNO",
    "province": "LC"
  },
  "E949": {
    "municipe": "MARIANA MANTOVANA",
    "province": "MN"
  },
  "E951": {
    "municipe": "MARIANO COMENSE",
    "province": "CO"
  },
  "E952": {
    "municipe": "MARIANO DEL FRIULI",
    "province": "GO"
  },
  "E953": {
    "municipe": "MARIANOPOLI",
    "province": "CL"
  },
  "E954": {
    "municipe": "MARIGLIANELLA",
    "province": "NA"
  },
  "E955": {
    "municipe": "MARIGLIANO",
    "province": "NA"
  },
  "E956": {
    "municipe": "MARINA DI GIOIOSA IONICA",
    "province": "RC"
  },
  "E957": {
    "municipe": "MARINEO",
    "province": "PA"
  },
  "E958": {
    "municipe": "MARINO",
    "province": "RM"
  },
  "E959": {
    "municipe": "MARLENGO/MARLING",
    "province": "BZ"
  },
  "E960": {
    "municipe": "MARLIANA",
    "province": "PT"
  },
  "E961": {
    "municipe": "MARMENTINO",
    "province": "BS"
  },
  "E962": {
    "municipe": "MARMIROLO",
    "province": "MN"
  },
  "E963": {
    "municipe": "MARMORA",
    "province": "CN"
  },
  "E965": {
    "municipe": "MARNATE",
    "province": "VA"
  },
  "E967": {
    "municipe": "MARONE",
    "province": "BS"
  },
  "E968": {
    "municipe": "MAROPATI",
    "province": "RC"
  },
  "E970": {
    "municipe": "MAROSTICA",
    "province": "VI"
  },
  "E971": {
    "municipe": "MARRADI",
    "province": "FI"
  },
  "E972": {
    "municipe": "MARRUBIU",
    "province": "OR"
  },
  "E973": {
    "municipe": "MARSAGLIA",
    "province": "CN"
  },
  "E974": {
    "municipe": "MARSALA",
    "province": "TP"
  },
  "E975": {
    "municipe": "MARSCIANO",
    "province": "PG"
  },
  "E976": {
    "municipe": "MARSICO NUOVO",
    "province": "PZ"
  },
  "E977": {
    "municipe": "MARSICOVETERE",
    "province": "PZ"
  },
  "E978": {
    "municipe": "MARTA",
    "province": "VT"
  },
  "E979": {
    "municipe": "MARTANO",
    "province": "LE"
  },
  "E980": {
    "municipe": "MARTELLAGO",
    "province": "VE"
  },
  "E981": {
    "municipe": "MARTELLO/MARTELL",
    "province": "BZ"
  },
  "E982": {
    "municipe": "MARTIGNACCO",
    "province": "UD"
  },
  "E983": {
    "municipe": "MARTIGNANA DI PO",
    "province": "CR"
  },
  "E984": {
    "municipe": "MARTIGNANO",
    "province": "LE"
  },
  "E986": {
    "municipe": "MARTINA FRANCA",
    "province": "TA"
  },
  "E987": {
    "municipe": "MARTINENGO",
    "province": "BG"
  },
  "E988": {
    "municipe": "MARTINIANA PO",
    "province": "CN"
  },
  "E989": {
    "municipe": "MARTINSICURO",
    "province": "TE"
  },
  "E990": {
    "municipe": "MARTIRANO",
    "province": "CZ"
  },
  "E991": {
    "municipe": "MARTIRANO LOMBARDO",
    "province": "CZ"
  },
  "E992": {
    "municipe": "MARTIS",
    "province": "SS"
  },
  "E993": {
    "municipe": "MARTONE",
    "province": "RC"
  },
  "E994": {
    "municipe": "MARUDO",
    "province": "LO"
  },
  "E995": {
    "municipe": "MARUGGIO",
    "province": "TA"
  },
  "B689": {
    "municipe": "MARZABOTTO",
    "province": "BO"
  },
  "E999": {
    "municipe": "MARZANO",
    "province": "PV"
  },
  "E998": {
    "municipe": "MARZANO APPIO",
    "province": "CE"
  },
  "E997": {
    "municipe": "MARZANO DI NOLA",
    "province": "AV"
  },
  "F001": {
    "municipe": "MARZI",
    "province": "CS"
  },
  "F002": {
    "municipe": "MARZIO",
    "province": "VA"
  },
  "M270": {
    "municipe": "MASAINAS",
    "province": "SU"
  },
  "F003": {
    "municipe": "MASATE",
    "province": "MI"
  },
  "F004": {
    "municipe": "MASCALI",
    "province": "CT"
  },
  "F005": {
    "municipe": "MASCALUCIA",
    "province": "CT"
  },
  "F006": {
    "municipe": "MASCHITO",
    "province": "PZ"
  },
  "F007": {
    "municipe": "MASCIAGO PRIMO",
    "province": "VA"
  },
  "F009": {
    "municipe": "MASER",
    "province": "TV"
  },
  "F010": {
    "municipe": "MASERA",
    "province": "VB"
  },
  "F011": {
    "municipe": "MASERA' DI PADOVA",
    "province": "PD"
  },
  "F012": {
    "municipe": "MASERADA SUL PIAVE",
    "province": "TV"
  },
  "F013": {
    "municipe": "MASI",
    "province": "PD"
  },
  "F016": {
    "municipe": "MASI TORELLO",
    "province": "FE"
  },
  "F015": {
    "municipe": "MASIO",
    "province": "AL"
  },
  "F017": {
    "municipe": "MASLIANICO",
    "province": "CO"
  },
  "F020": {
    "municipe": "MASONE",
    "province": "GE"
  },
  "F023": {
    "municipe": "MASSA",
    "province": "MS"
  },
  "F022": {
    "municipe": "MASSA D'ALBE",
    "province": "AQ"
  },
  "M289": {
    "municipe": "MASSA DI SOMMA",
    "province": "NA"
  },
  "F025": {
    "municipe": "MASSA E COZZILE",
    "province": "PT"
  },
  "F021": {
    "municipe": "MASSA FERMANA",
    "province": "FM"
  },
  "F029": {
    "municipe": "MASSA LOMBARDA",
    "province": "RA"
  },
  "F030": {
    "municipe": "MASSA LUBRENSE",
    "province": "NA"
  },
  "F032": {
    "municipe": "MASSA MARITTIMA",
    "province": "GR"
  },
  "F024": {
    "municipe": "MASSA MARTANA",
    "province": "PG"
  },
  "F027": {
    "municipe": "MASSAFRA",
    "province": "TA"
  },
  "F028": {
    "municipe": "MASSALENGO",
    "province": "LO"
  },
  "F033": {
    "municipe": "MASSANZAGO",
    "province": "PD"
  },
  "F035": {
    "municipe": "MASSAROSA",
    "province": "LU"
  },
  "F037": {
    "municipe": "MASSAZZA",
    "province": "BI"
  },
  "F041": {
    "municipe": "MASSELLO",
    "province": "TO"
  },
  "F042": {
    "municipe": "MASSERANO",
    "province": "BI"
  },
  "F044": {
    "municipe": "MASSIGNANO",
    "province": "AP"
  },
  "F045": {
    "municipe": "MASSIMENO",
    "province": "TN"
  },
  "F046": {
    "municipe": "MASSIMINO",
    "province": "SV"
  },
  "F047": {
    "municipe": "MASSINO VISCONTI",
    "province": "NO"
  },
  "F048": {
    "municipe": "MASSIOLA",
    "province": "VB"
  },
  "F050": {
    "municipe": "MASULLAS",
    "province": "OR"
  },
  "F051": {
    "municipe": "MATELICA",
    "province": "MC"
  },
  "F052": {
    "municipe": "MATERA",
    "province": "MT"
  },
  "F053": {
    "municipe": "MATHI",
    "province": "TO"
  },
  "F054": {
    "municipe": "MATINO",
    "province": "LE"
  },
  "F055": {
    "municipe": "MATRICE",
    "province": "CB"
  },
  "F058": {
    "municipe": "MATTIE",
    "province": "TO"
  },
  "F059": {
    "municipe": "MATTINATA",
    "province": "FG"
  },
  "F061": {
    "municipe": "MAZARA DEL VALLO",
    "province": "TP"
  },
  "F063": {
    "municipe": "MAZZANO",
    "province": "BS"
  },
  "F064": {
    "municipe": "MAZZANO ROMANO",
    "province": "RM"
  },
  "F065": {
    "municipe": "MAZZARINO",
    "province": "CL"
  },
  "F066": {
    "municipe": "MAZZARRA' SANT'ANDREA",
    "province": "ME"
  },
  "M271": {
    "municipe": "MAZZARRONE",
    "province": "CT"
  },
  "F067": {
    "municipe": "MAZZE'",
    "province": "TO"
  },
  "F068": {
    "municipe": "MAZZIN",
    "province": "TN"
  },
  "F070": {
    "municipe": "MAZZO DI VALTELLINA",
    "province": "SO"
  },
  "F074": {
    "municipe": "MEANA DI SUSA",
    "province": "TO"
  },
  "F073": {
    "municipe": "MEANA SARDO",
    "province": "NU"
  },
  "F078": {
    "municipe": "MEDA",
    "province": "MB"
  },
  "F080": {
    "municipe": "MEDE",
    "province": "PV"
  },
  "F081": {
    "municipe": "MEDEA",
    "province": "GO"
  },
  "F082": {
    "municipe": "MEDESANO",
    "province": "PR"
  },
  "F083": {
    "municipe": "MEDICINA",
    "province": "BO"
  },
  "F084": {
    "municipe": "MEDIGLIA",
    "province": "MI"
  },
  "F085": {
    "municipe": "MEDOLAGO",
    "province": "BG"
  },
  "F086": {
    "municipe": "MEDOLE",
    "province": "MN"
  },
  "F087": {
    "municipe": "MEDOLLA",
    "province": "MO"
  },
  "F088": {
    "municipe": "MEDUNA DI LIVENZA",
    "province": "TV"
  },
  "F089": {
    "municipe": "MEDUNO",
    "province": "PN"
  },
  "F092": {
    "municipe": "MEGLIADINO SAN VITALE",
    "province": "PD"
  },
  "F093": {
    "municipe": "MEINA",
    "province": "NO"
  },
  "F095": {
    "municipe": "MELARA",
    "province": "RO"
  },
  "F096": {
    "municipe": "MELAZZO",
    "province": "AL"
  },
  "F097": {
    "municipe": "MELDOLA",
    "province": "FC"
  },
  "F098": {
    "municipe": "MELE",
    "province": "GE"
  },
  "F100": {
    "municipe": "MELEGNANO",
    "province": "MI"
  },
  "F101": {
    "municipe": "MELENDUGNO",
    "province": "LE"
  },
  "F102": {
    "municipe": "MELETI",
    "province": "LO"
  },
  "F104": {
    "municipe": "MELFI",
    "province": "PZ"
  },
  "F105": {
    "municipe": "MELICUCCA'",
    "province": "RC"
  },
  "F106": {
    "municipe": "MELICUCCO",
    "province": "RC"
  },
  "F107": {
    "municipe": "MELILLI",
    "province": "SR"
  },
  "F108": {
    "municipe": "MELISSA",
    "province": "KR"
  },
  "F109": {
    "municipe": "MELISSANO",
    "province": "LE"
  },
  "F111": {
    "municipe": "MELITO DI NAPOLI",
    "province": "NA"
  },
  "F112": {
    "municipe": "MELITO DI PORTO SALVO",
    "province": "RC"
  },
  "F110": {
    "municipe": "MELITO IRPINO",
    "province": "AV"
  },
  "F113": {
    "municipe": "MELIZZANO",
    "province": "BN"
  },
  "F114": {
    "municipe": "MELLE",
    "province": "CN"
  },
  "F115": {
    "municipe": "MELLO",
    "province": "SO"
  },
  "F117": {
    "municipe": "MELPIGNANO",
    "province": "LE"
  },
  "F118": {
    "municipe": "MELTINA/MOLTEN",
    "province": "BZ"
  },
  "F119": {
    "municipe": "MELZO",
    "province": "MI"
  },
  "F120": {
    "municipe": "MENAGGIO",
    "province": "CO"
  },
  "F122": {
    "municipe": "MENCONICO",
    "province": "PV"
  },
  "F123": {
    "municipe": "MENDATICA",
    "province": "IM"
  },
  "F125": {
    "municipe": "MENDICINO",
    "province": "CS"
  },
  "F126": {
    "municipe": "MENFI",
    "province": "AG"
  },
  "F127": {
    "municipe": "MENTANA",
    "province": "RM"
  },
  "F130": {
    "municipe": "MEOLO",
    "province": "VE"
  },
  "F131": {
    "municipe": "MERANA",
    "province": "AL"
  },
  "F132": {
    "municipe": "MERANO/MERAN",
    "province": "BZ"
  },
  "F133": {
    "municipe": "MERATE",
    "province": "LC"
  },
  "F134": {
    "municipe": "MERCALLO",
    "province": "VA"
  },
  "F135": {
    "municipe": "MERCATELLO SUL METAURO",
    "province": "PU"
  },
  "F136": {
    "municipe": "MERCATINO CONCA",
    "province": "PU"
  },
  "F138": {
    "municipe": "MERCATO SAN SEVERINO",
    "province": "SA"
  },
  "F139": {
    "municipe": "MERCATO SARACENO",
    "province": "FC"
  },
  "F140": {
    "municipe": "MERCENASCO",
    "province": "TO"
  },
  "F141": {
    "municipe": "MERCOGLIANO",
    "province": "AV"
  },
  "F144": {
    "municipe": "MERETO DI TOMBA",
    "province": "UD"
  },
  "F145": {
    "municipe": "MERGO",
    "province": "AN"
  },
  "F146": {
    "municipe": "MERGOZZO",
    "province": "VB"
  },
  "F147": {
    "municipe": "MERI'",
    "province": "ME"
  },
  "F148": {
    "municipe": "MERLARA",
    "province": "PD"
  },
  "F149": {
    "municipe": "MERLINO",
    "province": "LO"
  },
  "F151": {
    "municipe": "MERONE",
    "province": "CO"
  },
  "F152": {
    "municipe": "MESAGNE",
    "province": "BR"
  },
  "F153": {
    "municipe": "MESE",
    "province": "SO"
  },
  "F154": {
    "municipe": "MESENZANA",
    "province": "VA"
  },
  "F155": {
    "municipe": "MESERO",
    "province": "MI"
  },
  "F156": {
    "municipe": "MESOLA",
    "province": "FE"
  },
  "F157": {
    "municipe": "MESORACA",
    "province": "KR"
  },
  "F158": {
    "municipe": "MESSINA",
    "province": "ME"
  },
  "F161": {
    "municipe": "MESTRINO",
    "province": "PD"
  },
  "F162": {
    "municipe": "META",
    "province": "NA"
  },
  "F165": {
    "municipe": "MEZZAGO",
    "province": "MB"
  },
  "F168": {
    "municipe": "MEZZANA",
    "province": "TN"
  },
  "F170": {
    "municipe": "MEZZANA BIGLI",
    "province": "PV"
  },
  "F167": {
    "municipe": "MEZZANA MORTIGLIENGO",
    "province": "BI"
  },
  "F171": {
    "municipe": "MEZZANA RABATTONE",
    "province": "PV"
  },
  "F172": {
    "municipe": "MEZZANE DI SOTTO",
    "province": "VR"
  },
  "F173": {
    "municipe": "MEZZANEGO",
    "province": "GE"
  },
  "F175": {
    "municipe": "MEZZANINO",
    "province": "PV"
  },
  "F176": {
    "municipe": "MEZZANO",
    "province": "TN"
  },
  "F182": {
    "municipe": "MEZZENILE",
    "province": "TO"
  },
  "F183": {
    "municipe": "MEZZOCORONA",
    "province": "TN"
  },
  "F184": {
    "municipe": "MEZZOJUSO",
    "province": "PA"
  },
  "F186": {
    "municipe": "MEZZOLDO",
    "province": "BG"
  },
  "F187": {
    "municipe": "MEZZOLOMBARDO",
    "province": "TN"
  },
  "F188": {
    "municipe": "MEZZOMERICO",
    "province": "NO"
  },
  "F189": {
    "municipe": "MIAGLIANO",
    "province": "BI"
  },
  "F190": {
    "municipe": "MIANE",
    "province": "TV"
  },
  "F191": {
    "municipe": "MIASINO",
    "province": "NO"
  },
  "F192": {
    "municipe": "MIAZZINA",
    "province": "VB"
  },
  "F193": {
    "municipe": "MICIGLIANO",
    "province": "RI"
  },
  "F194": {
    "municipe": "MIGGIANO",
    "province": "LE"
  },
  "F196": {
    "municipe": "MIGLIANICO",
    "province": "CH"
  },
  "F200": {
    "municipe": "MIGLIERINA",
    "province": "CZ"
  },
  "F201": {
    "municipe": "MIGLIONICO",
    "province": "MT"
  },
  "F202": {
    "municipe": "MIGNANEGO",
    "province": "GE"
  },
  "F203": {
    "municipe": "MIGNANO MONTE LUNGO",
    "province": "CE"
  },
  "F205": {
    "municipe": "MILANO",
    "province": "MI"
  },
  "F206": {
    "municipe": "MILAZZO",
    "province": "ME"
  },
  "E618": {
    "municipe": "MILENA",
    "province": "CL"
  },
  "F207": {
    "municipe": "MILETO",
    "province": "VV"
  },
  "F208": {
    "municipe": "MILIS",
    "province": "OR"
  },
  "F209": {
    "municipe": "MILITELLO IN VAL DI CATANIA",
    "province": "CT"
  },
  "F210": {
    "municipe": "MILITELLO ROSMARINO",
    "province": "ME"
  },
  "F213": {
    "municipe": "MILLESIMO",
    "province": "SV"
  },
  "F214": {
    "municipe": "MILO",
    "province": "CT"
  },
  "F216": {
    "municipe": "MILZANO",
    "province": "BS"
  },
  "F217": {
    "municipe": "MINEO",
    "province": "CT"
  },
  "F218": {
    "municipe": "MINERBE",
    "province": "VR"
  },
  "F219": {
    "municipe": "MINERBIO",
    "province": "BO"
  },
  "F221": {
    "municipe": "MINERVINO DI LECCE",
    "province": "LE"
  },
  "F220": {
    "municipe": "MINERVINO MURGE",
    "province": "BT"
  },
  "F223": {
    "municipe": "MINORI",
    "province": "SA"
  },
  "F224": {
    "municipe": "MINTURNO",
    "province": "LT"
  },
  "F225": {
    "municipe": "MINUCCIANO",
    "province": "LU"
  },
  "F226": {
    "municipe": "MIOGLIA",
    "province": "SV"
  },
  "F229": {
    "municipe": "MIRA",
    "province": "VE"
  },
  "F230": {
    "municipe": "MIRABELLA ECLANO",
    "province": "AV"
  },
  "F231": {
    "municipe": "MIRABELLA IMBACCARI",
    "province": "CT"
  },
  "F232": {
    "municipe": "MIRABELLO MONFERRATO",
    "province": "AL"
  },
  "F233": {
    "municipe": "MIRABELLO SANNITICO",
    "province": "CB"
  },
  "F238": {
    "municipe": "MIRADOLO TERME",
    "province": "PV"
  },
  "F239": {
    "municipe": "MIRANDA",
    "province": "IS"
  },
  "F240": {
    "municipe": "MIRANDOLA",
    "province": "MO"
  },
  "F241": {
    "municipe": "MIRANO",
    "province": "VE"
  },
  "F242": {
    "municipe": "MIRTO",
    "province": "ME"
  },
  "F244": {
    "municipe": "MISANO ADRIATICO",
    "province": "RN"
  },
  "F243": {
    "municipe": "MISANO DI GERA D'ADDA",
    "province": "BG"
  },
  "M432": {
    "municipe": "MISILISCEMI",
    "province": "TP"
  },
  "F246": {
    "municipe": "MISILMERI",
    "province": "PA"
  },
  "F247": {
    "municipe": "MISINTO",
    "province": "MB"
  },
  "F248": {
    "municipe": "MISSAGLIA",
    "province": "LC"
  },
  "F249": {
    "municipe": "MISSANELLO",
    "province": "PZ"
  },
  "F250": {
    "municipe": "MISTERBIANCO",
    "province": "CT"
  },
  "F251": {
    "municipe": "MISTRETTA",
    "province": "ME"
  },
  "F254": {
    "municipe": "MOASCA",
    "province": "AT"
  },
  "F256": {
    "municipe": "MOCONESI",
    "province": "GE"
  },
  "F257": {
    "municipe": "MODENA",
    "province": "MO"
  },
  "F258": {
    "municipe": "MODICA",
    "province": "RG"
  },
  "F259": {
    "municipe": "MODIGLIANA",
    "province": "FC"
  },
  "F261": {
    "municipe": "MODOLO",
    "province": "OR"
  },
  "F262": {
    "municipe": "MODUGNO",
    "province": "BA"
  },
  "F263": {
    "municipe": "MOENA",
    "province": "TN"
  },
  "F265": {
    "municipe": "MOGGIO",
    "province": "LC"
  },
  "F266": {
    "municipe": "MOGGIO UDINESE",
    "province": "UD"
  },
  "F267": {
    "municipe": "MOGLIA",
    "province": "MN"
  },
  "F268": {
    "municipe": "MOGLIANO",
    "province": "MC"
  },
  "F269": {
    "municipe": "MOGLIANO VENETO",
    "province": "TV"
  },
  "F270": {
    "municipe": "MOGORELLA",
    "province": "OR"
  },
  "F272": {
    "municipe": "MOGORO",
    "province": "OR"
  },
  "F274": {
    "municipe": "MOIANO",
    "province": "BN"
  },
  "F275": {
    "municipe": "MOIMACCO",
    "province": "UD"
  },
  "F277": {
    "municipe": "MOIO ALCANTARA",
    "province": "ME"
  },
  "F276": {
    "municipe": "MOIO DE' CALVI",
    "province": "BG"
  },
  "F278": {
    "municipe": "MOIO DELLA CIVITELLA",
    "province": "SA"
  },
  "F279": {
    "municipe": "MOIOLA",
    "province": "CN"
  },
  "F280": {
    "municipe": "MOLA DI BARI",
    "province": "BA"
  },
  "F281": {
    "municipe": "MOLARE",
    "province": "AL"
  },
  "F283": {
    "municipe": "MOLAZZANA",
    "province": "LU"
  },
  "F284": {
    "municipe": "MOLFETTA",
    "province": "BA"
  },
  "M255": {
    "municipe": "MOLINA ATERNO",
    "province": "AQ"
  },
  "F287": {
    "municipe": "MOLINARA",
    "province": "BN"
  },
  "F288": {
    "municipe": "MOLINELLA",
    "province": "BO"
  },
  "F290": {
    "municipe": "MOLINI DI TRIORA",
    "province": "IM"
  },
  "F293": {
    "municipe": "MOLINO DEI TORTI",
    "province": "AL"
  },
  "F294": {
    "municipe": "MOLISE",
    "province": "CB"
  },
  "F295": {
    "municipe": "MOLITERNO",
    "province": "PZ"
  },
  "F297": {
    "municipe": "MOLLIA",
    "province": "VC"
  },
  "F301": {
    "municipe": "MOLOCHIO",
    "province": "RC"
  },
  "F304": {
    "municipe": "MOLTENO",
    "province": "LC"
  },
  "F305": {
    "municipe": "MOLTRASIO",
    "province": "CO"
  },
  "F307": {
    "municipe": "MOLVENO",
    "province": "TN"
  },
  "F308": {
    "municipe": "MOMBALDONE",
    "province": "AT"
  },
  "F309": {
    "municipe": "MOMBARCARO",
    "province": "CN"
  },
  "F310": {
    "municipe": "MOMBAROCCIO",
    "province": "PU"
  },
  "F311": {
    "municipe": "MOMBARUZZO",
    "province": "AT"
  },
  "F312": {
    "municipe": "MOMBASIGLIO",
    "province": "CN"
  },
  "F315": {
    "municipe": "MOMBELLO DI TORINO",
    "province": "TO"
  },
  "F313": {
    "municipe": "MOMBELLO MONFERRATO",
    "province": "AL"
  },
  "F316": {
    "municipe": "MOMBERCELLI",
    "province": "AT"
  },
  "F317": {
    "municipe": "MOMO",
    "province": "NO"
  },
  "F318": {
    "municipe": "MOMPANTERO",
    "province": "TO"
  },
  "F319": {
    "municipe": "MOMPEO",
    "province": "RI"
  },
  "F320": {
    "municipe": "MOMPERONE",
    "province": "AL"
  },
  "F322": {
    "municipe": "MONACILIONI",
    "province": "CB"
  },
  "F323": {
    "municipe": "MONALE",
    "province": "AT"
  },
  "F324": {
    "municipe": "MONASTERACE",
    "province": "RC"
  },
  "F325": {
    "municipe": "MONASTERO BORMIDA",
    "province": "AT"
  },
  "F327": {
    "municipe": "MONASTERO DI LANZO",
    "province": "TO"
  },
  "F326": {
    "municipe": "MONASTERO DI VASCO",
    "province": "CN"
  },
  "F329": {
    "municipe": "MONASTEROLO CASOTTO",
    "province": "CN"
  },
  "F328": {
    "municipe": "MONASTEROLO DEL CASTELLO",
    "province": "BG"
  },
  "F330": {
    "municipe": "MONASTEROLO DI SAVIGLIANO",
    "province": "CN"
  },
  "F332": {
    "municipe": "MONASTIER DI TREVISO",
    "province": "TV"
  },
  "F333": {
    "municipe": "MONASTIR",
    "province": "SU"
  },
  "F335": {
    "municipe": "MONCALIERI",
    "province": "TO"
  },
  "F336": {
    "municipe": "MONCALVO",
    "province": "AT"
  },
  "D553": {
    "municipe": "MONCENISIO",
    "province": "TO"
  },
  "F337": {
    "municipe": "MONCESTINO",
    "province": "AL"
  },
  "F338": {
    "municipe": "MONCHIERO",
    "province": "CN"
  },
  "F340": {
    "municipe": "MONCHIO DELLE CORTI",
    "province": "PR"
  },
  "F342": {
    "municipe": "MONCRIVELLO",
    "province": "VC"
  },
  "F343": {
    "municipe": "MONCUCCO TORINESE",
    "province": "AT"
  },
  "F346": {
    "municipe": "MONDAINO",
    "province": "RN"
  },
  "F347": {
    "municipe": "MONDAVIO",
    "province": "PU"
  },
  "F348": {
    "municipe": "MONDOLFO",
    "province": "PU"
  },
  "F351": {
    "municipe": "MONDOVI'",
    "province": "CN"
  },
  "F352": {
    "municipe": "MONDRAGONE",
    "province": "CE"
  },
  "F354": {
    "municipe": "MONEGLIA",
    "province": "GE"
  },
  "F355": {
    "municipe": "MONESIGLIO",
    "province": "CN"
  },
  "F356": {
    "municipe": "MONFALCONE",
    "province": "GO"
  },
  "F358": {
    "municipe": "MONFORTE D'ALBA",
    "province": "CN"
  },
  "F359": {
    "municipe": "MONFORTE SAN GIORGIO",
    "province": "ME"
  },
  "F360": {
    "municipe": "MONFUMO",
    "province": "TV"
  },
  "F361": {
    "municipe": "MONGARDINO",
    "province": "AT"
  },
  "F363": {
    "municipe": "MONGHIDORO",
    "province": "BO"
  },
  "F364": {
    "municipe": "MONGIANA",
    "province": "VV"
  },
  "F365": {
    "municipe": "MONGIARDINO LIGURE",
    "province": "AL"
  },
  "F368": {
    "municipe": "MONGIUFFI MELIA",
    "province": "ME"
  },
  "F369": {
    "municipe": "MONGRANDO",
    "province": "BI"
  },
  "F370": {
    "municipe": "MONGRASSANO",
    "province": "CS"
  },
  "F371": {
    "municipe": "MONGUELFO-TESIDO/WELSBERG-TAISTEN",
    "province": "BZ"
  },
  "F372": {
    "municipe": "MONGUZZO",
    "province": "CO"
  },
  "F373": {
    "municipe": "MONIGA DEL GARDA",
    "province": "BS"
  },
  "F374": {
    "municipe": "MONLEALE",
    "province": "AL"
  },
  "F375": {
    "municipe": "MONNO",
    "province": "BS"
  },
  "F376": {
    "municipe": "MONOPOLI",
    "province": "BA"
  },
  "F377": {
    "municipe": "MONREALE",
    "province": "PA"
  },
  "F378": {
    "municipe": "MONRUPINO",
    "province": "TS"
  },
  "F379": {
    "municipe": "MONSAMPIETRO MORICO",
    "province": "FM"
  },
  "F380": {
    "municipe": "MONSAMPOLO DEL TRONTO",
    "province": "AP"
  },
  "F381": {
    "municipe": "MONSANO",
    "province": "AN"
  },
  "F382": {
    "municipe": "MONSELICE",
    "province": "PD"
  },
  "F383": {
    "municipe": "MONSERRATO",
    "province": "CA"
  },
  "F384": {
    "municipe": "MONSUMMANO TERME",
    "province": "PT"
  },
  "F385": {
    "municipe": "MONTA'",
    "province": "CN"
  },
  "F386": {
    "municipe": "MONTABONE",
    "province": "AT"
  },
  "F387": {
    "municipe": "MONTACUTO",
    "province": "AL"
  },
  "F390": {
    "municipe": "MONTAFIA",
    "province": "AT"
  },
  "F391": {
    "municipe": "MONTAGANO",
    "province": "CB"
  },
  "F393": {
    "municipe": "MONTAGNA IN VALTELLINA",
    "province": "SO"
  },
  "F392": {
    "municipe": "MONTAGNA/MONTAN",
    "province": "BZ"
  },
  "F394": {
    "municipe": "MONTAGNANA",
    "province": "PD"
  },
  "F395": {
    "municipe": "MONTAGNAREALE",
    "province": "ME"
  },
  "F397": {
    "municipe": "MONTAGUTO",
    "province": "AV"
  },
  "F398": {
    "municipe": "MONTAIONE",
    "province": "FI"
  },
  "F400": {
    "municipe": "MONTALBANO ELICONA",
    "province": "ME"
  },
  "F399": {
    "municipe": "MONTALBANO JONICO",
    "province": "MT"
  },
  "M378": {
    "municipe": "MONTALCINO",
    "province": "SI"
  },
  "F403": {
    "municipe": "MONTALDEO",
    "province": "AL"
  },
  "F404": {
    "municipe": "MONTALDO BORMIDA",
    "province": "AL"
  },
  "F405": {
    "municipe": "MONTALDO DI MONDOVI'",
    "province": "CN"
  },
  "F408": {
    "municipe": "MONTALDO ROERO",
    "province": "CN"
  },
  "F409": {
    "municipe": "MONTALDO SCARAMPI",
    "province": "AT"
  },
  "F407": {
    "municipe": "MONTALDO TORINESE",
    "province": "TO"
  },
  "F410": {
    "municipe": "MONTALE",
    "province": "PT"
  },
  "F411": {
    "municipe": "MONTALENGHE",
    "province": "TO"
  },
  "F414": {
    "municipe": "MONTALLEGRO",
    "province": "AG"
  },
  "M387": {
    "municipe": "MONTALTO CARPASIO",
    "province": "IM"
  },
  "F415": {
    "municipe": "MONTALTO DELLE MARCHE",
    "province": "AP"
  },
  "F419": {
    "municipe": "MONTALTO DI CASTRO",
    "province": "VT"
  },
  "F420": {
    "municipe": "MONTALTO DORA",
    "province": "TO"
  },
  "F417": {
    "municipe": "MONTALTO PAVESE",
    "province": "PV"
  },
  "F416": {
    "municipe": "MONTALTO UFFUGO",
    "province": "CS"
  },
  "F422": {
    "municipe": "MONTANARO",
    "province": "TO"
  },
  "F423": {
    "municipe": "MONTANASO LOMBARDO",
    "province": "LO"
  },
  "F424": {
    "municipe": "MONTANERA",
    "province": "CN"
  },
  "F426": {
    "municipe": "MONTANO ANTILIA",
    "province": "SA"
  },
  "F427": {
    "municipe": "MONTANO LUCINO",
    "province": "CO"
  },
  "F428": {
    "municipe": "MONTAPPONE",
    "province": "FM"
  },
  "F429": {
    "municipe": "MONTAQUILA",
    "province": "IS"
  },
  "F430": {
    "municipe": "MONTASOLA",
    "province": "RI"
  },
  "F432": {
    "municipe": "MONTAURO",
    "province": "CZ"
  },
  "F433": {
    "municipe": "MONTAZZOLI",
    "province": "CH"
  },
  "F437": {
    "municipe": "MONTE ARGENTARIO",
    "province": "GR"
  },
  "F456": {
    "municipe": "MONTE CASTELLO DI VIBIO",
    "province": "PG"
  },
  "F460": {
    "municipe": "MONTE CAVALLO",
    "province": "MC"
  },
  "F467": {
    "municipe": "MONTE CERIGNONE",
    "province": "PU"
  },
  "F477": {
    "municipe": "MONTE COMPATRI",
    "province": "RM"
  },
  "F434": {
    "municipe": "MONTE CREMASCO",
    "province": "CR"
  },
  "F486": {
    "municipe": "MONTE DI MALO",
    "province": "VI"
  },
  "F488": {
    "municipe": "MONTE DI PROCIDA",
    "province": "NA"
  },
  "F517": {
    "municipe": "MONTE GIBERTO",
    "province": "FM"
  },
  "F524": {
    "municipe": "MONTE GRIMANO TERME",
    "province": "PU"
  },
  "F532": {
    "municipe": "MONTE ISOLA",
    "province": "BS"
  },
  "F561": {
    "municipe": "MONTE MARENZO",
    "province": "LC"
  },
  "F589": {
    "municipe": "MONTE PORZIO",
    "province": "PU"
  },
  "F590": {
    "municipe": "MONTE PORZIO CATONE",
    "province": "RM"
  },
  "F599": {
    "municipe": "MONTE RINALDO",
    "province": "FM"
  },
  "F600": {
    "municipe": "MONTE ROBERTO",
    "province": "AN"
  },
  "F603": {
    "municipe": "MONTE ROMANO",
    "province": "VT"
  },
  "F616": {
    "municipe": "MONTE SAN BIAGIO",
    "province": "LT"
  },
  "F618": {
    "municipe": "MONTE SAN GIACOMO",
    "province": "SA"
  },
  "F620": {
    "municipe": "MONTE SAN GIOVANNI CAMPANO",
    "province": "FR"
  },
  "F619": {
    "municipe": "MONTE SAN GIOVANNI IN SABINA",
    "province": "RI"
  },
  "F621": {
    "municipe": "MONTE SAN GIUSTO",
    "province": "MC"
  },
  "F622": {
    "municipe": "MONTE SAN MARTINO",
    "province": "MC"
  },
  "F626": {
    "municipe": "MONTE SAN PIETRANGELI",
    "province": "FM"
  },
  "F627": {
    "municipe": "MONTE SAN PIETRO",
    "province": "BO"
  },
  "F628": {
    "municipe": "MONTE SAN SAVINO",
    "province": "AR"
  },
  "F634": {
    "municipe": "MONTE SAN VITO",
    "province": "AN"
  },
  "F631": {
    "municipe": "MONTE SANT'ANGELO",
    "province": "FG"
  },
  "F629": {
    "municipe": "MONTE SANTA MARIA TIBERINA",
    "province": "PG"
  },
  "F653": {
    "municipe": "MONTE URANO",
    "province": "FM"
  },
  "F664": {
    "municipe": "MONTE VIDON COMBATTE",
    "province": "FM"
  },
  "F665": {
    "municipe": "MONTE VIDON CORRADO",
    "province": "FM"
  },
  "F440": {
    "municipe": "MONTEBELLO DELLA BATTAGLIA",
    "province": "PV"
  },
  "F441": {
    "municipe": "MONTEBELLO DI BERTONA",
    "province": "PE"
  },
  "D746": {
    "municipe": "MONTEBELLO JONICO",
    "province": "RC"
  },
  "B268": {
    "municipe": "MONTEBELLO SUL SANGRO",
    "province": "CH"
  },
  "F442": {
    "municipe": "MONTEBELLO VICENTINO",
    "province": "VI"
  },
  "F443": {
    "municipe": "MONTEBELLUNA",
    "province": "TV"
  },
  "F445": {
    "municipe": "MONTEBRUNO",
    "province": "GE"
  },
  "F446": {
    "municipe": "MONTEBUONO",
    "province": "RI"
  },
  "F450": {
    "municipe": "MONTECALVO IN FOGLIA",
    "province": "PU"
  },
  "F448": {
    "municipe": "MONTECALVO IRPINO",
    "province": "AV"
  },
  "F449": {
    "municipe": "MONTECALVO VERSIGGIA",
    "province": "PV"
  },
  "F452": {
    "municipe": "MONTECARLO",
    "province": "LU"
  },
  "F453": {
    "municipe": "MONTECAROTTO",
    "province": "AN"
  },
  "F454": {
    "municipe": "MONTECASSIANO",
    "province": "MC"
  },
  "F455": {
    "municipe": "MONTECASTELLO",
    "province": "AL"
  },
  "F457": {
    "municipe": "MONTECASTRILLI",
    "province": "TR"
  },
  "F458": {
    "municipe": "MONTECATINI VAL DI CECINA",
    "province": "PI"
  },
  "A561": {
    "municipe": "MONTECATINI-TERME",
    "province": "PT"
  },
  "F461": {
    "municipe": "MONTECCHIA DI CROSARA",
    "province": "VR"
  },
  "F462": {
    "municipe": "MONTECCHIO",
    "province": "TR"
  },
  "F463": {
    "municipe": "MONTECCHIO EMILIA",
    "province": "RE"
  },
  "F464": {
    "municipe": "MONTECCHIO MAGGIORE",
    "province": "VI"
  },
  "F465": {
    "municipe": "MONTECCHIO PRECALCINO",
    "province": "VI"
  },
  "F469": {
    "municipe": "MONTECHIARO D'ACQUI",
    "province": "AL"
  },
  "F468": {
    "municipe": "MONTECHIARO D'ASTI",
    "province": "AT"
  },
  "F473": {
    "municipe": "MONTECHIARUGOLO",
    "province": "PR"
  },
  "F475": {
    "municipe": "MONTECILFONE",
    "province": "CB"
  },
  "F478": {
    "municipe": "MONTECOPIOLO",
    "province": "RN"
  },
  "F479": {
    "municipe": "MONTECORICE",
    "province": "SA"
  },
  "F480": {
    "municipe": "MONTECORVINO PUGLIANO",
    "province": "SA"
  },
  "F481": {
    "municipe": "MONTECORVINO ROVELLA",
    "province": "SA"
  },
  "F482": {
    "municipe": "MONTECOSARO",
    "province": "MC"
  },
  "F483": {
    "municipe": "MONTECRESTESE",
    "province": "VB"
  },
  "F484": {
    "municipe": "MONTECRETO",
    "province": "MO"
  },
  "F487": {
    "municipe": "MONTEDINOVE",
    "province": "AP"
  },
  "F489": {
    "municipe": "MONTEDORO",
    "province": "CL"
  },
  "F491": {
    "municipe": "MONTEFALCIONE",
    "province": "AV"
  },
  "F492": {
    "municipe": "MONTEFALCO",
    "province": "PG"
  },
  "F493": {
    "municipe": "MONTEFALCONE APPENNINO",
    "province": "FM"
  },
  "F494": {
    "municipe": "MONTEFALCONE DI VAL FORTORE",
    "province": "BN"
  },
  "F495": {
    "municipe": "MONTEFALCONE NEL SANNIO",
    "province": "CB"
  },
  "F496": {
    "municipe": "MONTEFANO",
    "province": "MC"
  },
  "F497": {
    "municipe": "MONTEFELCINO",
    "province": "PU"
  },
  "F498": {
    "municipe": "MONTEFERRANTE",
    "province": "CH"
  },
  "F499": {
    "municipe": "MONTEFIASCONE",
    "province": "VT"
  },
  "F500": {
    "municipe": "MONTEFINO",
    "province": "TE"
  },
  "F502": {
    "municipe": "MONTEFIORE CONCA",
    "province": "RN"
  },
  "F501": {
    "municipe": "MONTEFIORE DELL'ASO",
    "province": "AP"
  },
  "F503": {
    "municipe": "MONTEFIORINO",
    "province": "MO"
  },
  "F504": {
    "municipe": "MONTEFLAVIO",
    "province": "RM"
  },
  "F507": {
    "municipe": "MONTEFORTE CILENTO",
    "province": "SA"
  },
  "F508": {
    "municipe": "MONTEFORTE D'ALPONE",
    "province": "VR"
  },
  "F506": {
    "municipe": "MONTEFORTE IRPINO",
    "province": "AV"
  },
  "F509": {
    "municipe": "MONTEFORTINO",
    "province": "FM"
  },
  "F510": {
    "municipe": "MONTEFRANCO",
    "province": "TR"
  },
  "F511": {
    "municipe": "MONTEFREDANE",
    "province": "AV"
  },
  "F512": {
    "municipe": "MONTEFUSCO",
    "province": "AV"
  },
  "F513": {
    "municipe": "MONTEGABBIONE",
    "province": "TR"
  },
  "F514": {
    "municipe": "MONTEGALDA",
    "province": "VI"
  },
  "F515": {
    "municipe": "MONTEGALDELLA",
    "province": "VI"
  },
  "F516": {
    "municipe": "MONTEGALLO",
    "province": "AP"
  },
  "F518": {
    "municipe": "MONTEGIOCO",
    "province": "AL"
  },
  "F519": {
    "municipe": "MONTEGIORDANO",
    "province": "CS"
  },
  "F520": {
    "municipe": "MONTEGIORGIO",
    "province": "FM"
  },
  "F522": {
    "municipe": "MONTEGRANARO",
    "province": "FM"
  },
  "F523": {
    "municipe": "MONTEGRIDOLFO",
    "province": "RN"
  },
  "F526": {
    "municipe": "MONTEGRINO VALTRAVAGLIA",
    "province": "VA"
  },
  "F527": {
    "municipe": "MONTEGROSSO D'ASTI",
    "province": "AT"
  },
  "F528": {
    "municipe": "MONTEGROSSO PIAN LATTE",
    "province": "IM"
  },
  "F529": {
    "municipe": "MONTEGROTTO TERME",
    "province": "PD"
  },
  "F531": {
    "municipe": "MONTEIASI",
    "province": "TA"
  },
  "F533": {
    "municipe": "MONTELABBATE",
    "province": "PU"
  },
  "F534": {
    "municipe": "MONTELANICO",
    "province": "RM"
  },
  "F535": {
    "municipe": "MONTELAPIANO",
    "province": "CH"
  },
  "F543": {
    "municipe": "MONTELEONE D'ORVIETO",
    "province": "TR"
  },
  "F536": {
    "municipe": "MONTELEONE DI FERMO",
    "province": "FM"
  },
  "F538": {
    "municipe": "MONTELEONE DI PUGLIA",
    "province": "FG"
  },
  "F540": {
    "municipe": "MONTELEONE DI SPOLETO",
    "province": "PG"
  },
  "F542": {
    "municipe": "MONTELEONE ROCCA DORIA",
    "province": "SS"
  },
  "F541": {
    "municipe": "MONTELEONE SABINO",
    "province": "RI"
  },
  "F544": {
    "municipe": "MONTELEPRE",
    "province": "PA"
  },
  "F545": {
    "municipe": "MONTELIBRETTI",
    "province": "RM"
  },
  "F546": {
    "municipe": "MONTELLA",
    "province": "AV"
  },
  "F547": {
    "municipe": "MONTELLO",
    "province": "BG"
  },
  "F548": {
    "municipe": "MONTELONGO",
    "province": "CB"
  },
  "F549": {
    "municipe": "MONTELPARO",
    "province": "FM"
  },
  "F550": {
    "municipe": "MONTELUPO ALBESE",
    "province": "CN"
  },
  "F551": {
    "municipe": "MONTELUPO FIORENTINO",
    "province": "FI"
  },
  "F552": {
    "municipe": "MONTELUPONE",
    "province": "MC"
  },
  "F553": {
    "municipe": "MONTEMAGGIORE BELSITO",
    "province": "PA"
  },
  "F556": {
    "municipe": "MONTEMAGNO",
    "province": "AT"
  },
  "F558": {
    "municipe": "MONTEMALE DI CUNEO",
    "province": "CN"
  },
  "F559": {
    "municipe": "MONTEMARANO",
    "province": "AV"
  },
  "F560": {
    "municipe": "MONTEMARCIANO",
    "province": "AN"
  },
  "F562": {
    "municipe": "MONTEMARZINO",
    "province": "AL"
  },
  "F563": {
    "municipe": "MONTEMESOLA",
    "province": "TA"
  },
  "F564": {
    "municipe": "MONTEMEZZO",
    "province": "CO"
  },
  "F565": {
    "municipe": "MONTEMIGNAIO",
    "province": "AR"
  },
  "F566": {
    "municipe": "MONTEMILETTO",
    "province": "AV"
  },
  "F568": {
    "municipe": "MONTEMILONE",
    "province": "PZ"
  },
  "F569": {
    "municipe": "MONTEMITRO",
    "province": "CB"
  },
  "F570": {
    "municipe": "MONTEMONACO",
    "province": "AP"
  },
  "F572": {
    "municipe": "MONTEMURLO",
    "province": "PO"
  },
  "F573": {
    "municipe": "MONTEMURRO",
    "province": "PZ"
  },
  "F574": {
    "municipe": "MONTENARS",
    "province": "UD"
  },
  "F576": {
    "municipe": "MONTENERO DI BISACCIA",
    "province": "CB"
  },
  "F579": {
    "municipe": "MONTENERO SABINO",
    "province": "RI"
  },
  "F580": {
    "municipe": "MONTENERO VAL COCCHIARA",
    "province": "IS"
  },
  "F578": {
    "municipe": "MONTENERODOMO",
    "province": "CH"
  },
  "F582": {
    "municipe": "MONTEODORISIO",
    "province": "CH"
  },
  "F586": {
    "municipe": "MONTEPAONE",
    "province": "CZ"
  },
  "F587": {
    "municipe": "MONTEPARANO",
    "province": "TA"
  },
  "F591": {
    "municipe": "MONTEPRANDONE",
    "province": "AP"
  },
  "F592": {
    "municipe": "MONTEPULCIANO",
    "province": "SI"
  },
  "F594": {
    "municipe": "MONTERCHI",
    "province": "AR"
  },
  "F595": {
    "municipe": "MONTEREALE",
    "province": "AQ"
  },
  "F596": {
    "municipe": "MONTEREALE VALCELLINA",
    "province": "PN"
  },
  "F597": {
    "municipe": "MONTERENZIO",
    "province": "BO"
  },
  "F598": {
    "municipe": "MONTERIGGIONI",
    "province": "SI"
  },
  "F601": {
    "municipe": "MONTERODUNI",
    "province": "IS"
  },
  "F605": {
    "municipe": "MONTERONI D'ARBIA",
    "province": "SI"
  },
  "F604": {
    "municipe": "MONTERONI DI LECCE",
    "province": "LE"
  },
  "F606": {
    "municipe": "MONTEROSI",
    "province": "VT"
  },
  "F609": {
    "municipe": "MONTEROSSO AL MARE",
    "province": "SP"
  },
  "F610": {
    "municipe": "MONTEROSSO ALMO",
    "province": "RG"
  },
  "F607": {
    "municipe": "MONTEROSSO CALABRO",
    "province": "VV"
  },
  "F608": {
    "municipe": "MONTEROSSO GRANA",
    "province": "CN"
  },
  "F611": {
    "municipe": "MONTEROTONDO",
    "province": "RM"
  },
  "F612": {
    "municipe": "MONTEROTONDO MARITTIMO",
    "province": "GR"
  },
  "F614": {
    "municipe": "MONTERUBBIANO",
    "province": "FM"
  },
  "F623": {
    "municipe": "MONTESANO SALENTINO",
    "province": "LE"
  },
  "F625": {
    "municipe": "MONTESANO SULLA MARCELLANA",
    "province": "SA"
  },
  "F636": {
    "municipe": "MONTESARCHIO",
    "province": "BN"
  },
  "F637": {
    "municipe": "MONTESCAGLIOSO",
    "province": "MT"
  },
  "F638": {
    "municipe": "MONTESCANO",
    "province": "PV"
  },
  "F639": {
    "municipe": "MONTESCHENO",
    "province": "VB"
  },
  "F640": {
    "municipe": "MONTESCUDAIO",
    "province": "PI"
  },
  "M368": {
    "municipe": "MONTESCUDO - MONTE COLOMBO",
    "province": "RN"
  },
  "F642": {
    "municipe": "MONTESE",
    "province": "MO"
  },
  "F644": {
    "municipe": "MONTESEGALE",
    "province": "PV"
  },
  "F646": {
    "municipe": "MONTESILVANO",
    "province": "PE"
  },
  "F648": {
    "municipe": "MONTESPERTOLI",
    "province": "FI"
  },
  "F651": {
    "municipe": "MONTEU DA PO",
    "province": "TO"
  },
  "F654": {
    "municipe": "MONTEU ROERO",
    "province": "CN"
  },
  "F655": {
    "municipe": "MONTEVAGO",
    "province": "AG"
  },
  "F656": {
    "municipe": "MONTEVARCHI",
    "province": "AR"
  },
  "F657": {
    "municipe": "MONTEVECCHIA",
    "province": "LC"
  },
  "F660": {
    "municipe": "MONTEVERDE",
    "province": "AV"
  },
  "F661": {
    "municipe": "MONTEVERDI MARITTIMO",
    "province": "PI"
  },
  "F662": {
    "municipe": "MONTEVIALE",
    "province": "VI"
  },
  "F666": {
    "municipe": "MONTEZEMOLO",
    "province": "CN"
  },
  "F667": {
    "municipe": "MONTI",
    "province": "SS"
  },
  "F668": {
    "municipe": "MONTIANO",
    "province": "FC"
  },
  "F672": {
    "municipe": "MONTICELLI BRUSATI",
    "province": "BS"
  },
  "F671": {
    "municipe": "MONTICELLI D'ONGINA",
    "province": "PC"
  },
  "F670": {
    "municipe": "MONTICELLI PAVESE",
    "province": "PV"
  },
  "F674": {
    "municipe": "MONTICELLO BRIANZA",
    "province": "LC"
  },
  "F675": {
    "municipe": "MONTICELLO CONTE OTTO",
    "province": "VI"
  },
  "F669": {
    "municipe": "MONTICELLO D'ALBA",
    "province": "CN"
  },
  "F471": {
    "municipe": "MONTICHIARI",
    "province": "BS"
  },
  "F676": {
    "municipe": "MONTICIANO",
    "province": "SI"
  },
  "F677": {
    "municipe": "MONTIERI",
    "province": "GR"
  },
  "M302": {
    "municipe": "MONTIGLIO MONFERRATO",
    "province": "AT"
  },
  "F679": {
    "municipe": "MONTIGNOSO",
    "province": "MS"
  },
  "F680": {
    "municipe": "MONTIRONE",
    "province": "BS"
  },
  "F367": {
    "municipe": "MONTJOVET",
    "province": "AO"
  },
  "F681": {
    "municipe": "MONTODINE",
    "province": "CR"
  },
  "F682": {
    "municipe": "MONTOGGIO",
    "province": "GE"
  },
  "F685": {
    "municipe": "MONTONE",
    "province": "PG"
  },
  "F687": {
    "municipe": "MONTOPOLI DI SABINA",
    "province": "RI"
  },
  "F686": {
    "municipe": "MONTOPOLI IN VAL D'ARNO",
    "province": "PI"
  },
  "F688": {
    "municipe": "MONTORFANO",
    "province": "CO"
  },
  "F690": {
    "municipe": "MONTORIO AL VOMANO",
    "province": "TE"
  },
  "F689": {
    "municipe": "MONTORIO NEI FRENTANI",
    "province": "CB"
  },
  "F692": {
    "municipe": "MONTORIO ROMANO",
    "province": "RM"
  },
  "M330": {
    "municipe": "MONTORO",
    "province": "AV"
  },
  "F696": {
    "municipe": "MONTORSO VICENTINO",
    "province": "VI"
  },
  "F697": {
    "municipe": "MONTOTTONE",
    "province": "FM"
  },
  "F698": {
    "municipe": "MONTRESTA",
    "province": "OR"
  },
  "F701": {
    "municipe": "MONTU' BECCARIA",
    "province": "PV"
  },
  "F703": {
    "municipe": "MONVALLE",
    "province": "VA"
  },
  "F704": {
    "municipe": "MONZA",
    "province": "MB"
  },
  "F705": {
    "municipe": "MONZAMBANO",
    "province": "MN"
  },
  "F706": {
    "municipe": "MONZUNO",
    "province": "BO"
  },
  "F708": {
    "municipe": "MORANO CALABRO",
    "province": "CS"
  },
  "F707": {
    "municipe": "MORANO SUL PO",
    "province": "AL"
  },
  "F709": {
    "municipe": "MORANSENGO",
    "province": "AT"
  },
  "F710": {
    "municipe": "MORARO",
    "province": "GO"
  },
  "F711": {
    "municipe": "MORAZZONE",
    "province": "VA"
  },
  "F712": {
    "municipe": "MORBEGNO",
    "province": "SO"
  },
  "F713": {
    "municipe": "MORBELLO",
    "province": "AL"
  },
  "F716": {
    "municipe": "MORCIANO DI LEUCA",
    "province": "LE"
  },
  "F715": {
    "municipe": "MORCIANO DI ROMAGNA",
    "province": "RN"
  },
  "F717": {
    "municipe": "MORCONE",
    "province": "BN"
  },
  "F718": {
    "municipe": "MORDANO",
    "province": "BO"
  },
  "F720": {
    "municipe": "MORENGO",
    "province": "BG"
  },
  "F721": {
    "municipe": "MORES",
    "province": "SS"
  },
  "F722": {
    "municipe": "MORESCO",
    "province": "FM"
  },
  "F723": {
    "municipe": "MORETTA",
    "province": "CN"
  },
  "F724": {
    "municipe": "MORFASSO",
    "province": "PC"
  },
  "F725": {
    "municipe": "MORGANO",
    "province": "TV"
  },
  "F726": {
    "municipe": "MORGEX",
    "province": "AO"
  },
  "F727": {
    "municipe": "MORGONGIORI",
    "province": "OR"
  },
  "F728": {
    "municipe": "MORI",
    "province": "TN"
  },
  "F729": {
    "municipe": "MORIAGO DELLA BATTAGLIA",
    "province": "TV"
  },
  "F730": {
    "municipe": "MORICONE",
    "province": "RM"
  },
  "F731": {
    "municipe": "MORIGERATI",
    "province": "SA"
  },
  "D033": {
    "municipe": "MORIMONDO",
    "province": "MI"
  },
  "F732": {
    "municipe": "MORINO",
    "province": "AQ"
  },
  "F733": {
    "municipe": "MORIONDO TORINESE",
    "province": "TO"
  },
  "F734": {
    "municipe": "MORLUPO",
    "province": "RM"
  },
  "F735": {
    "municipe": "MORMANNO",
    "province": "CS"
  },
  "F736": {
    "municipe": "MORNAGO",
    "province": "VA"
  },
  "F737": {
    "municipe": "MORNESE",
    "province": "AL"
  },
  "F738": {
    "municipe": "MORNICO AL SERIO",
    "province": "BG"
  },
  "F739": {
    "municipe": "MORNICO LOSANA",
    "province": "PV"
  },
  "F740": {
    "municipe": "MOROLO",
    "province": "FR"
  },
  "F743": {
    "municipe": "MOROZZO",
    "province": "CN"
  },
  "F744": {
    "municipe": "MORRA DE SANCTIS",
    "province": "AV"
  },
  "F745": {
    "municipe": "MORRO D'ALBA",
    "province": "AN"
  },
  "F747": {
    "municipe": "MORRO D'ORO",
    "province": "TE"
  },
  "F746": {
    "municipe": "MORRO REATINO",
    "province": "RI"
  },
  "F748": {
    "municipe": "MORRONE DEL SANNIO",
    "province": "CB"
  },
  "F749": {
    "municipe": "MORROVALLE",
    "province": "MC"
  },
  "F750": {
    "municipe": "MORSANO AL TAGLIAMENTO",
    "province": "PN"
  },
  "F751": {
    "municipe": "MORSASCO",
    "province": "AL"
  },
  "F754": {
    "municipe": "MORTARA",
    "province": "PV"
  },
  "F756": {
    "municipe": "MORTEGLIANO",
    "province": "UD"
  },
  "F758": {
    "municipe": "MORTERONE",
    "province": "LC"
  },
  "F760": {
    "municipe": "MORUZZO",
    "province": "UD"
  },
  "F761": {
    "municipe": "MOSCAZZANO",
    "province": "CR"
  },
  "F762": {
    "municipe": "MOSCHIANO",
    "province": "AV"
  },
  "F764": {
    "municipe": "MOSCIANO SANT'ANGELO",
    "province": "TE"
  },
  "F765": {
    "municipe": "MOSCUFO",
    "province": "PE"
  },
  "F766": {
    "municipe": "MOSO IN PASSIRIA/MOOS IN PASSEIER",
    "province": "BZ"
  },
  "F767": {
    "municipe": "MOSSA",
    "province": "GO"
  },
  "F771": {
    "municipe": "MOTTA BALUFFI",
    "province": "CR"
  },
  "F772": {
    "municipe": "MOTTA CAMASTRA",
    "province": "ME"
  },
  "F773": {
    "municipe": "MOTTA D'AFFERMO",
    "province": "ME"
  },
  "F774": {
    "municipe": "MOTTA DE' CONTI",
    "province": "VC"
  },
  "F770": {
    "municipe": "MOTTA DI LIVENZA",
    "province": "TV"
  },
  "F777": {
    "municipe": "MOTTA MONTECORVINO",
    "province": "FG"
  },
  "F779": {
    "municipe": "MOTTA SAN GIOVANNI",
    "province": "RC"
  },
  "F781": {
    "municipe": "MOTTA SANT'ANASTASIA",
    "province": "CT"
  },
  "F780": {
    "municipe": "MOTTA SANTA LUCIA",
    "province": "CZ"
  },
  "F783": {
    "municipe": "MOTTA VISCONTI",
    "province": "MI"
  },
  "F775": {
    "municipe": "MOTTAFOLLONE",
    "province": "CS"
  },
  "F776": {
    "municipe": "MOTTALCIATA",
    "province": "BI"
  },
  "B012": {
    "municipe": "MOTTEGGIANA",
    "province": "MN"
  },
  "F784": {
    "municipe": "MOTTOLA",
    "province": "TA"
  },
  "F785": {
    "municipe": "MOZZAGROGNA",
    "province": "CH"
  },
  "F786": {
    "municipe": "MOZZANICA",
    "province": "BG"
  },
  "F788": {
    "municipe": "MOZZATE",
    "province": "CO"
  },
  "F789": {
    "municipe": "MOZZECANE",
    "province": "VR"
  },
  "F791": {
    "municipe": "MOZZO",
    "province": "BG"
  },
  "F793": {
    "municipe": "MUCCIA",
    "province": "MC"
  },
  "F795": {
    "municipe": "MUGGIA",
    "province": "TS"
  },
  "F797": {
    "municipe": "MUGGIO'",
    "province": "MB"
  },
  "F798": {
    "municipe": "MUGNANO DEL CARDINALE",
    "province": "AV"
  },
  "F799": {
    "municipe": "MUGNANO DI NAPOLI",
    "province": "NA"
  },
  "F801": {
    "municipe": "MULAZZANO",
    "province": "LO"
  },
  "F802": {
    "municipe": "MULAZZO",
    "province": "MS"
  },
  "F806": {
    "municipe": "MURA",
    "province": "BS"
  },
  "F808": {
    "municipe": "MURAVERA",
    "province": "SU"
  },
  "F809": {
    "municipe": "MURAZZANO",
    "province": "CN"
  },
  "F811": {
    "municipe": "MURELLO",
    "province": "CN"
  },
  "F813": {
    "municipe": "MURIALDO",
    "province": "SV"
  },
  "F814": {
    "municipe": "MURISENGO",
    "province": "AL"
  },
  "F815": {
    "municipe": "MURLO",
    "province": "SI"
  },
  "F816": {
    "municipe": "MURO LECCESE",
    "province": "LE"
  },
  "F817": {
    "municipe": "MURO LUCANO",
    "province": "PZ"
  },
  "F818": {
    "municipe": "MUROS",
    "province": "SS"
  },
  "F820": {
    "municipe": "MUSCOLINE",
    "province": "BS"
  },
  "F822": {
    "municipe": "MUSEI",
    "province": "SU"
  },
  "F826": {
    "municipe": "MUSILE DI PIAVE",
    "province": "VE"
  },
  "F828": {
    "municipe": "MUSSO",
    "province": "CO"
  },
  "F829": {
    "municipe": "MUSSOLENTE",
    "province": "VI"
  },
  "F830": {
    "municipe": "MUSSOMELI",
    "province": "CL"
  },
  "F832": {
    "municipe": "MUZZANA DEL TURGNANO",
    "province": "UD"
  },
  "F833": {
    "municipe": "MUZZANO",
    "province": "BI"
  },
  "F835": {
    "municipe": "NAGO-TORBOLE",
    "province": "TN"
  },
  "F836": {
    "municipe": "NALLES/NALS",
    "province": "BZ"
  },
  "F838": {
    "municipe": "NANTO",
    "province": "VI"
  },
  "F839": {
    "municipe": "NAPOLI",
    "province": "NA"
  },
  "F840": {
    "municipe": "NARBOLIA",
    "province": "OR"
  },
  "F841": {
    "municipe": "NARCAO",
    "province": "SU"
  },
  "F842": {
    "municipe": "NARDO'",
    "province": "LE"
  },
  "F843": {
    "municipe": "NARDODIPACE",
    "province": "VV"
  },
  "F844": {
    "municipe": "NARNI",
    "province": "TR"
  },
  "F845": {
    "municipe": "NARO",
    "province": "AG"
  },
  "F846": {
    "municipe": "NARZOLE",
    "province": "CN"
  },
  "F847": {
    "municipe": "NASINO",
    "province": "SV"
  },
  "F848": {
    "municipe": "NASO",
    "province": "ME"
  },
  "F849": {
    "municipe": "NATURNO/NATURNS",
    "province": "BZ"
  },
  "F851": {
    "municipe": "NAVE",
    "province": "BS"
  },
  "F852": {
    "municipe": "NAVELLI",
    "province": "AQ"
  },
  "F856": {
    "municipe": "NAZ-SCIAVES/NATZ-SCHABS",
    "province": "BZ"
  },
  "F857": {
    "municipe": "NAZZANO",
    "province": "RM"
  },
  "F858": {
    "municipe": "NE",
    "province": "GE"
  },
  "F859": {
    "municipe": "NEBBIUNO",
    "province": "NO"
  },
  "F861": {
    "municipe": "NEGRAR DI VALPOLICELLA",
    "province": "VR"
  },
  "F862": {
    "municipe": "NEIRONE",
    "province": "GE"
  },
  "F863": {
    "municipe": "NEIVE",
    "province": "CN"
  },
  "F864": {
    "municipe": "NEMBRO",
    "province": "BG"
  },
  "F865": {
    "municipe": "NEMI",
    "province": "RM"
  },
  "F866": {
    "municipe": "NEMOLI",
    "province": "PZ"
  },
  "F867": {
    "municipe": "NEONELI",
    "province": "OR"
  },
  "F868": {
    "municipe": "NEPI",
    "province": "VT"
  },
  "F870": {
    "municipe": "NERETO",
    "province": "TE"
  },
  "F871": {
    "municipe": "NEROLA",
    "province": "RM"
  },
  "F872": {
    "municipe": "NERVESA DELLA BATTAGLIA",
    "province": "TV"
  },
  "F874": {
    "municipe": "NERVIANO",
    "province": "MI"
  },
  "F876": {
    "municipe": "NESPOLO",
    "province": "RI"
  },
  "F877": {
    "municipe": "NESSO",
    "province": "CO"
  },
  "F878": {
    "municipe": "NETRO",
    "province": "BI"
  },
  "F880": {
    "municipe": "NETTUNO",
    "province": "RM"
  },
  "F881": {
    "municipe": "NEVIANO",
    "province": "LE"
  },
  "F882": {
    "municipe": "NEVIANO DEGLI ARDUINI",
    "province": "PR"
  },
  "F883": {
    "municipe": "NEVIGLIE",
    "province": "CN"
  },
  "F884": {
    "municipe": "NIARDO",
    "province": "BS"
  },
  "F886": {
    "municipe": "NIBBIOLA",
    "province": "NO"
  },
  "F887": {
    "municipe": "NIBIONNO",
    "province": "LC"
  },
  "F889": {
    "municipe": "NICHELINO",
    "province": "TO"
  },
  "F890": {
    "municipe": "NICOLOSI",
    "province": "CT"
  },
  "F891": {
    "municipe": "NICORVO",
    "province": "PV"
  },
  "F892": {
    "municipe": "NICOSIA",
    "province": "EN"
  },
  "F893": {
    "municipe": "NICOTERA",
    "province": "VV"
  },
  "F894": {
    "municipe": "NIELLA BELBO",
    "province": "CN"
  },
  "F895": {
    "municipe": "NIELLA TANARO",
    "province": "CN"
  },
  "F898": {
    "municipe": "NIMIS",
    "province": "UD"
  },
  "F899": {
    "municipe": "NISCEMI",
    "province": "CL"
  },
  "F900": {
    "municipe": "NISSORIA",
    "province": "EN"
  },
  "F901": {
    "municipe": "NIZZA DI SICILIA",
    "province": "ME"
  },
  "F902": {
    "municipe": "NIZZA MONFERRATO",
    "province": "AT"
  },
  "F904": {
    "municipe": "NOALE",
    "province": "VE"
  },
  "F906": {
    "municipe": "NOASCA",
    "province": "TO"
  },
  "F907": {
    "municipe": "NOCARA",
    "province": "CS"
  },
  "F908": {
    "municipe": "NOCCIANO",
    "province": "PE"
  },
  "F912": {
    "municipe": "NOCERA INFERIORE",
    "province": "SA"
  },
  "F913": {
    "municipe": "NOCERA SUPERIORE",
    "province": "SA"
  },
  "F910": {
    "municipe": "NOCERA TERINESE",
    "province": "CZ"
  },
  "F911": {
    "municipe": "NOCERA UMBRA",
    "province": "PG"
  },
  "F914": {
    "municipe": "NOCETO",
    "province": "PR"
  },
  "F915": {
    "municipe": "NOCI",
    "province": "BA"
  },
  "F916": {
    "municipe": "NOCIGLIA",
    "province": "LE"
  },
  "F917": {
    "municipe": "NOEPOLI",
    "province": "PZ"
  },
  "F918": {
    "municipe": "NOGARA",
    "province": "VR"
  },
  "F920": {
    "municipe": "NOGAREDO",
    "province": "TN"
  },
  "F921": {
    "municipe": "NOGAROLE ROCCA",
    "province": "VR"
  },
  "F922": {
    "municipe": "NOGAROLE VICENTINO",
    "province": "VI"
  },
  "F923": {
    "municipe": "NOICATTARO",
    "province": "BA"
  },
  "F924": {
    "municipe": "NOLA",
    "province": "NA"
  },
  "F925": {
    "municipe": "NOLE",
    "province": "TO"
  },
  "F926": {
    "municipe": "NOLI",
    "province": "SV"
  },
  "F927": {
    "municipe": "NOMAGLIO",
    "province": "TO"
  },
  "F929": {
    "municipe": "NOMI",
    "province": "TN"
  },
  "F930": {
    "municipe": "NONANTOLA",
    "province": "MO"
  },
  "F931": {
    "municipe": "NONE",
    "province": "TO"
  },
  "F932": {
    "municipe": "NONIO",
    "province": "VB"
  },
  "F933": {
    "municipe": "NORAGUGUME",
    "province": "NU"
  },
  "F934": {
    "municipe": "NORBELLO",
    "province": "OR"
  },
  "F935": {
    "municipe": "NORCIA",
    "province": "PG"
  },
  "F937": {
    "municipe": "NORMA",
    "province": "LT"
  },
  "F939": {
    "municipe": "NOSATE",
    "province": "MI"
  },
  "F942": {
    "municipe": "NOTARESCO",
    "province": "TE"
  },
  "F943": {
    "municipe": "NOTO",
    "province": "SR"
  },
  "F949": {
    "municipe": "NOVA LEVANTE/WELSCHNOFEN",
    "province": "BZ"
  },
  "F944": {
    "municipe": "NOVA MILANESE",
    "province": "MB"
  },
  "F950": {
    "municipe": "NOVA PONENTE/DEUTSCHNOFEN",
    "province": "BZ"
  },
  "A942": {
    "municipe": "NOVA SIRI",
    "province": "MT"
  },
  "F137": {
    "municipe": "NOVAFELTRIA",
    "province": "RN"
  },
  "F947": {
    "municipe": "NOVALEDO",
    "province": "TN"
  },
  "F948": {
    "municipe": "NOVALESA",
    "province": "TO"
  },
  "F952": {
    "municipe": "NOVARA",
    "province": "NO"
  },
  "F951": {
    "municipe": "NOVARA DI SICILIA",
    "province": "ME"
  },
  "F956": {
    "municipe": "NOVATE MEZZOLA",
    "province": "SO"
  },
  "F955": {
    "municipe": "NOVATE MILANESE",
    "province": "MI"
  },
  "F957": {
    "municipe": "NOVE",
    "province": "VI"
  },
  "F958": {
    "municipe": "NOVEDRATE",
    "province": "CO"
  },
  "M430": {
    "municipe": "NOVELLA",
    "province": "TN"
  },
  "F960": {
    "municipe": "NOVELLARA",
    "province": "RE"
  },
  "F961": {
    "municipe": "NOVELLO",
    "province": "CN"
  },
  "F963": {
    "municipe": "NOVENTA DI PIAVE",
    "province": "VE"
  },
  "F962": {
    "municipe": "NOVENTA PADOVANA",
    "province": "PD"
  },
  "F964": {
    "municipe": "NOVENTA VICENTINA",
    "province": "VI"
  },
  "F966": {
    "municipe": "NOVI DI MODENA",
    "province": "MO"
  },
  "F965": {
    "municipe": "NOVI LIGURE",
    "province": "AL"
  },
  "F967": {
    "municipe": "NOVI VELIA",
    "province": "SA"
  },
  "F968": {
    "municipe": "NOVIGLIO",
    "province": "MI"
  },
  "F970": {
    "municipe": "NOVOLI",
    "province": "LE"
  },
  "F972": {
    "municipe": "NUCETTO",
    "province": "CN"
  },
  "F975": {
    "municipe": "NUGHEDU SAN NICOLO'",
    "province": "SS"
  },
  "F974": {
    "municipe": "NUGHEDU SANTA VITTORIA",
    "province": "OR"
  },
  "F976": {
    "municipe": "NULE",
    "province": "SS"
  },
  "F977": {
    "municipe": "NULVI",
    "province": "SS"
  },
  "F978": {
    "municipe": "NUMANA",
    "province": "AN"
  },
  "F979": {
    "municipe": "NUORO",
    "province": "NU"
  },
  "F980": {
    "municipe": "NURACHI",
    "province": "OR"
  },
  "F981": {
    "municipe": "NURAGUS",
    "province": "SU"
  },
  "F982": {
    "municipe": "NURALLAO",
    "province": "SU"
  },
  "F983": {
    "municipe": "NURAMINIS",
    "province": "SU"
  },
  "F985": {
    "municipe": "NURECI",
    "province": "OR"
  },
  "F986": {
    "municipe": "NURRI",
    "province": "SU"
  },
  "F987": {
    "municipe": "NUS",
    "province": "AO"
  },
  "F988": {
    "municipe": "NUSCO",
    "province": "AV"
  },
  "F989": {
    "municipe": "NUVOLENTO",
    "province": "BS"
  },
  "F990": {
    "municipe": "NUVOLERA",
    "province": "BS"
  },
  "F991": {
    "municipe": "NUXIS",
    "province": "SU"
  },
  "F992": {
    "municipe": "OCCHIEPPO INFERIORE",
    "province": "BI"
  },
  "F993": {
    "municipe": "OCCHIEPPO SUPERIORE",
    "province": "BI"
  },
  "F994": {
    "municipe": "OCCHIOBELLO",
    "province": "RO"
  },
  "F995": {
    "municipe": "OCCIMIANO",
    "province": "AL"
  },
  "F996": {
    "municipe": "OCRE",
    "province": "AQ"
  },
  "F997": {
    "municipe": "ODALENGO GRANDE",
    "province": "AL"
  },
  "F998": {
    "municipe": "ODALENGO PICCOLO",
    "province": "AL"
  },
  "F999": {
    "municipe": "ODERZO",
    "province": "TV"
  },
  "G001": {
    "municipe": "ODOLO",
    "province": "BS"
  },
  "G002": {
    "municipe": "OFENA",
    "province": "AQ"
  },
  "G003": {
    "municipe": "OFFAGNA",
    "province": "AN"
  },
  "G004": {
    "municipe": "OFFANENGO",
    "province": "CR"
  },
  "G005": {
    "municipe": "OFFIDA",
    "province": "AP"
  },
  "G006": {
    "municipe": "OFFLAGA",
    "province": "BS"
  },
  "G007": {
    "municipe": "OGGEBBIO",
    "province": "VB"
  },
  "G008": {
    "municipe": "OGGIONA CON SANTO STEFANO",
    "province": "VA"
  },
  "G009": {
    "municipe": "OGGIONO",
    "province": "LC"
  },
  "G010": {
    "municipe": "OGLIANICO",
    "province": "TO"
  },
  "G011": {
    "municipe": "OGLIASTRO CILENTO",
    "province": "SA"
  },
  "G015": {
    "municipe": "OLBIA",
    "province": "SS"
  },
  "G016": {
    "municipe": "OLCENENGO",
    "province": "VC"
  },
  "G018": {
    "municipe": "OLDENICO",
    "province": "VC"
  },
  "G019": {
    "municipe": "OLEGGIO",
    "province": "NO"
  },
  "G020": {
    "municipe": "OLEGGIO CASTELLO",
    "province": "NO"
  },
  "G021": {
    "municipe": "OLEVANO DI LOMELLINA",
    "province": "PV"
  },
  "G022": {
    "municipe": "OLEVANO ROMANO",
    "province": "RM"
  },
  "G023": {
    "municipe": "OLEVANO SUL TUSCIANO",
    "province": "SA"
  },
  "G025": {
    "municipe": "OLGIATE COMASCO",
    "province": "CO"
  },
  "G026": {
    "municipe": "OLGIATE MOLGORA",
    "province": "LC"
  },
  "G028": {
    "municipe": "OLGIATE OLONA",
    "province": "VA"
  },
  "G030": {
    "municipe": "OLGINATE",
    "province": "LC"
  },
  "G031": {
    "municipe": "OLIENA",
    "province": "NU"
  },
  "G032": {
    "municipe": "OLIVA GESSI",
    "province": "PV"
  },
  "G034": {
    "municipe": "OLIVADI",
    "province": "CZ"
  },
  "G036": {
    "municipe": "OLIVERI",
    "province": "ME"
  },
  "G039": {
    "municipe": "OLIVETO CITRA",
    "province": "SA"
  },
  "G040": {
    "municipe": "OLIVETO LARIO",
    "province": "LC"
  },
  "G037": {
    "municipe": "OLIVETO LUCANO",
    "province": "MT"
  },
  "G041": {
    "municipe": "OLIVETTA SAN MICHELE",
    "province": "IM"
  },
  "G042": {
    "municipe": "OLIVOLA",
    "province": "AL"
  },
  "G043": {
    "municipe": "OLLASTRA",
    "province": "OR"
  },
  "G044": {
    "municipe": "OLLOLAI",
    "province": "NU"
  },
  "G045": {
    "municipe": "OLLOMONT",
    "province": "AO"
  },
  "G046": {
    "municipe": "OLMEDO",
    "province": "SS"
  },
  "G047": {
    "municipe": "OLMENETA",
    "province": "CR"
  },
  "G049": {
    "municipe": "OLMO AL BREMBO",
    "province": "BG"
  },
  "G048": {
    "municipe": "OLMO GENTILE",
    "province": "AT"
  },
  "G050": {
    "municipe": "OLTRE IL COLLE",
    "province": "BG"
  },
  "G054": {
    "municipe": "OLTRESSENDA ALTA",
    "province": "BG"
  },
  "G056": {
    "municipe": "OLTRONA DI SAN MAMETTE",
    "province": "CO"
  },
  "G058": {
    "municipe": "OLZAI",
    "province": "NU"
  },
  "G061": {
    "municipe": "OME",
    "province": "BS"
  },
  "G062": {
    "municipe": "OMEGNA",
    "province": "VB"
  },
  "G063": {
    "municipe": "OMIGNANO",
    "province": "SA"
  },
  "G064": {
    "municipe": "ONANI'",
    "province": "NU"
  },
  "G065": {
    "municipe": "ONANO",
    "province": "VT"
  },
  "G066": {
    "municipe": "ONCINO",
    "province": "CN"
  },
  "G068": {
    "municipe": "ONETA",
    "province": "BG"
  },
  "G070": {
    "municipe": "ONIFAI",
    "province": "NU"
  },
  "G071": {
    "municipe": "ONIFERI",
    "province": "NU"
  },
  "G074": {
    "municipe": "ONO SAN PIETRO",
    "province": "BS"
  },
  "G075": {
    "municipe": "ONORE",
    "province": "BG"
  },
  "G076": {
    "municipe": "ONZO",
    "province": "SV"
  },
  "G078": {
    "municipe": "OPERA",
    "province": "MI"
  },
  "G079": {
    "municipe": "OPI",
    "province": "AQ"
  },
  "G080": {
    "municipe": "OPPEANO",
    "province": "VR"
  },
  "G081": {
    "municipe": "OPPIDO LUCANO",
    "province": "PZ"
  },
  "G082": {
    "municipe": "OPPIDO MAMERTINA",
    "province": "RC"
  },
  "G083": {
    "municipe": "ORA/AUER",
    "province": "BZ"
  },
  "G084": {
    "municipe": "ORANI",
    "province": "NU"
  },
  "G086": {
    "municipe": "ORATINO",
    "province": "CB"
  },
  "G087": {
    "municipe": "ORBASSANO",
    "province": "TO"
  },
  "G088": {
    "municipe": "ORBETELLO",
    "province": "GR"
  },
  "G090": {
    "municipe": "ORCIANO PISANO",
    "province": "PI"
  },
  "D522": {
    "municipe": "ORCO FEGLINO",
    "province": "SV"
  },
  "M266": {
    "municipe": "ORDONA",
    "province": "FG"
  },
  "G093": {
    "municipe": "ORERO",
    "province": "GE"
  },
  "G095": {
    "municipe": "ORGIANO",
    "province": "VI"
  },
  "G097": {
    "municipe": "ORGOSOLO",
    "province": "NU"
  },
  "G098": {
    "municipe": "ORIA",
    "province": "BR"
  },
  "G102": {
    "municipe": "ORICOLA",
    "province": "AQ"
  },
  "G103": {
    "municipe": "ORIGGIO",
    "province": "VA"
  },
  "G105": {
    "municipe": "ORINO",
    "province": "VA"
  },
  "G108": {
    "municipe": "ORIO AL SERIO",
    "province": "BG"
  },
  "G109": {
    "municipe": "ORIO CANAVESE",
    "province": "TO"
  },
  "G107": {
    "municipe": "ORIO LITTA",
    "province": "LO"
  },
  "G110": {
    "municipe": "ORIOLO",
    "province": "CS"
  },
  "G111": {
    "municipe": "ORIOLO ROMANO",
    "province": "VT"
  },
  "G113": {
    "municipe": "ORISTANO",
    "province": "OR"
  },
  "G114": {
    "municipe": "ORMEA",
    "province": "CN"
  },
  "G115": {
    "municipe": "ORMELLE",
    "province": "TV"
  },
  "G116": {
    "municipe": "ORNAGO",
    "province": "MB"
  },
  "G117": {
    "municipe": "ORNAVASSO",
    "province": "VB"
  },
  "G118": {
    "municipe": "ORNICA",
    "province": "BG"
  },
  "G119": {
    "municipe": "OROSEI",
    "province": "NU"
  },
  "G120": {
    "municipe": "OROTELLI",
    "province": "NU"
  },
  "G121": {
    "municipe": "ORRIA",
    "province": "SA"
  },
  "G122": {
    "municipe": "ORROLI",
    "province": "SU"
  },
  "G123": {
    "municipe": "ORSAGO",
    "province": "TV"
  },
  "G124": {
    "municipe": "ORSARA BORMIDA",
    "province": "AL"
  },
  "G125": {
    "municipe": "ORSARA DI PUGLIA",
    "province": "FG"
  },
  "G126": {
    "municipe": "ORSENIGO",
    "province": "CO"
  },
  "G128": {
    "municipe": "ORSOGNA",
    "province": "CH"
  },
  "G129": {
    "municipe": "ORSOMARSO",
    "province": "CS"
  },
  "G130": {
    "municipe": "ORTA DI ATELLA",
    "province": "CE"
  },
  "G131": {
    "municipe": "ORTA NOVA",
    "province": "FG"
  },
  "G134": {
    "municipe": "ORTA SAN GIULIO",
    "province": "NO"
  },
  "G133": {
    "municipe": "ORTACESUS",
    "province": "SU"
  },
  "G135": {
    "municipe": "ORTE",
    "province": "VT"
  },
  "G136": {
    "municipe": "ORTELLE",
    "province": "LE"
  },
  "G137": {
    "municipe": "ORTEZZANO",
    "province": "FM"
  },
  "G139": {
    "municipe": "ORTIGNANO RAGGIOLO",
    "province": "AR"
  },
  "G140": {
    "municipe": "ORTISEI/ST. ULRICH",
    "province": "BZ"
  },
  "G141": {
    "municipe": "ORTONA",
    "province": "CH"
  },
  "G142": {
    "municipe": "ORTONA DEI MARSI",
    "province": "AQ"
  },
  "G144": {
    "municipe": "ORTOVERO",
    "province": "SV"
  },
  "G145": {
    "municipe": "ORTUCCHIO",
    "province": "AQ"
  },
  "G146": {
    "municipe": "ORTUERI",
    "province": "NU"
  },
  "G147": {
    "municipe": "ORUNE",
    "province": "NU"
  },
  "G148": {
    "municipe": "ORVIETO",
    "province": "TR"
  },
  "B595": {
    "municipe": "ORVINIO",
    "province": "RI"
  },
  "G149": {
    "municipe": "ORZINUOVI",
    "province": "BS"
  },
  "G150": {
    "municipe": "ORZIVECCHI",
    "province": "BS"
  },
  "G151": {
    "municipe": "OSASCO",
    "province": "TO"
  },
  "G152": {
    "municipe": "OSASIO",
    "province": "TO"
  },
  "G153": {
    "municipe": "OSCHIRI",
    "province": "SS"
  },
  "G154": {
    "municipe": "OSIDDA",
    "province": "NU"
  },
  "G155": {
    "municipe": "OSIGLIA",
    "province": "SV"
  },
  "G156": {
    "municipe": "OSILO",
    "province": "SS"
  },
  "G157": {
    "municipe": "OSIMO",
    "province": "AN"
  },
  "G158": {
    "municipe": "OSINI",
    "province": "NU"
  },
  "G159": {
    "municipe": "OSIO SOPRA",
    "province": "BG"
  },
  "G160": {
    "municipe": "OSIO SOTTO",
    "province": "BG"
  },
  "G161": {
    "municipe": "OSNAGO",
    "province": "LC"
  },
  "G163": {
    "municipe": "OSOPPO",
    "province": "UD"
  },
  "G164": {
    "municipe": "OSPEDALETTI",
    "province": "IM"
  },
  "G168": {
    "municipe": "OSPEDALETTO",
    "province": "TN"
  },
  "G165": {
    "municipe": "OSPEDALETTO D'ALPINOLO",
    "province": "AV"
  },
  "G167": {
    "municipe": "OSPEDALETTO EUGANEO",
    "province": "PD"
  },
  "G166": {
    "municipe": "OSPEDALETTO LODIGIANO",
    "province": "LO"
  },
  "G169": {
    "municipe": "OSPITALE DI CADORE",
    "province": "BL"
  },
  "G170": {
    "municipe": "OSPITALETTO",
    "province": "BS"
  },
  "G171": {
    "municipe": "OSSAGO LODIGIANO",
    "province": "LO"
  },
  "G173": {
    "municipe": "OSSANA",
    "province": "TN"
  },
  "G178": {
    "municipe": "OSSI",
    "province": "SS"
  },
  "G179": {
    "municipe": "OSSIMO",
    "province": "BS"
  },
  "G181": {
    "municipe": "OSSONA",
    "province": "MI"
  },
  "G183": {
    "municipe": "OSTANA",
    "province": "CN"
  },
  "G184": {
    "municipe": "OSTELLATO",
    "province": "FE"
  },
  "G185": {
    "municipe": "OSTIANO",
    "province": "CR"
  },
  "G186": {
    "municipe": "OSTIGLIA",
    "province": "MN"
  },
  "F401": {
    "municipe": "OSTRA",
    "province": "AN"
  },
  "F581": {
    "municipe": "OSTRA VETERE",
    "province": "AN"
  },
  "G187": {
    "municipe": "OSTUNI",
    "province": "BR"
  },
  "G188": {
    "municipe": "OTRANTO",
    "province": "LE"
  },
  "G189": {
    "municipe": "OTRICOLI",
    "province": "TR"
  },
  "G191": {
    "municipe": "OTTANA",
    "province": "NU"
  },
  "G192": {
    "municipe": "OTTATI",
    "province": "SA"
  },
  "G190": {
    "municipe": "OTTAVIANO",
    "province": "NA"
  },
  "G193": {
    "municipe": "OTTIGLIO",
    "province": "AL"
  },
  "G194": {
    "municipe": "OTTOBIANO",
    "province": "PV"
  },
  "G195": {
    "municipe": "OTTONE",
    "province": "PC"
  },
  "G196": {
    "municipe": "OULX",
    "province": "TO"
  },
  "G197": {
    "municipe": "OVADA",
    "province": "AL"
  },
  "G198": {
    "municipe": "OVARO",
    "province": "UD"
  },
  "G199": {
    "municipe": "OVIGLIO",
    "province": "AL"
  },
  "G200": {
    "municipe": "OVINDOLI",
    "province": "AQ"
  },
  "G201": {
    "municipe": "OVODDA",
    "province": "NU"
  },
  "G012": {
    "municipe": "OYACE",
    "province": "AO"
  },
  "G202": {
    "municipe": "OZEGNA",
    "province": "TO"
  },
  "G203": {
    "municipe": "OZIERI",
    "province": "SS"
  },
  "G205": {
    "municipe": "OZZANO DELL'EMILIA",
    "province": "BO"
  },
  "G204": {
    "municipe": "OZZANO MONFERRATO",
    "province": "AL"
  },
  "G206": {
    "municipe": "OZZERO",
    "province": "MI"
  },
  "G207": {
    "municipe": "PABILLONIS",
    "province": "SU"
  },
  "G209": {
    "municipe": "PACE DEL MELA",
    "province": "ME"
  },
  "G208": {
    "municipe": "PACECO",
    "province": "TP"
  },
  "G210": {
    "municipe": "PACENTRO",
    "province": "AQ"
  },
  "G211": {
    "municipe": "PACHINO",
    "province": "SR"
  },
  "G212": {
    "municipe": "PACIANO",
    "province": "PG"
  },
  "G213": {
    "municipe": "PADENGHE SUL GARDA",
    "province": "BS"
  },
  "G215": {
    "municipe": "PADERNA",
    "province": "AL"
  },
  "G218": {
    "municipe": "PADERNO D'ADDA",
    "province": "LC"
  },
  "G220": {
    "municipe": "PADERNO DUGNANO",
    "province": "MI"
  },
  "G217": {
    "municipe": "PADERNO FRANCIACORTA",
    "province": "BS"
  },
  "G222": {
    "municipe": "PADERNO PONCHIELLI",
    "province": "CR"
  },
  "G224": {
    "municipe": "PADOVA",
    "province": "PD"
  },
  "G225": {
    "municipe": "PADRIA",
    "province": "SS"
  },
  "M301": {
    "municipe": "PADRU",
    "province": "SS"
  },
  "G226": {
    "municipe": "PADULA",
    "province": "SA"
  },
  "G227": {
    "municipe": "PADULI",
    "province": "BN"
  },
  "G228": {
    "municipe": "PAESANA",
    "province": "CN"
  },
  "G229": {
    "municipe": "PAESE",
    "province": "TV"
  },
  "G230": {
    "municipe": "PAGANI",
    "province": "SA"
  },
  "G232": {
    "municipe": "PAGANICO SABINO",
    "province": "RI"
  },
  "G233": {
    "municipe": "PAGAZZANO",
    "province": "BG"
  },
  "G234": {
    "municipe": "PAGLIARA",
    "province": "ME"
  },
  "G237": {
    "municipe": "PAGLIETA",
    "province": "CH"
  },
  "G238": {
    "municipe": "PAGNACCO",
    "province": "UD"
  },
  "G240": {
    "municipe": "PAGNO",
    "province": "CN"
  },
  "G241": {
    "municipe": "PAGNONA",
    "province": "LC"
  },
  "G242": {
    "municipe": "PAGO DEL VALLO DI LAURO",
    "province": "AV"
  },
  "G243": {
    "municipe": "PAGO VEIANO",
    "province": "BN"
  },
  "G247": {
    "municipe": "PAISCO LOVENO",
    "province": "BS"
  },
  "G248": {
    "municipe": "PAITONE",
    "province": "BS"
  },
  "G249": {
    "municipe": "PALADINA",
    "province": "BG"
  },
  "G250": {
    "municipe": "PALAGANO",
    "province": "MO"
  },
  "G251": {
    "municipe": "PALAGIANELLO",
    "province": "TA"
  },
  "G252": {
    "municipe": "PALAGIANO",
    "province": "TA"
  },
  "G253": {
    "municipe": "PALAGONIA",
    "province": "CT"
  },
  "G254": {
    "municipe": "PALAIA",
    "province": "PI"
  },
  "G255": {
    "municipe": "PALANZANO",
    "province": "PR"
  },
  "G257": {
    "municipe": "PALATA",
    "province": "CB"
  },
  "G258": {
    "municipe": "PALAU",
    "province": "SS"
  },
  "G259": {
    "municipe": "PALAZZAGO",
    "province": "BG"
  },
  "G263": {
    "municipe": "PALAZZO ADRIANO",
    "province": "PA"
  },
  "G262": {
    "municipe": "PALAZZO CANAVESE",
    "province": "TO"
  },
  "G260": {
    "municipe": "PALAZZO PIGNANO",
    "province": "CR"
  },
  "G261": {
    "municipe": "PALAZZO SAN GERVASIO",
    "province": "PZ"
  },
  "G267": {
    "municipe": "PALAZZOLO ACREIDE",
    "province": "SR"
  },
  "G268": {
    "municipe": "PALAZZOLO DELLO STELLA",
    "province": "UD"
  },
  "G264": {
    "municipe": "PALAZZOLO SULL'OGLIO",
    "province": "BS"
  },
  "G266": {
    "municipe": "PALAZZOLO VERCELLESE",
    "province": "VC"
  },
  "G270": {
    "municipe": "PALAZZUOLO SUL SENIO",
    "province": "FI"
  },
  "G271": {
    "municipe": "PALENA",
    "province": "CH"
  },
  "G272": {
    "municipe": "PALERMITI",
    "province": "CZ"
  },
  "G273": {
    "municipe": "PALERMO",
    "province": "PA"
  },
  "G274": {
    "municipe": "PALESTRINA",
    "province": "RM"
  },
  "G275": {
    "municipe": "PALESTRO",
    "province": "PV"
  },
  "G276": {
    "municipe": "PALIANO",
    "province": "FR"
  },
  "G277": {
    "municipe": "PALIZZI",
    "province": "RC"
  },
  "G278": {
    "municipe": "PALLAGORIO",
    "province": "KR"
  },
  "G280": {
    "municipe": "PALLANZENO",
    "province": "VB"
  },
  "G281": {
    "municipe": "PALLARE",
    "province": "SV"
  },
  "G283": {
    "municipe": "PALMA CAMPANIA",
    "province": "NA"
  },
  "G282": {
    "municipe": "PALMA DI MONTECHIARO",
    "province": "AG"
  },
  "G284": {
    "municipe": "PALMANOVA",
    "province": "UD"
  },
  "G285": {
    "municipe": "PALMARIGGI",
    "province": "LE"
  },
  "G286": {
    "municipe": "PALMAS ARBOREA",
    "province": "OR"
  },
  "G288": {
    "municipe": "PALMI",
    "province": "RC"
  },
  "G289": {
    "municipe": "PALMIANO",
    "province": "AP"
  },
  "G290": {
    "municipe": "PALMOLI",
    "province": "CH"
  },
  "G291": {
    "municipe": "PALO DEL COLLE",
    "province": "BA"
  },
  "G293": {
    "municipe": "PALOMBARA SABINA",
    "province": "RM"
  },
  "G294": {
    "municipe": "PALOMBARO",
    "province": "CH"
  },
  "G292": {
    "municipe": "PALOMONTE",
    "province": "SA"
  },
  "G295": {
    "municipe": "PALOSCO",
    "province": "BG"
  },
  "G297": {
    "municipe": "PALU'",
    "province": "VR"
  },
  "G296": {
    "municipe": "PALU' DEL FERSINA",
    "province": "TN"
  },
  "G298": {
    "municipe": "PALUDI",
    "province": "CS"
  },
  "G300": {
    "municipe": "PALUZZA",
    "province": "UD"
  },
  "G302": {
    "municipe": "PAMPARATO",
    "province": "CN"
  },
  "G303": {
    "municipe": "PANCALIERI",
    "province": "TO"
  },
  "G304": {
    "municipe": "PANCARANA",
    "province": "PV"
  },
  "G305": {
    "municipe": "PANCHIA'",
    "province": "TN"
  },
  "G306": {
    "municipe": "PANDINO",
    "province": "CR"
  },
  "G307": {
    "municipe": "PANETTIERI",
    "province": "CS"
  },
  "G308": {
    "municipe": "PANICALE",
    "province": "PG"
  },
  "G311": {
    "municipe": "PANNARANO",
    "province": "BN"
  },
  "G312": {
    "municipe": "PANNI",
    "province": "FG"
  },
  "G315": {
    "municipe": "PANTELLERIA",
    "province": "TP"
  },
  "G316": {
    "municipe": "PANTIGLIATE",
    "province": "MI"
  },
  "G317": {
    "municipe": "PAOLA",
    "province": "CS"
  },
  "G318": {
    "municipe": "PAOLISI",
    "province": "BN"
  },
  "G320": {
    "municipe": "PAPASIDERO",
    "province": "CS"
  },
  "G323": {
    "municipe": "PAPOZZE",
    "province": "RO"
  },
  "G324": {
    "municipe": "PARABIAGO",
    "province": "MI"
  },
  "G325": {
    "municipe": "PARABITA",
    "province": "LE"
  },
  "G327": {
    "municipe": "PARATICO",
    "province": "BS"
  },
  "G328": {
    "municipe": "PARCINES/PARTSCHINS",
    "province": "BZ"
  },
  "G330": {
    "municipe": "PARELLA",
    "province": "TO"
  },
  "G331": {
    "municipe": "PARENTI",
    "province": "CS"
  },
  "G333": {
    "municipe": "PARETE",
    "province": "CE"
  },
  "G334": {
    "municipe": "PARETO",
    "province": "AL"
  },
  "G335": {
    "municipe": "PARGHELIA",
    "province": "VV"
  },
  "G336": {
    "municipe": "PARLASCO",
    "province": "LC"
  },
  "G337": {
    "municipe": "PARMA",
    "province": "PR"
  },
  "G338": {
    "municipe": "PARODI LIGURE",
    "province": "AL"
  },
  "G339": {
    "municipe": "PAROLDO",
    "province": "CN"
  },
  "G340": {
    "municipe": "PAROLISE",
    "province": "AV"
  },
  "G342": {
    "municipe": "PARONA",
    "province": "PV"
  },
  "G344": {
    "municipe": "PARRANO",
    "province": "TR"
  },
  "G346": {
    "municipe": "PARRE",
    "province": "BG"
  },
  "G347": {
    "municipe": "PARTANNA",
    "province": "TP"
  },
  "G348": {
    "municipe": "PARTINICO",
    "province": "PA"
  },
  "G349": {
    "municipe": "PARUZZARO",
    "province": "NO"
  },
  "G350": {
    "municipe": "PARZANICA",
    "province": "BG"
  },
  "G352": {
    "municipe": "PASIAN DI PRATO",
    "province": "UD"
  },
  "G353": {
    "municipe": "PASIANO DI PORDENONE",
    "province": "PN"
  },
  "G354": {
    "municipe": "PASPARDO",
    "province": "BS"
  },
  "G358": {
    "municipe": "PASSERANO MARMORITO",
    "province": "AT"
  },
  "G359": {
    "municipe": "PASSIGNANO SUL TRASIMENO",
    "province": "PG"
  },
  "G361": {
    "municipe": "PASSIRANO",
    "province": "BS"
  },
  "G362": {
    "municipe": "PASTENA",
    "province": "FR"
  },
  "G364": {
    "municipe": "PASTORANO",
    "province": "CE"
  },
  "G365": {
    "municipe": "PASTRENGO",
    "province": "VR"
  },
  "G367": {
    "municipe": "PASTURANA",
    "province": "AL"
  },
  "G368": {
    "municipe": "PASTURO",
    "province": "LC"
  },
  "M269": {
    "municipe": "PATERNO",
    "province": "PZ"
  },
  "G372": {
    "municipe": "PATERNO CALABRO",
    "province": "CS"
  },
  "G371": {
    "municipe": "PATERNO'",
    "province": "CT"
  },
  "G370": {
    "municipe": "PATERNOPOLI",
    "province": "AV"
  },
  "G374": {
    "municipe": "PATRICA",
    "province": "FR"
  },
  "G376": {
    "municipe": "PATTADA",
    "province": "SS"
  },
  "G377": {
    "municipe": "PATTI",
    "province": "ME"
  },
  "G378": {
    "municipe": "PATU'",
    "province": "LE"
  },
  "G379": {
    "municipe": "PAU",
    "province": "OR"
  },
  "G381": {
    "municipe": "PAULARO",
    "province": "UD"
  },
  "G382": {
    "municipe": "PAULI ARBAREI",
    "province": "SU"
  },
  "G384": {
    "municipe": "PAULILATINO",
    "province": "OR"
  },
  "G385": {
    "municipe": "PAULLO",
    "province": "MI"
  },
  "G386": {
    "municipe": "PAUPISI",
    "province": "BN"
  },
  "G387": {
    "municipe": "PAVAROLO",
    "province": "TO"
  },
  "G388": {
    "municipe": "PAVIA",
    "province": "PV"
  },
  "G389": {
    "municipe": "PAVIA DI UDINE",
    "province": "UD"
  },
  "G392": {
    "municipe": "PAVONE CANAVESE",
    "province": "TO"
  },
  "G391": {
    "municipe": "PAVONE DEL MELLA",
    "province": "BS"
  },
  "G393": {
    "municipe": "PAVULLO NEL FRIGNANO",
    "province": "MO"
  },
  "G394": {
    "municipe": "PAZZANO",
    "province": "RC"
  },
  "G395": {
    "municipe": "PECCIOLI",
    "province": "PI"
  },
  "G397": {
    "municipe": "PECETTO DI VALENZA",
    "province": "AL"
  },
  "G398": {
    "municipe": "PECETTO TORINESE",
    "province": "TO"
  },
  "G402": {
    "municipe": "PEDARA",
    "province": "CT"
  },
  "G403": {
    "municipe": "PEDASO",
    "province": "FM"
  },
  "G404": {
    "municipe": "PEDAVENA",
    "province": "BL"
  },
  "G406": {
    "municipe": "PEDEMONTE",
    "province": "VI"
  },
  "G408": {
    "municipe": "PEDEROBBA",
    "province": "TV"
  },
  "G410": {
    "municipe": "PEDESINA",
    "province": "SO"
  },
  "G411": {
    "municipe": "PEDIVIGLIANO",
    "province": "CS"
  },
  "G412": {
    "municipe": "PEDRENGO",
    "province": "BG"
  },
  "G415": {
    "municipe": "PEGLIO",
    "province": "CO"
  },
  "G416": {
    "municipe": "PEGLIO",
    "province": "PU"
  },
  "G417": {
    "municipe": "PEGOGNAGA",
    "province": "MN"
  },
  "G418": {
    "municipe": "PEIA",
    "province": "BG"
  },
  "G419": {
    "municipe": "PEIO",
    "province": "TN"
  },
  "G420": {
    "municipe": "PELAGO",
    "province": "FI"
  },
  "G421": {
    "municipe": "PELLA",
    "province": "NO"
  },
  "G424": {
    "municipe": "PELLEGRINO PARMENSE",
    "province": "PR"
  },
  "G426": {
    "municipe": "PELLEZZANO",
    "province": "SA"
  },
  "G428": {
    "municipe": "PELLIZZANO",
    "province": "TN"
  },
  "G429": {
    "municipe": "PELUGO",
    "province": "TN"
  },
  "G430": {
    "municipe": "PENANGO",
    "province": "AT"
  },
  "G432": {
    "municipe": "PENNA IN TEVERINA",
    "province": "TR"
  },
  "G436": {
    "municipe": "PENNA SAN GIOVANNI",
    "province": "MC"
  },
  "G437": {
    "municipe": "PENNA SANT'ANDREA",
    "province": "TE"
  },
  "G433": {
    "municipe": "PENNABILLI",
    "province": "RN"
  },
  "G434": {
    "municipe": "PENNADOMO",
    "province": "CH"
  },
  "G435": {
    "municipe": "PENNAPIEDIMONTE",
    "province": "CH"
  },
  "G438": {
    "municipe": "PENNE",
    "province": "PE"
  },
  "G439": {
    "municipe": "PENTONE",
    "province": "CZ"
  },
  "G441": {
    "municipe": "PERANO",
    "province": "CH"
  },
  "G442": {
    "municipe": "PERAROLO DI CADORE",
    "province": "BL"
  },
  "G443": {
    "municipe": "PERCA/PERCHA",
    "province": "BZ"
  },
  "G444": {
    "municipe": "PERCILE",
    "province": "RM"
  },
  "G445": {
    "municipe": "PERDASDEFOGU",
    "province": "NU"
  },
  "G446": {
    "municipe": "PERDAXIUS",
    "province": "SU"
  },
  "G447": {
    "municipe": "PERDIFUMO",
    "province": "SA"
  },
  "G449": {
    "municipe": "PERETO",
    "province": "AQ"
  },
  "G450": {
    "municipe": "PERFUGAS",
    "province": "SS"
  },
  "G452": {
    "municipe": "PERGINE VALSUGANA",
    "province": "TN"
  },
  "G453": {
    "municipe": "PERGOLA",
    "province": "PU"
  },
  "G454": {
    "municipe": "PERINALDO",
    "province": "IM"
  },
  "G455": {
    "municipe": "PERITO",
    "province": "SA"
  },
  "G456": {
    "municipe": "PERLEDO",
    "province": "LC"
  },
  "G457": {
    "municipe": "PERLETTO",
    "province": "CN"
  },
  "G458": {
    "municipe": "PERLO",
    "province": "CN"
  },
  "G459": {
    "municipe": "PERLOZ",
    "province": "AO"
  },
  "G461": {
    "municipe": "PERNUMIA",
    "province": "PD"
  },
  "C013": {
    "municipe": "PERO",
    "province": "MI"
  },
  "G463": {
    "municipe": "PEROSA ARGENTINA",
    "province": "TO"
  },
  "G462": {
    "municipe": "PEROSA CANAVESE",
    "province": "TO"
  },
  "G465": {
    "municipe": "PERRERO",
    "province": "TO"
  },
  "G469": {
    "municipe": "PERSICO DOSIMO",
    "province": "CR"
  },
  "G471": {
    "municipe": "PERTENGO",
    "province": "VC"
  },
  "G474": {
    "municipe": "PERTICA ALTA",
    "province": "BS"
  },
  "G475": {
    "municipe": "PERTICA BASSA",
    "province": "BS"
  },
  "G476": {
    "municipe": "PERTOSA",
    "province": "SA"
  },
  "G477": {
    "municipe": "PERTUSIO",
    "province": "TO"
  },
  "G478": {
    "municipe": "PERUGIA",
    "province": "PG"
  },
  "G479": {
    "municipe": "PESARO",
    "province": "PU"
  },
  "G480": {
    "municipe": "PESCAGLIA",
    "province": "LU"
  },
  "G481": {
    "municipe": "PESCANTINA",
    "province": "VR"
  },
  "G482": {
    "municipe": "PESCARA",
    "province": "PE"
  },
  "G483": {
    "municipe": "PESCAROLO ED UNITI",
    "province": "CR"
  },
  "G484": {
    "municipe": "PESCASSEROLI",
    "province": "AQ"
  },
  "G485": {
    "municipe": "PESCATE",
    "province": "LC"
  },
  "G486": {
    "municipe": "PESCHE",
    "province": "IS"
  },
  "G487": {
    "municipe": "PESCHICI",
    "province": "FG"
  },
  "G488": {
    "municipe": "PESCHIERA BORROMEO",
    "province": "MI"
  },
  "G489": {
    "municipe": "PESCHIERA DEL GARDA",
    "province": "VR"
  },
  "G491": {
    "municipe": "PESCIA",
    "province": "PT"
  },
  "G492": {
    "municipe": "PESCINA",
    "province": "AQ"
  },
  "G494": {
    "municipe": "PESCO SANNITA",
    "province": "BN"
  },
  "G493": {
    "municipe": "PESCOCOSTANZO",
    "province": "AQ"
  },
  "G495": {
    "municipe": "PESCOLANCIANO",
    "province": "IS"
  },
  "G496": {
    "municipe": "PESCOPAGANO",
    "province": "PZ"
  },
  "G497": {
    "municipe": "PESCOPENNATARO",
    "province": "IS"
  },
  "G498": {
    "municipe": "PESCOROCCHIANO",
    "province": "RI"
  },
  "G499": {
    "municipe": "PESCOSANSONESCO",
    "province": "PE"
  },
  "G500": {
    "municipe": "PESCOSOLIDO",
    "province": "FR"
  },
  "G502": {
    "municipe": "PESSANO CON BORNAGO",
    "province": "MI"
  },
  "G504": {
    "municipe": "PESSINA CREMONESE",
    "province": "CR"
  },
  "G505": {
    "municipe": "PESSINETTO",
    "province": "TO"
  },
  "G506": {
    "municipe": "PETACCIATO",
    "province": "CB"
  },
  "G508": {
    "municipe": "PETILIA POLICASTRO",
    "province": "KR"
  },
  "G509": {
    "municipe": "PETINA",
    "province": "SA"
  },
  "G510": {
    "municipe": "PETRALIA SOPRANA",
    "province": "PA"
  },
  "G511": {
    "municipe": "PETRALIA SOTTANA",
    "province": "PA"
  },
  "G513": {
    "municipe": "PETRELLA SALTO",
    "province": "RI"
  },
  "G512": {
    "municipe": "PETRELLA TIFERNINA",
    "province": "CB"
  },
  "G514": {
    "municipe": "PETRIANO",
    "province": "PU"
  },
  "G515": {
    "municipe": "PETRIOLO",
    "province": "MC"
  },
  "G516": {
    "municipe": "PETRITOLI",
    "province": "FM"
  },
  "G517": {
    "municipe": "PETRIZZI",
    "province": "CZ"
  },
  "G518": {
    "municipe": "PETRONA'",
    "province": "CZ"
  },
  "M281": {
    "municipe": "PETROSINO",
    "province": "TP"
  },
  "G519": {
    "municipe": "PETRURO IRPINO",
    "province": "AV"
  },
  "G520": {
    "municipe": "PETTENASCO",
    "province": "NO"
  },
  "G521": {
    "municipe": "PETTINENGO",
    "province": "BI"
  },
  "G522": {
    "municipe": "PETTINEO",
    "province": "ME"
  },
  "G523": {
    "municipe": "PETTORANELLO DEL MOLISE",
    "province": "IS"
  },
  "G524": {
    "municipe": "PETTORANO SUL GIZIO",
    "province": "AQ"
  },
  "G525": {
    "municipe": "PETTORAZZA GRIMANI",
    "province": "RO"
  },
  "G526": {
    "municipe": "PEVERAGNO",
    "province": "CN"
  },
  "G528": {
    "municipe": "PEZZANA",
    "province": "VC"
  },
  "G529": {
    "municipe": "PEZZAZE",
    "province": "BS"
  },
  "G532": {
    "municipe": "PEZZOLO VALLE UZZONE",
    "province": "CN"
  },
  "G535": {
    "municipe": "PIACENZA",
    "province": "PC"
  },
  "G534": {
    "municipe": "PIACENZA D'ADIGE",
    "province": "PD"
  },
  "M418": {
    "municipe": "PIADENA DRIZZONA",
    "province": "CR"
  },
  "G538": {
    "municipe": "PIAGGINE",
    "province": "SA"
  },
  "G546": {
    "municipe": "PIAN CAMUNO",
    "province": "BS"
  },
  "G542": {
    "municipe": "PIANA CRIXIA",
    "province": "SV"
  },
  "G543": {
    "municipe": "PIANA DEGLI ALBANESI",
    "province": "PA"
  },
  "G541": {
    "municipe": "PIANA DI MONTE VERNA",
    "province": "CE"
  },
  "G547": {
    "municipe": "PIANCASTAGNAIO",
    "province": "SI"
  },
  "G549": {
    "municipe": "PIANCOGNO",
    "province": "BS"
  },
  "G551": {
    "municipe": "PIANDIMELETO",
    "province": "PU"
  },
  "G553": {
    "municipe": "PIANE CRATI",
    "province": "CS"
  },
  "G555": {
    "municipe": "PIANELLA",
    "province": "PE"
  },
  "G556": {
    "municipe": "PIANELLO DEL LARIO",
    "province": "CO"
  },
  "G557": {
    "municipe": "PIANELLO VAL TIDONE",
    "province": "PC"
  },
  "G558": {
    "municipe": "PIANENGO",
    "province": "CR"
  },
  "G559": {
    "municipe": "PIANEZZA",
    "province": "TO"
  },
  "G560": {
    "municipe": "PIANEZZE",
    "province": "VI"
  },
  "G561": {
    "municipe": "PIANFEI",
    "province": "CN"
  },
  "G564": {
    "municipe": "PIANICO",
    "province": "BG"
  },
  "G565": {
    "municipe": "PIANIGA",
    "province": "VE"
  },
  "G568": {
    "municipe": "PIANO DI SORRENTO",
    "province": "NA"
  },
  "D546": {
    "municipe": "PIANOPOLI",
    "province": "CZ"
  },
  "G570": {
    "municipe": "PIANORO",
    "province": "BO"
  },
  "G571": {
    "municipe": "PIANSANO",
    "province": "VT"
  },
  "G572": {
    "municipe": "PIANTEDO",
    "province": "SO"
  },
  "G574": {
    "municipe": "PIARIO",
    "province": "BG"
  },
  "G575": {
    "municipe": "PIASCO",
    "province": "CN"
  },
  "G576": {
    "municipe": "PIATEDA",
    "province": "SO"
  },
  "G577": {
    "municipe": "PIATTO",
    "province": "BI"
  },
  "G582": {
    "municipe": "PIAZZA AL SERCHIO",
    "province": "LU"
  },
  "G580": {
    "municipe": "PIAZZA ARMERINA",
    "province": "EN"
  },
  "G579": {
    "municipe": "PIAZZA BREMBANA",
    "province": "BG"
  },
  "G583": {
    "municipe": "PIAZZATORRE",
    "province": "BG"
  },
  "G587": {
    "municipe": "PIAZZOLA SUL BRENTA",
    "province": "PD"
  },
  "G588": {
    "municipe": "PIAZZOLO",
    "province": "BG"
  },
  "G589": {
    "municipe": "PICCIANO",
    "province": "PE"
  },
  "G590": {
    "municipe": "PICERNO",
    "province": "PZ"
  },
  "G591": {
    "municipe": "PICINISCO",
    "province": "FR"
  },
  "G592": {
    "municipe": "PICO",
    "province": "FR"
  },
  "G593": {
    "municipe": "PIEA",
    "province": "AT"
  },
  "G594": {
    "municipe": "PIEDICAVALLO",
    "province": "BI"
  },
  "G597": {
    "municipe": "PIEDIMONTE ETNEO",
    "province": "CT"
  },
  "G596": {
    "municipe": "PIEDIMONTE MATESE",
    "province": "CE"
  },
  "G598": {
    "municipe": "PIEDIMONTE SAN GERMANO",
    "province": "FR"
  },
  "G600": {
    "municipe": "PIEDIMULERA",
    "province": "VB"
  },
  "G601": {
    "municipe": "PIEGARO",
    "province": "PG"
  },
  "G602": {
    "municipe": "PIENZA",
    "province": "SI"
  },
  "G603": {
    "municipe": "PIERANICA",
    "province": "CR"
  },
  "G612": {
    "municipe": "PIETRA DE' GIORGI",
    "province": "PV"
  },
  "G605": {
    "municipe": "PIETRA LIGURE",
    "province": "SV"
  },
  "G619": {
    "municipe": "PIETRA MARAZZI",
    "province": "AL"
  },
  "G606": {
    "municipe": "PIETRABBONDANTE",
    "province": "IS"
  },
  "G607": {
    "municipe": "PIETRABRUNA",
    "province": "IM"
  },
  "G608": {
    "municipe": "PIETRACAMELA",
    "province": "TE"
  },
  "G609": {
    "municipe": "PIETRACATELLA",
    "province": "CB"
  },
  "G610": {
    "municipe": "PIETRACUPA",
    "province": "CB"
  },
  "G611": {
    "municipe": "PIETRADEFUSI",
    "province": "AV"
  },
  "G613": {
    "municipe": "PIETRAFERRAZZANA",
    "province": "CH"
  },
  "G615": {
    "municipe": "PIETRAFITTA",
    "province": "CS"
  },
  "G616": {
    "municipe": "PIETRAGALLA",
    "province": "PZ"
  },
  "G618": {
    "municipe": "PIETRALUNGA",
    "province": "PG"
  },
  "G620": {
    "municipe": "PIETRAMELARA",
    "province": "CE"
  },
  "G604": {
    "municipe": "PIETRAMONTECORVINO",
    "province": "FG"
  },
  "G621": {
    "municipe": "PIETRANICO",
    "province": "PE"
  },
  "G622": {
    "municipe": "PIETRAPAOLA",
    "province": "CS"
  },
  "G623": {
    "municipe": "PIETRAPERTOSA",
    "province": "PZ"
  },
  "G624": {
    "municipe": "PIETRAPERZIA",
    "province": "EN"
  },
  "G625": {
    "municipe": "PIETRAPORZIO",
    "province": "CN"
  },
  "G626": {
    "municipe": "PIETRAROJA",
    "province": "BN"
  },
  "G627": {
    "municipe": "PIETRARUBBIA",
    "province": "PU"
  },
  "G628": {
    "municipe": "PIETRASANTA",
    "province": "LU"
  },
  "G629": {
    "municipe": "PIETRASTORNINA",
    "province": "AV"
  },
  "G630": {
    "municipe": "PIETRAVAIRANO",
    "province": "CE"
  },
  "G631": {
    "municipe": "PIETRELCINA",
    "province": "BN"
  },
  "G636": {
    "municipe": "PIEVE A NIEVOLE",
    "province": "PT"
  },
  "G635": {
    "municipe": "PIEVE ALBIGNOLA",
    "province": "PV"
  },
  "G647": {
    "municipe": "PIEVE D'OLMI",
    "province": "CR"
  },
  "G639": {
    "municipe": "PIEVE DEL CAIRO",
    "province": "PV"
  },
  "M422": {
    "municipe": "PIEVE DEL GRAPPA",
    "province": "TV"
  },
  "M365": {
    "municipe": "PIEVE DI BONO-PREZZO",
    "province": "TN"
  },
  "G642": {
    "municipe": "PIEVE DI CADORE",
    "province": "BL"
  },
  "G643": {
    "municipe": "PIEVE DI CENTO",
    "province": "BO"
  },
  "G645": {
    "municipe": "PIEVE DI SOLIGO",
    "province": "TV"
  },
  "G632": {
    "municipe": "PIEVE DI TECO",
    "province": "IM"
  },
  "G634": {
    "municipe": "PIEVE EMANUELE",
    "province": "MI"
  },
  "G096": {
    "municipe": "PIEVE FISSIRAGA",
    "province": "LO"
  },
  "G648": {
    "municipe": "PIEVE FOSCIANA",
    "province": "LU"
  },
  "G646": {
    "municipe": "PIEVE LIGURE",
    "province": "GE"
  },
  "G650": {
    "municipe": "PIEVE PORTO MORONE",
    "province": "PV"
  },
  "G651": {
    "municipe": "PIEVE SAN GIACOMO",
    "province": "CR"
  },
  "G653": {
    "municipe": "PIEVE SANTO STEFANO",
    "province": "AR"
  },
  "G656": {
    "municipe": "PIEVE TESINO",
    "province": "TN"
  },
  "G657": {
    "municipe": "PIEVE TORINA",
    "province": "MC"
  },
  "G658": {
    "municipe": "PIEVE VERGONTE",
    "province": "VB"
  },
  "G649": {
    "municipe": "PIEVEPELAGO",
    "province": "MO"
  },
  "G659": {
    "municipe": "PIGLIO",
    "province": "FR"
  },
  "G660": {
    "municipe": "PIGNA",
    "province": "IM"
  },
  "G662": {
    "municipe": "PIGNATARO INTERAMNA",
    "province": "FR"
  },
  "G661": {
    "municipe": "PIGNATARO MAGGIORE",
    "province": "CE"
  },
  "G663": {
    "municipe": "PIGNOLA",
    "province": "PZ"
  },
  "G664": {
    "municipe": "PIGNONE",
    "province": "SP"
  },
  "G665": {
    "municipe": "PIGRA",
    "province": "CO"
  },
  "G666": {
    "municipe": "PILA",
    "province": "VC"
  },
  "G669": {
    "municipe": "PIMENTEL",
    "province": "SU"
  },
  "G670": {
    "municipe": "PIMONTE",
    "province": "NA"
  },
  "G671": {
    "municipe": "PINAROLO PO",
    "province": "PV"
  },
  "G672": {
    "municipe": "PINASCA",
    "province": "TO"
  },
  "G673": {
    "municipe": "PINCARA",
    "province": "RO"
  },
  "G674": {
    "municipe": "PINEROLO",
    "province": "TO"
  },
  "F831": {
    "municipe": "PINETO",
    "province": "TE"
  },
  "G676": {
    "municipe": "PINO D'ASTI",
    "province": "AT"
  },
  "G678": {
    "municipe": "PINO TORINESE",
    "province": "TO"
  },
  "G680": {
    "municipe": "PINZANO AL TAGLIAMENTO",
    "province": "PN"
  },
  "G681": {
    "municipe": "PINZOLO",
    "province": "TN"
  },
  "G682": {
    "municipe": "PIOBBICO",
    "province": "PU"
  },
  "G683": {
    "municipe": "PIOBESI D'ALBA",
    "province": "CN"
  },
  "G684": {
    "municipe": "PIOBESI TORINESE",
    "province": "TO"
  },
  "G685": {
    "municipe": "PIODE",
    "province": "VC"
  },
  "G686": {
    "municipe": "PIOLTELLO",
    "province": "MI"
  },
  "G687": {
    "municipe": "PIOMBINO",
    "province": "LI"
  },
  "G688": {
    "municipe": "PIOMBINO DESE",
    "province": "PD"
  },
  "G690": {
    "municipe": "PIORACO",
    "province": "MC"
  },
  "G691": {
    "municipe": "PIOSSASCO",
    "province": "TO"
  },
  "G692": {
    "municipe": "PIOVA' MASSAIA",
    "province": "AT"
  },
  "G693": {
    "municipe": "PIOVE DI SACCO",
    "province": "PD"
  },
  "G694": {
    "municipe": "PIOVENE ROCCHETTE",
    "province": "VI"
  },
  "G696": {
    "municipe": "PIOZZANO",
    "province": "PC"
  },
  "G697": {
    "municipe": "PIOZZO",
    "province": "CN"
  },
  "G699": {
    "municipe": "PIRAINO",
    "province": "ME"
  },
  "G702": {
    "municipe": "PISA",
    "province": "PI"
  },
  "G703": {
    "municipe": "PISANO",
    "province": "NO"
  },
  "G705": {
    "municipe": "PISCINA",
    "province": "TO"
  },
  "M291": {
    "municipe": "PISCINAS",
    "province": "SU"
  },
  "G707": {
    "municipe": "PISCIOTTA",
    "province": "SA"
  },
  "G710": {
    "municipe": "PISOGNE",
    "province": "BS"
  },
  "G704": {
    "municipe": "PISONIANO",
    "province": "RM"
  },
  "G712": {
    "municipe": "PISTICCI",
    "province": "MT"
  },
  "G713": {
    "municipe": "PISTOIA",
    "province": "PT"
  },
  "G716": {
    "municipe": "PITIGLIANO",
    "province": "GR"
  },
  "G717": {
    "municipe": "PIUBEGA",
    "province": "MN"
  },
  "G718": {
    "municipe": "PIURO",
    "province": "SO"
  },
  "G719": {
    "municipe": "PIVERONE",
    "province": "TO"
  },
  "G720": {
    "municipe": "PIZZALE",
    "province": "PV"
  },
  "G721": {
    "municipe": "PIZZIGHETTONE",
    "province": "CR"
  },
  "G722": {
    "municipe": "PIZZO",
    "province": "VV"
  },
  "G724": {
    "municipe": "PIZZOFERRATO",
    "province": "CH"
  },
  "G726": {
    "municipe": "PIZZOLI",
    "province": "AQ"
  },
  "G727": {
    "municipe": "PIZZONE",
    "province": "IS"
  },
  "G728": {
    "municipe": "PIZZONI",
    "province": "VV"
  },
  "G729": {
    "municipe": "PLACANICA",
    "province": "RC"
  },
  "G733": {
    "municipe": "PLATACI",
    "province": "CS"
  },
  "G734": {
    "municipe": "PLATANIA",
    "province": "CZ"
  },
  "G735": {
    "municipe": "PLATI'",
    "province": "RC"
  },
  "G299": {
    "municipe": "PLAUS/PLAUS",
    "province": "BZ"
  },
  "G737": {
    "municipe": "PLESIO",
    "province": "CO"
  },
  "G740": {
    "municipe": "PLOAGHE",
    "province": "SS"
  },
  "G741": {
    "municipe": "PLODIO",
    "province": "SV"
  },
  "G742": {
    "municipe": "POCAPAGLIA",
    "province": "CN"
  },
  "G743": {
    "municipe": "POCENIA",
    "province": "UD"
  },
  "G746": {
    "municipe": "PODENZANA",
    "province": "MS"
  },
  "G747": {
    "municipe": "PODENZANO",
    "province": "PC"
  },
  "G749": {
    "municipe": "POFI",
    "province": "FR"
  },
  "G751": {
    "municipe": "POGGIARDO",
    "province": "LE"
  },
  "G752": {
    "municipe": "POGGIBONSI",
    "province": "SI"
  },
  "G754": {
    "municipe": "POGGIO A CAIANO",
    "province": "PO"
  },
  "G756": {
    "municipe": "POGGIO BUSTONE",
    "province": "RI"
  },
  "G757": {
    "municipe": "POGGIO CATINO",
    "province": "RI"
  },
  "G761": {
    "municipe": "POGGIO IMPERIALE",
    "province": "FG"
  },
  "G763": {
    "municipe": "POGGIO MIRTETO",
    "province": "RI"
  },
  "G764": {
    "municipe": "POGGIO MOIANO",
    "province": "RI"
  },
  "G765": {
    "municipe": "POGGIO NATIVO",
    "province": "RI"
  },
  "G766": {
    "municipe": "POGGIO PICENZE",
    "province": "AQ"
  },
  "G768": {
    "municipe": "POGGIO RENATICO",
    "province": "FE"
  },
  "G753": {
    "municipe": "POGGIO RUSCO",
    "province": "MN"
  },
  "G770": {
    "municipe": "POGGIO SAN LORENZO",
    "province": "RI"
  },
  "G771": {
    "municipe": "POGGIO SAN MARCELLO",
    "province": "AN"
  },
  "D566": {
    "municipe": "POGGIO SAN VICINO",
    "province": "MC"
  },
  "B317": {
    "municipe": "POGGIO SANNITA",
    "province": "IS"
  },
  "M324": {
    "municipe": "POGGIO TORRIANA",
    "province": "RN"
  },
  "G758": {
    "municipe": "POGGIODOMO",
    "province": "PG"
  },
  "G760": {
    "municipe": "POGGIOFIORITO",
    "province": "CH"
  },
  "G762": {
    "municipe": "POGGIOMARINO",
    "province": "NA"
  },
  "G767": {
    "municipe": "POGGIOREALE",
    "province": "TP"
  },
  "G769": {
    "municipe": "POGGIORSINI",
    "province": "BA"
  },
  "G431": {
    "municipe": "POGGIRIDENTI",
    "province": "SO"
  },
  "G772": {
    "municipe": "POGLIANO MILANESE",
    "province": "MI"
  },
  "G773": {
    "municipe": "POGNANA LARIO",
    "province": "CO"
  },
  "G774": {
    "municipe": "POGNANO",
    "province": "BG"
  },
  "G775": {
    "municipe": "POGNO",
    "province": "NO"
  },
  "G777": {
    "municipe": "POIRINO",
    "province": "TO"
  },
  "G776": {
    "municipe": "POJANA MAGGIORE",
    "province": "VI"
  },
  "G779": {
    "municipe": "POLAVENO",
    "province": "BS"
  },
  "G780": {
    "municipe": "POLCENIGO",
    "province": "PN"
  },
  "G782": {
    "municipe": "POLESELLA",
    "province": "RO"
  },
  "M367": {
    "municipe": "POLESINE ZIBELLO",
    "province": "PR"
  },
  "G784": {
    "municipe": "POLI",
    "province": "RM"
  },
  "G785": {
    "municipe": "POLIA",
    "province": "VV"
  },
  "G786": {
    "municipe": "POLICORO",
    "province": "MT"
  },
  "G787": {
    "municipe": "POLIGNANO A MARE",
    "province": "BA"
  },
  "G789": {
    "municipe": "POLINAGO",
    "province": "MO"
  },
  "G790": {
    "municipe": "POLINO",
    "province": "TR"
  },
  "G791": {
    "municipe": "POLISTENA",
    "province": "RC"
  },
  "G792": {
    "municipe": "POLIZZI GENEROSA",
    "province": "PA"
  },
  "G793": {
    "municipe": "POLLA",
    "province": "SA"
  },
  "G794": {
    "municipe": "POLLEIN",
    "province": "AO"
  },
  "G795": {
    "municipe": "POLLENA TROCCHIA",
    "province": "NA"
  },
  "F567": {
    "municipe": "POLLENZA",
    "province": "MC"
  },
  "G796": {
    "municipe": "POLLICA",
    "province": "SA"
  },
  "G797": {
    "municipe": "POLLINA",
    "province": "PA"
  },
  "G798": {
    "municipe": "POLLONE",
    "province": "BI"
  },
  "G799": {
    "municipe": "POLLUTRI",
    "province": "CH"
  },
  "G800": {
    "municipe": "POLONGHERA",
    "province": "CN"
  },
  "G801": {
    "municipe": "POLPENAZZE DEL GARDA",
    "province": "BS"
  },
  "G802": {
    "municipe": "POLVERARA",
    "province": "PD"
  },
  "G803": {
    "municipe": "POLVERIGI",
    "province": "AN"
  },
  "G804": {
    "municipe": "POMARANCE",
    "province": "PI"
  },
  "G805": {
    "municipe": "POMARETTO",
    "province": "TO"
  },
  "G806": {
    "municipe": "POMARICO",
    "province": "MT"
  },
  "G807": {
    "municipe": "POMARO MONFERRATO",
    "province": "AL"
  },
  "G808": {
    "municipe": "POMAROLO",
    "province": "TN"
  },
  "G809": {
    "municipe": "POMBIA",
    "province": "NO"
  },
  "G811": {
    "municipe": "POMEZIA",
    "province": "RM"
  },
  "G812": {
    "municipe": "POMIGLIANO D'ARCO",
    "province": "NA"
  },
  "G813": {
    "municipe": "POMPEI",
    "province": "NA"
  },
  "G814": {
    "municipe": "POMPEIANA",
    "province": "IM"
  },
  "G815": {
    "municipe": "POMPIANO",
    "province": "BS"
  },
  "G816": {
    "municipe": "POMPONESCO",
    "province": "MN"
  },
  "G817": {
    "municipe": "POMPU",
    "province": "OR"
  },
  "G818": {
    "municipe": "PONCARALE",
    "province": "BS"
  },
  "G820": {
    "municipe": "PONDERANO",
    "province": "BI"
  },
  "G821": {
    "municipe": "PONNA",
    "province": "CO"
  },
  "G822": {
    "municipe": "PONSACCO",
    "province": "PI"
  },
  "G823": {
    "municipe": "PONSO",
    "province": "PD"
  },
  "G826": {
    "municipe": "PONT-CANAVESE",
    "province": "TO"
  },
  "G854": {
    "municipe": "PONT-SAINT-MARTIN",
    "province": "AO"
  },
  "G825": {
    "municipe": "PONTASSIEVE",
    "province": "FI"
  },
  "G545": {
    "municipe": "PONTBOSET",
    "province": "AO"
  },
  "G827": {
    "municipe": "PONTE",
    "province": "BN"
  },
  "G833": {
    "municipe": "PONTE BUGGIANESE",
    "province": "PT"
  },
  "G842": {
    "municipe": "PONTE DELL'OLIO",
    "province": "PC"
  },
  "G844": {
    "municipe": "PONTE DI LEGNO",
    "province": "BS"
  },
  "G846": {
    "municipe": "PONTE DI PIAVE",
    "province": "TV"
  },
  "G830": {
    "municipe": "PONTE GARDENA/WAIDBRUCK",
    "province": "BZ"
  },
  "G829": {
    "municipe": "PONTE IN VALTELLINA",
    "province": "SO"
  },
  "G847": {
    "municipe": "PONTE LAMBRO",
    "province": "CO"
  },
  "B662": {
    "municipe": "PONTE NELLE ALPI",
    "province": "BL"
  },
  "G851": {
    "municipe": "PONTE NIZZA",
    "province": "PV"
  },
  "F941": {
    "municipe": "PONTE NOSSA",
    "province": "BG"
  },
  "G855": {
    "municipe": "PONTE SAN NICOLO'",
    "province": "PD"
  },
  "G856": {
    "municipe": "PONTE SAN PIETRO",
    "province": "BG"
  },
  "G831": {
    "municipe": "PONTEBBA",
    "province": "UD"
  },
  "G834": {
    "municipe": "PONTECAGNANO FAIANO",
    "province": "SA"
  },
  "G836": {
    "municipe": "PONTECCHIO POLESINE",
    "province": "RO"
  },
  "G837": {
    "municipe": "PONTECHIANALE",
    "province": "CN"
  },
  "G838": {
    "municipe": "PONTECORVO",
    "province": "FR"
  },
  "G839": {
    "municipe": "PONTECURONE",
    "province": "AL"
  },
  "G840": {
    "municipe": "PONTEDASSIO",
    "province": "IM"
  },
  "G843": {
    "municipe": "PONTEDERA",
    "province": "PI"
  },
  "G848": {
    "municipe": "PONTELANDOLFO",
    "province": "BN"
  },
  "G849": {
    "municipe": "PONTELATONE",
    "province": "CE"
  },
  "G850": {
    "municipe": "PONTELONGO",
    "province": "PD"
  },
  "G852": {
    "municipe": "PONTENURE",
    "province": "PC"
  },
  "G853": {
    "municipe": "PONTERANICA",
    "province": "BG"
  },
  "G858": {
    "municipe": "PONTESTURA",
    "province": "AL"
  },
  "G859": {
    "municipe": "PONTEVICO",
    "province": "BS"
  },
  "G860": {
    "municipe": "PONTEY",
    "province": "AO"
  },
  "G861": {
    "municipe": "PONTI",
    "province": "AL"
  },
  "G862": {
    "municipe": "PONTI SUL MINCIO",
    "province": "MN"
  },
  "G864": {
    "municipe": "PONTIDA",
    "province": "BG"
  },
  "G865": {
    "municipe": "PONTINIA",
    "province": "LT"
  },
  "G866": {
    "municipe": "PONTINVREA",
    "province": "SV"
  },
  "G867": {
    "municipe": "PONTIROLO NUOVO",
    "province": "BG"
  },
  "G869": {
    "municipe": "PONTOGLIO",
    "province": "BS"
  },
  "G870": {
    "municipe": "PONTREMOLI",
    "province": "MS"
  },
  "G871": {
    "municipe": "PONZA",
    "province": "LT"
  },
  "G873": {
    "municipe": "PONZANO DI FERMO",
    "province": "FM"
  },
  "G872": {
    "municipe": "PONZANO MONFERRATO",
    "province": "AL"
  },
  "G874": {
    "municipe": "PONZANO ROMANO",
    "province": "RM"
  },
  "G875": {
    "municipe": "PONZANO VENETO",
    "province": "TV"
  },
  "G877": {
    "municipe": "PONZONE",
    "province": "AL"
  },
  "G878": {
    "municipe": "POPOLI",
    "province": "PE"
  },
  "G879": {
    "municipe": "POPPI",
    "province": "AR"
  },
  "G881": {
    "municipe": "PORANO",
    "province": "TR"
  },
  "G882": {
    "municipe": "PORCARI",
    "province": "LU"
  },
  "G886": {
    "municipe": "PORCIA",
    "province": "PN"
  },
  "G888": {
    "municipe": "PORDENONE",
    "province": "PN"
  },
  "G889": {
    "municipe": "PORLEZZA",
    "province": "CO"
  },
  "G890": {
    "municipe": "PORNASSIO",
    "province": "IM"
  },
  "G891": {
    "municipe": "PORPETTO",
    "province": "UD"
  },
  "G894": {
    "municipe": "PORTACOMARO",
    "province": "AT"
  },
  "G895": {
    "municipe": "PORTALBERA",
    "province": "PV"
  },
  "G900": {
    "municipe": "PORTE",
    "province": "TO"
  },
  "M358": {
    "municipe": "PORTE DI RENDENA",
    "province": "TN"
  },
  "G902": {
    "municipe": "PORTICI",
    "province": "NA"
  },
  "G903": {
    "municipe": "PORTICO DI CASERTA",
    "province": "CE"
  },
  "G904": {
    "municipe": "PORTICO E SAN BENEDETTO",
    "province": "FC"
  },
  "G905": {
    "municipe": "PORTIGLIOLA",
    "province": "RC"
  },
  "E680": {
    "municipe": "PORTO AZZURRO",
    "province": "LI"
  },
  "G906": {
    "municipe": "PORTO CERESIO",
    "province": "VA"
  },
  "M263": {
    "municipe": "PORTO CESAREO",
    "province": "LE"
  },
  "F299": {
    "municipe": "PORTO EMPEDOCLE",
    "province": "AG"
  },
  "G917": {
    "municipe": "PORTO MANTOVANO",
    "province": "MN"
  },
  "G919": {
    "municipe": "PORTO RECANATI",
    "province": "MC"
  },
  "G920": {
    "municipe": "PORTO SAN GIORGIO",
    "province": "FM"
  },
  "G921": {
    "municipe": "PORTO SANT'ELPIDIO",
    "province": "FM"
  },
  "G923": {
    "municipe": "PORTO TOLLE",
    "province": "RO"
  },
  "G924": {
    "municipe": "PORTO TORRES",
    "province": "SS"
  },
  "G907": {
    "municipe": "PORTO VALTRAVAGLIA",
    "province": "VA"
  },
  "G926": {
    "municipe": "PORTO VIRO",
    "province": "RO"
  },
  "G909": {
    "municipe": "PORTOBUFFOLE'",
    "province": "TV"
  },
  "G910": {
    "municipe": "PORTOCANNONE",
    "province": "CB"
  },
  "G912": {
    "municipe": "PORTOFERRAIO",
    "province": "LI"
  },
  "G913": {
    "municipe": "PORTOFINO",
    "province": "GE"
  },
  "G914": {
    "municipe": "PORTOGRUARO",
    "province": "VE"
  },
  "G916": {
    "municipe": "PORTOMAGGIORE",
    "province": "FE"
  },
  "M257": {
    "municipe": "PORTOPALO DI CAPO PASSERO",
    "province": "SR"
  },
  "G922": {
    "municipe": "PORTOSCUSO",
    "province": "SU"
  },
  "G925": {
    "municipe": "PORTOVENERE",
    "province": "SP"
  },
  "G927": {
    "municipe": "PORTULA",
    "province": "BI"
  },
  "G929": {
    "municipe": "POSADA",
    "province": "NU"
  },
  "G931": {
    "municipe": "POSINA",
    "province": "VI"
  },
  "G932": {
    "municipe": "POSITANO",
    "province": "SA"
  },
  "G933": {
    "municipe": "POSSAGNO",
    "province": "TV"
  },
  "G934": {
    "municipe": "POSTA",
    "province": "RI"
  },
  "G935": {
    "municipe": "POSTA FIBRENO",
    "province": "FR"
  },
  "G936": {
    "municipe": "POSTAL/BURGSTALL",
    "province": "BZ"
  },
  "G937": {
    "municipe": "POSTALESIO",
    "province": "SO"
  },
  "G939": {
    "municipe": "POSTIGLIONE",
    "province": "SA"
  },
  "G940": {
    "municipe": "POSTUA",
    "province": "VC"
  },
  "G942": {
    "municipe": "POTENZA",
    "province": "PZ"
  },
  "F632": {
    "municipe": "POTENZA PICENA",
    "province": "MC"
  },
  "G943": {
    "municipe": "POVE DEL GRAPPA",
    "province": "VI"
  },
  "G944": {
    "municipe": "POVEGLIANO",
    "province": "TV"
  },
  "G945": {
    "municipe": "POVEGLIANO VERONESE",
    "province": "VR"
  },
  "G947": {
    "municipe": "POVIGLIO",
    "province": "RE"
  },
  "G949": {
    "municipe": "POVOLETTO",
    "province": "UD"
  },
  "G951": {
    "municipe": "POZZAGLIA SABINA",
    "province": "RI"
  },
  "B914": {
    "municipe": "POZZAGLIO ED UNITI",
    "province": "CR"
  },
  "G953": {
    "municipe": "POZZALLO",
    "province": "RG"
  },
  "G954": {
    "municipe": "POZZILLI",
    "province": "IS"
  },
  "G955": {
    "municipe": "POZZO D'ADDA",
    "province": "MI"
  },
  "G960": {
    "municipe": "POZZOL GROPPO",
    "province": "AL"
  },
  "G959": {
    "municipe": "POZZOLENGO",
    "province": "BS"
  },
  "G957": {
    "municipe": "POZZOLEONE",
    "province": "VI"
  },
  "G961": {
    "municipe": "POZZOLO FORMIGARO",
    "province": "AL"
  },
  "G962": {
    "municipe": "POZZOMAGGIORE",
    "province": "SS"
  },
  "G963": {
    "municipe": "POZZONOVO",
    "province": "PD"
  },
  "G964": {
    "municipe": "POZZUOLI",
    "province": "NA"
  },
  "G966": {
    "municipe": "POZZUOLO DEL FRIULI",
    "province": "UD"
  },
  "G965": {
    "municipe": "POZZUOLO MARTESANA",
    "province": "MI"
  },
  "G968": {
    "municipe": "PRADALUNGA",
    "province": "BG"
  },
  "G969": {
    "municipe": "PRADAMANO",
    "province": "UD"
  },
  "G970": {
    "municipe": "PRADLEVES",
    "province": "CN"
  },
  "G973": {
    "municipe": "PRAGELATO",
    "province": "TO"
  },
  "G975": {
    "municipe": "PRAIA A MARE",
    "province": "CS"
  },
  "G976": {
    "municipe": "PRAIANO",
    "province": "SA"
  },
  "G977": {
    "municipe": "PRALBOINO",
    "province": "BS"
  },
  "G978": {
    "municipe": "PRALI",
    "province": "TO"
  },
  "G979": {
    "municipe": "PRALORMO",
    "province": "TO"
  },
  "G980": {
    "municipe": "PRALUNGO",
    "province": "BI"
  },
  "G981": {
    "municipe": "PRAMAGGIORE",
    "province": "VE"
  },
  "G982": {
    "municipe": "PRAMOLLO",
    "province": "TO"
  },
  "G985": {
    "municipe": "PRAROLO",
    "province": "VC"
  },
  "G986": {
    "municipe": "PRAROSTINO",
    "province": "TO"
  },
  "G987": {
    "municipe": "PRASCO",
    "province": "AL"
  },
  "G988": {
    "municipe": "PRASCORSANO",
    "province": "TO"
  },
  "G993": {
    "municipe": "PRATA CAMPORTACCIO",
    "province": "SO"
  },
  "G992": {
    "municipe": "PRATA D'ANSIDONIA",
    "province": "AQ"
  },
  "G994": {
    "municipe": "PRATA DI PORDENONE",
    "province": "PN"
  },
  "G990": {
    "municipe": "PRATA DI PRINCIPATO ULTRA",
    "province": "AV"
  },
  "G991": {
    "municipe": "PRATA SANNITA",
    "province": "CE"
  },
  "G995": {
    "municipe": "PRATELLA",
    "province": "CE"
  },
  "G997": {
    "municipe": "PRATIGLIONE",
    "province": "TO"
  },
  "G999": {
    "municipe": "PRATO",
    "province": "PO"
  },
  "H004": {
    "municipe": "PRATO ALLO STELVIO/PRAD AM STILFSER JOCH",
    "province": "BZ"
  },
  "H002": {
    "municipe": "PRATO CARNICO",
    "province": "UD"
  },
  "H001": {
    "municipe": "PRATO SESIA",
    "province": "NO"
  },
  "H007": {
    "municipe": "PRATOLA PELIGNA",
    "province": "AQ"
  },
  "H006": {
    "municipe": "PRATOLA SERRA",
    "province": "AV"
  },
  "M329": {
    "municipe": "PRATOVECCHIO STIA",
    "province": "AR"
  },
  "H010": {
    "municipe": "PRAVISDOMINI",
    "province": "PN"
  },
  "G974": {
    "municipe": "PRAY",
    "province": "BI"
  },
  "H011": {
    "municipe": "PRAZZO",
    "province": "CN"
  },
  "H042": {
    "municipe": "PRE'-SAINT-DIDIER",
    "province": "AO"
  },
  "H014": {
    "municipe": "PRECENICCO",
    "province": "UD"
  },
  "H015": {
    "municipe": "PRECI",
    "province": "PG"
  },
  "M344": {
    "municipe": "PREDAIA",
    "province": "TN"
  },
  "H017": {
    "municipe": "PREDAPPIO",
    "province": "FC"
  },
  "H018": {
    "municipe": "PREDAZZO",
    "province": "TN"
  },
  "H019": {
    "municipe": "PREDOI/PRETTAU",
    "province": "BZ"
  },
  "H020": {
    "municipe": "PREDORE",
    "province": "BG"
  },
  "H021": {
    "municipe": "PREDOSA",
    "province": "AL"
  },
  "H022": {
    "municipe": "PREGANZIOL",
    "province": "TV"
  },
  "H026": {
    "municipe": "PREGNANA MILANESE",
    "province": "MI"
  },
  "H027": {
    "municipe": "PRELA'",
    "province": "IM"
  },
  "H028": {
    "municipe": "PREMANA",
    "province": "LC"
  },
  "H029": {
    "municipe": "PREMARIACCO",
    "province": "UD"
  },
  "H030": {
    "municipe": "PREMENO",
    "province": "VB"
  },
  "H033": {
    "municipe": "PREMIA",
    "province": "VB"
  },
  "H034": {
    "municipe": "PREMILCUORE",
    "province": "FC"
  },
  "H036": {
    "municipe": "PREMOLO",
    "province": "BG"
  },
  "H037": {
    "municipe": "PREMOSELLO-CHIOVENDA",
    "province": "VB"
  },
  "H038": {
    "municipe": "PREONE",
    "province": "UD"
  },
  "H040": {
    "municipe": "PREPOTTO",
    "province": "UD"
  },
  "H043": {
    "municipe": "PRESEGLIE",
    "province": "BS"
  },
  "H045": {
    "municipe": "PRESENZANO",
    "province": "CE"
  },
  "H046": {
    "municipe": "PRESEZZO",
    "province": "BG"
  },
  "M428": {
    "municipe": "PRESICCE-ACQUARICA",
    "province": "LE"
  },
  "H048": {
    "municipe": "PRESSANA",
    "province": "VR"
  },
  "H052": {
    "municipe": "PRETORO",
    "province": "CH"
  },
  "H055": {
    "municipe": "PREVALLE",
    "province": "BS"
  },
  "H056": {
    "municipe": "PREZZA",
    "province": "AQ"
  },
  "H059": {
    "municipe": "PRIERO",
    "province": "CN"
  },
  "H062": {
    "municipe": "PRIGNANO CILENTO",
    "province": "SA"
  },
  "H061": {
    "municipe": "PRIGNANO SULLA SECCHIA",
    "province": "MO"
  },
  "H063": {
    "municipe": "PRIMALUNA",
    "province": "LC"
  },
  "M359": {
    "municipe": "PRIMIERO SAN MARTINO DI CASTROZZA",
    "province": "TN"
  },
  "H068": {
    "municipe": "PRIOCCA",
    "province": "CN"
  },
  "H069": {
    "municipe": "PRIOLA",
    "province": "CN"
  },
  "M279": {
    "municipe": "PRIOLO GARGALLO",
    "province": "SR"
  },
  "G698": {
    "municipe": "PRIVERNO",
    "province": "LT"
  },
  "H070": {
    "municipe": "PRIZZI",
    "province": "PA"
  },
  "H071": {
    "municipe": "PROCENO",
    "province": "VT"
  },
  "H072": {
    "municipe": "PROCIDA",
    "province": "NA"
  },
  "H073": {
    "municipe": "PROPATA",
    "province": "GE"
  },
  "H074": {
    "municipe": "PROSERPIO",
    "province": "CO"
  },
  "H076": {
    "municipe": "PROSSEDI",
    "province": "LT"
  },
  "H078": {
    "municipe": "PROVAGLIO D'ISEO",
    "province": "BS"
  },
  "H077": {
    "municipe": "PROVAGLIO VAL SABBIA",
    "province": "BS"
  },
  "H081": {
    "municipe": "PROVES/PROVEIS",
    "province": "BZ"
  },
  "H083": {
    "municipe": "PROVVIDENTI",
    "province": "CB"
  },
  "H085": {
    "municipe": "PRUNETTO",
    "province": "CN"
  },
  "H086": {
    "municipe": "PUEGNAGO DEL GARDA",
    "province": "BS"
  },
  "H087": {
    "municipe": "PUGLIANELLO",
    "province": "BN"
  },
  "H088": {
    "municipe": "PULA",
    "province": "CA"
  },
  "H089": {
    "municipe": "PULFERO",
    "province": "UD"
  },
  "H090": {
    "municipe": "PULSANO",
    "province": "TA"
  },
  "H091": {
    "municipe": "PUMENENGO",
    "province": "BG"
  },
  "H094": {
    "municipe": "PUSIANO",
    "province": "CO"
  },
  "H095": {
    "municipe": "PUTIFIGARI",
    "province": "SS"
  },
  "H096": {
    "municipe": "PUTIGNANO",
    "province": "BA"
  },
  "H097": {
    "municipe": "QUADRELLE",
    "province": "AV"
  },
  "H098": {
    "municipe": "QUADRI",
    "province": "CH"
  },
  "H100": {
    "municipe": "QUAGLIUZZO",
    "province": "TO"
  },
  "H101": {
    "municipe": "QUALIANO",
    "province": "NA"
  },
  "H102": {
    "municipe": "QUARANTI",
    "province": "AT"
  },
  "M414": {
    "municipe": "QUAREGNA CERRETO",
    "province": "BI"
  },
  "H104": {
    "municipe": "QUARGNENTO",
    "province": "AL"
  },
  "H106": {
    "municipe": "QUARNA SOPRA",
    "province": "VB"
  },
  "H107": {
    "municipe": "QUARNA SOTTO",
    "province": "VB"
  },
  "H108": {
    "municipe": "QUARONA",
    "province": "VC"
  },
  "H109": {
    "municipe": "QUARRATA",
    "province": "PT"
  },
  "H110": {
    "municipe": "QUART",
    "province": "AO"
  },
  "H114": {
    "municipe": "QUARTO",
    "province": "NA"
  },
  "H117": {
    "municipe": "QUARTO D'ALTINO",
    "province": "VE"
  },
  "H118": {
    "municipe": "QUARTU SANT'ELENA",
    "province": "CA"
  },
  "H119": {
    "municipe": "QUARTUCCIU",
    "province": "CA"
  },
  "H120": {
    "municipe": "QUASSOLO",
    "province": "TO"
  },
  "H121": {
    "municipe": "QUATTORDIO",
    "province": "AL"
  },
  "H122": {
    "municipe": "QUATTRO CASTELLA",
    "province": "RE"
  },
  "M332": {
    "municipe": "QUERO VAS",
    "province": "BL"
  },
  "H126": {
    "municipe": "QUILIANO",
    "province": "SV"
  },
  "H127": {
    "municipe": "QUINCINETTO",
    "province": "TO"
  },
  "H128": {
    "municipe": "QUINDICI",
    "province": "AV"
  },
  "H129": {
    "municipe": "QUINGENTOLE",
    "province": "MN"
  },
  "H130": {
    "municipe": "QUINTANO",
    "province": "CR"
  },
  "H131": {
    "municipe": "QUINTO DI TREVISO",
    "province": "TV"
  },
  "H132": {
    "municipe": "QUINTO VERCELLESE",
    "province": "VC"
  },
  "H134": {
    "municipe": "QUINTO VICENTINO",
    "province": "VI"
  },
  "H140": {
    "municipe": "QUINZANO D'OGLIO",
    "province": "BS"
  },
  "H143": {
    "municipe": "QUISTELLO",
    "province": "MN"
  },
  "H146": {
    "municipe": "RABBI",
    "province": "TN"
  },
  "H147": {
    "municipe": "RACALE",
    "province": "LE"
  },
  "H148": {
    "municipe": "RACALMUTO",
    "province": "AG"
  },
  "H150": {
    "municipe": "RACCONIGI",
    "province": "CN"
  },
  "H151": {
    "municipe": "RACCUJA",
    "province": "ME"
  },
  "H152": {
    "municipe": "RACINES/RATSCHINGS",
    "province": "BZ"
  },
  "H153": {
    "municipe": "RADDA IN CHIANTI",
    "province": "SI"
  },
  "H154": {
    "municipe": "RADDUSA",
    "province": "CT"
  },
  "H156": {
    "municipe": "RADICOFANI",
    "province": "SI"
  },
  "H157": {
    "municipe": "RADICONDOLI",
    "province": "SI"
  },
  "H159": {
    "municipe": "RAFFADALI",
    "province": "AG"
  },
  "M287": {
    "municipe": "RAGALNA",
    "province": "CT"
  },
  "H161": {
    "municipe": "RAGOGNA",
    "province": "UD"
  },
  "H163": {
    "municipe": "RAGUSA",
    "province": "RG"
  },
  "H166": {
    "municipe": "RAIANO",
    "province": "AQ"
  },
  "H168": {
    "municipe": "RAMACCA",
    "province": "CT"
  },
  "H173": {
    "municipe": "RANCIO VALCUVIA",
    "province": "VA"
  },
  "H174": {
    "municipe": "RANCO",
    "province": "VA"
  },
  "H175": {
    "municipe": "RANDAZZO",
    "province": "CT"
  },
  "H176": {
    "municipe": "RANICA",
    "province": "BG"
  },
  "H177": {
    "municipe": "RANZANICO",
    "province": "BG"
  },
  "H180": {
    "municipe": "RANZO",
    "province": "IM"
  },
  "H182": {
    "municipe": "RAPAGNANO",
    "province": "FM"
  },
  "H183": {
    "municipe": "RAPALLO",
    "province": "GE"
  },
  "H184": {
    "municipe": "RAPINO",
    "province": "CH"
  },
  "H185": {
    "municipe": "RAPOLANO TERME",
    "province": "SI"
  },
  "H186": {
    "municipe": "RAPOLLA",
    "province": "PZ"
  },
  "H187": {
    "municipe": "RAPONE",
    "province": "PZ"
  },
  "H188": {
    "municipe": "RASSA",
    "province": "VC"
  },
  "H189": {
    "municipe": "RASUN ANTERSELVA/RASEN-ANTHOLZ",
    "province": "BZ"
  },
  "H192": {
    "municipe": "RASURA",
    "province": "SO"
  },
  "H194": {
    "municipe": "RAVANUSA",
    "province": "AG"
  },
  "H195": {
    "municipe": "RAVARINO",
    "province": "MO"
  },
  "H196": {
    "municipe": "RAVASCLETTO",
    "province": "UD"
  },
  "H198": {
    "municipe": "RAVELLO",
    "province": "SA"
  },
  "H199": {
    "municipe": "RAVENNA",
    "province": "RA"
  },
  "H200": {
    "municipe": "RAVEO",
    "province": "UD"
  },
  "H202": {
    "municipe": "RAVISCANINA",
    "province": "CE"
  },
  "H203": {
    "municipe": "RE",
    "province": "VB"
  },
  "H204": {
    "municipe": "REA",
    "province": "PV"
  },
  "H205": {
    "municipe": "REALMONTE",
    "province": "AG"
  },
  "H206": {
    "municipe": "REANA DEL ROJALE",
    "province": "UD"
  },
  "H207": {
    "municipe": "REANO",
    "province": "TO"
  },
  "H210": {
    "municipe": "RECALE",
    "province": "CE"
  },
  "H211": {
    "municipe": "RECANATI",
    "province": "MC"
  },
  "H212": {
    "municipe": "RECCO",
    "province": "GE"
  },
  "H213": {
    "municipe": "RECETTO",
    "province": "NO"
  },
  "H214": {
    "municipe": "RECOARO TERME",
    "province": "VI"
  },
  "H216": {
    "municipe": "REDAVALLE",
    "province": "PV"
  },
  "H218": {
    "municipe": "REDONDESCO",
    "province": "MN"
  },
  "H219": {
    "municipe": "REFRANCORE",
    "province": "AT"
  },
  "H220": {
    "municipe": "REFRONTOLO",
    "province": "TV"
  },
  "H221": {
    "municipe": "REGALBUTO",
    "province": "EN"
  },
  "H222": {
    "municipe": "REGGELLO",
    "province": "FI"
  },
  "H224": {
    "municipe": "REGGIO DI CALABRIA",
    "province": "RC"
  },
  "H223": {
    "municipe": "REGGIO NELL'EMILIA",
    "province": "RE"
  },
  "H225": {
    "municipe": "REGGIOLO",
    "province": "RE"
  },
  "H227": {
    "municipe": "REINO",
    "province": "BN"
  },
  "H228": {
    "municipe": "REITANO",
    "province": "ME"
  },
  "H229": {
    "municipe": "REMANZACCO",
    "province": "UD"
  },
  "H230": {
    "municipe": "REMEDELLO",
    "province": "BS"
  },
  "H233": {
    "municipe": "RENATE",
    "province": "MB"
  },
  "H235": {
    "municipe": "RENDE",
    "province": "CS"
  },
  "H236": {
    "municipe": "RENON/RITTEN",
    "province": "BZ"
  },
  "H238": {
    "municipe": "RESANA",
    "province": "TV"
  },
  "H240": {
    "municipe": "RESCALDINA",
    "province": "MI"
  },
  "H242": {
    "municipe": "RESIA",
    "province": "UD"
  },
  "H244": {
    "municipe": "RESIUTTA",
    "province": "UD"
  },
  "H245": {
    "municipe": "RESUTTANO",
    "province": "CL"
  },
  "H246": {
    "municipe": "RETORBIDO",
    "province": "PV"
  },
  "H247": {
    "municipe": "REVELLO",
    "province": "CN"
  },
  "H250": {
    "municipe": "REVIGLIASCO D'ASTI",
    "province": "AT"
  },
  "H253": {
    "municipe": "REVINE LAGO",
    "province": "TV"
  },
  "H255": {
    "municipe": "REZZAGO",
    "province": "CO"
  },
  "H256": {
    "municipe": "REZZATO",
    "province": "BS"
  },
  "H257": {
    "municipe": "REZZO",
    "province": "IM"
  },
  "H258": {
    "municipe": "REZZOAGLIO",
    "province": "GE"
  },
  "H262": {
    "municipe": "RHEMES-NOTRE-DAME",
    "province": "AO"
  },
  "H263": {
    "municipe": "RHEMES-SAINT-GEORGES",
    "province": "AO"
  },
  "H264": {
    "municipe": "RHO",
    "province": "MI"
  },
  "H265": {
    "municipe": "RIACE",
    "province": "RC"
  },
  "H266": {
    "municipe": "RIALTO",
    "province": "SV"
  },
  "H267": {
    "municipe": "RIANO",
    "province": "RM"
  },
  "H268": {
    "municipe": "RIARDO",
    "province": "CE"
  },
  "H269": {
    "municipe": "RIBERA",
    "province": "AG"
  },
  "H270": {
    "municipe": "RIBORDONE",
    "province": "TO"
  },
  "H271": {
    "municipe": "RICADI",
    "province": "VV"
  },
  "H272": {
    "municipe": "RICALDONE",
    "province": "AL"
  },
  "H273": {
    "municipe": "RICCIA",
    "province": "CB"
  },
  "H274": {
    "municipe": "RICCIONE",
    "province": "RN"
  },
  "H275": {
    "municipe": "RICCO' DEL GOLFO DI SPEZIA",
    "province": "SP"
  },
  "H276": {
    "municipe": "RICENGO",
    "province": "CR"
  },
  "H277": {
    "municipe": "RICIGLIANO",
    "province": "SA"
  },
  "H280": {
    "municipe": "RIESE PIO X",
    "province": "TV"
  },
  "H281": {
    "municipe": "RIESI",
    "province": "CL"
  },
  "H282": {
    "municipe": "RIETI",
    "province": "RI"
  },
  "H284": {
    "municipe": "RIFIANO/RIFFIAN",
    "province": "BZ"
  },
  "H285": {
    "municipe": "RIFREDDO",
    "province": "CN"
  },
  "H288": {
    "municipe": "RIGNANO FLAMINIO",
    "province": "RM"
  },
  "H287": {
    "municipe": "RIGNANO GARGANICO",
    "province": "FG"
  },
  "H286": {
    "municipe": "RIGNANO SULL'ARNO",
    "province": "FI"
  },
  "H289": {
    "municipe": "RIGOLATO",
    "province": "UD"
  },
  "H293": {
    "municipe": "RIMELLA",
    "province": "VC"
  },
  "H294": {
    "municipe": "RIMINI",
    "province": "RN"
  },
  "M391": {
    "municipe": "RIO",
    "province": "LI"
  },
  "H299": {
    "municipe": "RIO DI PUSTERIA/MUHLBACH",
    "province": "BZ"
  },
  "H298": {
    "municipe": "RIO SALICETO",
    "province": "RE"
  },
  "H300": {
    "municipe": "RIOFREDDO",
    "province": "RM"
  },
  "H301": {
    "municipe": "RIOLA SARDO",
    "province": "OR"
  },
  "H302": {
    "municipe": "RIOLO TERME",
    "province": "RA"
  },
  "H303": {
    "municipe": "RIOLUNATO",
    "province": "MO"
  },
  "H304": {
    "municipe": "RIOMAGGIORE",
    "province": "SP"
  },
  "H307": {
    "municipe": "RIONERO IN VULTURE",
    "province": "PZ"
  },
  "H308": {
    "municipe": "RIONERO SANNITICO",
    "province": "IS"
  },
  "H320": {
    "municipe": "RIPA TEATINA",
    "province": "CH"
  },
  "H311": {
    "municipe": "RIPABOTTONI",
    "province": "CB"
  },
  "H312": {
    "municipe": "RIPACANDIDA",
    "province": "PZ"
  },
  "H313": {
    "municipe": "RIPALIMOSANI",
    "province": "CB"
  },
  "H314": {
    "municipe": "RIPALTA ARPINA",
    "province": "CR"
  },
  "H315": {
    "municipe": "RIPALTA CREMASCA",
    "province": "CR"
  },
  "H316": {
    "municipe": "RIPALTA GUERINA",
    "province": "CR"
  },
  "H319": {
    "municipe": "RIPARBELLA",
    "province": "PI"
  },
  "H321": {
    "municipe": "RIPATRANSONE",
    "province": "AP"
  },
  "H323": {
    "municipe": "RIPE SAN GINESIO",
    "province": "MC"
  },
  "H324": {
    "municipe": "RIPI",
    "province": "FR"
  },
  "H325": {
    "municipe": "RIPOSTO",
    "province": "CT"
  },
  "H326": {
    "municipe": "RITTANA",
    "province": "CN"
  },
  "H330": {
    "municipe": "RIVA DEL GARDA",
    "province": "TN"
  },
  "M410": {
    "municipe": "RIVA DEL PO",
    "province": "FE"
  },
  "H331": {
    "municipe": "RIVA DI SOLTO",
    "province": "BG"
  },
  "H328": {
    "municipe": "RIVA LIGURE",
    "province": "IM"
  },
  "H337": {
    "municipe": "RIVA PRESSO CHIERI",
    "province": "TO"
  },
  "H333": {
    "municipe": "RIVALBA",
    "province": "TO"
  },
  "H334": {
    "municipe": "RIVALTA BORMIDA",
    "province": "AL"
  },
  "H335": {
    "municipe": "RIVALTA DI TORINO",
    "province": "TO"
  },
  "H327": {
    "municipe": "RIVAMONTE AGORDINO",
    "province": "BL"
  },
  "H336": {
    "municipe": "RIVANAZZANO TERME",
    "province": "PV"
  },
  "H338": {
    "municipe": "RIVARA",
    "province": "TO"
  },
  "H340": {
    "municipe": "RIVAROLO CANAVESE",
    "province": "TO"
  },
  "H341": {
    "municipe": "RIVAROLO DEL RE ED UNITI",
    "province": "CR"
  },
  "H342": {
    "municipe": "RIVAROLO MANTOVANO",
    "province": "MN"
  },
  "H343": {
    "municipe": "RIVARONE",
    "province": "AL"
  },
  "H344": {
    "municipe": "RIVAROSSA",
    "province": "TO"
  },
  "H346": {
    "municipe": "RIVE",
    "province": "VC"
  },
  "H347": {
    "municipe": "RIVE D'ARCANO",
    "province": "UD"
  },
  "H348": {
    "municipe": "RIVELLO",
    "province": "PZ"
  },
  "H350": {
    "municipe": "RIVERGARO",
    "province": "PC"
  },
  "M317": {
    "municipe": "RIVIGNANO TEOR",
    "province": "UD"
  },
  "H353": {
    "municipe": "RIVISONDOLI",
    "province": "AQ"
  },
  "H354": {
    "municipe": "RIVODUTRI",
    "province": "RI"
  },
  "H355": {
    "municipe": "RIVOLI",
    "province": "TO"
  },
  "H356": {
    "municipe": "RIVOLI VERONESE",
    "province": "VR"
  },
  "H357": {
    "municipe": "RIVOLTA D'ADDA",
    "province": "CR"
  },
  "H359": {
    "municipe": "RIZZICONI",
    "province": "RC"
  },
  "H361": {
    "municipe": "ROANA",
    "province": "VI"
  },
  "H362": {
    "municipe": "ROASCHIA",
    "province": "CN"
  },
  "H363": {
    "municipe": "ROASCIO",
    "province": "CN"
  },
  "H365": {
    "municipe": "ROASIO",
    "province": "VC"
  },
  "H366": {
    "municipe": "ROATTO",
    "province": "AT"
  },
  "H367": {
    "municipe": "ROBASSOMERO",
    "province": "TO"
  },
  "G223": {
    "municipe": "ROBBIATE",
    "province": "LC"
  },
  "H369": {
    "municipe": "ROBBIO",
    "province": "PV"
  },
  "H371": {
    "municipe": "ROBECCHETTO CON INDUNO",
    "province": "MI"
  },
  "H372": {
    "municipe": "ROBECCO D'OGLIO",
    "province": "CR"
  },
  "H375": {
    "municipe": "ROBECCO PAVESE",
    "province": "PV"
  },
  "H373": {
    "municipe": "ROBECCO SUL NAVIGLIO",
    "province": "MI"
  },
  "H376": {
    "municipe": "ROBELLA",
    "province": "AT"
  },
  "H377": {
    "municipe": "ROBILANTE",
    "province": "CN"
  },
  "H378": {
    "municipe": "ROBURENT",
    "province": "CN"
  },
  "H386": {
    "municipe": "ROCCA CANAVESE",
    "province": "TO"
  },
  "H387": {
    "municipe": "ROCCA CANTERANO",
    "province": "RM"
  },
  "H391": {
    "municipe": "ROCCA CIGLIE'",
    "province": "CN"
  },
  "H392": {
    "municipe": "ROCCA D'ARAZZO",
    "province": "AT"
  },
  "H393": {
    "municipe": "ROCCA D'ARCE",
    "province": "FR"
  },
  "H398": {
    "municipe": "ROCCA D'EVANDRO",
    "province": "CE"
  },
  "H395": {
    "municipe": "ROCCA DE' BALDI",
    "province": "CN"
  },
  "H396": {
    "municipe": "ROCCA DE' GIORGI",
    "province": "PV"
  },
  "H399": {
    "municipe": "ROCCA DI BOTTE",
    "province": "AQ"
  },
  "H400": {
    "municipe": "ROCCA DI CAMBIO",
    "province": "AQ"
  },
  "H401": {
    "municipe": "ROCCA DI CAVE",
    "province": "RM"
  },
  "H402": {
    "municipe": "ROCCA DI MEZZO",
    "province": "AQ"
  },
  "H403": {
    "municipe": "ROCCA DI NETO",
    "province": "KR"
  },
  "H404": {
    "municipe": "ROCCA DI PAPA",
    "province": "RM"
  },
  "H414": {
    "municipe": "ROCCA GRIMALDA",
    "province": "AL"
  },
  "H416": {
    "municipe": "ROCCA IMPERIALE",
    "province": "CS"
  },
  "H421": {
    "municipe": "ROCCA MASSIMA",
    "province": "LT"
  },
  "H429": {
    "municipe": "ROCCA PIA",
    "province": "AQ"
  },
  "H379": {
    "municipe": "ROCCA PIETORE",
    "province": "BL"
  },
  "H432": {
    "municipe": "ROCCA PRIORA",
    "province": "RM"
  },
  "H437": {
    "municipe": "ROCCA SAN CASCIANO",
    "province": "FC"
  },
  "H438": {
    "municipe": "ROCCA SAN FELICE",
    "province": "AV"
  },
  "H439": {
    "municipe": "ROCCA SAN GIOVANNI",
    "province": "CH"
  },
  "H440": {
    "municipe": "ROCCA SANTA MARIA",
    "province": "TE"
  },
  "H441": {
    "municipe": "ROCCA SANTO STEFANO",
    "province": "RM"
  },
  "H446": {
    "municipe": "ROCCA SINIBALDA",
    "province": "RI"
  },
  "H450": {
    "municipe": "ROCCA SUSELLA",
    "province": "PV"
  },
  "H382": {
    "municipe": "ROCCABASCERANA",
    "province": "AV"
  },
  "H383": {
    "municipe": "ROCCABERNARDA",
    "province": "KR"
  },
  "H384": {
    "municipe": "ROCCABIANCA",
    "province": "PR"
  },
  "H385": {
    "municipe": "ROCCABRUNA",
    "province": "CN"
  },
  "H389": {
    "municipe": "ROCCACASALE",
    "province": "AQ"
  },
  "H394": {
    "municipe": "ROCCADASPIDE",
    "province": "SA"
  },
  "H405": {
    "municipe": "ROCCAFIORITA",
    "province": "ME"
  },
  "H390": {
    "municipe": "ROCCAFLUVIONE",
    "province": "AP"
  },
  "H408": {
    "municipe": "ROCCAFORTE DEL GRECO",
    "province": "RC"
  },
  "H406": {
    "municipe": "ROCCAFORTE LIGURE",
    "province": "AL"
  },
  "H407": {
    "municipe": "ROCCAFORTE MONDOVI'",
    "province": "CN"
  },
  "H409": {
    "municipe": "ROCCAFORZATA",
    "province": "TA"
  },
  "H410": {
    "municipe": "ROCCAFRANCA",
    "province": "BS"
  },
  "H411": {
    "municipe": "ROCCAGIOVINE",
    "province": "RM"
  },
  "H412": {
    "municipe": "ROCCAGLORIOSA",
    "province": "SA"
  },
  "H413": {
    "municipe": "ROCCAGORGA",
    "province": "LT"
  },
  "H417": {
    "municipe": "ROCCALBEGNA",
    "province": "GR"
  },
  "H418": {
    "municipe": "ROCCALUMERA",
    "province": "ME"
  },
  "H420": {
    "municipe": "ROCCAMANDOLFI",
    "province": "IS"
  },
  "H422": {
    "municipe": "ROCCAMENA",
    "province": "PA"
  },
  "H423": {
    "municipe": "ROCCAMONFINA",
    "province": "CE"
  },
  "H424": {
    "municipe": "ROCCAMONTEPIANO",
    "province": "CH"
  },
  "H425": {
    "municipe": "ROCCAMORICE",
    "province": "PE"
  },
  "H426": {
    "municipe": "ROCCANOVA",
    "province": "PZ"
  },
  "H427": {
    "municipe": "ROCCANTICA",
    "province": "RI"
  },
  "H428": {
    "municipe": "ROCCAPALUMBA",
    "province": "PA"
  },
  "H431": {
    "municipe": "ROCCAPIEMONTE",
    "province": "SA"
  },
  "H433": {
    "municipe": "ROCCARAINOLA",
    "province": "NA"
  },
  "H434": {
    "municipe": "ROCCARASO",
    "province": "AQ"
  },
  "H436": {
    "municipe": "ROCCAROMANA",
    "province": "CE"
  },
  "H442": {
    "municipe": "ROCCASCALEGNA",
    "province": "CH"
  },
  "H443": {
    "municipe": "ROCCASECCA",
    "province": "FR"
  },
  "H444": {
    "municipe": "ROCCASECCA DEI VOLSCI",
    "province": "LT"
  },
  "H445": {
    "municipe": "ROCCASICURA",
    "province": "IS"
  },
  "H447": {
    "municipe": "ROCCASPARVERA",
    "province": "CN"
  },
  "H448": {
    "municipe": "ROCCASPINALVETI",
    "province": "CH"
  },
  "H449": {
    "municipe": "ROCCASTRADA",
    "province": "GR"
  },
  "H380": {
    "municipe": "ROCCAVALDINA",
    "province": "ME"
  },
  "H451": {
    "municipe": "ROCCAVERANO",
    "province": "AT"
  },
  "H452": {
    "municipe": "ROCCAVIGNALE",
    "province": "SV"
  },
  "H453": {
    "municipe": "ROCCAVIONE",
    "province": "CN"
  },
  "H454": {
    "municipe": "ROCCAVIVARA",
    "province": "CB"
  },
  "H456": {
    "municipe": "ROCCELLA IONICA",
    "province": "RC"
  },
  "H455": {
    "municipe": "ROCCELLA VALDEMONE",
    "province": "ME"
  },
  "H458": {
    "municipe": "ROCCHETTA A VOLTURNO",
    "province": "IS"
  },
  "H462": {
    "municipe": "ROCCHETTA BELBO",
    "province": "CN"
  },
  "H461": {
    "municipe": "ROCCHETTA DI VARA",
    "province": "SP"
  },
  "H459": {
    "municipe": "ROCCHETTA E CROCE",
    "province": "CE"
  },
  "H465": {
    "municipe": "ROCCHETTA LIGURE",
    "province": "AL"
  },
  "H460": {
    "municipe": "ROCCHETTA NERVINA",
    "province": "IM"
  },
  "H466": {
    "municipe": "ROCCHETTA PALAFEA",
    "province": "AT"
  },
  "H467": {
    "municipe": "ROCCHETTA SANT'ANTONIO",
    "province": "FG"
  },
  "H468": {
    "municipe": "ROCCHETTA TANARO",
    "province": "AT"
  },
  "H470": {
    "municipe": "RODANO",
    "province": "MI"
  },
  "H472": {
    "municipe": "RODDI",
    "province": "CN"
  },
  "H473": {
    "municipe": "RODDINO",
    "province": "CN"
  },
  "H474": {
    "municipe": "RODELLO",
    "province": "CN"
  },
  "H477": {
    "municipe": "RODENGO SAIANO",
    "province": "BS"
  },
  "H475": {
    "municipe": "RODENGO/RODENECK",
    "province": "BZ"
  },
  "H478": {
    "municipe": "RODERO",
    "province": "CO"
  },
  "H480": {
    "municipe": "RODI GARGANICO",
    "province": "FG"
  },
  "H479": {
    "municipe": "RODI' MILICI",
    "province": "ME"
  },
  "H481": {
    "municipe": "RODIGO",
    "province": "MN"
  },
  "H484": {
    "municipe": "ROE' VOLCIANO",
    "province": "BS"
  },
  "H485": {
    "municipe": "ROFRANO",
    "province": "SA"
  },
  "H486": {
    "municipe": "ROGENO",
    "province": "LC"
  },
  "H488": {
    "municipe": "ROGGIANO GRAVINA",
    "province": "CS"
  },
  "H489": {
    "municipe": "ROGHUDI",
    "province": "RC"
  },
  "H490": {
    "municipe": "ROGLIANO",
    "province": "CS"
  },
  "H491": {
    "municipe": "ROGNANO",
    "province": "PV"
  },
  "H492": {
    "municipe": "ROGNO",
    "province": "BG"
  },
  "H493": {
    "municipe": "ROGOLO",
    "province": "SO"
  },
  "H494": {
    "municipe": "ROIATE",
    "province": "RM"
  },
  "H495": {
    "municipe": "ROIO DEL SANGRO",
    "province": "CH"
  },
  "H497": {
    "municipe": "ROISAN",
    "province": "AO"
  },
  "H498": {
    "municipe": "ROLETTO",
    "province": "TO"
  },
  "H500": {
    "municipe": "ROLO",
    "province": "RE"
  },
  "H501": {
    "municipe": "ROMA",
    "province": "RM"
  },
  "H503": {
    "municipe": "ROMAGNANO AL MONTE",
    "province": "SA"
  },
  "H502": {
    "municipe": "ROMAGNANO SESIA",
    "province": "NO"
  },
  "H505": {
    "municipe": "ROMAGNESE",
    "province": "PV"
  },
  "H507": {
    "municipe": "ROMANA",
    "province": "SS"
  },
  "H508": {
    "municipe": "ROMANENGO",
    "province": "CR"
  },
  "H511": {
    "municipe": "ROMANO CANAVESE",
    "province": "TO"
  },
  "H512": {
    "municipe": "ROMANO D'EZZELINO",
    "province": "VI"
  },
  "H509": {
    "municipe": "ROMANO DI LOMBARDIA",
    "province": "BG"
  },
  "H514": {
    "municipe": "ROMANS D'ISONZO",
    "province": "GO"
  },
  "H516": {
    "municipe": "ROMBIOLO",
    "province": "VV"
  },
  "H517": {
    "municipe": "ROMENO",
    "province": "TN"
  },
  "H518": {
    "municipe": "ROMENTINO",
    "province": "NO"
  },
  "H519": {
    "municipe": "ROMETTA",
    "province": "ME"
  },
  "H521": {
    "municipe": "RONAGO",
    "province": "CO"
  },
  "H522": {
    "municipe": "RONCA'",
    "province": "VR"
  },
  "H523": {
    "municipe": "RONCADE",
    "province": "TV"
  },
  "H525": {
    "municipe": "RONCADELLE",
    "province": "BS"
  },
  "H527": {
    "municipe": "RONCARO",
    "province": "PV"
  },
  "H528": {
    "municipe": "RONCEGNO TERME",
    "province": "TN"
  },
  "H529": {
    "municipe": "RONCELLO",
    "province": "MB"
  },
  "H531": {
    "municipe": "RONCHI DEI LEGIONARI",
    "province": "GO"
  },
  "H532": {
    "municipe": "RONCHI VALSUGANA",
    "province": "TN"
  },
  "H533": {
    "municipe": "RONCHIS",
    "province": "UD"
  },
  "H534": {
    "municipe": "RONCIGLIONE",
    "province": "VT"
  },
  "H540": {
    "municipe": "RONCO ALL'ADIGE",
    "province": "VR"
  },
  "H538": {
    "municipe": "RONCO BIELLESE",
    "province": "BI"
  },
  "H537": {
    "municipe": "RONCO BRIANTINO",
    "province": "MB"
  },
  "H539": {
    "municipe": "RONCO CANAVESE",
    "province": "TO"
  },
  "H536": {
    "municipe": "RONCO SCRIVIA",
    "province": "GE"
  },
  "H535": {
    "municipe": "RONCOBELLO",
    "province": "BG"
  },
  "H541": {
    "municipe": "RONCOFERRARO",
    "province": "MN"
  },
  "H542": {
    "municipe": "RONCOFREDDO",
    "province": "FC"
  },
  "H544": {
    "municipe": "RONCOLA",
    "province": "BG"
  },
  "H546": {
    "municipe": "RONDANINA",
    "province": "GE"
  },
  "H547": {
    "municipe": "RONDISSONE",
    "province": "TO"
  },
  "H549": {
    "municipe": "RONSECCO",
    "province": "VC"
  },
  "M303": {
    "municipe": "RONZO-CHIENIS",
    "province": "TN"
  },
  "H552": {
    "municipe": "RONZONE",
    "province": "TN"
  },
  "H553": {
    "municipe": "ROPPOLO",
    "province": "BI"
  },
  "H554": {
    "municipe": "RORA'",
    "province": "TO"
  },
  "H556": {
    "municipe": "ROSA'",
    "province": "VI"
  },
  "H558": {
    "municipe": "ROSARNO",
    "province": "RC"
  },
  "H559": {
    "municipe": "ROSASCO",
    "province": "PV"
  },
  "H560": {
    "municipe": "ROSATE",
    "province": "MI"
  },
  "H561": {
    "municipe": "ROSAZZA",
    "province": "BI"
  },
  "H562": {
    "municipe": "ROSCIANO",
    "province": "PE"
  },
  "H564": {
    "municipe": "ROSCIGNO",
    "province": "SA"
  },
  "H565": {
    "municipe": "ROSE",
    "province": "CS"
  },
  "H566": {
    "municipe": "ROSELLO",
    "province": "CH"
  },
  "H572": {
    "municipe": "ROSETO CAPO SPULICO",
    "province": "CS"
  },
  "F585": {
    "municipe": "ROSETO DEGLI ABRUZZI",
    "province": "TE"
  },
  "H568": {
    "municipe": "ROSETO VALFORTORE",
    "province": "FG"
  },
  "H570": {
    "municipe": "ROSIGNANO MARITTIMO",
    "province": "LI"
  },
  "H569": {
    "municipe": "ROSIGNANO MONFERRATO",
    "province": "AL"
  },
  "H573": {
    "municipe": "ROSOLINA",
    "province": "RO"
  },
  "H574": {
    "municipe": "ROSOLINI",
    "province": "SR"
  },
  "H575": {
    "municipe": "ROSORA",
    "province": "AN"
  },
  "H577": {
    "municipe": "ROSSA",
    "province": "VC"
  },
  "H578": {
    "municipe": "ROSSANA",
    "province": "CN"
  },
  "H580": {
    "municipe": "ROSSANO VENETO",
    "province": "VI"
  },
  "H581": {
    "municipe": "ROSSIGLIONE",
    "province": "GE"
  },
  "H583": {
    "municipe": "ROSTA",
    "province": "TO"
  },
  "H584": {
    "municipe": "ROTA D'IMAGNA",
    "province": "BG"
  },
  "H585": {
    "municipe": "ROTA GRECA",
    "province": "CS"
  },
  "H588": {
    "municipe": "ROTELLA",
    "province": "AP"
  },
  "H589": {
    "municipe": "ROTELLO",
    "province": "CB"
  },
  "H590": {
    "municipe": "ROTONDA",
    "province": "PZ"
  },
  "H591": {
    "municipe": "ROTONDELLA",
    "province": "MT"
  },
  "H592": {
    "municipe": "ROTONDI",
    "province": "AV"
  },
  "H593": {
    "municipe": "ROTTOFRENO",
    "province": "PC"
  },
  "H594": {
    "municipe": "ROTZO",
    "province": "VI"
  },
  "H555": {
    "municipe": "ROURE",
    "province": "TO"
  },
  "H364": {
    "municipe": "ROVASENDA",
    "province": "VC"
  },
  "H598": {
    "municipe": "ROVATO",
    "province": "BS"
  },
  "H599": {
    "municipe": "ROVEGNO",
    "province": "GE"
  },
  "H601": {
    "municipe": "ROVELLASCA",
    "province": "CO"
  },
  "H602": {
    "municipe": "ROVELLO PORRO",
    "province": "CO"
  },
  "H604": {
    "municipe": "ROVERBELLA",
    "province": "MN"
  },
  "H606": {
    "municipe": "ROVERCHIARA",
    "province": "VR"
  },
  "H607": {
    "municipe": "ROVERE' DELLA LUNA",
    "province": "TN"
  },
  "H608": {
    "municipe": "ROVERE' VERONESE",
    "province": "VR"
  },
  "H610": {
    "municipe": "ROVEREDO DI GUA'",
    "province": "VR"
  },
  "H609": {
    "municipe": "ROVEREDO IN PIANO",
    "province": "PN"
  },
  "H612": {
    "municipe": "ROVERETO",
    "province": "TN"
  },
  "H614": {
    "municipe": "ROVESCALA",
    "province": "PV"
  },
  "H615": {
    "municipe": "ROVETTA",
    "province": "BG"
  },
  "H618": {
    "municipe": "ROVIANO",
    "province": "RM"
  },
  "H620": {
    "municipe": "ROVIGO",
    "province": "RO"
  },
  "H621": {
    "municipe": "ROVITO",
    "province": "CS"
  },
  "H622": {
    "municipe": "ROVOLON",
    "province": "PD"
  },
  "H623": {
    "municipe": "ROZZANO",
    "province": "MI"
  },
  "H625": {
    "municipe": "RUBANO",
    "province": "PD"
  },
  "H627": {
    "municipe": "RUBIANA",
    "province": "TO"
  },
  "H628": {
    "municipe": "RUBIERA",
    "province": "RE"
  },
  "H629": {
    "municipe": "RUDA",
    "province": "UD"
  },
  "H630": {
    "municipe": "RUDIANO",
    "province": "BS"
  },
  "H631": {
    "municipe": "RUEGLIO",
    "province": "TO"
  },
  "H632": {
    "municipe": "RUFFANO",
    "province": "LE"
  },
  "H633": {
    "municipe": "RUFFIA",
    "province": "CN"
  },
  "H634": {
    "municipe": "RUFFRE'-MENDOLA",
    "province": "TN"
  },
  "H635": {
    "municipe": "RUFINA",
    "province": "FI"
  },
  "F271": {
    "municipe": "RUINAS",
    "province": "OR"
  },
  "H639": {
    "municipe": "RUMO",
    "province": "TN"
  },
  "H641": {
    "municipe": "RUOTI",
    "province": "PZ"
  },
  "H642": {
    "municipe": "RUSSI",
    "province": "RA"
  },
  "H643": {
    "municipe": "RUTIGLIANO",
    "province": "BA"
  },
  "H644": {
    "municipe": "RUTINO",
    "province": "SA"
  },
  "H165": {
    "municipe": "RUVIANO",
    "province": "CE"
  },
  "H646": {
    "municipe": "RUVO DEL MONTE",
    "province": "PZ"
  },
  "H645": {
    "municipe": "RUVO DI PUGLIA",
    "province": "BA"
  },
  "H647": {
    "municipe": "SABAUDIA",
    "province": "LT"
  },
  "H650": {
    "municipe": "SABBIO CHIESE",
    "province": "BS"
  },
  "H652": {
    "municipe": "SABBIONETA",
    "province": "MN"
  },
  "H654": {
    "municipe": "SACCO",
    "province": "SA"
  },
  "H655": {
    "municipe": "SACCOLONGO",
    "province": "PD"
  },
  "H657": {
    "municipe": "SACILE",
    "province": "PN"
  },
  "H658": {
    "municipe": "SACROFANO",
    "province": "RM"
  },
  "H659": {
    "municipe": "SADALI",
    "province": "SU"
  },
  "H661": {
    "municipe": "SAGAMA",
    "province": "OR"
  },
  "H662": {
    "municipe": "SAGLIANO MICCA",
    "province": "BI"
  },
  "H665": {
    "municipe": "SAGRADO",
    "province": "GO"
  },
  "H666": {
    "municipe": "SAGRON MIS",
    "province": "TN"
  },
  "H669": {
    "municipe": "SAINT-CHRISTOPHE",
    "province": "AO"
  },
  "H670": {
    "municipe": "SAINT-DENIS",
    "province": "AO"
  },
  "H671": {
    "municipe": "SAINT-MARCEL",
    "province": "AO"
  },
  "H672": {
    "municipe": "SAINT-NICOLAS",
    "province": "AO"
  },
  "H673": {
    "municipe": "SAINT-OYEN",
    "province": "AO"
  },
  "H674": {
    "municipe": "SAINT-PIERRE",
    "province": "AO"
  },
  "H675": {
    "municipe": "SAINT-RHEMY-EN-BOSSES",
    "province": "AO"
  },
  "H676": {
    "municipe": "SAINT-VINCENT",
    "province": "AO"
  },
  "H682": {
    "municipe": "SALA BAGANZA",
    "province": "PR"
  },
  "H681": {
    "municipe": "SALA BIELLESE",
    "province": "BI"
  },
  "H678": {
    "municipe": "SALA BOLOGNESE",
    "province": "BO"
  },
  "H679": {
    "municipe": "SALA COMACINA",
    "province": "CO"
  },
  "H683": {
    "municipe": "SALA CONSILINA",
    "province": "SA"
  },
  "H677": {
    "municipe": "SALA MONFERRATO",
    "province": "AL"
  },
  "H687": {
    "municipe": "SALANDRA",
    "province": "MT"
  },
  "H688": {
    "municipe": "SALAPARUTA",
    "province": "TP"
  },
  "H689": {
    "municipe": "SALARA",
    "province": "RO"
  },
  "H690": {
    "municipe": "SALASCO",
    "province": "VC"
  },
  "H691": {
    "municipe": "SALASSA",
    "province": "TO"
  },
  "H684": {
    "municipe": "SALBERTRAND",
    "province": "TO"
  },
  "F810": {
    "municipe": "SALCEDO",
    "province": "VI"
  },
  "H693": {
    "municipe": "SALCITO",
    "province": "CB"
  },
  "H694": {
    "municipe": "SALE",
    "province": "AL"
  },
  "H695": {
    "municipe": "SALE DELLE LANGHE",
    "province": "CN"
  },
  "H699": {
    "municipe": "SALE MARASINO",
    "province": "BS"
  },
  "H704": {
    "municipe": "SALE SAN GIOVANNI",
    "province": "CN"
  },
  "H700": {
    "municipe": "SALEMI",
    "province": "TP"
  },
  "H686": {
    "municipe": "SALENTO",
    "province": "SA"
  },
  "H702": {
    "municipe": "SALERANO CANAVESE",
    "province": "TO"
  },
  "H701": {
    "municipe": "SALERANO SUL LAMBRO",
    "province": "LO"
  },
  "H703": {
    "municipe": "SALERNO",
    "province": "SA"
  },
  "H706": {
    "municipe": "SALGAREDA",
    "province": "TV"
  },
  "H707": {
    "municipe": "SALI VERCELLESE",
    "province": "VC"
  },
  "H708": {
    "municipe": "SALICE SALENTINO",
    "province": "LE"
  },
  "H710": {
    "municipe": "SALICETO",
    "province": "CN"
  },
  "H713": {
    "municipe": "SALISANO",
    "province": "RI"
  },
  "H714": {
    "municipe": "SALIZZOLE",
    "province": "VR"
  },
  "H715": {
    "municipe": "SALLE",
    "province": "PE"
  },
  "H716": {
    "municipe": "SALMOUR",
    "province": "CN"
  },
  "H717": {
    "municipe": "SALO'",
    "province": "BS"
  },
  "H719": {
    "municipe": "SALORNO SULLA STRADA DEL VINO/SALURN AN DER WEINSTRASSE",
    "province": "BZ"
  },
  "H720": {
    "municipe": "SALSOMAGGIORE TERME",
    "province": "PR"
  },
  "H723": {
    "municipe": "SALTRIO",
    "province": "VA"
  },
  "H724": {
    "municipe": "SALUDECIO",
    "province": "RN"
  },
  "H725": {
    "municipe": "SALUGGIA",
    "province": "VC"
  },
  "H726": {
    "municipe": "SALUSSOLA",
    "province": "BI"
  },
  "H727": {
    "municipe": "SALUZZO",
    "province": "CN"
  },
  "H729": {
    "municipe": "SALVE",
    "province": "LE"
  },
  "H731": {
    "municipe": "SALVIROLA",
    "province": "CR"
  },
  "H732": {
    "municipe": "SALVITELLE",
    "province": "SA"
  },
  "H734": {
    "municipe": "SALZA DI PINEROLO",
    "province": "TO"
  },
  "H733": {
    "municipe": "SALZA IRPINA",
    "province": "AV"
  },
  "H735": {
    "municipe": "SALZANO",
    "province": "VE"
  },
  "H736": {
    "municipe": "SAMARATE",
    "province": "VA"
  },
  "H738": {
    "municipe": "SAMASSI",
    "province": "SU"
  },
  "H739": {
    "municipe": "SAMATZAI",
    "province": "SU"
  },
  "H743": {
    "municipe": "SAMBUCA DI SICILIA",
    "province": "AG"
  },
  "H744": {
    "municipe": "SAMBUCA PISTOIESE",
    "province": "PT"
  },
  "H745": {
    "municipe": "SAMBUCI",
    "province": "RM"
  },
  "H746": {
    "municipe": "SAMBUCO",
    "province": "CN"
  },
  "H749": {
    "municipe": "SAMMICHELE DI BARI",
    "province": "BA"
  },
  "H013": {
    "municipe": "SAMO",
    "province": "RC"
  },
  "H752": {
    "municipe": "SAMOLACO",
    "province": "SO"
  },
  "H753": {
    "municipe": "SAMONE",
    "province": "TO"
  },
  "H754": {
    "municipe": "SAMONE",
    "province": "TN"
  },
  "H755": {
    "municipe": "SAMPEYRE",
    "province": "CN"
  },
  "H756": {
    "municipe": "SAMUGHEO",
    "province": "OR"
  },
  "H763": {
    "municipe": "SAN BARTOLOMEO AL MARE",
    "province": "IM"
  },
  "H764": {
    "municipe": "SAN BARTOLOMEO IN GALDO",
    "province": "BN"
  },
  "H760": {
    "municipe": "SAN BARTOLOMEO VAL CAVARGNA",
    "province": "CO"
  },
  "H765": {
    "municipe": "SAN BASILE",
    "province": "CS"
  },
  "H766": {
    "municipe": "SAN BASILIO",
    "province": "SU"
  },
  "H767": {
    "municipe": "SAN BASSANO",
    "province": "CR"
  },
  "H768": {
    "municipe": "SAN BELLINO",
    "province": "RO"
  },
  "H770": {
    "municipe": "SAN BENEDETTO BELBO",
    "province": "CN"
  },
  "H772": {
    "municipe": "SAN BENEDETTO DEI MARSI",
    "province": "AQ"
  },
  "H769": {
    "municipe": "SAN BENEDETTO DEL TRONTO",
    "province": "AP"
  },
  "H773": {
    "municipe": "SAN BENEDETTO IN PERILLIS",
    "province": "AQ"
  },
  "H771": {
    "municipe": "SAN BENEDETTO PO",
    "province": "MN"
  },
  "H774": {
    "municipe": "SAN BENEDETTO ULLANO",
    "province": "CS"
  },
  "G566": {
    "municipe": "SAN BENEDETTO VAL DI SAMBRO",
    "province": "BO"
  },
  "H775": {
    "municipe": "SAN BENIGNO CANAVESE",
    "province": "TO"
  },
  "H777": {
    "municipe": "SAN BERNARDINO VERBANO",
    "province": "VB"
  },
  "H780": {
    "municipe": "SAN BIAGIO DELLA CIMA",
    "province": "IM"
  },
  "H781": {
    "municipe": "SAN BIAGIO DI CALLALTA",
    "province": "TV"
  },
  "H778": {
    "municipe": "SAN BIAGIO PLATANI",
    "province": "AG"
  },
  "H779": {
    "municipe": "SAN BIAGIO SARACINISCO",
    "province": "FR"
  },
  "H782": {
    "municipe": "SAN BIASE",
    "province": "CB"
  },
  "H783": {
    "municipe": "SAN BONIFACIO",
    "province": "VR"
  },
  "H784": {
    "municipe": "SAN BUONO",
    "province": "CH"
  },
  "H785": {
    "municipe": "SAN CALOGERO",
    "province": "VV"
  },
  "H786": {
    "municipe": "SAN CANDIDO/INNICHEN",
    "province": "BZ"
  },
  "H787": {
    "municipe": "SAN CANZIAN D'ISONZO",
    "province": "GO"
  },
  "H789": {
    "municipe": "SAN CARLO CANAVESE",
    "province": "TO"
  },
  "H790": {
    "municipe": "SAN CASCIANO DEI BAGNI",
    "province": "SI"
  },
  "H791": {
    "municipe": "SAN CASCIANO IN VAL DI PESA",
    "province": "FI"
  },
  "M264": {
    "municipe": "SAN CASSIANO",
    "province": "LE"
  },
  "H792": {
    "municipe": "SAN CATALDO",
    "province": "CL"
  },
  "M295": {
    "municipe": "SAN CESAREO",
    "province": "RM"
  },
  "H793": {
    "municipe": "SAN CESARIO DI LECCE",
    "province": "LE"
  },
  "H794": {
    "municipe": "SAN CESARIO SUL PANARO",
    "province": "MO"
  },
  "H795": {
    "municipe": "SAN CHIRICO NUOVO",
    "province": "PZ"
  },
  "H796": {
    "municipe": "SAN CHIRICO RAPARO",
    "province": "PZ"
  },
  "H797": {
    "municipe": "SAN CIPIRELLO",
    "province": "PA"
  },
  "H798": {
    "municipe": "SAN CIPRIANO D'AVERSA",
    "province": "CE"
  },
  "H800": {
    "municipe": "SAN CIPRIANO PICENTINO",
    "province": "SA"
  },
  "H799": {
    "municipe": "SAN CIPRIANO PO",
    "province": "PV"
  },
  "H801": {
    "municipe": "SAN CLEMENTE",
    "province": "RN"
  },
  "H803": {
    "municipe": "SAN COLOMBANO AL LAMBRO",
    "province": "MI"
  },
  "H804": {
    "municipe": "SAN COLOMBANO BELMONTE",
    "province": "TO"
  },
  "H802": {
    "municipe": "SAN COLOMBANO CERTENOLI",
    "province": "GE"
  },
  "H805": {
    "municipe": "SAN CONO",
    "province": "CT"
  },
  "H806": {
    "municipe": "SAN COSMO ALBANESE",
    "province": "CS"
  },
  "H808": {
    "municipe": "SAN COSTANTINO ALBANESE",
    "province": "PZ"
  },
  "H807": {
    "municipe": "SAN COSTANTINO CALABRO",
    "province": "VV"
  },
  "H809": {
    "municipe": "SAN COSTANZO",
    "province": "PU"
  },
  "H810": {
    "municipe": "SAN CRISTOFORO",
    "province": "AL"
  },
  "H814": {
    "municipe": "SAN DAMIANO AL COLLE",
    "province": "PV"
  },
  "H811": {
    "municipe": "SAN DAMIANO D'ASTI",
    "province": "AT"
  },
  "H812": {
    "municipe": "SAN DAMIANO MACRA",
    "province": "CN"
  },
  "H816": {
    "municipe": "SAN DANIELE DEL FRIULI",
    "province": "UD"
  },
  "H815": {
    "municipe": "SAN DANIELE PO",
    "province": "CR"
  },
  "H818": {
    "municipe": "SAN DEMETRIO CORONE",
    "province": "CS"
  },
  "H819": {
    "municipe": "SAN DEMETRIO NE' VESTINI",
    "province": "AQ"
  },
  "H820": {
    "municipe": "SAN DIDERO",
    "province": "TO"
  },
  "H823": {
    "municipe": "SAN DONA' DI PIAVE",
    "province": "VE"
  },
  "H822": {
    "municipe": "SAN DONACI",
    "province": "BR"
  },
  "H826": {
    "municipe": "SAN DONATO DI LECCE",
    "province": "LE"
  },
  "H825": {
    "municipe": "SAN DONATO DI NINEA",
    "province": "CS"
  },
  "H827": {
    "municipe": "SAN DONATO MILANESE",
    "province": "MI"
  },
  "H824": {
    "municipe": "SAN DONATO VAL DI COMINO",
    "province": "FR"
  },
  "D324": {
    "municipe": "SAN DORLIGO DELLA VALLE-DOLINA",
    "province": "TS"
  },
  "H831": {
    "municipe": "SAN FELE",
    "province": "PZ"
  },
  "H834": {
    "municipe": "SAN FELICE A CANCELLO",
    "province": "CE"
  },
  "H836": {
    "municipe": "SAN FELICE CIRCEO",
    "province": "LT"
  },
  "H838": {
    "municipe": "SAN FELICE DEL BENACO",
    "province": "BS"
  },
  "H833": {
    "municipe": "SAN FELICE DEL MOLISE",
    "province": "CB"
  },
  "H835": {
    "municipe": "SAN FELICE SUL PANARO",
    "province": "MO"
  },
  "M277": {
    "municipe": "SAN FERDINANDO",
    "province": "RC"
  },
  "H839": {
    "municipe": "SAN FERDINANDO DI PUGLIA",
    "province": "BT"
  },
  "H840": {
    "municipe": "SAN FERMO DELLA BATTAGLIA",
    "province": "CO"
  },
  "H841": {
    "municipe": "SAN FILI",
    "province": "CS"
  },
  "H842": {
    "municipe": "SAN FILIPPO DEL MELA",
    "province": "ME"
  },
  "H843": {
    "municipe": "SAN FIOR",
    "province": "TV"
  },
  "H844": {
    "municipe": "SAN FIORANO",
    "province": "LO"
  },
  "H845": {
    "municipe": "SAN FLORIANO DEL COLLIO",
    "province": "GO"
  },
  "H846": {
    "municipe": "SAN FLORO",
    "province": "CZ"
  },
  "H847": {
    "municipe": "SAN FRANCESCO AL CAMPO",
    "province": "TO"
  },
  "H850": {
    "municipe": "SAN FRATELLO",
    "province": "ME"
  },
  "H856": {
    "municipe": "SAN GAVINO MONREALE",
    "province": "SU"
  },
  "H857": {
    "municipe": "SAN GEMINI",
    "province": "TR"
  },
  "H858": {
    "municipe": "SAN GENESIO ATESINO/JENESIEN",
    "province": "BZ"
  },
  "H859": {
    "municipe": "SAN GENESIO ED UNITI",
    "province": "PV"
  },
  "H860": {
    "municipe": "SAN GENNARO VESUVIANO",
    "province": "NA"
  },
  "H862": {
    "municipe": "SAN GERMANO CHISONE",
    "province": "TO"
  },
  "H861": {
    "municipe": "SAN GERMANO VERCELLESE",
    "province": "VC"
  },
  "H865": {
    "municipe": "SAN GERVASIO BRESCIANO",
    "province": "BS"
  },
  "H867": {
    "municipe": "SAN GIACOMO DEGLI SCHIAVONI",
    "province": "CB"
  },
  "H870": {
    "municipe": "SAN GIACOMO DELLE SEGNATE",
    "province": "MN"
  },
  "H868": {
    "municipe": "SAN GIACOMO FILIPPO",
    "province": "SO"
  },
  "B952": {
    "municipe": "SAN GIACOMO VERCELLESE",
    "province": "VC"
  },
  "H873": {
    "municipe": "SAN GILLIO",
    "province": "TO"
  },
  "H875": {
    "municipe": "SAN GIMIGNANO",
    "province": "SI"
  },
  "H876": {
    "municipe": "SAN GINESIO",
    "province": "MC"
  },
  "H892": {
    "municipe": "SAN GIORGIO A CREMANO",
    "province": "NA"
  },
  "H880": {
    "municipe": "SAN GIORGIO A LIRI",
    "province": "FR"
  },
  "H881": {
    "municipe": "SAN GIORGIO ALBANESE",
    "province": "CS"
  },
  "H883": {
    "municipe": "SAN GIORGIO BIGARELLO",
    "province": "MN"
  },
  "H890": {
    "municipe": "SAN GIORGIO CANAVESE",
    "province": "TO"
  },
  "H894": {
    "municipe": "SAN GIORGIO DEL SANNIO",
    "province": "BN"
  },
  "H891": {
    "municipe": "SAN GIORGIO DELLA RICHINVELDA",
    "province": "PN"
  },
  "H893": {
    "municipe": "SAN GIORGIO DELLE PERTICHE",
    "province": "PD"
  },
  "H885": {
    "municipe": "SAN GIORGIO DI LOMELLINA",
    "province": "PV"
  },
  "H895": {
    "municipe": "SAN GIORGIO DI NOGARO",
    "province": "UD"
  },
  "H896": {
    "municipe": "SAN GIORGIO DI PIANO",
    "province": "BO"
  },
  "H897": {
    "municipe": "SAN GIORGIO IN BOSCO",
    "province": "PD"
  },
  "H882": {
    "municipe": "SAN GIORGIO IONICO",
    "province": "TA"
  },
  "H898": {
    "municipe": "SAN GIORGIO LA MOLARA",
    "province": "BN"
  },
  "H888": {
    "municipe": "SAN GIORGIO LUCANO",
    "province": "MT"
  },
  "H878": {
    "municipe": "SAN GIORGIO MONFERRATO",
    "province": "AL"
  },
  "H889": {
    "municipe": "SAN GIORGIO MORGETO",
    "province": "RC"
  },
  "H887": {
    "municipe": "SAN GIORGIO PIACENTINO",
    "province": "PC"
  },
  "H899": {
    "municipe": "SAN GIORGIO SCARAMPI",
    "province": "AT"
  },
  "H884": {
    "municipe": "SAN GIORGIO SU LEGNANO",
    "province": "MI"
  },
  "H900": {
    "municipe": "SAN GIORIO DI SUSA",
    "province": "TO"
  },
  "H907": {
    "municipe": "SAN GIOVANNI A PIRO",
    "province": "SA"
  },
  "H906": {
    "municipe": "SAN GIOVANNI AL NATISONE",
    "province": "UD"
  },
  "H910": {
    "municipe": "SAN GIOVANNI BIANCO",
    "province": "BG"
  },
  "H912": {
    "municipe": "SAN GIOVANNI DEL DOSSO",
    "province": "MN"
  },
  "M390": {
    "municipe": "SAN GIOVANNI DI FASSA",
    "province": "TN"
  },
  "H903": {
    "municipe": "SAN GIOVANNI DI GERACE",
    "province": "RC"
  },
  "H914": {
    "municipe": "SAN GIOVANNI GEMINI",
    "province": "AG"
  },
  "H916": {
    "municipe": "SAN GIOVANNI ILARIONE",
    "province": "VR"
  },
  "H918": {
    "municipe": "SAN GIOVANNI IN CROCE",
    "province": "CR"
  },
  "H919": {
    "municipe": "SAN GIOVANNI IN FIORE",
    "province": "CS"
  },
  "H920": {
    "municipe": "SAN GIOVANNI IN GALDO",
    "province": "CB"
  },
  "H921": {
    "municipe": "SAN GIOVANNI IN MARIGNANO",
    "province": "RN"
  },
  "G467": {
    "municipe": "SAN GIOVANNI IN PERSICETO",
    "province": "BO"
  },
  "H917": {
    "municipe": "SAN GIOVANNI INCARICO",
    "province": "FR"
  },
  "H922": {
    "municipe": "SAN GIOVANNI LA PUNTA",
    "province": "CT"
  },
  "H923": {
    "municipe": "SAN GIOVANNI LIPIONI",
    "province": "CH"
  },
  "H924": {
    "municipe": "SAN GIOVANNI LUPATOTO",
    "province": "VR"
  },
  "H926": {
    "municipe": "SAN GIOVANNI ROTONDO",
    "province": "FG"
  },
  "G287": {
    "municipe": "SAN GIOVANNI SUERGIU",
    "province": "SU"
  },
  "D690": {
    "municipe": "SAN GIOVANNI TEATINO",
    "province": "CH"
  },
  "H901": {
    "municipe": "SAN GIOVANNI VALDARNO",
    "province": "AR"
  },
  "H928": {
    "municipe": "SAN GIULIANO DEL SANNIO",
    "province": "CB"
  },
  "H929": {
    "municipe": "SAN GIULIANO DI PUGLIA",
    "province": "CB"
  },
  "H930": {
    "municipe": "SAN GIULIANO MILANESE",
    "province": "MI"
  },
  "A562": {
    "municipe": "SAN GIULIANO TERME",
    "province": "PI"
  },
  "H933": {
    "municipe": "SAN GIUSEPPE JATO",
    "province": "PA"
  },
  "H931": {
    "municipe": "SAN GIUSEPPE VESUVIANO",
    "province": "NA"
  },
  "H935": {
    "municipe": "SAN GIUSTINO",
    "province": "PG"
  },
  "H936": {
    "municipe": "SAN GIUSTO CANAVESE",
    "province": "TO"
  },
  "H937": {
    "municipe": "SAN GODENZO",
    "province": "FI"
  },
  "H941": {
    "municipe": "SAN GREGORIO D'IPPONA",
    "province": "VV"
  },
  "H942": {
    "municipe": "SAN GREGORIO DA SASSOLA",
    "province": "RM"
  },
  "H940": {
    "municipe": "SAN GREGORIO DI CATANIA",
    "province": "CT"
  },
  "H943": {
    "municipe": "SAN GREGORIO MAGNO",
    "province": "SA"
  },
  "H939": {
    "municipe": "SAN GREGORIO MATESE",
    "province": "CE"
  },
  "H938": {
    "municipe": "SAN GREGORIO NELLE ALPI",
    "province": "BL"
  },
  "H945": {
    "municipe": "SAN LAZZARO DI SAVENA",
    "province": "BO"
  },
  "H949": {
    "municipe": "SAN LEO",
    "province": "RN"
  },
  "H951": {
    "municipe": "SAN LEONARDO",
    "province": "UD"
  },
  "H952": {
    "municipe": "SAN LEONARDO IN PASSIRIA/ST. LEONHARD IN PASSEIER",
    "province": "BZ"
  },
  "H953": {
    "municipe": "SAN LEUCIO DEL SANNIO",
    "province": "BN"
  },
  "H955": {
    "municipe": "SAN LORENZELLO",
    "province": "BN"
  },
  "H959": {
    "municipe": "SAN LORENZO",
    "province": "RC"
  },
  "H957": {
    "municipe": "SAN LORENZO AL MARE",
    "province": "IM"
  },
  "H961": {
    "municipe": "SAN LORENZO BELLIZZI",
    "province": "CS"
  },
  "H962": {
    "municipe": "SAN LORENZO DEL VALLO",
    "province": "CS"
  },
  "H956": {
    "municipe": "SAN LORENZO DI SEBATO/ST. LORENZEN",
    "province": "BZ"
  },
  "M345": {
    "municipe": "SAN LORENZO DORSINO",
    "province": "TN"
  },
  "H958": {
    "municipe": "SAN LORENZO IN CAMPO",
    "province": "PU"
  },
  "H964": {
    "municipe": "SAN LORENZO ISONTINO",
    "province": "GO"
  },
  "H967": {
    "municipe": "SAN LORENZO MAGGIORE",
    "province": "BN"
  },
  "H969": {
    "municipe": "SAN LORENZO NUOVO",
    "province": "VT"
  },
  "H970": {
    "municipe": "SAN LUCA",
    "province": "RC"
  },
  "H971": {
    "municipe": "SAN LUCIDO",
    "province": "CS"
  },
  "H973": {
    "municipe": "SAN LUPO",
    "province": "BN"
  },
  "H976": {
    "municipe": "SAN MANGO D'AQUINO",
    "province": "CZ"
  },
  "H977": {
    "municipe": "SAN MANGO PIEMONTE",
    "province": "SA"
  },
  "H975": {
    "municipe": "SAN MANGO SUL CALORE",
    "province": "AV"
  },
  "H978": {
    "municipe": "SAN MARCELLINO",
    "province": "CE"
  },
  "H979": {
    "municipe": "SAN MARCELLO",
    "province": "AN"
  },
  "M377": {
    "municipe": "SAN MARCELLO PITEGLIO",
    "province": "PT"
  },
  "H981": {
    "municipe": "SAN MARCO ARGENTANO",
    "province": "CS"
  },
  "H982": {
    "municipe": "SAN MARCO D'ALUNZIO",
    "province": "ME"
  },
  "H984": {
    "municipe": "SAN MARCO DEI CAVOTI",
    "province": "BN"
  },
  "F043": {
    "municipe": "SAN MARCO EVANGELISTA",
    "province": "CE"
  },
  "H985": {
    "municipe": "SAN MARCO IN LAMIS",
    "province": "FG"
  },
  "H986": {
    "municipe": "SAN MARCO LA CATOLA",
    "province": "FG"
  },
  "H999": {
    "municipe": "SAN MARTINO AL TAGLIAMENTO",
    "province": "PN"
  },
  "H987": {
    "municipe": "SAN MARTINO ALFIERI",
    "province": "AT"
  },
  "I003": {
    "municipe": "SAN MARTINO BUON ALBERGO",
    "province": "VR"
  },
  "H997": {
    "municipe": "SAN MARTINO CANAVESE",
    "province": "TO"
  },
  "H994": {
    "municipe": "SAN MARTINO D'AGRI",
    "province": "PZ"
  },
  "I005": {
    "municipe": "SAN MARTINO DALL'ARGINE",
    "province": "MN"
  },
  "I007": {
    "municipe": "SAN MARTINO DEL LAGO",
    "province": "CR"
  },
  "H992": {
    "municipe": "SAN MARTINO DI FINITA",
    "province": "CS"
  },
  "I008": {
    "municipe": "SAN MARTINO DI LUPARI",
    "province": "PD"
  },
  "H996": {
    "municipe": "SAN MARTINO DI VENEZZE",
    "province": "RO"
  },
  "H988": {
    "municipe": "SAN MARTINO IN BADIA/ST. MARTIN IN THURN",
    "province": "BZ"
  },
  "H989": {
    "municipe": "SAN MARTINO IN PASSIRIA/ST. MARTIN IN PASSEIER",
    "province": "BZ"
  },
  "H990": {
    "municipe": "SAN MARTINO IN PENSILIS",
    "province": "CB"
  },
  "I011": {
    "municipe": "SAN MARTINO IN RIO",
    "province": "RE"
  },
  "I012": {
    "municipe": "SAN MARTINO IN STRADA",
    "province": "LO"
  },
  "I002": {
    "municipe": "SAN MARTINO SANNITA",
    "province": "BN"
  },
  "I014": {
    "municipe": "SAN MARTINO SICCOMARIO",
    "province": "PV"
  },
  "H991": {
    "municipe": "SAN MARTINO SULLA MARRUCINA",
    "province": "CH"
  },
  "I016": {
    "municipe": "SAN MARTINO VALLE CAUDINA",
    "province": "AV"
  },
  "I018": {
    "municipe": "SAN MARZANO DI SAN GIUSEPPE",
    "province": "TA"
  },
  "I017": {
    "municipe": "SAN MARZANO OLIVETO",
    "province": "AT"
  },
  "I019": {
    "municipe": "SAN MARZANO SUL SARNO",
    "province": "SA"
  },
  "I023": {
    "municipe": "SAN MASSIMO",
    "province": "CB"
  },
  "I024": {
    "municipe": "SAN MAURIZIO CANAVESE",
    "province": "TO"
  },
  "I025": {
    "municipe": "SAN MAURIZIO D'OPAGLIO",
    "province": "NO"
  },
  "I028": {
    "municipe": "SAN MAURO CASTELVERDE",
    "province": "PA"
  },
  "I031": {
    "municipe": "SAN MAURO CILENTO",
    "province": "SA"
  },
  "H712": {
    "municipe": "SAN MAURO DI SALINE",
    "province": "VR"
  },
  "I029": {
    "municipe": "SAN MAURO FORTE",
    "province": "MT"
  },
  "I032": {
    "municipe": "SAN MAURO LA BRUCA",
    "province": "SA"
  },
  "I026": {
    "municipe": "SAN MAURO MARCHESATO",
    "province": "KR"
  },
  "I027": {
    "municipe": "SAN MAURO PASCOLI",
    "province": "FC"
  },
  "I030": {
    "municipe": "SAN MAURO TORINESE",
    "province": "TO"
  },
  "I040": {
    "municipe": "SAN MICHELE AL TAGLIAMENTO",
    "province": "VE"
  },
  "I042": {
    "municipe": "SAN MICHELE ALL'ADIGE",
    "province": "TN"
  },
  "I035": {
    "municipe": "SAN MICHELE DI GANZARIA",
    "province": "CT"
  },
  "I034": {
    "municipe": "SAN MICHELE DI SERINO",
    "province": "AV"
  },
  "I037": {
    "municipe": "SAN MICHELE MONDOVI'",
    "province": "CN"
  },
  "I045": {
    "municipe": "SAN MICHELE SALENTINO",
    "province": "BR"
  },
  "I046": {
    "municipe": "SAN MINIATO",
    "province": "PI"
  },
  "I049": {
    "municipe": "SAN NAZZARO",
    "province": "BN"
  },
  "I052": {
    "municipe": "SAN NAZZARO SESIA",
    "province": "NO"
  },
  "I051": {
    "municipe": "SAN NAZZARO VAL CAVARGNA",
    "province": "CO"
  },
  "I054": {
    "municipe": "SAN NICANDRO GARGANICO",
    "province": "FG"
  },
  "I060": {
    "municipe": "SAN NICOLA ARCELLA",
    "province": "CS"
  },
  "I061": {
    "municipe": "SAN NICOLA BARONIA",
    "province": "AV"
  },
  "I058": {
    "municipe": "SAN NICOLA DA CRISSA",
    "province": "VV"
  },
  "I057": {
    "municipe": "SAN NICOLA DELL'ALTO",
    "province": "KR"
  },
  "I056": {
    "municipe": "SAN NICOLA LA STRADA",
    "province": "CE"
  },
  "I062": {
    "municipe": "SAN NICOLA MANFREDI",
    "province": "BN"
  },
  "A368": {
    "municipe": "SAN NICOLO' D'ARCIDANO",
    "province": "OR"
  },
  "I063": {
    "municipe": "SAN NICOLO' DI COMELICO",
    "province": "BL"
  },
  "G383": {
    "municipe": "SAN NICOLO' GERREI",
    "province": "SU"
  },
  "I066": {
    "municipe": "SAN PANCRAZIO SALENTINO",
    "province": "BR"
  },
  "I065": {
    "municipe": "SAN PANCRAZIO/ST. PANKRAZ",
    "province": "BZ"
  },
  "G407": {
    "municipe": "SAN PAOLO",
    "province": "BS"
  },
  "B906": {
    "municipe": "SAN PAOLO ALBANESE",
    "province": "PZ"
  },
  "I073": {
    "municipe": "SAN PAOLO BEL SITO",
    "province": "NA"
  },
  "B310": {
    "municipe": "SAN PAOLO D'ARGON",
    "province": "BG"
  },
  "I072": {
    "municipe": "SAN PAOLO DI CIVITATE",
    "province": "FG"
  },
  "I071": {
    "municipe": "SAN PAOLO DI JESI",
    "province": "AN"
  },
  "I076": {
    "municipe": "SAN PAOLO SOLBRITO",
    "province": "AT"
  },
  "I079": {
    "municipe": "SAN PELLEGRINO TERME",
    "province": "BG"
  },
  "I082": {
    "municipe": "SAN PIER D'ISONZO",
    "province": "GO"
  },
  "I084": {
    "municipe": "SAN PIER NICETO",
    "province": "ME"
  },
  "I086": {
    "municipe": "SAN PIERO PATTI",
    "province": "ME"
  },
  "I093": {
    "municipe": "SAN PIETRO A MAIDA",
    "province": "CZ"
  },
  "I092": {
    "municipe": "SAN PIETRO AL NATISONE",
    "province": "UD"
  },
  "I089": {
    "municipe": "SAN PIETRO AL TANAGRO",
    "province": "SA"
  },
  "I095": {
    "municipe": "SAN PIETRO APOSTOLO",
    "province": "CZ"
  },
  "I096": {
    "municipe": "SAN PIETRO AVELLANA",
    "province": "IS"
  },
  "I098": {
    "municipe": "SAN PIETRO CLARENZA",
    "province": "CT"
  },
  "I088": {
    "municipe": "SAN PIETRO DI CADORE",
    "province": "BL"
  },
  "I102": {
    "municipe": "SAN PIETRO DI CARIDA'",
    "province": "RC"
  },
  "I103": {
    "municipe": "SAN PIETRO DI FELETTO",
    "province": "TV"
  },
  "I105": {
    "municipe": "SAN PIETRO DI MORUBIO",
    "province": "VR"
  },
  "I108": {
    "municipe": "SAN PIETRO IN AMANTEA",
    "province": "CS"
  },
  "I109": {
    "municipe": "SAN PIETRO IN CARIANO",
    "province": "VR"
  },
  "I110": {
    "municipe": "SAN PIETRO IN CASALE",
    "province": "BO"
  },
  "G788": {
    "municipe": "SAN PIETRO IN CERRO",
    "province": "PC"
  },
  "I107": {
    "municipe": "SAN PIETRO IN GU",
    "province": "PD"
  },
  "I114": {
    "municipe": "SAN PIETRO IN GUARANO",
    "province": "CS"
  },
  "I115": {
    "municipe": "SAN PIETRO IN LAMA",
    "province": "LE"
  },
  "I113": {
    "municipe": "SAN PIETRO INFINE",
    "province": "CE"
  },
  "I116": {
    "municipe": "SAN PIETRO MOSEZZO",
    "province": "NO"
  },
  "I117": {
    "municipe": "SAN PIETRO MUSSOLINO",
    "province": "VI"
  },
  "I090": {
    "municipe": "SAN PIETRO VAL LEMINA",
    "province": "TO"
  },
  "I119": {
    "municipe": "SAN PIETRO VERNOTICO",
    "province": "BR"
  },
  "I120": {
    "municipe": "SAN PIETRO VIMINARIO",
    "province": "PD"
  },
  "I121": {
    "municipe": "SAN PIO DELLE CAMERE",
    "province": "AQ"
  },
  "I123": {
    "municipe": "SAN POLO D'ENZA",
    "province": "RE"
  },
  "I125": {
    "municipe": "SAN POLO DEI CAVALIERI",
    "province": "RM"
  },
  "I124": {
    "municipe": "SAN POLO DI PIAVE",
    "province": "TV"
  },
  "I122": {
    "municipe": "SAN POLO MATESE",
    "province": "CB"
  },
  "I126": {
    "municipe": "SAN PONSO",
    "province": "TO"
  },
  "I128": {
    "municipe": "SAN POSSIDONIO",
    "province": "MO"
  },
  "I130": {
    "municipe": "SAN POTITO SANNITICO",
    "province": "CE"
  },
  "I129": {
    "municipe": "SAN POTITO ULTRA",
    "province": "AV"
  },
  "I131": {
    "municipe": "SAN PRISCO",
    "province": "CE"
  },
  "I132": {
    "municipe": "SAN PROCOPIO",
    "province": "RC"
  },
  "I133": {
    "municipe": "SAN PROSPERO",
    "province": "MO"
  },
  "I135": {
    "municipe": "SAN QUIRICO D'ORCIA",
    "province": "SI"
  },
  "I136": {
    "municipe": "SAN QUIRINO",
    "province": "PN"
  },
  "I137": {
    "municipe": "SAN RAFFAELE CIMENA",
    "province": "TO"
  },
  "I139": {
    "municipe": "SAN ROBERTO",
    "province": "RC"
  },
  "I140": {
    "municipe": "SAN ROCCO AL PORTO",
    "province": "LO"
  },
  "I142": {
    "municipe": "SAN ROMANO IN GARFAGNANA",
    "province": "LU"
  },
  "I143": {
    "municipe": "SAN RUFO",
    "province": "SA"
  },
  "I147": {
    "municipe": "SAN SALVATORE DI FITALIA",
    "province": "ME"
  },
  "I144": {
    "municipe": "SAN SALVATORE MONFERRATO",
    "province": "AL"
  },
  "I145": {
    "municipe": "SAN SALVATORE TELESINO",
    "province": "BN"
  },
  "I148": {
    "municipe": "SAN SALVO",
    "province": "CH"
  },
  "I151": {
    "municipe": "SAN SEBASTIANO AL VESUVIO",
    "province": "NA"
  },
  "I150": {
    "municipe": "SAN SEBASTIANO CURONE",
    "province": "AL"
  },
  "I152": {
    "municipe": "SAN SEBASTIANO DA PO",
    "province": "TO"
  },
  "I154": {
    "municipe": "SAN SECONDO DI PINEROLO",
    "province": "TO"
  },
  "I153": {
    "municipe": "SAN SECONDO PARMENSE",
    "province": "PR"
  },
  "I157": {
    "municipe": "SAN SEVERINO LUCANO",
    "province": "PZ"
  },
  "I156": {
    "municipe": "SAN SEVERINO MARCHE",
    "province": "MC"
  },
  "I158": {
    "municipe": "SAN SEVERO",
    "province": "FG"
  },
  "I162": {
    "municipe": "SAN SIRO",
    "province": "CO"
  },
  "I163": {
    "municipe": "SAN SOSSIO BARONIA",
    "province": "AV"
  },
  "I164": {
    "municipe": "SAN SOSTENE",
    "province": "CZ"
  },
  "I165": {
    "municipe": "SAN SOSTI",
    "province": "CS"
  },
  "I166": {
    "municipe": "SAN SPERATE",
    "province": "SU"
  },
  "I373": {
    "municipe": "SAN STINO DI LIVENZA",
    "province": "VE"
  },
  "I261": {
    "municipe": "SAN TAMMARO",
    "province": "CE"
  },
  "I328": {
    "municipe": "SAN TEODORO",
    "province": "ME"
  },
  "I329": {
    "municipe": "SAN TEODORO",
    "province": "SS"
  },
  "I347": {
    "municipe": "SAN TOMASO AGORDINO",
    "province": "BL"
  },
  "I376": {
    "municipe": "SAN VALENTINO IN ABRUZZO CITERIORE",
    "province": "PE"
  },
  "I377": {
    "municipe": "SAN VALENTINO TORIO",
    "province": "SA"
  },
  "I381": {
    "municipe": "SAN VENANZO",
    "province": "TR"
  },
  "I382": {
    "municipe": "SAN VENDEMIANO",
    "province": "TV"
  },
  "I384": {
    "municipe": "SAN VERO MILIS",
    "province": "OR"
  },
  "I390": {
    "municipe": "SAN VINCENZO",
    "province": "LI"
  },
  "I388": {
    "municipe": "SAN VINCENZO LA COSTA",
    "province": "CS"
  },
  "I389": {
    "municipe": "SAN VINCENZO VALLE ROVETO",
    "province": "AQ"
  },
  "I391": {
    "municipe": "SAN VITALIANO",
    "province": "NA"
  },
  "I402": {
    "municipe": "SAN VITO",
    "province": "SU"
  },
  "I403": {
    "municipe": "SAN VITO AL TAGLIAMENTO",
    "province": "PN"
  },
  "I404": {
    "municipe": "SAN VITO AL TORRE",
    "province": "UD"
  },
  "I394": {
    "municipe": "SAN VITO CHIETINO",
    "province": "CH"
  },
  "I396": {
    "municipe": "SAN VITO DEI NORMANNI",
    "province": "BR"
  },
  "I392": {
    "municipe": "SAN VITO DI CADORE",
    "province": "BL"
  },
  "I405": {
    "municipe": "SAN VITO DI FAGAGNA",
    "province": "UD"
  },
  "I401": {
    "municipe": "SAN VITO DI LEGUZZANO",
    "province": "VI"
  },
  "I407": {
    "municipe": "SAN VITO LO CAPO",
    "province": "TP"
  },
  "I400": {
    "municipe": "SAN VITO ROMANO",
    "province": "RM"
  },
  "I393": {
    "municipe": "SAN VITO SULLO IONIO",
    "province": "CZ"
  },
  "I408": {
    "municipe": "SAN VITTORE DEL LAZIO",
    "province": "FR"
  },
  "I409": {
    "municipe": "SAN VITTORE OLONA",
    "province": "MI"
  },
  "I414": {
    "municipe": "SAN ZENO DI MONTAGNA",
    "province": "VR"
  },
  "I412": {
    "municipe": "SAN ZENO NAVIGLIO",
    "province": "BS"
  },
  "I415": {
    "municipe": "SAN ZENONE AL LAMBRO",
    "province": "MI"
  },
  "I416": {
    "municipe": "SAN ZENONE AL PO",
    "province": "PV"
  },
  "I417": {
    "municipe": "SAN ZENONE DEGLI EZZELINI",
    "province": "TV"
  },
  "H757": {
    "municipe": "SANARICA",
    "province": "LE"
  },
  "H821": {
    "municipe": "SANDIGLIANO",
    "province": "BI"
  },
  "H829": {
    "municipe": "SANDRIGO",
    "province": "VI"
  },
  "H851": {
    "municipe": "SANFRE'",
    "province": "CN"
  },
  "H852": {
    "municipe": "SANFRONT",
    "province": "CN"
  },
  "H855": {
    "municipe": "SANGANO",
    "province": "TO"
  },
  "H872": {
    "municipe": "SANGIANO",
    "province": "VA"
  },
  "H877": {
    "municipe": "SANGINETO",
    "province": "CS"
  },
  "H944": {
    "municipe": "SANGUINETTO",
    "province": "VR"
  },
  "H974": {
    "municipe": "SANLURI",
    "province": "SU"
  },
  "I048": {
    "municipe": "SANNAZZARO DE' BURGONDI",
    "province": "PV"
  },
  "I053": {
    "municipe": "SANNICANDRO DI BARI",
    "province": "BA"
  },
  "I059": {
    "municipe": "SANNICOLA",
    "province": "LE"
  },
  "I138": {
    "municipe": "SANREMO",
    "province": "IM"
  },
  "I155": {
    "municipe": "SANSEPOLCRO",
    "province": "AR"
  },
  "I189": {
    "municipe": "SANT'AGAPITO",
    "province": "IS"
  },
  "I191": {
    "municipe": "SANT'AGATA BOLOGNESE",
    "province": "BO"
  },
  "I197": {
    "municipe": "SANT'AGATA DE' GOTI",
    "province": "BN"
  },
  "I198": {
    "municipe": "SANT'AGATA DEL BIANCO",
    "province": "RC"
  },
  "I192": {
    "municipe": "SANT'AGATA DI ESARO",
    "province": "CS"
  },
  "I199": {
    "municipe": "SANT'AGATA DI MILITELLO",
    "province": "ME"
  },
  "I193": {
    "municipe": "SANT'AGATA DI PUGLIA",
    "province": "FG"
  },
  "I201": {
    "municipe": "SANT'AGATA FELTRIA",
    "province": "RN"
  },
  "I190": {
    "municipe": "SANT'AGATA FOSSILI",
    "province": "AL"
  },
  "I202": {
    "municipe": "SANT'AGATA LI BATTIATI",
    "province": "CT"
  },
  "I196": {
    "municipe": "SANT'AGATA SUL SANTERNO",
    "province": "RA"
  },
  "I208": {
    "municipe": "SANT'AGNELLO",
    "province": "NA"
  },
  "I210": {
    "municipe": "SANT'ALBANO STURA",
    "province": "CN"
  },
  "I213": {
    "municipe": "SANT'ALESSIO CON VIALONE",
    "province": "PV"
  },
  "I214": {
    "municipe": "SANT'ALESSIO IN ASPROMONTE",
    "province": "RC"
  },
  "I215": {
    "municipe": "SANT'ALESSIO SICULO",
    "province": "ME"
  },
  "I216": {
    "municipe": "SANT'ALFIO",
    "province": "CT"
  },
  "I258": {
    "municipe": "SANT'AMBROGIO DI TORINO",
    "province": "TO"
  },
  "I259": {
    "municipe": "SANT'AMBROGIO DI VALPOLICELLA",
    "province": "VR"
  },
  "I256": {
    "municipe": "SANT'AMBROGIO SUL GARIGLIANO",
    "province": "FR"
  },
  "I262": {
    "municipe": "SANT'ANASTASIA",
    "province": "NA"
  },
  "I263": {
    "municipe": "SANT'ANATOLIA DI NARCO",
    "province": "PG"
  },
  "I266": {
    "municipe": "SANT'ANDREA APOSTOLO DELLO IONIO",
    "province": "CZ"
  },
  "I265": {
    "municipe": "SANT'ANDREA DEL GARIGLIANO",
    "province": "FR"
  },
  "I264": {
    "municipe": "SANT'ANDREA DI CONZA",
    "province": "AV"
  },
  "I271": {
    "municipe": "SANT'ANDREA FRIUS",
    "province": "SU"
  },
  "I277": {
    "municipe": "SANT'ANGELO A CUPOLO",
    "province": "BN"
  },
  "I278": {
    "municipe": "SANT'ANGELO A FASANELLA",
    "province": "SA"
  },
  "I280": {
    "municipe": "SANT'ANGELO A SCALA",
    "province": "AV"
  },
  "I279": {
    "municipe": "SANT'ANGELO ALL'ESCA",
    "province": "AV"
  },
  "I273": {
    "municipe": "SANT'ANGELO D'ALIFE",
    "province": "CE"
  },
  "I281": {
    "municipe": "SANT'ANGELO DEI LOMBARDI",
    "province": "AV"
  },
  "I282": {
    "municipe": "SANT'ANGELO DEL PESCO",
    "province": "IS"
  },
  "I283": {
    "municipe": "SANT'ANGELO DI BROLO",
    "province": "ME"
  },
  "I275": {
    "municipe": "SANT'ANGELO DI PIOVE DI SACCO",
    "province": "PD"
  },
  "I286": {
    "municipe": "SANT'ANGELO IN PONTANO",
    "province": "MC"
  },
  "I287": {
    "municipe": "SANT'ANGELO IN VADO",
    "province": "PU"
  },
  "I288": {
    "municipe": "SANT'ANGELO LE FRATTE",
    "province": "PZ"
  },
  "I289": {
    "municipe": "SANT'ANGELO LIMOSANO",
    "province": "CB"
  },
  "I274": {
    "municipe": "SANT'ANGELO LODIGIANO",
    "province": "LO"
  },
  "I276": {
    "municipe": "SANT'ANGELO LOMELLINA",
    "province": "PV"
  },
  "I290": {
    "municipe": "SANT'ANGELO MUXARO",
    "province": "AG"
  },
  "I284": {
    "municipe": "SANT'ANGELO ROMANO",
    "province": "RM"
  },
  "M209": {
    "municipe": "SANT'ANNA ARRESI",
    "province": "SU"
  },
  "I292": {
    "municipe": "SANT'ANNA D'ALFAEDO",
    "province": "VR"
  },
  "I293": {
    "municipe": "SANT'ANTIMO",
    "province": "NA"
  },
  "I294": {
    "municipe": "SANT'ANTIOCO",
    "province": "SU"
  },
  "I296": {
    "municipe": "SANT'ANTONINO DI SUSA",
    "province": "TO"
  },
  "I300": {
    "municipe": "SANT'ANTONIO ABATE",
    "province": "NA"
  },
  "M276": {
    "municipe": "SANT'ANTONIO DI GALLURA",
    "province": "SS"
  },
  "I302": {
    "municipe": "SANT'APOLLINARE",
    "province": "FR"
  },
  "I305": {
    "municipe": "SANT'ARCANGELO",
    "province": "PZ"
  },
  "F557": {
    "municipe": "SANT'ARCANGELO TRIMONTE",
    "province": "BN"
  },
  "I306": {
    "municipe": "SANT'ARPINO",
    "province": "CE"
  },
  "I307": {
    "municipe": "SANT'ARSENIO",
    "province": "SA"
  },
  "I318": {
    "municipe": "SANT'EGIDIO ALLA VIBRATA",
    "province": "TE"
  },
  "I317": {
    "municipe": "SANT'EGIDIO DEL MONTE ALBINO",
    "province": "SA"
  },
  "I319": {
    "municipe": "SANT'ELENA",
    "province": "PD"
  },
  "B466": {
    "municipe": "SANT'ELENA SANNITA",
    "province": "IS"
  },
  "I320": {
    "municipe": "SANT'ELIA A PIANISI",
    "province": "CB"
  },
  "I321": {
    "municipe": "SANT'ELIA FIUMERAPIDO",
    "province": "FR"
  },
  "I324": {
    "municipe": "SANT'ELPIDIO A MARE",
    "province": "FM"
  },
  "I332": {
    "municipe": "SANT'EUFEMIA A MAIELLA",
    "province": "PE"
  },
  "I333": {
    "municipe": "SANT'EUFEMIA D'ASPROMONTE",
    "province": "RC"
  },
  "I335": {
    "municipe": "SANT'EUSANIO DEL SANGRO",
    "province": "CH"
  },
  "I336": {
    "municipe": "SANT'EUSANIO FORCONESE",
    "province": "AQ"
  },
  "I342": {
    "municipe": "SANT'ILARIO D'ENZA",
    "province": "RE"
  },
  "I341": {
    "municipe": "SANT'ILARIO DELLO IONIO",
    "province": "RC"
  },
  "I344": {
    "municipe": "SANT'IPPOLITO",
    "province": "PU"
  },
  "I346": {
    "municipe": "SANT'OLCESE",
    "province": "GE"
  },
  "I348": {
    "municipe": "SANT'OMERO",
    "province": "TE"
  },
  "M333": {
    "municipe": "SANT'OMOBONO TERME",
    "province": "BG"
  },
  "I350": {
    "municipe": "SANT'ONOFRIO",
    "province": "VV"
  },
  "I352": {
    "municipe": "SANT'ORESTE",
    "province": "RM"
  },
  "I354": {
    "municipe": "SANT'ORSOLA TERME",
    "province": "TN"
  },
  "I375": {
    "municipe": "SANT'URBANO",
    "province": "PD"
  },
  "I168": {
    "municipe": "SANTA BRIGIDA",
    "province": "BG"
  },
  "I171": {
    "municipe": "SANTA CATERINA ALBANESE",
    "province": "CS"
  },
  "I170": {
    "municipe": "SANTA CATERINA DELLO IONIO",
    "province": "CZ"
  },
  "I169": {
    "municipe": "SANTA CATERINA VILLARMOSA",
    "province": "CL"
  },
  "I172": {
    "municipe": "SANTA CESAREA TERME",
    "province": "LE"
  },
  "I176": {
    "municipe": "SANTA CRISTINA D'ASPROMONTE",
    "province": "RC"
  },
  "I175": {
    "municipe": "SANTA CRISTINA E BISSONE",
    "province": "PV"
  },
  "I174": {
    "municipe": "SANTA CRISTINA GELA",
    "province": "PA"
  },
  "I173": {
    "municipe": "SANTA CRISTINA VALGARDENA/ST. CHRISTINA IN GRODEN",
    "province": "BZ"
  },
  "I178": {
    "municipe": "SANTA CROCE CAMERINA",
    "province": "RG"
  },
  "I179": {
    "municipe": "SANTA CROCE DEL SANNIO",
    "province": "BN"
  },
  "I181": {
    "municipe": "SANTA CROCE DI MAGLIANO",
    "province": "CB"
  },
  "I177": {
    "municipe": "SANTA CROCE SULL'ARNO",
    "province": "PI"
  },
  "I183": {
    "municipe": "SANTA DOMENICA TALAO",
    "province": "CS"
  },
  "I184": {
    "municipe": "SANTA DOMENICA VITTORIA",
    "province": "ME"
  },
  "I185": {
    "municipe": "SANTA ELISABETTA",
    "province": "AG"
  },
  "I187": {
    "municipe": "SANTA FIORA",
    "province": "GR"
  },
  "I188": {
    "municipe": "SANTA FLAVIA",
    "province": "PA"
  },
  "I203": {
    "municipe": "SANTA GIULETTA",
    "province": "PV"
  },
  "I205": {
    "municipe": "SANTA GIUSTA",
    "province": "OR"
  },
  "I206": {
    "municipe": "SANTA GIUSTINA",
    "province": "BL"
  },
  "I207": {
    "municipe": "SANTA GIUSTINA IN COLLE",
    "province": "PD"
  },
  "I217": {
    "municipe": "SANTA LUCE",
    "province": "PI"
  },
  "I220": {
    "municipe": "SANTA LUCIA DEL MELA",
    "province": "ME"
  },
  "I221": {
    "municipe": "SANTA LUCIA DI PIAVE",
    "province": "TV"
  },
  "I219": {
    "municipe": "SANTA LUCIA DI SERINO",
    "province": "AV"
  },
  "I224": {
    "municipe": "SANTA MARGHERITA DI BELICE",
    "province": "AG"
  },
  "I230": {
    "municipe": "SANTA MARGHERITA DI STAFFORA",
    "province": "PV"
  },
  "I225": {
    "municipe": "SANTA MARGHERITA LIGURE",
    "province": "GE"
  },
  "I232": {
    "municipe": "SANTA MARIA A MONTE",
    "province": "PI"
  },
  "I233": {
    "municipe": "SANTA MARIA A VICO",
    "province": "CE"
  },
  "I234": {
    "municipe": "SANTA MARIA CAPUA VETERE",
    "province": "CE"
  },
  "M284": {
    "municipe": "SANTA MARIA COGHINAS",
    "province": "SS"
  },
  "C717": {
    "municipe": "SANTA MARIA DEL CEDRO",
    "province": "CS"
  },
  "I238": {
    "municipe": "SANTA MARIA DEL MOLISE",
    "province": "IS"
  },
  "I237": {
    "municipe": "SANTA MARIA DELLA VERSA",
    "province": "PV"
  },
  "I240": {
    "municipe": "SANTA MARIA DI LICODIA",
    "province": "CT"
  },
  "I242": {
    "municipe": "SANTA MARIA DI SALA",
    "province": "VE"
  },
  "I243": {
    "municipe": "SANTA MARIA HOE'",
    "province": "LC"
  },
  "I244": {
    "municipe": "SANTA MARIA IMBARO",
    "province": "CH"
  },
  "M273": {
    "municipe": "SANTA MARIA LA CARITA'",
    "province": "NA"
  },
  "I247": {
    "municipe": "SANTA MARIA LA FOSSA",
    "province": "CE"
  },
  "I248": {
    "municipe": "SANTA MARIA LA LONGA",
    "province": "UD"
  },
  "I249": {
    "municipe": "SANTA MARIA MAGGIORE",
    "province": "VB"
  },
  "I251": {
    "municipe": "SANTA MARIA NUOVA",
    "province": "AN"
  },
  "I253": {
    "municipe": "SANTA MARINA",
    "province": "SA"
  },
  "I254": {
    "municipe": "SANTA MARINA SALINA",
    "province": "ME"
  },
  "I255": {
    "municipe": "SANTA MARINELLA",
    "province": "RM"
  },
  "I291": {
    "municipe": "SANTA NINFA",
    "province": "TP"
  },
  "I301": {
    "municipe": "SANTA PAOLINA",
    "province": "AV"
  },
  "I308": {
    "municipe": "SANTA SEVERINA",
    "province": "KR"
  },
  "I310": {
    "municipe": "SANTA SOFIA",
    "province": "FC"
  },
  "I309": {
    "municipe": "SANTA SOFIA D'EPIRO",
    "province": "CS"
  },
  "I311": {
    "municipe": "SANTA TERESA DI RIVA",
    "province": "ME"
  },
  "I312": {
    "municipe": "SANTA TERESA GALLURA",
    "province": "SS"
  },
  "I314": {
    "municipe": "SANTA VENERINA",
    "province": "CT"
  },
  "I316": {
    "municipe": "SANTA VITTORIA D'ALBA",
    "province": "CN"
  },
  "I315": {
    "municipe": "SANTA VITTORIA IN MATENANO",
    "province": "FM"
  },
  "I182": {
    "municipe": "SANTADI",
    "province": "SU"
  },
  "I304": {
    "municipe": "SANTARCANGELO DI ROMAGNA",
    "province": "RN"
  },
  "I326": {
    "municipe": "SANTE MARIE",
    "province": "AQ"
  },
  "I327": {
    "municipe": "SANTENA",
    "province": "TO"
  },
  "I330": {
    "municipe": "SANTERAMO IN COLLE",
    "province": "BA"
  },
  "I337": {
    "municipe": "SANTHIA'",
    "province": "VC"
  },
  "I339": {
    "municipe": "SANTI COSMA E DAMIANO",
    "province": "LT"
  },
  "I365": {
    "municipe": "SANTO STEFANO AL MARE",
    "province": "IM"
  },
  "I367": {
    "municipe": "SANTO STEFANO BELBO",
    "province": "CN"
  },
  "I368": {
    "municipe": "SANTO STEFANO D'AVETO",
    "province": "GE"
  },
  "I357": {
    "municipe": "SANTO STEFANO DEL SOLE",
    "province": "AV"
  },
  "C919": {
    "municipe": "SANTO STEFANO DI CADORE",
    "province": "BL"
  },
  "I370": {
    "municipe": "SANTO STEFANO DI CAMASTRA",
    "province": "ME"
  },
  "I363": {
    "municipe": "SANTO STEFANO DI MAGRA",
    "province": "SP"
  },
  "I359": {
    "municipe": "SANTO STEFANO DI ROGLIANO",
    "province": "CS"
  },
  "I360": {
    "municipe": "SANTO STEFANO DI SESSANIO",
    "province": "AQ"
  },
  "I371": {
    "municipe": "SANTO STEFANO IN ASPROMONTE",
    "province": "RC"
  },
  "I362": {
    "municipe": "SANTO STEFANO LODIGIANO",
    "province": "LO"
  },
  "I356": {
    "municipe": "SANTO STEFANO QUISQUINA",
    "province": "AG"
  },
  "I372": {
    "municipe": "SANTO STEFANO ROERO",
    "province": "CN"
  },
  "I361": {
    "municipe": "SANTO STEFANO TICINO",
    "province": "MI"
  },
  "I260": {
    "municipe": "SANTOMENNA",
    "province": "SA"
  },
  "I351": {
    "municipe": "SANTOPADRE",
    "province": "FR"
  },
  "I353": {
    "municipe": "SANTORSO",
    "province": "VI"
  },
  "I374": {
    "municipe": "SANTU LUSSURGIU",
    "province": "OR"
  },
  "I410": {
    "municipe": "SANZA",
    "province": "SA"
  },
  "I411": {
    "municipe": "SANZENO",
    "province": "TN"
  },
  "I418": {
    "municipe": "SAONARA",
    "province": "PD"
  },
  "I420": {
    "municipe": "SAPONARA",
    "province": "ME"
  },
  "I421": {
    "municipe": "SAPPADA",
    "province": "UD"
  },
  "I422": {
    "municipe": "SAPRI",
    "province": "SA"
  },
  "I423": {
    "municipe": "SARACENA",
    "province": "CS"
  },
  "I424": {
    "municipe": "SARACINESCO",
    "province": "RM"
  },
  "I425": {
    "municipe": "SARCEDO",
    "province": "VI"
  },
  "I426": {
    "municipe": "SARCONI",
    "province": "PZ"
  },
  "I428": {
    "municipe": "SARDARA",
    "province": "SU"
  },
  "I429": {
    "municipe": "SARDIGLIANO",
    "province": "AL"
  },
  "I430": {
    "municipe": "SAREGO",
    "province": "VI"
  },
  "I431": {
    "municipe": "SARENTINO/SARNTAL",
    "province": "BZ"
  },
  "I432": {
    "municipe": "SAREZZANO",
    "province": "AL"
  },
  "I433": {
    "municipe": "SAREZZO",
    "province": "BS"
  },
  "I434": {
    "municipe": "SARMATO",
    "province": "PC"
  },
  "I435": {
    "municipe": "SARMEDE",
    "province": "TV"
  },
  "I436": {
    "municipe": "SARNANO",
    "province": "MC"
  },
  "I437": {
    "municipe": "SARNICO",
    "province": "BG"
  },
  "I438": {
    "municipe": "SARNO",
    "province": "SA"
  },
  "I439": {
    "municipe": "SARNONICO",
    "province": "TN"
  },
  "I441": {
    "municipe": "SARONNO",
    "province": "VA"
  },
  "I442": {
    "municipe": "SARRE",
    "province": "AO"
  },
  "I443": {
    "municipe": "SARROCH",
    "province": "CA"
  },
  "I444": {
    "municipe": "SARSINA",
    "province": "FC"
  },
  "I445": {
    "municipe": "SARTEANO",
    "province": "SI"
  },
  "I447": {
    "municipe": "SARTIRANA LOMELLINA",
    "province": "PV"
  },
  "I448": {
    "municipe": "SARULE",
    "province": "NU"
  },
  "I449": {
    "municipe": "SARZANA",
    "province": "SP"
  },
  "I451": {
    "municipe": "SASSANO",
    "province": "SA"
  },
  "I452": {
    "municipe": "SASSARI",
    "province": "SS"
  },
  "I453": {
    "municipe": "SASSELLO",
    "province": "SV"
  },
  "I454": {
    "municipe": "SASSETTA",
    "province": "LI"
  },
  "I455": {
    "municipe": "SASSINORO",
    "province": "BN"
  },
  "I457": {
    "municipe": "SASSO DI CASTALDA",
    "province": "PZ"
  },
  "G972": {
    "municipe": "SASSO MARCONI",
    "province": "BO"
  },
  "M413": {
    "municipe": "SASSOCORVARO AUDITORE",
    "province": "PU"
  },
  "I460": {
    "municipe": "SASSOFELTRIO",
    "province": "RN"
  },
  "I461": {
    "municipe": "SASSOFERRATO",
    "province": "AN"
  },
  "I462": {
    "municipe": "SASSUOLO",
    "province": "MO"
  },
  "I463": {
    "municipe": "SATRIANO",
    "province": "CZ"
  },
  "G614": {
    "municipe": "SATRIANO DI LUCANIA",
    "province": "PZ"
  },
  "I464": {
    "municipe": "SAURIS",
    "province": "UD"
  },
  "I466": {
    "municipe": "SAUZE D'OULX",
    "province": "TO"
  },
  "I465": {
    "municipe": "SAUZE DI CESANA",
    "province": "TO"
  },
  "I467": {
    "municipe": "SAVA",
    "province": "TA"
  },
  "I468": {
    "municipe": "SAVELLI",
    "province": "KR"
  },
  "I469": {
    "municipe": "SAVIANO",
    "province": "NA"
  },
  "I470": {
    "municipe": "SAVIGLIANO",
    "province": "CN"
  },
  "I471": {
    "municipe": "SAVIGNANO IRPINO",
    "province": "AV"
  },
  "I473": {
    "municipe": "SAVIGNANO SUL PANARO",
    "province": "MO"
  },
  "I472": {
    "municipe": "SAVIGNANO SUL RUBICONE",
    "province": "FC"
  },
  "I475": {
    "municipe": "SAVIGNONE",
    "province": "GE"
  },
  "I476": {
    "municipe": "SAVIORE DELL'ADAMELLO",
    "province": "BS"
  },
  "I477": {
    "municipe": "SAVOCA",
    "province": "ME"
  },
  "I478": {
    "municipe": "SAVOGNA",
    "province": "UD"
  },
  "I479": {
    "municipe": "SAVOGNA D'ISONZO",
    "province": "GO"
  },
  "H730": {
    "municipe": "SAVOIA DI LUCANIA",
    "province": "PZ"
  },
  "I480": {
    "municipe": "SAVONA",
    "province": "SV"
  },
  "I482": {
    "municipe": "SCAFA",
    "province": "PE"
  },
  "I483": {
    "municipe": "SCAFATI",
    "province": "SA"
  },
  "I484": {
    "municipe": "SCAGNELLO",
    "province": "CN"
  },
  "I486": {
    "municipe": "SCALA",
    "province": "SA"
  },
  "I485": {
    "municipe": "SCALA COELI",
    "province": "CS"
  },
  "I487": {
    "municipe": "SCALDASOLE",
    "province": "PV"
  },
  "I489": {
    "municipe": "SCALEA",
    "province": "CS"
  },
  "I490": {
    "municipe": "SCALENGHE",
    "province": "TO"
  },
  "I492": {
    "municipe": "SCALETTA ZANCLEA",
    "province": "ME"
  },
  "I493": {
    "municipe": "SCAMPITELLA",
    "province": "AV"
  },
  "I494": {
    "municipe": "SCANDALE",
    "province": "KR"
  },
  "I496": {
    "municipe": "SCANDIANO",
    "province": "RE"
  },
  "B962": {
    "municipe": "SCANDICCI",
    "province": "FI"
  },
  "I497": {
    "municipe": "SCANDOLARA RAVARA",
    "province": "CR"
  },
  "I498": {
    "municipe": "SCANDOLARA RIPA D'OGLIO",
    "province": "CR"
  },
  "I499": {
    "municipe": "SCANDRIGLIA",
    "province": "RI"
  },
  "I501": {
    "municipe": "SCANNO",
    "province": "AQ"
  },
  "I503": {
    "municipe": "SCANO DI MONTIFERRO",
    "province": "OR"
  },
  "I504": {
    "municipe": "SCANSANO",
    "province": "GR"
  },
  "M256": {
    "municipe": "SCANZANO JONICO",
    "province": "MT"
  },
  "I506": {
    "municipe": "SCANZOROSCIATE",
    "province": "BG"
  },
  "I507": {
    "municipe": "SCAPOLI",
    "province": "IS"
  },
  "I510": {
    "municipe": "SCARLINO",
    "province": "GR"
  },
  "I511": {
    "municipe": "SCARMAGNO",
    "province": "TO"
  },
  "I512": {
    "municipe": "SCARNAFIGI",
    "province": "CN"
  },
  "M326": {
    "municipe": "SCARPERIA E SAN PIERO",
    "province": "FI"
  },
  "I519": {
    "municipe": "SCENA/SCHENNA",
    "province": "BZ"
  },
  "I520": {
    "municipe": "SCERNI",
    "province": "CH"
  },
  "I522": {
    "municipe": "SCHEGGIA E PASCELUPO",
    "province": "PG"
  },
  "I523": {
    "municipe": "SCHEGGINO",
    "province": "PG"
  },
  "I526": {
    "municipe": "SCHIAVI DI ABRUZZO",
    "province": "CH"
  },
  "I527": {
    "municipe": "SCHIAVON",
    "province": "VI"
  },
  "I529": {
    "municipe": "SCHIGNANO",
    "province": "CO"
  },
  "I530": {
    "municipe": "SCHILPARIO",
    "province": "BG"
  },
  "I531": {
    "municipe": "SCHIO",
    "province": "VI"
  },
  "I532": {
    "municipe": "SCHIVENOGLIA",
    "province": "MN"
  },
  "I533": {
    "municipe": "SCIACCA",
    "province": "AG"
  },
  "I534": {
    "municipe": "SCIARA",
    "province": "PA"
  },
  "I535": {
    "municipe": "SCICLI",
    "province": "RG"
  },
  "I536": {
    "municipe": "SCIDO",
    "province": "RC"
  },
  "D290": {
    "municipe": "SCIGLIANO",
    "province": "CS"
  },
  "I537": {
    "municipe": "SCILLA",
    "province": "RC"
  },
  "I538": {
    "municipe": "SCILLATO",
    "province": "PA"
  },
  "I539": {
    "municipe": "SCIOLZE",
    "province": "TO"
  },
  "I540": {
    "municipe": "SCISCIANO",
    "province": "NA"
  },
  "I541": {
    "municipe": "SCLAFANI BAGNI",
    "province": "PA"
  },
  "I543": {
    "municipe": "SCONTRONE",
    "province": "AQ"
  },
  "I544": {
    "municipe": "SCOPA",
    "province": "VC"
  },
  "I545": {
    "municipe": "SCOPELLO",
    "province": "VC"
  },
  "I546": {
    "municipe": "SCOPPITO",
    "province": "AQ"
  },
  "I548": {
    "municipe": "SCORDIA",
    "province": "CT"
  },
  "I549": {
    "municipe": "SCORRANO",
    "province": "LE"
  },
  "I551": {
    "municipe": "SCORZE'",
    "province": "VE"
  },
  "I553": {
    "municipe": "SCURCOLA MARSICANA",
    "province": "AQ"
  },
  "I554": {
    "municipe": "SCURELLE",
    "province": "TN"
  },
  "I555": {
    "municipe": "SCURZOLENGO",
    "province": "AT"
  },
  "I556": {
    "municipe": "SEBORGA",
    "province": "IM"
  },
  "I558": {
    "municipe": "SECINARO",
    "province": "AQ"
  },
  "I559": {
    "municipe": "SECLI'",
    "province": "LE"
  },
  "I561": {
    "municipe": "SECUGNAGO",
    "province": "LO"
  },
  "I562": {
    "municipe": "SEDEGLIANO",
    "province": "UD"
  },
  "I563": {
    "municipe": "SEDICO",
    "province": "BL"
  },
  "I564": {
    "municipe": "SEDILO",
    "province": "OR"
  },
  "I565": {
    "municipe": "SEDINI",
    "province": "SS"
  },
  "I566": {
    "municipe": "SEDRIANO",
    "province": "MI"
  },
  "I567": {
    "municipe": "SEDRINA",
    "province": "BG"
  },
  "I569": {
    "municipe": "SEFRO",
    "province": "MC"
  },
  "I570": {
    "municipe": "SEGARIU",
    "province": "SU"
  },
  "I571": {
    "municipe": "SEGGIANO",
    "province": "GR"
  },
  "I573": {
    "municipe": "SEGNI",
    "province": "RM"
  },
  "I576": {
    "municipe": "SEGONZANO",
    "province": "TN"
  },
  "I577": {
    "municipe": "SEGRATE",
    "province": "MI"
  },
  "I578": {
    "municipe": "SEGUSINO",
    "province": "TV"
  },
  "I580": {
    "municipe": "SELARGIUS",
    "province": "CA"
  },
  "I581": {
    "municipe": "SELCI",
    "province": "RI"
  },
  "I582": {
    "municipe": "SELEGAS",
    "province": "SU"
  },
  "M360": {
    "municipe": "SELLA GIUDICARIE",
    "province": "TN"
  },
  "I585": {
    "municipe": "SELLANO",
    "province": "PG"
  },
  "I588": {
    "municipe": "SELLERO",
    "province": "BS"
  },
  "I589": {
    "municipe": "SELLIA",
    "province": "CZ"
  },
  "I590": {
    "municipe": "SELLIA MARINA",
    "province": "CZ"
  },
  "I593": {
    "municipe": "SELVA DEI MOLINI/MUHLWALD",
    "province": "BZ"
  },
  "I592": {
    "municipe": "SELVA DI CADORE",
    "province": "BL"
  },
  "I594": {
    "municipe": "SELVA DI PROGNO",
    "province": "VR"
  },
  "I591": {
    "municipe": "SELVA DI VAL GARDENA/WOLKENSTEIN IN GRODEN",
    "province": "BZ"
  },
  "I595": {
    "municipe": "SELVAZZANO DENTRO",
    "province": "PD"
  },
  "I597": {
    "municipe": "SELVINO",
    "province": "BG"
  },
  "I598": {
    "municipe": "SEMESTENE",
    "province": "SS"
  },
  "I599": {
    "municipe": "SEMIANA",
    "province": "PV"
  },
  "I600": {
    "municipe": "SEMINARA",
    "province": "RC"
  },
  "I601": {
    "municipe": "SEMPRONIANO",
    "province": "GR"
  },
  "I602": {
    "municipe": "SENAGO",
    "province": "MI"
  },
  "I603": {
    "municipe": "SENALE-SAN FELICE/UNSERE LIEBE FRAU IM WALDE-ST. FELIX",
    "province": "BZ"
  },
  "I604": {
    "municipe": "SENALES/SCHNALS",
    "province": "BZ"
  },
  "I605": {
    "municipe": "SENEGHE",
    "province": "OR"
  },
  "I606": {
    "municipe": "SENERCHIA",
    "province": "AV"
  },
  "I607": {
    "municipe": "SENIGA",
    "province": "BS"
  },
  "I608": {
    "municipe": "SENIGALLIA",
    "province": "AN"
  },
  "I609": {
    "municipe": "SENIS",
    "province": "OR"
  },
  "I610": {
    "municipe": "SENISE",
    "province": "PZ"
  },
  "I611": {
    "municipe": "SENNA COMASCO",
    "province": "CO"
  },
  "I612": {
    "municipe": "SENNA LODIGIANA",
    "province": "LO"
  },
  "I613": {
    "municipe": "SENNARIOLO",
    "province": "OR"
  },
  "I614": {
    "municipe": "SENNORI",
    "province": "SS"
  },
  "I615": {
    "municipe": "SENORBI'",
    "province": "SU"
  },
  "I618": {
    "municipe": "SEPINO",
    "province": "CB"
  },
  "I621": {
    "municipe": "SEQUALS",
    "province": "PN"
  },
  "I622": {
    "municipe": "SERAVEZZA",
    "province": "LU"
  },
  "I624": {
    "municipe": "SERDIANA",
    "province": "SU"
  },
  "I625": {
    "municipe": "SEREGNO",
    "province": "MB"
  },
  "I626": {
    "municipe": "SEREN DEL GRAPPA",
    "province": "BL"
  },
  "I627": {
    "municipe": "SERGNANO",
    "province": "CR"
  },
  "I628": {
    "municipe": "SERIATE",
    "province": "BG"
  },
  "I629": {
    "municipe": "SERINA",
    "province": "BG"
  },
  "I630": {
    "municipe": "SERINO",
    "province": "AV"
  },
  "I631": {
    "municipe": "SERLE",
    "province": "BS"
  },
  "I632": {
    "municipe": "SERMIDE E FELONICA",
    "province": "MN"
  },
  "I634": {
    "municipe": "SERMONETA",
    "province": "LT"
  },
  "I635": {
    "municipe": "SERNAGLIA DELLA BATTAGLIA",
    "province": "TV"
  },
  "I636": {
    "municipe": "SERNIO",
    "province": "SO"
  },
  "I637": {
    "municipe": "SEROLE",
    "province": "AT"
  },
  "I642": {
    "municipe": "SERRA D'AIELLO",
    "province": "CS"
  },
  "I643": {
    "municipe": "SERRA DE' CONTI",
    "province": "AN"
  },
  "I640": {
    "municipe": "SERRA RICCO'",
    "province": "GE"
  },
  "I639": {
    "municipe": "SERRA SAN BRUNO",
    "province": "VV"
  },
  "I653": {
    "municipe": "SERRA SAN QUIRICO",
    "province": "AN"
  },
  "I654": {
    "municipe": "SERRA SANT'ABBONDIO",
    "province": "PU"
  },
  "I641": {
    "municipe": "SERRACAPRIOLA",
    "province": "FG"
  },
  "I644": {
    "municipe": "SERRADIFALCO",
    "province": "CL"
  },
  "I646": {
    "municipe": "SERRALUNGA D'ALBA",
    "province": "CN"
  },
  "I645": {
    "municipe": "SERRALUNGA DI CREA",
    "province": "AL"
  },
  "I647": {
    "municipe": "SERRAMANNA",
    "province": "SU"
  },
  "F357": {
    "municipe": "SERRAMAZZONI",
    "province": "MO"
  },
  "I648": {
    "municipe": "SERRAMEZZANA",
    "province": "SA"
  },
  "I649": {
    "municipe": "SERRAMONACESCA",
    "province": "PE"
  },
  "I651": {
    "municipe": "SERRAPETRONA",
    "province": "MC"
  },
  "I652": {
    "municipe": "SERRARA FONTANA",
    "province": "NA"
  },
  "I655": {
    "municipe": "SERRASTRETTA",
    "province": "CZ"
  },
  "I656": {
    "municipe": "SERRATA",
    "province": "RC"
  },
  "I662": {
    "municipe": "SERRAVALLE A PO",
    "province": "MN"
  },
  "I661": {
    "municipe": "SERRAVALLE DI CHIENTI",
    "province": "MC"
  },
  "I659": {
    "municipe": "SERRAVALLE LANGHE",
    "province": "CN"
  },
  "I660": {
    "municipe": "SERRAVALLE PISTOIESE",
    "province": "PT"
  },
  "I657": {
    "municipe": "SERRAVALLE SCRIVIA",
    "province": "AL"
  },
  "I663": {
    "municipe": "SERRAVALLE SESIA",
    "province": "VC"
  },
  "I666": {
    "municipe": "SERRE",
    "province": "SA"
  },
  "I667": {
    "municipe": "SERRENTI",
    "province": "SU"
  },
  "I668": {
    "municipe": "SERRI",
    "province": "SU"
  },
  "I669": {
    "municipe": "SERRONE",
    "province": "FR"
  },
  "I671": {
    "municipe": "SERSALE",
    "province": "CZ"
  },
  "C070": {
    "municipe": "SERVIGLIANO",
    "province": "FM"
  },
  "I676": {
    "municipe": "SESSA AURUNCA",
    "province": "CE"
  },
  "I677": {
    "municipe": "SESSA CILENTO",
    "province": "SA"
  },
  "I678": {
    "municipe": "SESSAME",
    "province": "AT"
  },
  "I679": {
    "municipe": "SESSANO DEL MOLISE",
    "province": "IS"
  },
  "E070": {
    "municipe": "SESTA GODANO",
    "province": "SP"
  },
  "I681": {
    "municipe": "SESTINO",
    "province": "AR"
  },
  "I686": {
    "municipe": "SESTO AL REGHENA",
    "province": "PN"
  },
  "I688": {
    "municipe": "SESTO CALENDE",
    "province": "VA"
  },
  "I682": {
    "municipe": "SESTO CAMPANO",
    "province": "IS"
  },
  "I683": {
    "municipe": "SESTO ED UNITI",
    "province": "CR"
  },
  "I684": {
    "municipe": "SESTO FIORENTINO",
    "province": "FI"
  },
  "I690": {
    "municipe": "SESTO SAN GIOVANNI",
    "province": "MI"
  },
  "I687": {
    "municipe": "SESTO/SEXTEN",
    "province": "BZ"
  },
  "I689": {
    "municipe": "SESTOLA",
    "province": "MO"
  },
  "I693": {
    "municipe": "SESTRI LEVANTE",
    "province": "GE"
  },
  "I692": {
    "municipe": "SESTRIERE",
    "province": "TO"
  },
  "I695": {
    "municipe": "SESTU",
    "province": "CA"
  },
  "I696": {
    "municipe": "SETTALA",
    "province": "MI"
  },
  "I697": {
    "municipe": "SETTEFRATI",
    "province": "FR"
  },
  "I698": {
    "municipe": "SETTIME",
    "province": "AT"
  },
  "I700": {
    "municipe": "SETTIMO MILANESE",
    "province": "MI"
  },
  "I701": {
    "municipe": "SETTIMO ROTTARO",
    "province": "TO"
  },
  "I699": {
    "municipe": "SETTIMO SAN PIETRO",
    "province": "CA"
  },
  "I703": {
    "municipe": "SETTIMO TORINESE",
    "province": "TO"
  },
  "I702": {
    "municipe": "SETTIMO VITTONE",
    "province": "TO"
  },
  "I704": {
    "municipe": "SETTINGIANO",
    "province": "CZ"
  },
  "I705": {
    "municipe": "SETZU",
    "province": "SU"
  },
  "I706": {
    "municipe": "SEUI",
    "province": "SU"
  },
  "I707": {
    "municipe": "SEULO",
    "province": "SU"
  },
  "I709": {
    "municipe": "SEVESO",
    "province": "MB"
  },
  "I711": {
    "municipe": "SEZZADIO",
    "province": "AL"
  },
  "I712": {
    "municipe": "SEZZE",
    "province": "LT"
  },
  "I714": {
    "municipe": "SFRUZ",
    "province": "TN"
  },
  "I715": {
    "municipe": "SGONICO",
    "province": "TS"
  },
  "I716": {
    "municipe": "SGURGOLA",
    "province": "FR"
  },
  "I717": {
    "municipe": "SIAMAGGIORE",
    "province": "OR"
  },
  "I718": {
    "municipe": "SIAMANNA",
    "province": "OR"
  },
  "I720": {
    "municipe": "SIANO",
    "province": "SA"
  },
  "I721": {
    "municipe": "SIAPICCIA",
    "province": "OR"
  },
  "M253": {
    "municipe": "SICIGNANO DEGLI ALBURNI",
    "province": "SA"
  },
  "I723": {
    "municipe": "SICULIANA",
    "province": "AG"
  },
  "I724": {
    "municipe": "SIDDI",
    "province": "SU"
  },
  "I725": {
    "municipe": "SIDERNO",
    "province": "RC"
  },
  "I726": {
    "municipe": "SIENA",
    "province": "SI"
  },
  "I727": {
    "municipe": "SIGILLO",
    "province": "PG"
  },
  "I728": {
    "municipe": "SIGNA",
    "province": "FI"
  },
  "I729": {
    "municipe": "SILANDRO/SCHLANDERS",
    "province": "BZ"
  },
  "I730": {
    "municipe": "SILANUS",
    "province": "NU"
  },
  "F116": {
    "municipe": "SILEA",
    "province": "TV"
  },
  "I732": {
    "municipe": "SILIGO",
    "province": "SS"
  },
  "I734": {
    "municipe": "SILIQUA",
    "province": "SU"
  },
  "I735": {
    "municipe": "SILIUS",
    "province": "SU"
  },
  "M347": {
    "municipe": "SILLANO GIUNCUGNANO",
    "province": "LU"
  },
  "I736": {
    "municipe": "SILLAVENGO",
    "province": "NO"
  },
  "I738": {
    "municipe": "SILVANO D'ORBA",
    "province": "AL"
  },
  "I739": {
    "municipe": "SILVANO PIETRA",
    "province": "PV"
  },
  "I741": {
    "municipe": "SILVI",
    "province": "TE"
  },
  "I742": {
    "municipe": "SIMALA",
    "province": "OR"
  },
  "I743": {
    "municipe": "SIMAXIS",
    "province": "OR"
  },
  "I744": {
    "municipe": "SIMBARIO",
    "province": "VV"
  },
  "I745": {
    "municipe": "SIMERI CRICHI",
    "province": "CZ"
  },
  "I747": {
    "municipe": "SINAGRA",
    "province": "ME"
  },
  "A468": {
    "municipe": "SINALUNGA",
    "province": "SI"
  },
  "I748": {
    "municipe": "SINDIA",
    "province": "NU"
  },
  "I749": {
    "municipe": "SINI",
    "province": "OR"
  },
  "I750": {
    "municipe": "SINIO",
    "province": "CN"
  },
  "I751": {
    "municipe": "SINISCOLA",
    "province": "NU"
  },
  "I752": {
    "municipe": "SINNAI",
    "province": "CA"
  },
  "I753": {
    "municipe": "SINOPOLI",
    "province": "RC"
  },
  "I754": {
    "municipe": "SIRACUSA",
    "province": "SR"
  },
  "I756": {
    "municipe": "SIRIGNANO",
    "province": "AV"
  },
  "I757": {
    "municipe": "SIRIS",
    "province": "OR"
  },
  "I633": {
    "municipe": "SIRMIONE",
    "province": "BS"
  },
  "I758": {
    "municipe": "SIROLO",
    "province": "AN"
  },
  "I759": {
    "municipe": "SIRONE",
    "province": "LC"
  },
  "I761": {
    "municipe": "SIRTORI",
    "province": "LC"
  },
  "M325": {
    "municipe": "SISSA TRECASALI",
    "province": "PR"
  },
  "I765": {
    "municipe": "SIURGUS DONIGALA",
    "province": "SU"
  },
  "E265": {
    "municipe": "SIZIANO",
    "province": "PV"
  },
  "I767": {
    "municipe": "SIZZANO",
    "province": "NO"
  },
  "I771": {
    "municipe": "SLUDERNO/SCHLUDERNS",
    "province": "BZ"
  },
  "I774": {
    "municipe": "SMERILLO",
    "province": "FM"
  },
  "I775": {
    "municipe": "SOAVE",
    "province": "VR"
  },
  "I777": {
    "municipe": "SOCCHIEVE",
    "province": "UD"
  },
  "I778": {
    "municipe": "SODDI'",
    "province": "OR"
  },
  "I779": {
    "municipe": "SOGLIANO AL RUBICONE",
    "province": "FC"
  },
  "I780": {
    "municipe": "SOGLIANO CAVOUR",
    "province": "LE"
  },
  "I781": {
    "municipe": "SOGLIO",
    "province": "AT"
  },
  "I782": {
    "municipe": "SOIANO DEL LAGO",
    "province": "BS"
  },
  "I783": {
    "municipe": "SOLAGNA",
    "province": "VI"
  },
  "I785": {
    "municipe": "SOLARINO",
    "province": "SR"
  },
  "I786": {
    "municipe": "SOLARO",
    "province": "MI"
  },
  "I787": {
    "municipe": "SOLAROLO",
    "province": "RA"
  },
  "I790": {
    "municipe": "SOLAROLO RAINERIO",
    "province": "CR"
  },
  "I791": {
    "municipe": "SOLARUSSA",
    "province": "OR"
  },
  "I793": {
    "municipe": "SOLBIATE ARNO",
    "province": "VA"
  },
  "M412": {
    "municipe": "SOLBIATE CON CAGNO",
    "province": "CO"
  },
  "I794": {
    "municipe": "SOLBIATE OLONA",
    "province": "VA"
  },
  "I796": {
    "municipe": "SOLDANO",
    "province": "IM"
  },
  "I797": {
    "municipe": "SOLEMINIS",
    "province": "SU"
  },
  "I798": {
    "municipe": "SOLERO",
    "province": "AL"
  },
  "I799": {
    "municipe": "SOLESINO",
    "province": "PD"
  },
  "I800": {
    "municipe": "SOLETO",
    "province": "LE"
  },
  "I801": {
    "municipe": "SOLFERINO",
    "province": "MN"
  },
  "I802": {
    "municipe": "SOLIERA",
    "province": "MO"
  },
  "I803": {
    "municipe": "SOLIGNANO",
    "province": "PR"
  },
  "I805": {
    "municipe": "SOLOFRA",
    "province": "AV"
  },
  "I808": {
    "municipe": "SOLONGHELLO",
    "province": "AL"
  },
  "I809": {
    "municipe": "SOLOPACA",
    "province": "BN"
  },
  "I812": {
    "municipe": "SOLTO COLLINA",
    "province": "BG"
  },
  "I813": {
    "municipe": "SOLZA",
    "province": "BG"
  },
  "I815": {
    "municipe": "SOMAGLIA",
    "province": "LO"
  },
  "I817": {
    "municipe": "SOMANO",
    "province": "CN"
  },
  "I819": {
    "municipe": "SOMMA LOMBARDO",
    "province": "VA"
  },
  "I820": {
    "municipe": "SOMMA VESUVIANA",
    "province": "NA"
  },
  "I821": {
    "municipe": "SOMMACAMPAGNA",
    "province": "VR"
  },
  "I822": {
    "municipe": "SOMMARIVA DEL BOSCO",
    "province": "CN"
  },
  "I823": {
    "municipe": "SOMMARIVA PERNO",
    "province": "CN"
  },
  "I824": {
    "municipe": "SOMMATINO",
    "province": "CL"
  },
  "I825": {
    "municipe": "SOMMO",
    "province": "PV"
  },
  "I826": {
    "municipe": "SONA",
    "province": "VR"
  },
  "I827": {
    "municipe": "SONCINO",
    "province": "CR"
  },
  "I828": {
    "municipe": "SONDALO",
    "province": "SO"
  },
  "I829": {
    "municipe": "SONDRIO",
    "province": "SO"
  },
  "I830": {
    "municipe": "SONGAVAZZO",
    "province": "BG"
  },
  "I831": {
    "municipe": "SONICO",
    "province": "BS"
  },
  "I832": {
    "municipe": "SONNINO",
    "province": "LT"
  },
  "I838": {
    "municipe": "SORA",
    "province": "FR"
  },
  "I839": {
    "municipe": "SORAGA DI FASSA",
    "province": "TN"
  },
  "I840": {
    "municipe": "SORAGNA",
    "province": "PR"
  },
  "I841": {
    "municipe": "SORANO",
    "province": "GR"
  },
  "I844": {
    "municipe": "SORBO SAN BASILE",
    "province": "CZ"
  },
  "I843": {
    "municipe": "SORBO SERPICO",
    "province": "AV"
  },
  "M411": {
    "municipe": "SORBOLO MEZZANI",
    "province": "PR"
  },
  "I847": {
    "municipe": "SORDEVOLO",
    "province": "BI"
  },
  "I848": {
    "municipe": "SORDIO",
    "province": "LO"
  },
  "I849": {
    "municipe": "SORESINA",
    "province": "CR"
  },
  "I850": {
    "municipe": "SORGA'",
    "province": "VR"
  },
  "I851": {
    "municipe": "SORGONO",
    "province": "NU"
  },
  "I852": {
    "municipe": "SORI",
    "province": "GE"
  },
  "I853": {
    "municipe": "SORIANELLO",
    "province": "VV"
  },
  "I854": {
    "municipe": "SORIANO CALABRO",
    "province": "VV"
  },
  "I855": {
    "municipe": "SORIANO NEL CIMINO",
    "province": "VT"
  },
  "I856": {
    "municipe": "SORICO",
    "province": "CO"
  },
  "I857": {
    "municipe": "SORISO",
    "province": "NO"
  },
  "I858": {
    "municipe": "SORISOLE",
    "province": "BG"
  },
  "I860": {
    "municipe": "SORMANO",
    "province": "CO"
  },
  "I861": {
    "municipe": "SORRADILE",
    "province": "OR"
  },
  "I862": {
    "municipe": "SORRENTO",
    "province": "NA"
  },
  "I863": {
    "municipe": "SORSO",
    "province": "SS"
  },
  "I864": {
    "municipe": "SORTINO",
    "province": "SR"
  },
  "I865": {
    "municipe": "SOSPIRO",
    "province": "CR"
  },
  "I866": {
    "municipe": "SOSPIROLO",
    "province": "BL"
  },
  "I867": {
    "municipe": "SOSSANO",
    "province": "VI"
  },
  "I868": {
    "municipe": "SOSTEGNO",
    "province": "BI"
  },
  "I869": {
    "municipe": "SOTTO IL MONTE GIOVANNI XXIII",
    "province": "BG"
  },
  "I871": {
    "municipe": "SOVER",
    "province": "TN"
  },
  "I872": {
    "municipe": "SOVERATO",
    "province": "CZ"
  },
  "I873": {
    "municipe": "SOVERE",
    "province": "BG"
  },
  "I874": {
    "municipe": "SOVERIA MANNELLI",
    "province": "CZ"
  },
  "I875": {
    "municipe": "SOVERIA SIMERI",
    "province": "CZ"
  },
  "I876": {
    "municipe": "SOVERZENE",
    "province": "BL"
  },
  "I877": {
    "municipe": "SOVICILLE",
    "province": "SI"
  },
  "I878": {
    "municipe": "SOVICO",
    "province": "MB"
  },
  "I879": {
    "municipe": "SOVIZZO",
    "province": "VI"
  },
  "I673": {
    "municipe": "SOVRAMONTE",
    "province": "BL"
  },
  "I880": {
    "municipe": "SOZZAGO",
    "province": "NO"
  },
  "I881": {
    "municipe": "SPADAFORA",
    "province": "ME"
  },
  "I884": {
    "municipe": "SPADOLA",
    "province": "VV"
  },
  "I885": {
    "municipe": "SPARANISE",
    "province": "CE"
  },
  "I886": {
    "municipe": "SPARONE",
    "province": "TO"
  },
  "I887": {
    "municipe": "SPECCHIA",
    "province": "LE"
  },
  "I888": {
    "municipe": "SPELLO",
    "province": "PG"
  },
  "I891": {
    "municipe": "SPERLINGA",
    "province": "EN"
  },
  "I892": {
    "municipe": "SPERLONGA",
    "province": "LT"
  },
  "I893": {
    "municipe": "SPERONE",
    "province": "AV"
  },
  "I894": {
    "municipe": "SPESSA",
    "province": "PV"
  },
  "I895": {
    "municipe": "SPEZZANO ALBANESE",
    "province": "CS"
  },
  "I896": {
    "municipe": "SPEZZANO DELLA SILA",
    "province": "CS"
  },
  "I899": {
    "municipe": "SPIAZZO",
    "province": "TN"
  },
  "I901": {
    "municipe": "SPIGNO MONFERRATO",
    "province": "AL"
  },
  "I902": {
    "municipe": "SPIGNO SATURNIA",
    "province": "LT"
  },
  "I903": {
    "municipe": "SPILAMBERTO",
    "province": "MO"
  },
  "I904": {
    "municipe": "SPILIMBERGO",
    "province": "PN"
  },
  "I905": {
    "municipe": "SPILINGA",
    "province": "VV"
  },
  "I906": {
    "municipe": "SPINADESCO",
    "province": "CR"
  },
  "I907": {
    "municipe": "SPINAZZOLA",
    "province": "BT"
  },
  "I908": {
    "municipe": "SPINEA",
    "province": "VE"
  },
  "I909": {
    "municipe": "SPINEDA",
    "province": "CR"
  },
  "I910": {
    "municipe": "SPINETE",
    "province": "CB"
  },
  "I911": {
    "municipe": "SPINETO SCRIVIA",
    "province": "AL"
  },
  "I912": {
    "municipe": "SPINETOLI",
    "province": "AP"
  },
  "I914": {
    "municipe": "SPINO D'ADDA",
    "province": "CR"
  },
  "I916": {
    "municipe": "SPINONE AL LAGO",
    "province": "BG"
  },
  "I917": {
    "municipe": "SPINOSO",
    "province": "PZ"
  },
  "I919": {
    "municipe": "SPIRANO",
    "province": "BG"
  },
  "I921": {
    "municipe": "SPOLETO",
    "province": "PG"
  },
  "I922": {
    "municipe": "SPOLTORE",
    "province": "PE"
  },
  "I923": {
    "municipe": "SPONGANO",
    "province": "LE"
  },
  "I924": {
    "municipe": "SPORMAGGIORE",
    "province": "TN"
  },
  "I925": {
    "municipe": "SPORMINORE",
    "province": "TN"
  },
  "I926": {
    "municipe": "SPOTORNO",
    "province": "SV"
  },
  "I927": {
    "municipe": "SPRESIANO",
    "province": "TV"
  },
  "I928": {
    "municipe": "SPRIANA",
    "province": "SO"
  },
  "I929": {
    "municipe": "SQUILLACE",
    "province": "CZ"
  },
  "I930": {
    "municipe": "SQUINZANO",
    "province": "LE"
  },
  "I932": {
    "municipe": "STAFFOLO",
    "province": "AN"
  },
  "I935": {
    "municipe": "STAGNO LOMBARDO",
    "province": "CR"
  },
  "I936": {
    "municipe": "STAITI",
    "province": "RC"
  },
  "I937": {
    "municipe": "STALETTI'",
    "province": "CZ"
  },
  "I938": {
    "municipe": "STANGHELLA",
    "province": "PD"
  },
  "I939": {
    "municipe": "STARANZANO",
    "province": "GO"
  },
  "M298": {
    "municipe": "STATTE",
    "province": "TA"
  },
  "I941": {
    "municipe": "STAZZANO",
    "province": "AL"
  },
  "I942": {
    "municipe": "STAZZEMA",
    "province": "LU"
  },
  "I943": {
    "municipe": "STAZZONA",
    "province": "CO"
  },
  "I945": {
    "municipe": "STEFANACONI",
    "province": "VV"
  },
  "I946": {
    "municipe": "STELLA",
    "province": "SV"
  },
  "G887": {
    "municipe": "STELLA CILENTO",
    "province": "SA"
  },
  "I947": {
    "municipe": "STELLANELLO",
    "province": "SV"
  },
  "I948": {
    "municipe": "STELVIO/STILFS",
    "province": "BZ"
  },
  "I949": {
    "municipe": "STENICO",
    "province": "TN"
  },
  "I950": {
    "municipe": "STERNATIA",
    "province": "LE"
  },
  "I951": {
    "municipe": "STEZZANO",
    "province": "BG"
  },
  "I953": {
    "municipe": "STIENTA",
    "province": "RO"
  },
  "I954": {
    "municipe": "STIGLIANO",
    "province": "MT"
  },
  "I955": {
    "municipe": "STIGNANO",
    "province": "RC"
  },
  "I956": {
    "municipe": "STILO",
    "province": "RC"
  },
  "I959": {
    "municipe": "STIMIGLIANO",
    "province": "RI"
  },
  "M290": {
    "municipe": "STINTINO",
    "province": "SS"
  },
  "I960": {
    "municipe": "STIO",
    "province": "SA"
  },
  "I962": {
    "municipe": "STORNARA",
    "province": "FG"
  },
  "I963": {
    "municipe": "STORNARELLA",
    "province": "FG"
  },
  "I964": {
    "municipe": "STORO",
    "province": "TN"
  },
  "I965": {
    "municipe": "STRA",
    "province": "VE"
  },
  "I968": {
    "municipe": "STRADELLA",
    "province": "PV"
  },
  "I969": {
    "municipe": "STRAMBINELLO",
    "province": "TO"
  },
  "I970": {
    "municipe": "STRAMBINO",
    "province": "TO"
  },
  "I973": {
    "municipe": "STRANGOLAGALLI",
    "province": "FR"
  },
  "I974": {
    "municipe": "STREGNA",
    "province": "UD"
  },
  "I975": {
    "municipe": "STREMBO",
    "province": "TN"
  },
  "I976": {
    "municipe": "STRESA",
    "province": "VB"
  },
  "I977": {
    "municipe": "STREVI",
    "province": "AL"
  },
  "I978": {
    "municipe": "STRIANO",
    "province": "NA"
  },
  "I980": {
    "municipe": "STRONA",
    "province": "BI"
  },
  "I981": {
    "municipe": "STRONCONE",
    "province": "TR"
  },
  "I982": {
    "municipe": "STRONGOLI",
    "province": "KR"
  },
  "I984": {
    "municipe": "STROPPIANA",
    "province": "VC"
  },
  "I985": {
    "municipe": "STROPPO",
    "province": "CN"
  },
  "I986": {
    "municipe": "STROZZA",
    "province": "BG"
  },
  "I990": {
    "municipe": "STURNO",
    "province": "AV"
  },
  "B014": {
    "municipe": "SUARDI",
    "province": "PV"
  },
  "I991": {
    "municipe": "SUBBIANO",
    "province": "AR"
  },
  "I992": {
    "municipe": "SUBIACO",
    "province": "RM"
  },
  "I993": {
    "municipe": "SUCCIVO",
    "province": "CE"
  },
  "I994": {
    "municipe": "SUEGLIO",
    "province": "LC"
  },
  "I995": {
    "municipe": "SUELLI",
    "province": "SU"
  },
  "I996": {
    "municipe": "SUELLO",
    "province": "LC"
  },
  "I997": {
    "municipe": "SUISIO",
    "province": "BG"
  },
  "I998": {
    "municipe": "SULBIATE",
    "province": "MB"
  },
  "I804": {
    "municipe": "SULMONA",
    "province": "AQ"
  },
  "L002": {
    "municipe": "SULZANO",
    "province": "BS"
  },
  "L003": {
    "municipe": "SUMIRAGO",
    "province": "VA"
  },
  "L004": {
    "municipe": "SUMMONTE",
    "province": "AV"
  },
  "L006": {
    "municipe": "SUNI",
    "province": "OR"
  },
  "L007": {
    "municipe": "SUNO",
    "province": "NO"
  },
  "L008": {
    "municipe": "SUPERSANO",
    "province": "LE"
  },
  "L009": {
    "municipe": "SUPINO",
    "province": "FR"
  },
  "L010": {
    "municipe": "SURANO",
    "province": "LE"
  },
  "L011": {
    "municipe": "SURBO",
    "province": "LE"
  },
  "L013": {
    "municipe": "SUSA",
    "province": "TO"
  },
  "L014": {
    "municipe": "SUSEGANA",
    "province": "TV"
  },
  "L015": {
    "municipe": "SUSTINENTE",
    "province": "MN"
  },
  "L016": {
    "municipe": "SUTERA",
    "province": "CL"
  },
  "L017": {
    "municipe": "SUTRI",
    "province": "VT"
  },
  "L018": {
    "municipe": "SUTRIO",
    "province": "UD"
  },
  "L019": {
    "municipe": "SUVERETO",
    "province": "LI"
  },
  "L020": {
    "municipe": "SUZZARA",
    "province": "MN"
  },
  "L022": {
    "municipe": "TACENO",
    "province": "LC"
  },
  "L023": {
    "municipe": "TADASUNI",
    "province": "OR"
  },
  "L024": {
    "municipe": "TAGGIA",
    "province": "IM"
  },
  "L025": {
    "municipe": "TAGLIACOZZO",
    "province": "AQ"
  },
  "L026": {
    "municipe": "TAGLIO DI PO",
    "province": "RO"
  },
  "L027": {
    "municipe": "TAGLIOLO MONFERRATO",
    "province": "AL"
  },
  "L030": {
    "municipe": "TAIBON AGORDINO",
    "province": "BL"
  },
  "L032": {
    "municipe": "TAINO",
    "province": "VA"
  },
  "G736": {
    "municipe": "TAIPANA",
    "province": "UD"
  },
  "L034": {
    "municipe": "TALAMELLO",
    "province": "RN"
  },
  "L035": {
    "municipe": "TALAMONA",
    "province": "SO"
  },
  "L036": {
    "municipe": "TALANA",
    "province": "NU"
  },
  "L037": {
    "municipe": "TALEGGIO",
    "province": "BG"
  },
  "L038": {
    "municipe": "TALLA",
    "province": "AR"
  },
  "L039": {
    "municipe": "TALMASSONS",
    "province": "UD"
  },
  "L040": {
    "municipe": "TAMBRE",
    "province": "BL"
  },
  "L042": {
    "municipe": "TAORMINA",
    "province": "ME"
  },
  "L046": {
    "municipe": "TARANO",
    "province": "RI"
  },
  "L047": {
    "municipe": "TARANTA PELIGNA",
    "province": "CH"
  },
  "L048": {
    "municipe": "TARANTASCA",
    "province": "CN"
  },
  "L049": {
    "municipe": "TARANTO",
    "province": "TA"
  },
  "L050": {
    "municipe": "TARCENTO",
    "province": "UD"
  },
  "D024": {
    "municipe": "TARQUINIA",
    "province": "VT"
  },
  "L055": {
    "municipe": "TARSIA",
    "province": "CS"
  },
  "L056": {
    "municipe": "TARTANO",
    "province": "SO"
  },
  "L057": {
    "municipe": "TARVISIO",
    "province": "UD"
  },
  "L058": {
    "municipe": "TARZO",
    "province": "TV"
  },
  "L059": {
    "municipe": "TASSAROLO",
    "province": "AL"
  },
  "L061": {
    "municipe": "TAURANO",
    "province": "AV"
  },
  "L062": {
    "municipe": "TAURASI",
    "province": "AV"
  },
  "L063": {
    "municipe": "TAURIANOVA",
    "province": "RC"
  },
  "L064": {
    "municipe": "TAURISANO",
    "province": "LE"
  },
  "L065": {
    "municipe": "TAVAGNACCO",
    "province": "UD"
  },
  "L066": {
    "municipe": "TAVAGNASCO",
    "province": "TO"
  },
  "F260": {
    "municipe": "TAVAZZANO CON VILLAVESCO",
    "province": "LO"
  },
  "L069": {
    "municipe": "TAVENNA",
    "province": "CB"
  },
  "L070": {
    "municipe": "TAVERNA",
    "province": "CZ"
  },
  "L071": {
    "municipe": "TAVERNERIO",
    "province": "CO"
  },
  "L073": {
    "municipe": "TAVERNOLA BERGAMASCA",
    "province": "BG"
  },
  "C698": {
    "municipe": "TAVERNOLE SUL MELLA",
    "province": "BS"
  },
  "L074": {
    "municipe": "TAVIANO",
    "province": "LE"
  },
  "L075": {
    "municipe": "TAVIGLIANO",
    "province": "BI"
  },
  "L078": {
    "municipe": "TAVOLETO",
    "province": "PU"
  },
  "L081": {
    "municipe": "TAVULLIA",
    "province": "PU"
  },
  "L082": {
    "municipe": "TEANA",
    "province": "PZ"
  },
  "L083": {
    "municipe": "TEANO",
    "province": "CE"
  },
  "D292": {
    "municipe": "TEGGIANO",
    "province": "SA"
  },
  "L084": {
    "municipe": "TEGLIO",
    "province": "SO"
  },
  "L085": {
    "municipe": "TEGLIO VENETO",
    "province": "VE"
  },
  "L086": {
    "municipe": "TELESE TERME",
    "province": "BN"
  },
  "L087": {
    "municipe": "TELGATE",
    "province": "BG"
  },
  "L088": {
    "municipe": "TELTI",
    "province": "SS"
  },
  "L089": {
    "municipe": "TELVE",
    "province": "TN"
  },
  "L090": {
    "municipe": "TELVE DI SOPRA",
    "province": "TN"
  },
  "L093": {
    "municipe": "TEMPIO PAUSANIA",
    "province": "SS"
  },
  "L094": {
    "municipe": "TEMU'",
    "province": "BS"
  },
  "L096": {
    "municipe": "TENNA",
    "province": "TN"
  },
  "L097": {
    "municipe": "TENNO",
    "province": "TN"
  },
  "L100": {
    "municipe": "TEOLO",
    "province": "PD"
  },
  "L102": {
    "municipe": "TEORA",
    "province": "AV"
  },
  "L103": {
    "municipe": "TERAMO",
    "province": "TE"
  },
  "L104": {
    "municipe": "TERDOBBIATE",
    "province": "NO"
  },
  "L105": {
    "municipe": "TERELLE",
    "province": "FR"
  },
  "L106": {
    "municipe": "TERENTO/TERENTEN",
    "province": "BZ"
  },
  "E548": {
    "municipe": "TERENZO",
    "province": "PR"
  },
  "M282": {
    "municipe": "TERGU",
    "province": "SS"
  },
  "L108": {
    "municipe": "TERLANO/TERLAN",
    "province": "BZ"
  },
  "L109": {
    "municipe": "TERLIZZI",
    "province": "BA"
  },
  "M210": {
    "municipe": "TERME VIGLIATORE",
    "province": "ME"
  },
  "L111": {
    "municipe": "TERMENO SULLA STRADA DEL VINO/TRAMIN AN DER WEINSTRASSE",
    "province": "BZ"
  },
  "L112": {
    "municipe": "TERMINI IMERESE",
    "province": "PA"
  },
  "L113": {
    "municipe": "TERMOLI",
    "province": "CB"
  },
  "L115": {
    "municipe": "TERNATE",
    "province": "VA"
  },
  "L116": {
    "municipe": "TERNENGO",
    "province": "BI"
  },
  "L117": {
    "municipe": "TERNI",
    "province": "TR"
  },
  "L118": {
    "municipe": "TERNO D'ISOLA",
    "province": "BG"
  },
  "L120": {
    "municipe": "TERRACINA",
    "province": "LT"
  },
  "L121": {
    "municipe": "TERRAGNOLO",
    "province": "TN"
  },
  "L122": {
    "municipe": "TERRALBA",
    "province": "OR"
  },
  "L124": {
    "municipe": "TERRANOVA DA SIBARI",
    "province": "CS"
  },
  "L125": {
    "municipe": "TERRANOVA DEI PASSERINI",
    "province": "LO"
  },
  "L126": {
    "municipe": "TERRANOVA DI POLLINO",
    "province": "PZ"
  },
  "L127": {
    "municipe": "TERRANOVA SAPPO MINULIO",
    "province": "RC"
  },
  "L123": {
    "municipe": "TERRANUOVA BRACCIOLINI",
    "province": "AR"
  },
  "L131": {
    "municipe": "TERRASINI",
    "province": "PA"
  },
  "L132": {
    "municipe": "TERRASSA PADOVANA",
    "province": "PD"
  },
  "L134": {
    "municipe": "TERRAVECCHIA",
    "province": "CS"
  },
  "L136": {
    "municipe": "TERRAZZO",
    "province": "VR"
  },
  "M407": {
    "municipe": "TERRE D'ADIGE",
    "province": "TN"
  },
  "M381": {
    "municipe": "TERRE DEL RENO",
    "province": "FE"
  },
  "M379": {
    "municipe": "TERRE ROVERESCHE",
    "province": "PU"
  },
  "L138": {
    "municipe": "TERRICCIOLA",
    "province": "PI"
  },
  "L139": {
    "municipe": "TERRUGGIA",
    "province": "AL"
  },
  "L140": {
    "municipe": "TERTENIA",
    "province": "NU"
  },
  "L142": {
    "municipe": "TERZIGNO",
    "province": "NA"
  },
  "L143": {
    "municipe": "TERZO",
    "province": "AL"
  },
  "L144": {
    "municipe": "TERZO D'AQUILEIA",
    "province": "UD"
  },
  "L145": {
    "municipe": "TERZOLAS",
    "province": "TN"
  },
  "L146": {
    "municipe": "TERZORIO",
    "province": "IM"
  },
  "L147": {
    "municipe": "TESERO",
    "province": "TN"
  },
  "L149": {
    "municipe": "TESIMO/TISENS",
    "province": "BZ"
  },
  "L150": {
    "municipe": "TESSENNANO",
    "province": "VT"
  },
  "L152": {
    "municipe": "TESTICO",
    "province": "SV"
  },
  "L153": {
    "municipe": "TETI",
    "province": "NU"
  },
  "L154": {
    "municipe": "TEULADA",
    "province": "SU"
  },
  "L155": {
    "municipe": "TEVEROLA",
    "province": "CE"
  },
  "L156": {
    "municipe": "TEZZE SUL BRENTA",
    "province": "VI"
  },
  "L157": {
    "municipe": "THIENE",
    "province": "VI"
  },
  "L158": {
    "municipe": "THIESI",
    "province": "SS"
  },
  "L160": {
    "municipe": "TIANA",
    "province": "NU"
  },
  "L164": {
    "municipe": "TICENGO",
    "province": "CR"
  },
  "L165": {
    "municipe": "TICINETO",
    "province": "AL"
  },
  "L166": {
    "municipe": "TIGGIANO",
    "province": "LE"
  },
  "L167": {
    "municipe": "TIGLIETO",
    "province": "GE"
  },
  "L168": {
    "municipe": "TIGLIOLE",
    "province": "AT"
  },
  "L169": {
    "municipe": "TIGNALE",
    "province": "BS"
  },
  "L172": {
    "municipe": "TINNURA",
    "province": "OR"
  },
  "L173": {
    "municipe": "TIONE DEGLI ABRUZZI",
    "province": "AQ"
  },
  "L174": {
    "municipe": "TIONE DI TRENTO",
    "province": "TN"
  },
  "L175": {
    "municipe": "TIRANO",
    "province": "SO"
  },
  "L176": {
    "municipe": "TIRES/TIERS",
    "province": "BZ"
  },
  "L177": {
    "municipe": "TIRIOLO",
    "province": "CZ"
  },
  "L178": {
    "municipe": "TIROLO/TIROL",
    "province": "BZ"
  },
  "L180": {
    "municipe": "TISSI",
    "province": "SS"
  },
  "L181": {
    "municipe": "TITO",
    "province": "PZ"
  },
  "L182": {
    "municipe": "TIVOLI",
    "province": "RM"
  },
  "L183": {
    "municipe": "TIZZANO VAL PARMA",
    "province": "PR"
  },
  "L184": {
    "municipe": "TOANO",
    "province": "RE"
  },
  "L185": {
    "municipe": "TOCCO CAUDIO",
    "province": "BN"
  },
  "L186": {
    "municipe": "TOCCO DA CASAURIA",
    "province": "PE"
  },
  "L187": {
    "municipe": "TOCENO",
    "province": "VB"
  },
  "L188": {
    "municipe": "TODI",
    "province": "PG"
  },
  "L189": {
    "municipe": "TOFFIA",
    "province": "RI"
  },
  "L190": {
    "municipe": "TOIRANO",
    "province": "SV"
  },
  "L191": {
    "municipe": "TOLENTINO",
    "province": "MC"
  },
  "L192": {
    "municipe": "TOLFA",
    "province": "RM"
  },
  "L193": {
    "municipe": "TOLLEGNO",
    "province": "BI"
  },
  "L194": {
    "municipe": "TOLLO",
    "province": "CH"
  },
  "L195": {
    "municipe": "TOLMEZZO",
    "province": "UD"
  },
  "L197": {
    "municipe": "TOLVE",
    "province": "PZ"
  },
  "L199": {
    "municipe": "TOMBOLO",
    "province": "PD"
  },
  "L200": {
    "municipe": "TON",
    "province": "TN"
  },
  "L202": {
    "municipe": "TONARA",
    "province": "NU"
  },
  "L203": {
    "municipe": "TONCO",
    "province": "AT"
  },
  "L204": {
    "municipe": "TONENGO",
    "province": "AT"
  },
  "D717": {
    "municipe": "TONEZZA DEL CIMONE",
    "province": "VI"
  },
  "L205": {
    "municipe": "TORA E PICCILLI",
    "province": "CE"
  },
  "L206": {
    "municipe": "TORANO CASTELLO",
    "province": "CS"
  },
  "L207": {
    "municipe": "TORANO NUOVO",
    "province": "TE"
  },
  "L210": {
    "municipe": "TORBOLE CASAGLIA",
    "province": "BS"
  },
  "L211": {
    "municipe": "TORCEGNO",
    "province": "TN"
  },
  "L212": {
    "municipe": "TORCHIARA",
    "province": "SA"
  },
  "L213": {
    "municipe": "TORCHIAROLO",
    "province": "BR"
  },
  "L214": {
    "municipe": "TORELLA DEI LOMBARDI",
    "province": "AV"
  },
  "L215": {
    "municipe": "TORELLA DEL SANNIO",
    "province": "CB"
  },
  "L216": {
    "municipe": "TORGIANO",
    "province": "PG"
  },
  "L217": {
    "municipe": "TORGNON",
    "province": "AO"
  },
  "L219": {
    "municipe": "TORINO",
    "province": "TO"
  },
  "L218": {
    "municipe": "TORINO DI SANGRO",
    "province": "CH"
  },
  "L220": {
    "municipe": "TORITTO",
    "province": "BA"
  },
  "L221": {
    "municipe": "TORLINO VIMERCATI",
    "province": "CR"
  },
  "L223": {
    "municipe": "TORNACO",
    "province": "NO"
  },
  "L224": {
    "municipe": "TORNARECCIO",
    "province": "CH"
  },
  "L225": {
    "municipe": "TORNATA",
    "province": "CR"
  },
  "L227": {
    "municipe": "TORNIMPARTE",
    "province": "AQ"
  },
  "L228": {
    "municipe": "TORNO",
    "province": "CO"
  },
  "L229": {
    "municipe": "TORNOLO",
    "province": "PR"
  },
  "L230": {
    "municipe": "TORO",
    "province": "CB"
  },
  "L231": {
    "municipe": "TORPE'",
    "province": "NU"
  },
  "L233": {
    "municipe": "TORRACA",
    "province": "SA"
  },
  "L235": {
    "municipe": "TORRALBA",
    "province": "SS"
  },
  "L237": {
    "municipe": "TORRAZZA COSTE",
    "province": "PV"
  },
  "L238": {
    "municipe": "TORRAZZA PIEMONTE",
    "province": "TO"
  },
  "L239": {
    "municipe": "TORRAZZO",
    "province": "BI"
  },
  "L245": {
    "municipe": "TORRE ANNUNZIATA",
    "province": "NA"
  },
  "L250": {
    "municipe": "TORRE BERETTI E CASTELLARO",
    "province": "PV"
  },
  "L251": {
    "municipe": "TORRE BOLDONE",
    "province": "BG"
  },
  "L252": {
    "municipe": "TORRE BORMIDA",
    "province": "CN"
  },
  "L243": {
    "municipe": "TORRE CAJETANI",
    "province": "FR"
  },
  "L247": {
    "municipe": "TORRE CANAVESE",
    "province": "TO"
  },
  "L256": {
    "municipe": "TORRE D'ARESE",
    "province": "PV"
  },
  "L269": {
    "municipe": "TORRE D'ISOLA",
    "province": "PV"
  },
  "L257": {
    "municipe": "TORRE DE' BUSI",
    "province": "BG"
  },
  "L262": {
    "municipe": "TORRE DE' NEGRI",
    "province": "PV"
  },
  "L263": {
    "municipe": "TORRE DE' PASSERI",
    "province": "PE"
  },
  "L258": {
    "municipe": "TORRE DE' PICENARDI",
    "province": "CR"
  },
  "L265": {
    "municipe": "TORRE DE' ROVERI",
    "province": "BG"
  },
  "L259": {
    "municipe": "TORRE DEL GRECO",
    "province": "NA"
  },
  "L267": {
    "municipe": "TORRE DI MOSTO",
    "province": "VE"
  },
  "L240": {
    "municipe": "TORRE DI RUGGIERO",
    "province": "CZ"
  },
  "L244": {
    "municipe": "TORRE DI SANTA MARIA",
    "province": "SO"
  },
  "L272": {
    "municipe": "TORRE LE NOCELLE",
    "province": "AV"
  },
  "L241": {
    "municipe": "TORRE MONDOVI'",
    "province": "CN"
  },
  "L274": {
    "municipe": "TORRE ORSAIA",
    "province": "SA"
  },
  "L276": {
    "municipe": "TORRE PALLAVICINA",
    "province": "BG"
  },
  "L277": {
    "municipe": "TORRE PELLICE",
    "province": "TO"
  },
  "L278": {
    "municipe": "TORRE SAN GIORGIO",
    "province": "CN"
  },
  "L279": {
    "municipe": "TORRE SAN PATRIZIO",
    "province": "FM"
  },
  "L280": {
    "municipe": "TORRE SANTA SUSANNA",
    "province": "BR"
  },
  "L246": {
    "municipe": "TORREANO",
    "province": "UD"
  },
  "L248": {
    "municipe": "TORREBELVICINO",
    "province": "VI"
  },
  "L253": {
    "municipe": "TORREBRUNA",
    "province": "CH"
  },
  "L254": {
    "municipe": "TORRECUSO",
    "province": "BN"
  },
  "L270": {
    "municipe": "TORREGLIA",
    "province": "PD"
  },
  "L271": {
    "municipe": "TORREGROTTA",
    "province": "ME"
  },
  "L273": {
    "municipe": "TORREMAGGIORE",
    "province": "FG"
  },
  "M286": {
    "municipe": "TORRENOVA",
    "province": "ME"
  },
  "L281": {
    "municipe": "TORRESINA",
    "province": "CN"
  },
  "L282": {
    "municipe": "TORRETTA",
    "province": "PA"
  },
  "L285": {
    "municipe": "TORREVECCHIA PIA",
    "province": "PV"
  },
  "L284": {
    "municipe": "TORREVECCHIA TEATINA",
    "province": "CH"
  },
  "L287": {
    "municipe": "TORRI DEL BENACO",
    "province": "VR"
  },
  "L297": {
    "municipe": "TORRI DI QUARTESOLO",
    "province": "VI"
  },
  "L286": {
    "municipe": "TORRI IN SABINA",
    "province": "RI"
  },
  "L290": {
    "municipe": "TORRICE",
    "province": "FR"
  },
  "L294": {
    "municipe": "TORRICELLA",
    "province": "TA"
  },
  "L296": {
    "municipe": "TORRICELLA DEL PIZZO",
    "province": "CR"
  },
  "L293": {
    "municipe": "TORRICELLA IN SABINA",
    "province": "RI"
  },
  "L291": {
    "municipe": "TORRICELLA PELIGNA",
    "province": "CH"
  },
  "L295": {
    "municipe": "TORRICELLA SICURA",
    "province": "TE"
  },
  "L292": {
    "municipe": "TORRICELLA VERZATE",
    "province": "PV"
  },
  "L298": {
    "municipe": "TORRIGLIA",
    "province": "GE"
  },
  "L299": {
    "municipe": "TORRILE",
    "province": "PR"
  },
  "L301": {
    "municipe": "TORRIONI",
    "province": "AV"
  },
  "L303": {
    "municipe": "TORRITA DI SIENA",
    "province": "SI"
  },
  "L302": {
    "municipe": "TORRITA TIBERINA",
    "province": "RM"
  },
  "A355": {
    "municipe": "TORTOLI'",
    "province": "NU"
  },
  "L304": {
    "municipe": "TORTONA",
    "province": "AL"
  },
  "L305": {
    "municipe": "TORTORA",
    "province": "CS"
  },
  "L306": {
    "municipe": "TORTORELLA",
    "province": "SA"
  },
  "L307": {
    "municipe": "TORTORETO",
    "province": "TE"
  },
  "L308": {
    "municipe": "TORTORICI",
    "province": "ME"
  },
  "L309": {
    "municipe": "TORVISCOSA",
    "province": "UD"
  },
  "L312": {
    "municipe": "TOSCOLANO-MADERNO",
    "province": "BS"
  },
  "L314": {
    "municipe": "TOSSICIA",
    "province": "TE"
  },
  "L316": {
    "municipe": "TOVO DI SANT'AGATA",
    "province": "SO"
  },
  "L315": {
    "municipe": "TOVO SAN GIACOMO",
    "province": "SV"
  },
  "L317": {
    "municipe": "TRABIA",
    "province": "PA"
  },
  "L319": {
    "municipe": "TRADATE",
    "province": "VA"
  },
  "L321": {
    "municipe": "TRAMATZA",
    "province": "OR"
  },
  "L322": {
    "municipe": "TRAMBILENO",
    "province": "TN"
  },
  "L323": {
    "municipe": "TRAMONTI",
    "province": "SA"
  },
  "L324": {
    "municipe": "TRAMONTI DI SOPRA",
    "province": "PN"
  },
  "L325": {
    "municipe": "TRAMONTI DI SOTTO",
    "province": "PN"
  },
  "L326": {
    "municipe": "TRAMUTOLA",
    "province": "PZ"
  },
  "L327": {
    "municipe": "TRANA",
    "province": "TO"
  },
  "L328": {
    "municipe": "TRANI",
    "province": "BT"
  },
  "L330": {
    "municipe": "TRAONA",
    "province": "SO"
  },
  "L331": {
    "municipe": "TRAPANI",
    "province": "TP"
  },
  "L332": {
    "municipe": "TRAPPETO",
    "province": "PA"
  },
  "L333": {
    "municipe": "TRAREGO VIGGIONA",
    "province": "VB"
  },
  "L334": {
    "municipe": "TRASACCO",
    "province": "AQ"
  },
  "L335": {
    "municipe": "TRASAGHIS",
    "province": "UD"
  },
  "L336": {
    "municipe": "TRASQUERA",
    "province": "VB"
  },
  "L337": {
    "municipe": "TRATALIAS",
    "province": "SU"
  },
  "I236": {
    "municipe": "TRAVACO' SICCOMARIO",
    "province": "PV"
  },
  "L339": {
    "municipe": "TRAVAGLIATO",
    "province": "BS"
  },
  "L342": {
    "municipe": "TRAVEDONA-MONATE",
    "province": "VA"
  },
  "L345": {
    "municipe": "TRAVERSELLA",
    "province": "TO"
  },
  "L346": {
    "municipe": "TRAVERSETOLO",
    "province": "PR"
  },
  "L340": {
    "municipe": "TRAVES",
    "province": "TO"
  },
  "L347": {
    "municipe": "TRAVESIO",
    "province": "PN"
  },
  "L348": {
    "municipe": "TRAVO",
    "province": "PC"
  },
  "M361": {
    "municipe": "TRE VILLE",
    "province": "TN"
  },
  "L349": {
    "municipe": "TREBASELEGHE",
    "province": "PD"
  },
  "L353": {
    "municipe": "TREBISACCE",
    "province": "CS"
  },
  "M280": {
    "municipe": "TRECASE",
    "province": "NA"
  },
  "L355": {
    "municipe": "TRECASTAGNI",
    "province": "CT"
  },
  "M318": {
    "municipe": "TRECASTELLI",
    "province": "AN"
  },
  "L356": {
    "municipe": "TRECATE",
    "province": "NO"
  },
  "L357": {
    "municipe": "TRECCHINA",
    "province": "PZ"
  },
  "L359": {
    "municipe": "TRECENTA",
    "province": "RO"
  },
  "L361": {
    "municipe": "TREDOZIO",
    "province": "FC"
  },
  "L363": {
    "municipe": "TREGLIO",
    "province": "CH"
  },
  "L364": {
    "municipe": "TREGNAGO",
    "province": "VR"
  },
  "L366": {
    "municipe": "TREIA",
    "province": "MC"
  },
  "L367": {
    "municipe": "TREISO",
    "province": "CN"
  },
  "L369": {
    "municipe": "TREMESTIERI ETNEO",
    "province": "CT"
  },
  "M341": {
    "municipe": "TREMEZZINA",
    "province": "CO"
  },
  "L372": {
    "municipe": "TREMOSINE SUL GARDA",
    "province": "BS"
  },
  "L377": {
    "municipe": "TRENTINARA",
    "province": "SA"
  },
  "L378": {
    "municipe": "TRENTO",
    "province": "TN"
  },
  "L379": {
    "municipe": "TRENTOLA DUCENTA",
    "province": "CE"
  },
  "L380": {
    "municipe": "TRENZANO",
    "province": "BS"
  },
  "L382": {
    "municipe": "TREPPO GRANDE",
    "province": "UD"
  },
  "M399": {
    "municipe": "TREPPO LIGOSULLO",
    "province": "UD"
  },
  "L383": {
    "municipe": "TREPUZZI",
    "province": "LE"
  },
  "L384": {
    "municipe": "TREQUANDA",
    "province": "SI"
  },
  "L386": {
    "municipe": "TRESANA",
    "province": "MS"
  },
  "L388": {
    "municipe": "TRESCORE BALNEARIO",
    "province": "BG"
  },
  "L389": {
    "municipe": "TRESCORE CREMASCO",
    "province": "CR"
  },
  "M409": {
    "municipe": "TRESIGNANA",
    "province": "FE"
  },
  "L392": {
    "municipe": "TRESIVIO",
    "province": "SO"
  },
  "L393": {
    "municipe": "TRESNURAGHES",
    "province": "OR"
  },
  "L396": {
    "municipe": "TREVENZUOLO",
    "province": "VR"
  },
  "L397": {
    "municipe": "TREVI",
    "province": "PG"
  },
  "L398": {
    "municipe": "TREVI NEL LAZIO",
    "province": "FR"
  },
  "L399": {
    "municipe": "TREVICO",
    "province": "AV"
  },
  "L400": {
    "municipe": "TREVIGLIO",
    "province": "BG"
  },
  "L402": {
    "municipe": "TREVIGNANO",
    "province": "TV"
  },
  "L401": {
    "municipe": "TREVIGNANO ROMANO",
    "province": "RM"
  },
  "L403": {
    "municipe": "TREVILLE",
    "province": "AL"
  },
  "L404": {
    "municipe": "TREVIOLO",
    "province": "BG"
  },
  "L407": {
    "municipe": "TREVISO",
    "province": "TV"
  },
  "L406": {
    "municipe": "TREVISO BRESCIANO",
    "province": "BS"
  },
  "L408": {
    "municipe": "TREZZANO ROSA",
    "province": "MI"
  },
  "L409": {
    "municipe": "TREZZANO SUL NAVIGLIO",
    "province": "MI"
  },
  "L411": {
    "municipe": "TREZZO SULL'ADDA",
    "province": "MI"
  },
  "L410": {
    "municipe": "TREZZO TINELLA",
    "province": "CN"
  },
  "L413": {
    "municipe": "TREZZONE",
    "province": "CO"
  },
  "L414": {
    "municipe": "TRIBANO",
    "province": "PD"
  },
  "L415": {
    "municipe": "TRIBIANO",
    "province": "MI"
  },
  "L416": {
    "municipe": "TRIBOGNA",
    "province": "GE"
  },
  "L418": {
    "municipe": "TRICARICO",
    "province": "MT"
  },
  "L419": {
    "municipe": "TRICASE",
    "province": "LE"
  },
  "L420": {
    "municipe": "TRICERRO",
    "province": "VC"
  },
  "L421": {
    "municipe": "TRICESIMO",
    "province": "UD"
  },
  "L423": {
    "municipe": "TRIEI",
    "province": "NU"
  },
  "L424": {
    "municipe": "TRIESTE",
    "province": "TS"
  },
  "L425": {
    "municipe": "TRIGGIANO",
    "province": "BA"
  },
  "L426": {
    "municipe": "TRIGOLO",
    "province": "CR"
  },
  "L427": {
    "municipe": "TRINITA'",
    "province": "CN"
  },
  "L428": {
    "municipe": "TRINITA' D'AGULTU E VIGNOLA",
    "province": "SS"
  },
  "B915": {
    "municipe": "TRINITAPOLI",
    "province": "BT"
  },
  "L429": {
    "municipe": "TRINO",
    "province": "VC"
  },
  "L430": {
    "municipe": "TRIORA",
    "province": "IM"
  },
  "L431": {
    "municipe": "TRIPI",
    "province": "ME"
  },
  "L432": {
    "municipe": "TRISOBBIO",
    "province": "AL"
  },
  "L433": {
    "municipe": "TRISSINO",
    "province": "VI"
  },
  "L434": {
    "municipe": "TRIUGGIO",
    "province": "MB"
  },
  "L435": {
    "municipe": "TRIVENTO",
    "province": "CB"
  },
  "L437": {
    "municipe": "TRIVIGLIANO",
    "province": "FR"
  },
  "L438": {
    "municipe": "TRIVIGNANO UDINESE",
    "province": "UD"
  },
  "L439": {
    "municipe": "TRIVIGNO",
    "province": "PZ"
  },
  "L440": {
    "municipe": "TRIVOLZIO",
    "province": "PV"
  },
  "L444": {
    "municipe": "TRODENA NEL PARCO NATURALE/TRUDEN IM NATURPARK",
    "province": "BZ"
  },
  "L445": {
    "municipe": "TROFARELLO",
    "province": "TO"
  },
  "L447": {
    "municipe": "TROIA",
    "province": "FG"
  },
  "L448": {
    "municipe": "TROINA",
    "province": "EN"
  },
  "L449": {
    "municipe": "TROMELLO",
    "province": "PV"
  },
  "L450": {
    "municipe": "TRONTANO",
    "province": "VB"
  },
  "A705": {
    "municipe": "TRONZANO LAGO MAGGIORE",
    "province": "VA"
  },
  "L451": {
    "municipe": "TRONZANO VERCELLESE",
    "province": "VC"
  },
  "L452": {
    "municipe": "TROPEA",
    "province": "VV"
  },
  "L453": {
    "municipe": "TROVO",
    "province": "PV"
  },
  "L454": {
    "municipe": "TRUCCAZZANO",
    "province": "MI"
  },
  "L455": {
    "municipe": "TUBRE/TAUFERS IM MUNSTERTAL",
    "province": "BZ"
  },
  "L458": {
    "municipe": "TUFARA",
    "province": "CB"
  },
  "L459": {
    "municipe": "TUFILLO",
    "province": "CH"
  },
  "L460": {
    "municipe": "TUFINO",
    "province": "NA"
  },
  "L461": {
    "municipe": "TUFO",
    "province": "AV"
  },
  "L462": {
    "municipe": "TUGLIE",
    "province": "LE"
  },
  "L463": {
    "municipe": "TUILI",
    "province": "SU"
  },
  "L464": {
    "municipe": "TULA",
    "province": "SS"
  },
  "L466": {
    "municipe": "TUORO SUL TRASIMENO",
    "province": "PG"
  },
  "G507": {
    "municipe": "TURANIA",
    "province": "RI"
  },
  "L469": {
    "municipe": "TURANO LODIGIANO",
    "province": "LO"
  },
  "L470": {
    "municipe": "TURATE",
    "province": "CO"
  },
  "L471": {
    "municipe": "TURBIGO",
    "province": "MI"
  },
  "L472": {
    "municipe": "TURI",
    "province": "BA"
  },
  "L473": {
    "municipe": "TURRI",
    "province": "SU"
  },
  "L474": {
    "municipe": "TURRIACO",
    "province": "GO"
  },
  "L475": {
    "municipe": "TURRIVALIGNANI",
    "province": "PE"
  },
  "L477": {
    "municipe": "TURSI",
    "province": "MT"
  },
  "L478": {
    "municipe": "TUSA",
    "province": "ME"
  },
  "L310": {
    "municipe": "TUSCANIA",
    "province": "VT"
  },
  "C789": {
    "municipe": "UBIALE CLANEZZO",
    "province": "BG"
  },
  "L480": {
    "municipe": "UBOLDO",
    "province": "VA"
  },
  "L482": {
    "municipe": "UCRIA",
    "province": "ME"
  },
  "L483": {
    "municipe": "UDINE",
    "province": "UD"
  },
  "L484": {
    "municipe": "UGENTO",
    "province": "LE"
  },
  "L485": {
    "municipe": "UGGIANO LA CHIESA",
    "province": "LE"
  },
  "L487": {
    "municipe": "UGGIATE-TREVANO",
    "province": "CO"
  },
  "L488": {
    "municipe": "ULA TIRSO",
    "province": "OR"
  },
  "L489": {
    "municipe": "ULASSAI",
    "province": "NU"
  },
  "L490": {
    "municipe": "ULTIMO/ULTEN",
    "province": "BZ"
  },
  "D786": {
    "municipe": "UMBERTIDE",
    "province": "PG"
  },
  "L492": {
    "municipe": "UMBRIATICO",
    "province": "KR"
  },
  "L494": {
    "municipe": "URAGO D'OGLIO",
    "province": "BS"
  },
  "L496": {
    "municipe": "URAS",
    "province": "OR"
  },
  "L497": {
    "municipe": "URBANA",
    "province": "PD"
  },
  "L498": {
    "municipe": "URBANIA",
    "province": "PU"
  },
  "L499": {
    "municipe": "URBE",
    "province": "SV"
  },
  "L500": {
    "municipe": "URBINO",
    "province": "PU"
  },
  "L501": {
    "municipe": "URBISAGLIA",
    "province": "MC"
  },
  "L502": {
    "municipe": "URGNANO",
    "province": "BG"
  },
  "L503": {
    "municipe": "URI",
    "province": "SS"
  },
  "L505": {
    "municipe": "URURI",
    "province": "CB"
  },
  "L506": {
    "municipe": "URZULEI",
    "province": "NU"
  },
  "L507": {
    "municipe": "USCIO",
    "province": "GE"
  },
  "L508": {
    "municipe": "USELLUS",
    "province": "OR"
  },
  "L509": {
    "municipe": "USINI",
    "province": "SS"
  },
  "L511": {
    "municipe": "USMATE VELATE",
    "province": "MB"
  },
  "L512": {
    "municipe": "USSANA",
    "province": "SU"
  },
  "L513": {
    "municipe": "USSARAMANNA",
    "province": "SU"
  },
  "L514": {
    "municipe": "USSASSAI",
    "province": "NU"
  },
  "L515": {
    "municipe": "USSEAUX",
    "province": "TO"
  },
  "L516": {
    "municipe": "USSEGLIO",
    "province": "TO"
  },
  "L517": {
    "municipe": "USSITA",
    "province": "MC"
  },
  "L519": {
    "municipe": "USTICA",
    "province": "PA"
  },
  "L521": {
    "municipe": "UTA",
    "province": "CA"
  },
  "L522": {
    "municipe": "UZZANO",
    "province": "PT"
  },
  "L524": {
    "municipe": "VACCARIZZO ALBANESE",
    "province": "CS"
  },
  "L525": {
    "municipe": "VACONE",
    "province": "RI"
  },
  "L526": {
    "municipe": "VACRI",
    "province": "CH"
  },
  "L527": {
    "municipe": "VADENA/PFATTEN",
    "province": "BZ"
  },
  "L528": {
    "municipe": "VADO LIGURE",
    "province": "SV"
  },
  "L533": {
    "municipe": "VAGLI SOTTO",
    "province": "LU"
  },
  "L529": {
    "municipe": "VAGLIA",
    "province": "FI"
  },
  "L532": {
    "municipe": "VAGLIO BASILICATA",
    "province": "PZ"
  },
  "L531": {
    "municipe": "VAGLIO SERRA",
    "province": "AT"
  },
  "L537": {
    "municipe": "VAIANO",
    "province": "PO"
  },
  "L535": {
    "municipe": "VAIANO CREMASCO",
    "province": "CR"
  },
  "L538": {
    "municipe": "VAIE",
    "province": "TO"
  },
  "L539": {
    "municipe": "VAILATE",
    "province": "CR"
  },
  "L540": {
    "municipe": "VAIRANO PATENORA",
    "province": "CE"
  },
  "M265": {
    "municipe": "VAJONT",
    "province": "PN"
  },
  "M334": {
    "municipe": "VAL BREMBILLA",
    "province": "BG"
  },
  "L555": {
    "municipe": "VAL DELLA TORRE",
    "province": "TO"
  },
  "M405": {
    "municipe": "VAL DI CHY",
    "province": "TO"
  },
  "L562": {
    "municipe": "VAL DI NIZZA",
    "province": "PV"
  },
  "L564": {
    "municipe": "VAL DI VIZZE/PFITSCH",
    "province": "BZ"
  },
  "M374": {
    "municipe": "VAL DI ZOLDO",
    "province": "BL"
  },
  "M384": {
    "municipe": "VAL LIONA",
    "province": "VI"
  },
  "L638": {
    "municipe": "VAL MASINO",
    "province": "SO"
  },
  "H259": {
    "municipe": "VAL REZZO",
    "province": "CO"
  },
  "L544": {
    "municipe": "VALBONDIONE",
    "province": "BG"
  },
  "L545": {
    "municipe": "VALBREMBO",
    "province": "BG"
  },
  "M423": {
    "municipe": "VALBRENTA",
    "province": "VI"
  },
  "L546": {
    "municipe": "VALBREVENNA",
    "province": "GE"
  },
  "L547": {
    "municipe": "VALBRONA",
    "province": "CO"
  },
  "M415": {
    "municipe": "VALCHIUSA",
    "province": "TO"
  },
  "L551": {
    "municipe": "VALDAGNO",
    "province": "VI"
  },
  "M343": {
    "municipe": "VALDAONE",
    "province": "TN"
  },
  "L552": {
    "municipe": "VALDAORA/OLANG",
    "province": "BZ"
  },
  "L554": {
    "municipe": "VALDASTICO",
    "province": "VI"
  },
  "L556": {
    "municipe": "VALDENGO",
    "province": "BI"
  },
  "G319": {
    "municipe": "VALDERICE",
    "province": "TP"
  },
  "L557": {
    "municipe": "VALDIDENTRO",
    "province": "SO"
  },
  "L558": {
    "municipe": "VALDIERI",
    "province": "CN"
  },
  "M417": {
    "municipe": "VALDILANA",
    "province": "BI"
  },
  "L561": {
    "municipe": "VALDINA",
    "province": "ME"
  },
  "L563": {
    "municipe": "VALDISOTTO",
    "province": "SO"
  },
  "L565": {
    "municipe": "VALDOBBIADENE",
    "province": "TV"
  },
  "L566": {
    "municipe": "VALDUGGIA",
    "province": "VC"
  },
  "L568": {
    "municipe": "VALEGGIO",
    "province": "PV"
  },
  "L567": {
    "municipe": "VALEGGIO SUL MINCIO",
    "province": "VR"
  },
  "L569": {
    "municipe": "VALENTANO",
    "province": "VT"
  },
  "L570": {
    "municipe": "VALENZA",
    "province": "AL"
  },
  "L571": {
    "municipe": "VALENZANO",
    "province": "BA"
  },
  "L572": {
    "municipe": "VALERA FRATTA",
    "province": "LO"
  },
  "L573": {
    "municipe": "VALFABBRICA",
    "province": "PG"
  },
  "L574": {
    "municipe": "VALFENERA",
    "province": "AT"
  },
  "L575": {
    "municipe": "VALFLORIANA",
    "province": "TN"
  },
  "M382": {
    "municipe": "VALFORNACE",
    "province": "MC"
  },
  "L576": {
    "municipe": "VALFURVA",
    "province": "SO"
  },
  "L577": {
    "municipe": "VALGANNA",
    "province": "VA"
  },
  "L578": {
    "municipe": "VALGIOIE",
    "province": "TO"
  },
  "L579": {
    "municipe": "VALGOGLIO",
    "province": "BG"
  },
  "L580": {
    "municipe": "VALGRANA",
    "province": "CN"
  },
  "L581": {
    "municipe": "VALGREGHENTINO",
    "province": "LC"
  },
  "L582": {
    "municipe": "VALGRISENCHE",
    "province": "AO"
  },
  "L583": {
    "municipe": "VALGUARNERA CAROPEPE",
    "province": "EN"
  },
  "L584": {
    "municipe": "VALLADA AGORDINA",
    "province": "BL"
  },
  "L586": {
    "municipe": "VALLANZENGO",
    "province": "BI"
  },
  "L588": {
    "municipe": "VALLARSA",
    "province": "TN"
  },
  "L589": {
    "municipe": "VALLATA",
    "province": "AV"
  },
  "L594": {
    "municipe": "VALLE AGRICOLA",
    "province": "CE"
  },
  "L595": {
    "municipe": "VALLE AURINA/AHRNTAL",
    "province": "BZ"
  },
  "M404": {
    "municipe": "VALLE CANNOBINA",
    "province": "VB"
  },
  "L597": {
    "municipe": "VALLE CASTELLANA",
    "province": "TE"
  },
  "G540": {
    "municipe": "VALLE DELL'ANGELO",
    "province": "SA"
  },
  "L590": {
    "municipe": "VALLE DI CADORE",
    "province": "BL"
  },
  "L601": {
    "municipe": "VALLE DI CASIES/GSIES",
    "province": "BZ"
  },
  "L591": {
    "municipe": "VALLE DI MADDALONI",
    "province": "CE"
  },
  "L593": {
    "municipe": "VALLE LOMELLINA",
    "province": "PV"
  },
  "L617": {
    "municipe": "VALLE SALIMBENE",
    "province": "PV"
  },
  "L620": {
    "municipe": "VALLE SAN NICOLAO",
    "province": "BI"
  },
  "L596": {
    "municipe": "VALLEBONA",
    "province": "IM"
  },
  "L598": {
    "municipe": "VALLECORSA",
    "province": "FR"
  },
  "L599": {
    "municipe": "VALLECROSIA",
    "province": "IM"
  },
  "L603": {
    "municipe": "VALLEDOLMO",
    "province": "PA"
  },
  "L604": {
    "municipe": "VALLEDORIA",
    "province": "SS"
  },
  "I322": {
    "municipe": "VALLEFIORITA",
    "province": "CZ"
  },
  "M331": {
    "municipe": "VALLEFOGLIA",
    "province": "PU"
  },
  "M362": {
    "municipe": "VALLELAGHI",
    "province": "TN"
  },
  "L607": {
    "municipe": "VALLELONGA",
    "province": "VV"
  },
  "L609": {
    "municipe": "VALLELUNGA PRATAMENO",
    "province": "CL"
  },
  "L605": {
    "municipe": "VALLEMAIO",
    "province": "FR"
  },
  "L611": {
    "municipe": "VALLEPIETRA",
    "province": "RM"
  },
  "L612": {
    "municipe": "VALLERANO",
    "province": "VT"
  },
  "L613": {
    "municipe": "VALLERMOSA",
    "province": "SU"
  },
  "L614": {
    "municipe": "VALLEROTONDA",
    "province": "FR"
  },
  "L616": {
    "municipe": "VALLESACCARDA",
    "province": "AV"
  },
  "L623": {
    "municipe": "VALLEVE",
    "province": "BG"
  },
  "L624": {
    "municipe": "VALLI DEL PASUBIO",
    "province": "VI"
  },
  "L625": {
    "municipe": "VALLINFREDA",
    "province": "RM"
  },
  "L626": {
    "municipe": "VALLIO TERME",
    "province": "BS"
  },
  "L628": {
    "municipe": "VALLO DELLA LUCANIA",
    "province": "SA"
  },
  "L627": {
    "municipe": "VALLO DI NERA",
    "province": "PG"
  },
  "L629": {
    "municipe": "VALLO TORINESE",
    "province": "TO"
  },
  "L631": {
    "municipe": "VALLORIATE",
    "province": "CN"
  },
  "L633": {
    "municipe": "VALMACCA",
    "province": "AL"
  },
  "L634": {
    "municipe": "VALMADRERA",
    "province": "LC"
  },
  "L639": {
    "municipe": "VALMONTONE",
    "province": "RM"
  },
  "L640": {
    "municipe": "VALMOREA",
    "province": "CO"
  },
  "L641": {
    "municipe": "VALMOZZOLA",
    "province": "PR"
  },
  "L642": {
    "municipe": "VALNEGRA",
    "province": "BG"
  },
  "L643": {
    "municipe": "VALPELLINE",
    "province": "AO"
  },
  "L644": {
    "municipe": "VALPERGA",
    "province": "TO"
  },
  "B510": {
    "municipe": "VALPRATO SOANA",
    "province": "TO"
  },
  "M320": {
    "municipe": "VALSAMOGGIA",
    "province": "BO"
  },
  "L647": {
    "municipe": "VALSAVARENCHE",
    "province": "AO"
  },
  "D513": {
    "municipe": "VALSINNI",
    "province": "MT"
  },
  "C936": {
    "municipe": "VALSOLDA",
    "province": "CO"
  },
  "L651": {
    "municipe": "VALSTRONA",
    "province": "VB"
  },
  "L653": {
    "municipe": "VALTOPINA",
    "province": "PG"
  },
  "L655": {
    "municipe": "VALTORTA",
    "province": "BG"
  },
  "L654": {
    "municipe": "VALTOURNENCHE",
    "province": "AO"
  },
  "L656": {
    "municipe": "VALVA",
    "province": "SA"
  },
  "M395": {
    "municipe": "VALVARRONE",
    "province": "LC"
  },
  "M346": {
    "municipe": "VALVASONE ARZENE",
    "province": "PN"
  },
  "L658": {
    "municipe": "VALVERDE",
    "province": "CT"
  },
  "L468": {
    "municipe": "VALVESTINO",
    "province": "BS"
  },
  "L660": {
    "municipe": "VANDOIES/VINTL",
    "province": "BZ"
  },
  "L664": {
    "municipe": "VANZAGHELLO",
    "province": "MI"
  },
  "L665": {
    "municipe": "VANZAGO",
    "province": "MI"
  },
  "L666": {
    "municipe": "VANZONE CON SAN CARLO",
    "province": "VB"
  },
  "L667": {
    "municipe": "VAPRIO D'ADDA",
    "province": "MI"
  },
  "L668": {
    "municipe": "VAPRIO D'AGOGNA",
    "province": "NO"
  },
  "L669": {
    "municipe": "VARALLO",
    "province": "VC"
  },
  "L670": {
    "municipe": "VARALLO POMBIA",
    "province": "NO"
  },
  "L671": {
    "municipe": "VARANO BORGHI",
    "province": "VA"
  },
  "L672": {
    "municipe": "VARANO DE' MELEGARI",
    "province": "PR"
  },
  "L673": {
    "municipe": "VARAPODIO",
    "province": "RC"
  },
  "L675": {
    "municipe": "VARAZZE",
    "province": "SV"
  },
  "L676": {
    "municipe": "VARCO SABINO",
    "province": "RI"
  },
  "L677": {
    "municipe": "VAREDO",
    "province": "MB"
  },
  "L680": {
    "municipe": "VARENNA",
    "province": "LC"
  },
  "L682": {
    "municipe": "VARESE",
    "province": "VA"
  },
  "L681": {
    "municipe": "VARESE LIGURE",
    "province": "SP"
  },
  "L685": {
    "municipe": "VARISELLA",
    "province": "TO"
  },
  "L686": {
    "municipe": "VARMO",
    "province": "UD"
  },
  "L687": {
    "municipe": "VARNA/VAHRN",
    "province": "BZ"
  },
  "L689": {
    "municipe": "VARSI",
    "province": "PR"
  },
  "L690": {
    "municipe": "VARZI",
    "province": "PV"
  },
  "L691": {
    "municipe": "VARZO",
    "province": "VB"
  },
  "A701": {
    "municipe": "VASANELLO",
    "province": "VT"
  },
  "L693": {
    "municipe": "VASIA",
    "province": "IM"
  },
  "E372": {
    "municipe": "VASTO",
    "province": "CH"
  },
  "L696": {
    "municipe": "VASTOGIRARDI",
    "province": "IS"
  },
  "L698": {
    "municipe": "VAUDA CANAVESE",
    "province": "TO"
  },
  "L699": {
    "municipe": "VAZZANO",
    "province": "VV"
  },
  "L700": {
    "municipe": "VAZZOLA",
    "province": "TV"
  },
  "L702": {
    "municipe": "VECCHIANO",
    "province": "PI"
  },
  "L704": {
    "municipe": "VEDANO AL LAMBRO",
    "province": "MB"
  },
  "L703": {
    "municipe": "VEDANO OLONA",
    "province": "VA"
  },
  "L706": {
    "municipe": "VEDELAGO",
    "province": "TV"
  },
  "L707": {
    "municipe": "VEDESETA",
    "province": "BG"
  },
  "L709": {
    "municipe": "VEDUGGIO CON COLZANO",
    "province": "MB"
  },
  "L710": {
    "municipe": "VEGGIANO",
    "province": "PD"
  },
  "L711": {
    "municipe": "VEGLIE",
    "province": "LE"
  },
  "L712": {
    "municipe": "VEGLIO",
    "province": "BI"
  },
  "L713": {
    "municipe": "VEJANO",
    "province": "VT"
  },
  "L715": {
    "municipe": "VELESO",
    "province": "CO"
  },
  "L716": {
    "municipe": "VELEZZO LOMELLINA",
    "province": "PV"
  },
  "L719": {
    "municipe": "VELLETRI",
    "province": "RM"
  },
  "L720": {
    "municipe": "VELLEZZO BELLINI",
    "province": "PV"
  },
  "L723": {
    "municipe": "VELO D'ASTICO",
    "province": "VI"
  },
  "L722": {
    "municipe": "VELO VERONESE",
    "province": "VR"
  },
  "L724": {
    "municipe": "VELTURNO/FELDTHURNS",
    "province": "BZ"
  },
  "L725": {
    "municipe": "VENAFRO",
    "province": "IS"
  },
  "L727": {
    "municipe": "VENARIA REALE",
    "province": "TO"
  },
  "L728": {
    "municipe": "VENAROTTA",
    "province": "AP"
  },
  "L729": {
    "municipe": "VENASCA",
    "province": "CN"
  },
  "L726": {
    "municipe": "VENAUS",
    "province": "TO"
  },
  "L730": {
    "municipe": "VENDONE",
    "province": "SV"
  },
  "L733": {
    "municipe": "VENEGONO INFERIORE",
    "province": "VA"
  },
  "L734": {
    "municipe": "VENEGONO SUPERIORE",
    "province": "VA"
  },
  "L735": {
    "municipe": "VENETICO",
    "province": "ME"
  },
  "L736": {
    "municipe": "VENEZIA",
    "province": "VE"
  },
  "L737": {
    "municipe": "VENIANO",
    "province": "CO"
  },
  "L738": {
    "municipe": "VENOSA",
    "province": "PZ"
  },
  "M364": {
    "municipe": "VENTASSO",
    "province": "RE"
  },
  "L739": {
    "municipe": "VENTICANO",
    "province": "AV"
  },
  "L741": {
    "municipe": "VENTIMIGLIA",
    "province": "IM"
  },
  "L740": {
    "municipe": "VENTIMIGLIA DI SICILIA",
    "province": "PA"
  },
  "L742": {
    "municipe": "VENTOTENE",
    "province": "LT"
  },
  "L743": {
    "municipe": "VENZONE",
    "province": "UD"
  },
  "L744": {
    "municipe": "VERANO BRIANZA",
    "province": "MB"
  },
  "L745": {
    "municipe": "VERANO/VORAN",
    "province": "BZ"
  },
  "L746": {
    "municipe": "VERBANIA",
    "province": "VB"
  },
  "L747": {
    "municipe": "VERBICARO",
    "province": "CS"
  },
  "L748": {
    "municipe": "VERCANA",
    "province": "CO"
  },
  "L749": {
    "municipe": "VERCEIA",
    "province": "SO"
  },
  "L750": {
    "municipe": "VERCELLI",
    "province": "VC"
  },
  "L751": {
    "municipe": "VERCURAGO",
    "province": "LC"
  },
  "L752": {
    "municipe": "VERDELLINO",
    "province": "BG"
  },
  "L753": {
    "municipe": "VERDELLO",
    "province": "BG"
  },
  "M337": {
    "municipe": "VERDERIO",
    "province": "LC"
  },
  "L758": {
    "municipe": "VERDUNO",
    "province": "CN"
  },
  "L762": {
    "municipe": "VERGATO",
    "province": "BO"
  },
  "L764": {
    "municipe": "VERGHERETO",
    "province": "FC"
  },
  "L765": {
    "municipe": "VERGIATE",
    "province": "VA"
  },
  "M424": {
    "municipe": "VERMEZZO CON ZELO",
    "province": "MI"
  },
  "L769": {
    "municipe": "VERMIGLIO",
    "province": "TN"
  },
  "L771": {
    "municipe": "VERNANTE",
    "province": "CN"
  },
  "L772": {
    "municipe": "VERNASCA",
    "province": "PC"
  },
  "L773": {
    "municipe": "VERNATE",
    "province": "MI"
  },
  "L774": {
    "municipe": "VERNAZZA",
    "province": "SP"
  },
  "L775": {
    "municipe": "VERNIO",
    "province": "PO"
  },
  "L776": {
    "municipe": "VERNOLE",
    "province": "LE"
  },
  "L777": {
    "municipe": "VEROLANUOVA",
    "province": "BS"
  },
  "L778": {
    "municipe": "VEROLAVECCHIA",
    "province": "BS"
  },
  "L779": {
    "municipe": "VEROLENGO",
    "province": "TO"
  },
  "L780": {
    "municipe": "VEROLI",
    "province": "FR"
  },
  "L781": {
    "municipe": "VERONA",
    "province": "VR"
  },
  "D193": {
    "municipe": "VERONELLA",
    "province": "VR"
  },
  "L783": {
    "municipe": "VERRAYES",
    "province": "AO"
  },
  "L784": {
    "municipe": "VERRETTO",
    "province": "PV"
  },
  "L785": {
    "municipe": "VERRONE",
    "province": "BI"
  },
  "L788": {
    "municipe": "VERRUA PO",
    "province": "PV"
  },
  "L787": {
    "municipe": "VERRUA SAVOIA",
    "province": "TO"
  },
  "C282": {
    "municipe": "VERRES",
    "province": "AO"
  },
  "L792": {
    "municipe": "VERTEMATE CON MINOPRIO",
    "province": "CO"
  },
  "L795": {
    "municipe": "VERTOVA",
    "province": "BG"
  },
  "L797": {
    "municipe": "VERUCCHIO",
    "province": "RN"
  },
  "L799": {
    "municipe": "VERVIO",
    "province": "SO"
  },
  "L801": {
    "municipe": "VERZEGNIS",
    "province": "UD"
  },
  "L802": {
    "municipe": "VERZINO",
    "province": "KR"
  },
  "L804": {
    "municipe": "VERZUOLO",
    "province": "CN"
  },
  "L805": {
    "municipe": "VESCOVANA",
    "province": "PD"
  },
  "L806": {
    "municipe": "VESCOVATO",
    "province": "CR"
  },
  "L807": {
    "municipe": "VESIME",
    "province": "AT"
  },
  "L808": {
    "municipe": "VESPOLATE",
    "province": "NO"
  },
  "L809": {
    "municipe": "VESSALICO",
    "province": "IM"
  },
  "L810": {
    "municipe": "VESTENANOVA",
    "province": "VR"
  },
  "L811": {
    "municipe": "VESTIGNE'",
    "province": "TO"
  },
  "L812": {
    "municipe": "VESTONE",
    "province": "BS"
  },
  "L814": {
    "municipe": "VETRALLA",
    "province": "VT"
  },
  "L815": {
    "municipe": "VETTO",
    "province": "RE"
  },
  "L817": {
    "municipe": "VEZZA D'ALBA",
    "province": "CN"
  },
  "L816": {
    "municipe": "VEZZA D'OGLIO",
    "province": "BS"
  },
  "L819": {
    "municipe": "VEZZANO LIGURE",
    "province": "SP"
  },
  "L820": {
    "municipe": "VEZZANO SUL CROSTOLO",
    "province": "RE"
  },
  "L823": {
    "municipe": "VEZZI PORTIO",
    "province": "SV"
  },
  "L826": {
    "municipe": "VIADANA",
    "province": "MN"
  },
  "L827": {
    "municipe": "VIADANICA",
    "province": "BG"
  },
  "L828": {
    "municipe": "VIAGRANDE",
    "province": "CT"
  },
  "L829": {
    "municipe": "VIALE",
    "province": "AT"
  },
  "L830": {
    "municipe": "VIALFRE'",
    "province": "TO"
  },
  "L831": {
    "municipe": "VIANO",
    "province": "RE"
  },
  "L833": {
    "municipe": "VIAREGGIO",
    "province": "LU"
  },
  "L834": {
    "municipe": "VIARIGI",
    "province": "AT"
  },
  "F537": {
    "municipe": "VIBO VALENTIA",
    "province": "VV"
  },
  "L835": {
    "municipe": "VIBONATI",
    "province": "SA"
  },
  "L836": {
    "municipe": "VICALVI",
    "province": "FR"
  },
  "L837": {
    "municipe": "VICARI",
    "province": "PA"
  },
  "L838": {
    "municipe": "VICCHIO",
    "province": "FI"
  },
  "L840": {
    "municipe": "VICENZA",
    "province": "VI"
  },
  "L842": {
    "municipe": "VICO DEL GARGANO",
    "province": "FG"
  },
  "L845": {
    "municipe": "VICO EQUENSE",
    "province": "NA"
  },
  "L843": {
    "municipe": "VICO NEL LAZIO",
    "province": "FR"
  },
  "L841": {
    "municipe": "VICOFORTE",
    "province": "CN"
  },
  "L846": {
    "municipe": "VICOLI",
    "province": "PE"
  },
  "L847": {
    "municipe": "VICOLUNGO",
    "province": "NO"
  },
  "L850": {
    "municipe": "VICOPISANO",
    "province": "PI"
  },
  "L851": {
    "municipe": "VICOVARO",
    "province": "RM"
  },
  "M259": {
    "municipe": "VIDDALBA",
    "province": "SS"
  },
  "L854": {
    "municipe": "VIDIGULFO",
    "province": "PV"
  },
  "L856": {
    "municipe": "VIDOR",
    "province": "TV"
  },
  "L857": {
    "municipe": "VIDRACCO",
    "province": "TO"
  },
  "L858": {
    "municipe": "VIESTE",
    "province": "FG"
  },
  "L859": {
    "municipe": "VIETRI DI POTENZA",
    "province": "PZ"
  },
  "L860": {
    "municipe": "VIETRI SUL MARE",
    "province": "SA"
  },
  "L865": {
    "municipe": "VIGANO SAN MARTINO",
    "province": "BG"
  },
  "L866": {
    "municipe": "VIGANO'",
    "province": "LC"
  },
  "L868": {
    "municipe": "VIGARANO MAINARDA",
    "province": "FE"
  },
  "L869": {
    "municipe": "VIGASIO",
    "province": "VR"
  },
  "L872": {
    "municipe": "VIGEVANO",
    "province": "PV"
  },
  "L873": {
    "municipe": "VIGGIANELLO",
    "province": "PZ"
  },
  "L874": {
    "municipe": "VIGGIANO",
    "province": "PZ"
  },
  "L876": {
    "municipe": "VIGGIU'",
    "province": "VA"
  },
  "L878": {
    "municipe": "VIGHIZZOLO D'ESTE",
    "province": "PD"
  },
  "L880": {
    "municipe": "VIGLIANO BIELLESE",
    "province": "BI"
  },
  "L879": {
    "municipe": "VIGLIANO D'ASTI",
    "province": "AT"
  },
  "L881": {
    "municipe": "VIGNALE MONFERRATO",
    "province": "AL"
  },
  "L882": {
    "municipe": "VIGNANELLO",
    "province": "VT"
  },
  "L883": {
    "municipe": "VIGNATE",
    "province": "MI"
  },
  "L885": {
    "municipe": "VIGNOLA",
    "province": "MO"
  },
  "L886": {
    "municipe": "VIGNOLA-FALESINA",
    "province": "TN"
  },
  "L887": {
    "municipe": "VIGNOLE BORBERA",
    "province": "AL"
  },
  "L888": {
    "municipe": "VIGNOLO",
    "province": "CN"
  },
  "L889": {
    "municipe": "VIGNONE",
    "province": "VB"
  },
  "L890": {
    "municipe": "VIGO DI CADORE",
    "province": "BL"
  },
  "L892": {
    "municipe": "VIGODARZERE",
    "province": "PD"
  },
  "L894": {
    "municipe": "VIGOLO",
    "province": "BG"
  },
  "L897": {
    "municipe": "VIGOLZONE",
    "province": "PC"
  },
  "L898": {
    "municipe": "VIGONE",
    "province": "TO"
  },
  "L899": {
    "municipe": "VIGONOVO",
    "province": "VE"
  },
  "L900": {
    "municipe": "VIGONZA",
    "province": "PD"
  },
  "L904": {
    "municipe": "VIGUZZOLO",
    "province": "AL"
  },
  "L912": {
    "municipe": "VILLA BARTOLOMEA",
    "province": "VR"
  },
  "L913": {
    "municipe": "VILLA BASILICA",
    "province": "LU"
  },
  "L917": {
    "municipe": "VILLA BISCOSSI",
    "province": "PV"
  },
  "L919": {
    "municipe": "VILLA CARCINA",
    "province": "BS"
  },
  "L920": {
    "municipe": "VILLA CASTELLI",
    "province": "BR"
  },
  "L922": {
    "municipe": "VILLA CELIERA",
    "province": "PE"
  },
  "L926": {
    "municipe": "VILLA COLLEMANDINA",
    "province": "LU"
  },
  "L928": {
    "municipe": "VILLA CORTESE",
    "province": "MI"
  },
  "L929": {
    "municipe": "VILLA D'ADDA",
    "province": "BG"
  },
  "A215": {
    "municipe": "VILLA D'ALME'",
    "province": "BG"
  },
  "L938": {
    "municipe": "VILLA D'OGNA",
    "province": "BG"
  },
  "L933": {
    "municipe": "VILLA DEL BOSCO",
    "province": "BI"
  },
  "L934": {
    "municipe": "VILLA DEL CONTE",
    "province": "PD"
  },
  "D801": {
    "municipe": "VILLA DI BRIANO",
    "province": "CE"
  },
  "L907": {
    "municipe": "VILLA DI CHIAVENNA",
    "province": "SO"
  },
  "L936": {
    "municipe": "VILLA DI SERIO",
    "province": "BG"
  },
  "L908": {
    "municipe": "VILLA DI TIRANO",
    "province": "SO"
  },
  "L937": {
    "municipe": "VILLA ESTENSE",
    "province": "PD"
  },
  "L943": {
    "municipe": "VILLA FARALDI",
    "province": "IM"
  },
  "L956": {
    "municipe": "VILLA GUARDIA",
    "province": "CO"
  },
  "L957": {
    "municipe": "VILLA LAGARINA",
    "province": "TN"
  },
  "A081": {
    "municipe": "VILLA LATINA",
    "province": "FR"
  },
  "L844": {
    "municipe": "VILLA LITERNO",
    "province": "CE"
  },
  "L969": {
    "municipe": "VILLA MINOZZO",
    "province": "RE"
  },
  "M018": {
    "municipe": "VILLA SAN GIOVANNI",
    "province": "RC"
  },
  "H913": {
    "municipe": "VILLA SAN GIOVANNI IN TUSCIA",
    "province": "VT"
  },
  "I118": {
    "municipe": "VILLA SAN PIETRO",
    "province": "CA"
  },
  "M019": {
    "municipe": "VILLA SAN SECONDO",
    "province": "AT"
  },
  "M023": {
    "municipe": "VILLA SANT'ANGELO",
    "province": "AQ"
  },
  "I298": {
    "municipe": "VILLA SANT'ANTONIO",
    "province": "OR"
  },
  "L905": {
    "municipe": "VILLA SANTA LUCIA",
    "province": "FR"
  },
  "M021": {
    "municipe": "VILLA SANTA LUCIA DEGLI ABRUZZI",
    "province": "AQ"
  },
  "M022": {
    "municipe": "VILLA SANTA MARIA",
    "province": "CH"
  },
  "L909": {
    "municipe": "VILLA SANTINA",
    "province": "UD"
  },
  "I364": {
    "municipe": "VILLA SANTO STEFANO",
    "province": "FR"
  },
  "A609": {
    "municipe": "VILLA VERDE",
    "province": "OR"
  },
  "L915": {
    "municipe": "VILLABASSA/NIEDERDORF",
    "province": "BZ"
  },
  "L916": {
    "municipe": "VILLABATE",
    "province": "PA"
  },
  "L923": {
    "municipe": "VILLACHIARA",
    "province": "BS"
  },
  "L924": {
    "municipe": "VILLACIDRO",
    "province": "SU"
  },
  "L931": {
    "municipe": "VILLADEATI",
    "province": "AL"
  },
  "L939": {
    "municipe": "VILLADOSE",
    "province": "RO"
  },
  "L906": {
    "municipe": "VILLADOSSOLA",
    "province": "VB"
  },
  "L942": {
    "municipe": "VILLAFALLETTO",
    "province": "CN"
  },
  "L945": {
    "municipe": "VILLAFRANCA D'ASTI",
    "province": "AT"
  },
  "L949": {
    "municipe": "VILLAFRANCA DI VERONA",
    "province": "VR"
  },
  "L946": {
    "municipe": "VILLAFRANCA IN LUNIGIANA",
    "province": "MS"
  },
  "L947": {
    "municipe": "VILLAFRANCA PADOVANA",
    "province": "PD"
  },
  "L948": {
    "municipe": "VILLAFRANCA PIEMONTE",
    "province": "TO"
  },
  "L944": {
    "municipe": "VILLAFRANCA SICULA",
    "province": "AG"
  },
  "L950": {
    "municipe": "VILLAFRANCA TIRRENA",
    "province": "ME"
  },
  "L951": {
    "municipe": "VILLAFRATI",
    "province": "PA"
  },
  "L952": {
    "municipe": "VILLAGA",
    "province": "VI"
  },
  "L953": {
    "municipe": "VILLAGRANDE STRISAILI",
    "province": "NU"
  },
  "L958": {
    "municipe": "VILLALAGO",
    "province": "AQ"
  },
  "L959": {
    "municipe": "VILLALBA",
    "province": "CL"
  },
  "L961": {
    "municipe": "VILLALFONSINA",
    "province": "CH"
  },
  "L963": {
    "municipe": "VILLALVERNIA",
    "province": "AL"
  },
  "L964": {
    "municipe": "VILLAMAGNA",
    "province": "CH"
  },
  "L965": {
    "municipe": "VILLAMAINA",
    "province": "AV"
  },
  "L966": {
    "municipe": "VILLAMAR",
    "province": "SU"
  },
  "L967": {
    "municipe": "VILLAMARZANA",
    "province": "RO"
  },
  "L968": {
    "municipe": "VILLAMASSARGIA",
    "province": "SU"
  },
  "L970": {
    "municipe": "VILLAMIROGLIO",
    "province": "AL"
  },
  "L971": {
    "municipe": "VILLANDRO/VILLANDERS",
    "province": "BZ"
  },
  "L978": {
    "municipe": "VILLANOVA BIELLESE",
    "province": "BI"
  },
  "L982": {
    "municipe": "VILLANOVA CANAVESE",
    "province": "TO"
  },
  "L975": {
    "municipe": "VILLANOVA D'ALBENGA",
    "province": "SV"
  },
  "L983": {
    "municipe": "VILLANOVA D'ARDENGHI",
    "province": "PV"
  },
  "L984": {
    "municipe": "VILLANOVA D'ASTI",
    "province": "AT"
  },
  "L973": {
    "municipe": "VILLANOVA DEL BATTISTA",
    "province": "AV"
  },
  "L985": {
    "municipe": "VILLANOVA DEL GHEBBO",
    "province": "RO"
  },
  "L977": {
    "municipe": "VILLANOVA DEL SILLARO",
    "province": "LO"
  },
  "L979": {
    "municipe": "VILLANOVA DI CAMPOSAMPIERO",
    "province": "PD"
  },
  "L988": {
    "municipe": "VILLANOVA MARCHESANA",
    "province": "RO"
  },
  "L974": {
    "municipe": "VILLANOVA MONDOVI'",
    "province": "CN"
  },
  "L972": {
    "municipe": "VILLANOVA MONFERRATO",
    "province": "AL"
  },
  "L989": {
    "municipe": "VILLANOVA MONTELEONE",
    "province": "SS"
  },
  "L990": {
    "municipe": "VILLANOVA SOLARO",
    "province": "CN"
  },
  "L980": {
    "municipe": "VILLANOVA SULL'ARDA",
    "province": "PC"
  },
  "L991": {
    "municipe": "VILLANOVA TRUSCHEDU",
    "province": "OR"
  },
  "L992": {
    "municipe": "VILLANOVA TULO",
    "province": "SU"
  },
  "L986": {
    "municipe": "VILLANOVAFORRU",
    "province": "SU"
  },
  "L987": {
    "municipe": "VILLANOVAFRANCA",
    "province": "SU"
  },
  "L994": {
    "municipe": "VILLANTERIO",
    "province": "PV"
  },
  "L995": {
    "municipe": "VILLANUOVA SUL CLISI",
    "province": "BS"
  },
  "M278": {
    "municipe": "VILLAPERUCCIO",
    "province": "SU"
  },
  "B903": {
    "municipe": "VILLAPIANA",
    "province": "CS"
  },
  "L998": {
    "municipe": "VILLAPUTZU",
    "province": "SU"
  },
  "L999": {
    "municipe": "VILLAR DORA",
    "province": "TO"
  },
  "M007": {
    "municipe": "VILLAR FOCCHIARDO",
    "province": "TO"
  },
  "M013": {
    "municipe": "VILLAR PELLICE",
    "province": "TO"
  },
  "M014": {
    "municipe": "VILLAR PEROSA",
    "province": "TO"
  },
  "M015": {
    "municipe": "VILLAR SAN COSTANZO",
    "province": "CN"
  },
  "M002": {
    "municipe": "VILLARBASSE",
    "province": "TO"
  },
  "M003": {
    "municipe": "VILLARBOIT",
    "province": "VC"
  },
  "M004": {
    "municipe": "VILLAREGGIA",
    "province": "TO"
  },
  "G309": {
    "municipe": "VILLARICCA",
    "province": "NA"
  },
  "M009": {
    "municipe": "VILLAROMAGNANO",
    "province": "AL"
  },
  "M011": {
    "municipe": "VILLAROSA",
    "province": "EN"
  },
  "M016": {
    "municipe": "VILLASALTO",
    "province": "SU"
  },
  "M017": {
    "municipe": "VILLASANTA",
    "province": "MB"
  },
  "B738": {
    "municipe": "VILLASIMIUS",
    "province": "SU"
  },
  "M025": {
    "municipe": "VILLASOR",
    "province": "SU"
  },
  "M026": {
    "municipe": "VILLASPECIOSA",
    "province": "SU"
  },
  "M027": {
    "municipe": "VILLASTELLONE",
    "province": "TO"
  },
  "M028": {
    "municipe": "VILLATA",
    "province": "VC"
  },
  "M030": {
    "municipe": "VILLAURBANA",
    "province": "OR"
  },
  "M031": {
    "municipe": "VILLAVALLELONGA",
    "province": "AQ"
  },
  "M032": {
    "municipe": "VILLAVERLA",
    "province": "VI"
  },
  "M363": {
    "municipe": "VILLE D'ANAUNIA",
    "province": "TN"
  },
  "M431": {
    "municipe": "VILLE DI FIEMME",
    "province": "TN"
  },
  "L981": {
    "municipe": "VILLENEUVE",
    "province": "AO"
  },
  "M043": {
    "municipe": "VILLESSE",
    "province": "GO"
  },
  "M041": {
    "municipe": "VILLETTA BARREA",
    "province": "AQ"
  },
  "M042": {
    "municipe": "VILLETTE",
    "province": "VB"
  },
  "M044": {
    "municipe": "VILLIMPENTA",
    "province": "MN"
  },
  "M045": {
    "municipe": "VILLONGO",
    "province": "BG"
  },
  "M048": {
    "municipe": "VILLORBA",
    "province": "TV"
  },
  "M050": {
    "municipe": "VILMINORE DI SCALVE",
    "province": "BG"
  },
  "M052": {
    "municipe": "VIMERCATE",
    "province": "MB"
  },
  "M053": {
    "municipe": "VIMODRONE",
    "province": "MI"
  },
  "M055": {
    "municipe": "VINADIO",
    "province": "CN"
  },
  "M057": {
    "municipe": "VINCHIATURO",
    "province": "CB"
  },
  "M058": {
    "municipe": "VINCHIO",
    "province": "AT"
  },
  "M059": {
    "municipe": "VINCI",
    "province": "FI"
  },
  "M060": {
    "municipe": "VINOVO",
    "province": "TO"
  },
  "M062": {
    "municipe": "VINZAGLIO",
    "province": "NO"
  },
  "M063": {
    "municipe": "VIOLA",
    "province": "CN"
  },
  "M065": {
    "municipe": "VIONE",
    "province": "BS"
  },
  "M067": {
    "municipe": "VIPITENO/STERZING",
    "province": "BZ"
  },
  "M069": {
    "municipe": "VIRLE PIEMONTE",
    "province": "TO"
  },
  "M070": {
    "municipe": "VISANO",
    "province": "BS"
  },
  "M071": {
    "municipe": "VISCHE",
    "province": "TO"
  },
  "M072": {
    "municipe": "VISCIANO",
    "province": "NA"
  },
  "M073": {
    "municipe": "VISCO",
    "province": "UD"
  },
  "M077": {
    "municipe": "VISONE",
    "province": "AL"
  },
  "M078": {
    "municipe": "VISSO",
    "province": "MC"
  },
  "M079": {
    "municipe": "VISTARINO",
    "province": "PV"
  },
  "M080": {
    "municipe": "VISTRORIO",
    "province": "TO"
  },
  "M081": {
    "municipe": "VITA",
    "province": "TP"
  },
  "M082": {
    "municipe": "VITERBO",
    "province": "VT"
  },
  "M083": {
    "municipe": "VITICUSO",
    "province": "FR"
  },
  "M085": {
    "municipe": "VITO D'ASIO",
    "province": "PN"
  },
  "M086": {
    "municipe": "VITORCHIANO",
    "province": "VT"
  },
  "M088": {
    "municipe": "VITTORIA",
    "province": "RG"
  },
  "M089": {
    "municipe": "VITTORIO VENETO",
    "province": "TV"
  },
  "M090": {
    "municipe": "VITTORITO",
    "province": "AQ"
  },
  "M091": {
    "municipe": "VITTUONE",
    "province": "MI"
  },
  "M093": {
    "municipe": "VITULANO",
    "province": "BN"
  },
  "M092": {
    "municipe": "VITULAZIO",
    "province": "CE"
  },
  "M094": {
    "municipe": "VIU'",
    "province": "TO"
  },
  "M096": {
    "municipe": "VIVARO",
    "province": "PN"
  },
  "M095": {
    "municipe": "VIVARO ROMANO",
    "province": "RM"
  },
  "M098": {
    "municipe": "VIVERONE",
    "province": "BI"
  },
  "M100": {
    "municipe": "VIZZINI",
    "province": "CT"
  },
  "M101": {
    "municipe": "VIZZOLA TICINO",
    "province": "VA"
  },
  "M102": {
    "municipe": "VIZZOLO PREDABISSI",
    "province": "MI"
  },
  "M103": {
    "municipe": "VO'",
    "province": "PD"
  },
  "M104": {
    "municipe": "VOBARNO",
    "province": "BS"
  },
  "M105": {
    "municipe": "VOBBIA",
    "province": "GE"
  },
  "M106": {
    "municipe": "VOCCA",
    "province": "VC"
  },
  "M108": {
    "municipe": "VODO CADORE",
    "province": "BL"
  },
  "M109": {
    "municipe": "VOGHERA",
    "province": "PV"
  },
  "M110": {
    "municipe": "VOGHIERA",
    "province": "FE"
  },
  "M111": {
    "municipe": "VOGOGNA",
    "province": "VB"
  },
  "M113": {
    "municipe": "VOLANO",
    "province": "TN"
  },
  "M115": {
    "municipe": "VOLLA",
    "province": "NA"
  },
  "M116": {
    "municipe": "VOLONGO",
    "province": "CR"
  },
  "M118": {
    "municipe": "VOLPAGO DEL MONTELLO",
    "province": "TV"
  },
  "M119": {
    "municipe": "VOLPARA",
    "province": "PV"
  },
  "M120": {
    "municipe": "VOLPEDO",
    "province": "AL"
  },
  "M121": {
    "municipe": "VOLPEGLINO",
    "province": "AL"
  },
  "M122": {
    "municipe": "VOLPIANO",
    "province": "TO"
  },
  "M125": {
    "municipe": "VOLTA MANTOVANA",
    "province": "MN"
  },
  "M123": {
    "municipe": "VOLTAGGIO",
    "province": "AL"
  },
  "M124": {
    "municipe": "VOLTAGO AGORDINO",
    "province": "BL"
  },
  "M126": {
    "municipe": "VOLTERRA",
    "province": "PI"
  },
  "M127": {
    "municipe": "VOLTIDO",
    "province": "CR"
  },
  "M131": {
    "municipe": "VOLTURARA APPULA",
    "province": "FG"
  },
  "M130": {
    "municipe": "VOLTURARA IRPINA",
    "province": "AV"
  },
  "M132": {
    "municipe": "VOLTURINO",
    "province": "FG"
  },
  "M133": {
    "municipe": "VOLVERA",
    "province": "TO"
  },
  "M136": {
    "municipe": "VOTTIGNASCO",
    "province": "CN"
  },
  "M138": {
    "municipe": "ZACCANOPOLI",
    "province": "VV"
  },
  "M139": {
    "municipe": "ZAFFERANA ETNEA",
    "province": "CT"
  },
  "M140": {
    "municipe": "ZAGARISE",
    "province": "CZ"
  },
  "M141": {
    "municipe": "ZAGAROLO",
    "province": "RM"
  },
  "M143": {
    "municipe": "ZAMBRONE",
    "province": "VV"
  },
  "M144": {
    "municipe": "ZANDOBBIO",
    "province": "BG"
  },
  "M145": {
    "municipe": "ZANE'",
    "province": "VI"
  },
  "M147": {
    "municipe": "ZANICA",
    "province": "BG"
  },
  "M267": {
    "municipe": "ZAPPONETA",
    "province": "FG"
  },
  "M150": {
    "municipe": "ZAVATTARELLO",
    "province": "PV"
  },
  "M152": {
    "municipe": "ZECCONE",
    "province": "PV"
  },
  "M153": {
    "municipe": "ZEDDIANI",
    "province": "OR"
  },
  "M156": {
    "municipe": "ZELBIO",
    "province": "CO"
  },
  "M158": {
    "municipe": "ZELO BUON PERSICO",
    "province": "LO"
  },
  "M161": {
    "municipe": "ZEME",
    "province": "PV"
  },
  "M162": {
    "municipe": "ZENEVREDO",
    "province": "PV"
  },
  "M163": {
    "municipe": "ZENSON DI PIAVE",
    "province": "TV"
  },
  "M165": {
    "municipe": "ZERBA",
    "province": "PC"
  },
  "M166": {
    "municipe": "ZERBO",
    "province": "PV"
  },
  "M167": {
    "municipe": "ZERBOLO'",
    "province": "PV"
  },
  "M168": {
    "municipe": "ZERFALIU",
    "province": "OR"
  },
  "M169": {
    "municipe": "ZERI",
    "province": "MS"
  },
  "M170": {
    "municipe": "ZERMEGHEDO",
    "province": "VI"
  },
  "M171": {
    "municipe": "ZERO BRANCO",
    "province": "TV"
  },
  "M172": {
    "municipe": "ZEVIO",
    "province": "VR"
  },
  "M173": {
    "municipe": "ZIANO DI FIEMME",
    "province": "TN"
  },
  "L848": {
    "municipe": "ZIANO PIACENTINO",
    "province": "PC"
  },
  "M176": {
    "municipe": "ZIBIDO SAN GIACOMO",
    "province": "MI"
  },
  "M177": {
    "municipe": "ZIGNAGO",
    "province": "SP"
  },
  "M178": {
    "municipe": "ZIMELLA",
    "province": "VR"
  },
  "M179": {
    "municipe": "ZIMONE",
    "province": "BI"
  },
  "M180": {
    "municipe": "ZINASCO",
    "province": "PV"
  },
  "M182": {
    "municipe": "ZOAGLI",
    "province": "GE"
  },
  "M183": {
    "municipe": "ZOCCA",
    "province": "MO"
  },
  "M184": {
    "municipe": "ZOGNO",
    "province": "BG"
  },
  "M185": {
    "municipe": "ZOLA PREDOSA",
    "province": "BO"
  },
  "M187": {
    "municipe": "ZOLLINO",
    "province": "LE"
  },
  "M188": {
    "municipe": "ZONE",
    "province": "BS"
  },
  "M189": {
    "municipe": "ZOPPE' DI CADORE",
    "province": "BL"
  },
  "M190": {
    "municipe": "ZOPPOLA",
    "province": "PN"
  },
  "M194": {
    "municipe": "ZOVENCEDO",
    "province": "VI"
  },
  "M196": {
    "municipe": "ZUBIENA",
    "province": "BI"
  },
  "M197": {
    "municipe": "ZUCCARELLO",
    "province": "SV"
  },
  "M199": {
    "municipe": "ZUGLIANO",
    "province": "VI"
  },
  "M200": {
    "municipe": "ZUGLIO",
    "province": "UD"
  },
  "M201": {
    "municipe": "ZUMAGLIA",
    "province": "BI"
  },
  "M202": {
    "municipe": "ZUMPANO",
    "province": "CS"
  },
  "M203": {
    "municipe": "ZUNGOLI",
    "province": "AV"
  },
  "M204": {
    "municipe": "ZUNGRI",
    "province": "VV"
  }
};

var charsEven = {
  0: 0,
  1: 1,
  2: 2,
  3: 3,
  4: 4,
  5: 5,
  6: 6,
  7: 7,
  8: 8,
  9: 9,
  A: 0,
  B: 1,
  C: 2,
  D: 3,
  E: 4,
  F: 5,
  G: 6,
  H: 7,
  I: 8,
  J: 9,
  K: 10,
  L: 11,
  M: 12,
  N: 13,
  O: 14,
  P: 15,
  Q: 16,
  R: 17,
  S: 18,
  T: 19,
  U: 20,
  V: 21,
  W: 22,
  X: 23,
  Y: 24,
  Z: 25
};
var charsOdd = {
  0: 1,
  1: 0,
  2: 5,
  3: 7,
  4: 9,
  5: 13,
  6: 15,
  7: 17,
  8: 19,
  9: 21,
  A: 1,
  B: 0,
  C: 5,
  D: 7,
  E: 9,
  F: 13,
  G: 15,
  H: 17,
  I: 19,
  J: 21,
  K: 2,
  L: 4,
  M: 18,
  N: 20,
  O: 11,
  P: 3,
  Q: 6,
  R: 8,
  S: 12,
  T: 14,
  U: 16,
  V: 10,
  W: 22,
  X: 25,
  Y: 24,
  Z: 23
};

var validateITCF = function validateITCF(cfAttr, _ref) {
  var name = _ref.name,
      lastname = _ref.lastname,
      birthdate = _ref.birthdate,
      municipe = _ref.municipe;

  if (!cfAttr) {
    return false;
  }

  var cf = cfAttr === null || cfAttr === void 0 ? void 0 : cfAttr.toLowerCase();
  var pattern = /^([A-Z]{6}[0-9LMNPQRSTUV]{2}[ABCDEHLMPRST]{1}[0-9LMNPQRSTUV]{2}[A-Z]{1}[0-9LMNPQRSTUV]{3}[A-Z]{1})$|([0-9]{11})$/;
  var toReturn = pattern.test(cf.toUpperCase());
  var failed = {};

  if (name) {
    var check = functionsToCheck.name(cf, name);
    toReturn = toReturn && check;
    failed = _objectSpread2(_objectSpread2({}, failed), {}, {
      name: check
    });
  }

  if (lastname) {
    var _check = functionsToCheck.lastname(cf, lastname);

    toReturn = toReturn && _check;
    failed = _objectSpread2(_objectSpread2({}, failed), {}, {
      lastname: _check
    });
  }

  if (birthdate) {
    var _check2 = functionsToCheck.birthdate(cf, birthdate);

    toReturn = toReturn && _check2;
    failed = _objectSpread2(_objectSpread2({}, failed), {}, {
      birthdate: _check2
    });
  }

  if (municipe) {
    var _check3 = functionsToCheck.municipe(cf, municipe);

    toReturn = toReturn && _check3;
    failed = _objectSpread2(_objectSpread2({}, failed), {}, {
      municipe: _check3
    });
  }

  var checkLastChar = functionsToCheck.lastChar(cf);
  toReturn = toReturn && checkLastChar;
  failed = _objectSpread2(_objectSpread2({}, failed), {}, {
    lastChar: checkLastChar
  }); // console.log({ valid: toReturn, fails: { ...failed } });

  return toReturn;
};
var functionsToCheck = {
  name: function name(cf, nameAttr) {
    var name = nameAttr.toLowerCase();
    if (!name) return false;
    var nameChars = cf.substring(3, 6);
    return helpers.checkForNameAndSurname(name, [0, 2, 3], nameChars);
  },
  lastname: function lastname(cf, lastnameAttr) {
    var lastname = lastnameAttr.toLowerCase();
    if (!lastname) return false;
    var lastnameChars = cf.substring(0, 3);
    return helpers.checkForNameAndSurname(lastname, [0, 1, 2], lastnameChars);
  },
  birthdate: function birthdate(cf, birthdateAttr) {
    var splittedYear = birthdateAttr.split('/');
    var day = splittedYear[0];
    var month = splittedYear[1];
    var year = splittedYear[2].length === 4 ? splittedYear[2].substring(2, 4) : splittedYear[2];
    var dayFromCF = cf.substring(9, 11);
    var monthFromCF = cf.substring(8, 9);
    var yearFromCF = cf.substring(6, 8);
    var monthChars = {
      a: '01',
      b: '02',
      c: '03',
      d: '04',
      e: '05',
      h: '06',
      l: '07',
      m: '08',
      p: '09',
      r: '10',
      s: '11',
      t: '12'
    };
    return year === yearFromCF && day === dayFromCF && monthChars[monthFromCF] === month;
  },
  municipe: function municipe(cf, municipeAttr) {
    var municipe = municipeAttr.toLowerCase();
    var municipeFromCF = cf.substring(11, 15).toUpperCase();
    var municipeToCheck = municipes[municipeFromCF].municipe.toLowerCase();
    return municipeToCheck === municipe;
  },
  lastChar: function lastChar(cf) {
    var partialFiscalCode = cf.slice(0, -1);

    var _reduce = _toConsumableArray(partialFiscalCode).reduce(function (r, char, i) {
      return r[(i + 1) % 2].push(char.toUpperCase()), r;
    }, [[], []]),
        _reduce2 = _slicedToArray(_reduce, 2),
        even = _reduce2[0],
        odd = _reduce2[1];

    var oddValues = odd.map(function (char) {
      return charsOdd["".concat(char)];
    });
    var evenValues = even.map(function (char) {
      return charsEven["".concat(char)];
    });
    var sum = oddValues.reduce(function (a, b) {
      return a + b;
    }, 0) + evenValues.reduce(function (a, b) {
      return a + b;
    }, 0);
    var lastCharCheck = String.fromCharCode(97 + sum % 26).toUpperCase();
    return lastCharCheck === cf.charAt(cf.length - 1).toUpperCase();
  }
};
var helpers = {
  checkForNameAndSurname: function checkForNameAndSurname(valueToCheck, indexesToCheck, singleChars) {
    var length = indexesToCheck.length;
    var patternToMatchConsonants = /[bcdfghlmnpqrstvzjkwxy]/gi;
    var patternToMatchVovels = /[aeiou]/gi;
    var consonants = valueToCheck.match(patternToMatchConsonants) || [];
    var vovels = valueToCheck.match(patternToMatchVovels) || [];
    var returnValueToCheck = '';

    if (consonants.length > length) {
      returnValueToCheck = "".concat(consonants[indexesToCheck[0]]).concat(consonants[indexesToCheck[1]]).concat(consonants[indexesToCheck[2]]);
    } else if (consonants.length === length) {
      returnValueToCheck = consonants.join('');
    } else {
      var tmpCheck = consonants.join('');
      returnValueToCheck = "".concat(tmpCheck).concat(vovels.join(), "XXX").substring(0, length);
    }

    return singleChars === returnValueToCheck;
  }
};

export { validateITCF };
